/**
 * @license Copyright 2013 Andy Earnshaw, MIT License
 *
 * Implements the ECMAScript Internationalization API in ES5-compatible environments,
 * following the ECMA-402 specification as closely as possible
 *
 * ECMA-402: http://ecma-international.org/ecma-402/1.0/
 *
 * CLDR format locale data should be provided using IntlPolyfill.__addLocaleData().
 */
(function(n,t){var i=t();typeof define=="function"&&define.amd&&define(i);typeof exports=="object"&&(module.exports=i);n.Intl||(n.Intl=i,i.__applyLocaleSensitivePrototypes());n.IntlPolyfill=i})(typeof global!="undefined"?global:this,function(){"use strict";function gt(n){return wt.test(n)?bt.test(n)?!1:kt.test(n)?!1:!0:!1}function pi(n){var e,i,r,u;for(n=n.toLowerCase(),i=n.split("-"),r=1,u=i.length;r<u;r++)if(i[r].length===2)i[r]=i[r].toUpperCase();else if(i[r].length===4)i[r]=i[r].charAt(0).toUpperCase()+i[r].slice(1);else if(i[r].length===1&&i[r]!="x")break;for(n=f.call(i,"-"),(e=n.match(ot))&&e.length>1&&(e.sort(),n=n.replace(RegExp("(?:"+ot.source+")+","i"),f.call(e,""))),t.call(v.tags,n)&&(n=v.tags[n]),i=n.split("-"),r=1,u=i.length;r<u;r++)t.call(v.subtags,i[r])?i[r]=v.subtags[i[r]]:t.call(v.extLang,i[r])&&(i[r]=v.extLang[i[r]][0],r===1&&v.extLang[i[1]][1]===i[0]&&(i=w.call(i,r++),u-=1));return f.call(i,"-")}function wi(){return ft}function bi(n){var t=String(n),i=li(t);return yi.test(i)===!1?!1:!0}function st(n){var e,h,i,t;if(n===undefined)return new o;for(var r=new o,n=typeof n=="string"?[n]:n,u=b(n),c=u.length,f=0;f<c;){if(e=String(f),h=e in u,h){if(i=u[e],i==null||typeof i!="string"&&typeof i!="object")throw new TypeError("String or Object type expected");if(t=String(i),!gt(t))throw new RangeError("'"+t+"' is not a structurally valid language tag");t=pi(t);p.call(r,t)===-1&&s.call(r,t)}f++}return r}function ni(n,t){for(var i=t,r;;){if(p.call(n,i)>-1)return i;if(r=i.lastIndexOf("-"),r<0)return;r>=2&&i.charAt(r-2)=="-"&&(r-=2);i=i.substring(0,r)}}function ti(n,t){for(var u=0,c=t.length,f,i,s,h;u<c&&!f;){var r=t[u],o=String(r).replace(et,""),f=ni(n,o);u++}return i=new e,f!==undefined?(i["[[locale]]"]=f,String(r)!==String(o)&&(s=r.match(et)[0],h=r.indexOf("-u-"),i["[[extension]]"]=s,i["[[extensionIndex]]"]=h)):i["[[locale]]"]=wi(),i}function ki(n,t){return ti(n,t)}function ii(n,i,r,u,f){var it,c,o,a,v,tt,nt,b,h,k;if(n.length===0)throw new ReferenceError("No locale data has been provided for this object yet.");if(it=r["[[localeMatcher]]"],c=it==="lookup"?ti(n,i):ki(n,i),o=c["[[locale]]"],t.call(c,"[[extension]]"))var ut=c["[[extension]]"],rt=c["[[extensionIndex]]"],ft=String.prototype.split,l=ft.call(ut,"-"),et=l.length;a=new e;a["[[dataLocale]]"]=o;for(var d="-u",g=0,ot=u.length;g<ot;){var s=u[g],st=f[o],y=st[s],h=y["0"],nt="",w=p;l!==undefined&&(v=w.call(l,s),v!==-1&&(v+1<et&&l[v+1].length>2?(tt=l[v+1],b=w.call(y,tt),b!==-1&&(h=tt,nt="-"+s+"-"+h)):(b=w(y,"true"),b!==-1&&(h="true"))));t.call(r,"[["+s+"]]")&&(k=r["[["+s+"]]"],w.call(y,k)!==-1&&k!==h&&(h=k,nt=""));a["[["+s+"]]"]=h;d+=nt;g++}if(d.length>2)var ht=o.substring(0,rt),ct=o.substring(rt),o=ht+d+ct;return a["[[locale]]"]=o,a}function ri(n,t){for(var f=t.length,r=new o,i=0;i<f;){var u=t[i],e=String(u).replace(et,""),h=ni(n,e);h!==undefined&&s.call(r,u);i++}return w.call(r)}function di(n,t){return ri(n,t)}function gi(n,i,u){var u,f,o,s;if(u!==undefined&&(u=new e(b(u)),f=u.localeMatcher,f!==undefined&&(f=String(f),f!=="lookup"&&f!=="best fit")))throw new RangeError('matcher should be "lookup" or "best fit"');o=f===undefined||f==="best fit"?di(n,i):ri(n,i);for(s in o)t.call(o,s)&&r(o,s,{writable:!1,configurable:!1,value:o[s]});return r(o,"length",{writable:!1}),o}function h(n,t,i,r,u){var f=n[t];if(f!==undefined){if(f=i==="boolean"?Boolean(f):i==="string"?String(f):f,r!==undefined&&p.call(r,f)===-1)throw new RangeError("'"+f+"' is not an allowed value for `"+t+"`");return f}return u}function k(n,t,i,r,u){var f=n[t];if(f!==undefined){if(f=Number(f),isNaN(f)||f<i||f>r)throw new RangeError("Value is not a number or outside accepted range");return Math.floor(f)}return u}function ui(){var n=arguments[0],t=arguments[1];return!this||this===i?new i.NumberFormat(n,t):fi(b(this),n,t)}function fi(n,t,i){var f=y(n),it=g(),rt,w,ut,d,a,ft,s,c,nt,et,ot,ht,l,ct,lt,v,p,vt;if(f["[[initializedIntlObject]]"]===!0)throw new TypeError("`this` object has already been initialized as an Intl object");if(r(n,"__getInternalProperties",{value:function(){if(arguments[0]===tt)return f}}),f["[[initializedIntlObject]]"]=!0,rt=st(t),i=i===undefined?{}:b(i),w=new e,ut=h(i,"localeMatcher","string",new o("lookup","best fit"),"best fit"),w["[[localeMatcher]]"]=ut,d=u.NumberFormat["[[localeData]]"],a=ii(u.NumberFormat["[[availableLocales]]"],rt,w,u.NumberFormat["[[relevantExtensionKeys]]"],d),f["[[locale]]"]=a["[[locale]]"],f["[[numberingSystem]]"]=a["[[nu]]"],f["[[dataLocale]]"]=a["[[dataLocale]]"],ft=a["[[dataLocale]]"],s=h(i,"style","string",new o("decimal","percent","currency"),"decimal"),f["[[style]]"]=s,c=h(i,"currency","string"),c!==undefined&&!bi(c))throw new RangeError("'"+c+"' is not a valid currency code");if(s==="currency"&&c===undefined)throw new TypeError("Currency code is required when style is currency");s==="currency"&&(c=c.toUpperCase(),f["[[currency]]"]=c,nt=nr(c));et=h(i,"currencyDisplay","string",new o("code","symbol","name"),"symbol");s==="currency"&&(f["[[currencyDisplay]]"]=et);ot=k(i,"minimumIntegerDigits",1,21,1);f["[[minimumIntegerDigits]]"]=ot;ht=s==="currency"?nt:0;l=k(i,"minimumFractionDigits",0,20,ht);f["[[minimumFractionDigits]]"]=l;ct=s==="currency"?Math.max(l,nt):s==="percent"?Math.max(l,0):Math.max(l,3);lt=k(i,"maximumFractionDigits",l,20,ct);f["[[maximumFractionDigits]]"]=lt;v=i.minimumSignificantDigits;p=i.maximumSignificantDigits;(v!==undefined||p!==undefined)&&(v=k(i,"minimumSignificantDigits",1,21,1),p=k(i,"maximumSignificantDigits",v,21,21),f["[[minimumSignificantDigits]]"]=v,f["[[maximumSignificantDigits]]"]=p);vt=h(i,"useGrouping","boolean",undefined,!0);f["[[useGrouping]]"]=vt;var pt=d[ft],wt=pt.patterns,yt=wt[s];return f["[[positivePattern]]"]=yt.positivePattern,f["[[negativePattern]]"]=yt.negativePattern,f["[[boundFormat]]"]=undefined,f["[[initializedNumberFormat]]"]=!0,at&&(n.format=ei.call(n)),it.exp.test(it.input),n}function nr(n){return dt[n]!==undefined?dt[n]:2}function ei(){var n=this!=null&&typeof this=="object"&&y(this),t,i;if(!n||!n["[[initializedNumberFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.NumberFormat object.");return n["[[boundFormat]]"]===undefined&&(t=function(n){return it(this,Number(n))},i=nt.call(t,this),n["[[boundFormat]]"]=i),n["[[boundFormat]]"]}function it(n,i){var e,rt=g(),r=y(n),st=r["[[dataLocale]]"],ut=r["[[numberingSystem]]"],l=u.NumberFormat["[[localeData]]"][st],h=l.symbols[ut]||l.symbols.latn,b=!1,ft,c,it,w,ot;if(isFinite(i)===!1)isNaN(i)?e=h.nan:(e=h.infinity,i<0&&(b=!0));else if(i<0&&(b=!0,i=-i),r["[[style]]"]==="percent"&&(i*=100),e=t.call(r,"[[minimumSignificantDigits]]")&&t.call(r,"[[maximumSignificantDigits]]")?tr(i,r["[[minimumSignificantDigits]]"],r["[[maximumSignificantDigits]]"]):ir(i,r["[[minimumIntegerDigits]]"],r["[[minimumFractionDigits]]"],r["[[maximumFractionDigits]]"]),ht[ut]?(ft=ht[r["[[numberingSystem]]"]],e=String(e).replace(/\d/g,function(n){return ft[n]})):e=String(e),e=e.replace(/\./g,h.decimal),r["[[useGrouping]]"]===!0){var k=e.split(h.decimal),a=k[0],d=l.patterns.primaryGroupSize||3,nt=l.patterns.secondaryGroupSize||d;if(a.length>d){var p=new o,tt=a.length-d,v=tt%nt,et=a.slice(0,v);for(et.length&&s.call(p,et);v<tt;)s.call(p,a.slice(v,v+nt)),v+=nt;s.call(p,a.slice(tt));k[0]=f.call(p,h.group)}e=f.call(k,h.decimal)}if(c=r[b===!0?"[[negativePattern]]":"[[positivePattern]]"],c=c.replace("{number}",e),r["[[style]]"]==="currency"){w=r["[[currency]]"];ot=l.currencies[w];switch(r["[[currencyDisplay]]"]){case"symbol":it=ot||w;break;default:case"code":case"name":it=w}c=c.replace("{currency}",it)}return rt.exp.test(rt.input),c}function tr(n,t,i){var e=i,r,u,o;if(n===0)r=f.call(Array(e+1),"0"),u=0;else var u=er(Math.abs(n)),s=Math.round(Math.exp(Math.abs(u-e+1)*Math.LN10)),r=String(Math.round(u-e+1<0?n*s:n/s));if(u>=e)return r+f.call(Array(u-e+1+1),"0");if(u===e-1)return r;if(u>=0?r=r.slice(0,u+1)+"."+r.slice(u+1):u<0&&(r="0."+f.call(Array(-(u+1)+1),"0")+r),r.indexOf(".")>=0&&i>t){for(o=i-t;o>0&&r.charAt(r.length-1)==="0";)r=r.slice(0,-1),o--;r.charAt(r.length-1)==="."&&(r=r.slice(0,-1))}return r}function ir(n,t,i,r){var e,u=Number.prototype.toFixed.call(n,r),o=u.split(".")[0].length,h=r-i,c=(e=u.indexOf("e"))>-1?u.slice(e+1):0,s;for(c&&(u=u.slice(0,e).replace(".",""),u+=f.call(Array(c-(u.length-1)+1),"0")+"."+f.call(Array(r+1),"0"),o=u.length);h>0&&u.slice(-1)==="0";)u=u.slice(0,-1),h--;return u.slice(-1)==="."&&(u=u.slice(0,-1)),o<t&&(s=f.call(Array(t-o+1),"0")),(s?s:"")+u}function d(){var n=arguments[0],t=arguments[1];return!this||this===i?new i.DateTimeFormat(n,t):oi(b(this),n,t)}function oi(n,i,f){var s=y(n),ut=g(),et,v,ot,l,ct,k,w,lt;if(s["[[initializedIntlObject]]"]===!0)throw new TypeError("`this` object has already been initialized as an Intl object");r(n,"__getInternalProperties",{value:function(){if(arguments[0]===tt)return s}});s["[[initializedIntlObject]]"]=!0;var vt=st(i),f=rt(f,"any","date"),a=new e;it=h(f,"localeMatcher","string",new o("lookup","best fit"),"best fit");a["[[localeMatcher]]"]=it;var d=u.DateTimeFormat,ft=d["[[localeData]]"],b=ii(d["[[availableLocales]]"],vt,a,d["[[relevantExtensionKeys]]"],ft);if(s["[[locale]]"]=b["[[locale]]"],s["[[calendar]]"]=b["[[ca]]"],s["[[numberingSystem]]"]=b["[[nu]]"],s["[[dataLocale]]"]=b["[[dataLocale]]"],et=b["[[dataLocale]]"],v=f.timeZone,v!==undefined&&(v=li(v),v!=="UTC"))throw new RangeError("timeZone is not supported.");s["[[timeZone]]"]=v;a=new e;for(l in c)t.call(c,l)&&(ot=h(f,l,"string",c[l]),a["[["+l+"]]"]=ot);var p,nt=ft[et],ht=nt.formats,it=h(f,"formatMatcher","string",new o("basic","best fit"),"best fit");p=it==="basic"?rr(a,ht):ur(a,ht);for(l in c)t.call(c,l)&&t.call(p,l)&&(ct=p[l],s["[["+l+"]]"]=ct);return w=h(f,"hour12","boolean"),s["[[hour]]"]?(w=w===undefined?nt.hour12:w,s["[[hour12]]"]=w,w===!0?(lt=nt.hourNo0,s["[[hourNo0]]"]=lt,k=p.pattern12):k=p.pattern):k=p.pattern,s["[[pattern]]"]=k,s["[[boundFormat]]"]=undefined,s["[[initializedDateTimeFormat]]"]=!0,at&&(n.format=hi.call(n)),ut.exp.test(ut.input),n}function rt(n,t,i){var u,f;if(n===undefined)n=null;else{u=b(n);n=new e;for(f in u)n[f]=u[f]}var o=a,n=o(n),r=!0;return(t==="date"||t==="any")&&(n.weekday!==undefined||n.year!==undefined||n.month!==undefined||n.day!==undefined)&&(r=!1),(t==="time"||t==="any")&&(n.hour!==undefined||n.minute!==undefined||n.second!==undefined)&&(r=!1),r&&(i==="date"||i==="all")&&(n.year=n.month=n.day="numeric"),r&&(i==="time"||i==="all")&&(n.hour=n.minute=n.second="numeric"),n}function rr(n,t){return si(n,t)}function si(n,i,r){for(var a=-Infinity,v,l=0,w=i.length,s,u,o,f,e;l<w;){s=i[l];u=0;for(o in c)if(t.call(c,o))if(f=n["[["+o+"]]"],e=t.call(s,o)?s[o]:undefined,f===undefined&&e!==undefined)u-=20;else if(f!==undefined&&e===undefined)u-=120;else{var y=["2-digit","numeric","narrow","short","long"],b=p.call(y,f),k=p.call(y,e),h=Math.max(Math.min(k-b,2),-2);r&&((f==="numeric"||f==="2-digit")&&e!=="numeric"&&e!=="2-digit"||f!=="numeric"&&f!=="2-digit"&&(e==="2-digit"||e==="numeric"))&&(u-=8);h===2?u-=6:h===1?u-=3:h===-1?u-=6:h===-2&&(u-=8)}u>a&&(a=u,v=s);l++}return v}function ur(n,t){return si(n,t,!0)}function hi(){var n=this!=null&&typeof this=="object"&&y(this),t,i;if(!n||!n["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for format() is not an initialized Intl.DateTimeFormat object.");return n["[[boundFormat]]"]===undefined&&(t=function(){var n=Number(arguments.length===0?Date.now():arguments[0]);return ut(this,n)},i=nt.call(t,this),n["[[boundFormat]]"]=i),n["[[boundFormat]]"]}function ut(n,r){var f,b,e,h,o;if(!isFinite(r))throw new RangeError("Invalid valid date passed to format");var s=n.__getInternalProperties(tt),w=g(),v=s["[[locale]]"],k=new i.NumberFormat([v],{useGrouping:!1}),d=new i.NumberFormat([v],{minimumIntegerDigits:2,useGrouping:!1}),l=fr(r,s["[[calendar]]"],s["[[timeZone]]"]),a=s["[[pattern]]"],nt=s["[[dataLocale]]"],y=u.DateTimeFormat["[[localeData]]"][nt].calendars,p=s["[[calendar]]"];for(f in c)if(t.call(s,"[["+f+"]]")){if(h=s["[["+f+"]]"],o=l["[["+f+"]]"],f==="year"&&o<=0?o=1-o:f==="month"?o++:f==="hour"&&s["[[hour12]]"]===!0&&(o=o%12,b=o!==l["[["+f+"]]"],o===0&&s["[[hourNo0]]"]===!0&&(o=12)),h==="numeric")e=it(k,o);else if(h==="2-digit")e=it(d,o),e.length>2&&(e=e.slice(-2));else if(h in vi)switch(f){case"month":e=ct(y,p,"months",h,l["[["+f+"]]"]);break;case"weekday":try{e=ct(y,p,"days",h,l["[["+f+"]]"])}catch(rt){throw new Error("Could not find weekday data for locale "+v);}break;case"timeZoneName":e="";break;default:e=l["[["+f+"]]"]}a=a.replace("{"+f+"}",e)}return s["[[hour12]]"]===!0&&(e=ct(y,p,"dayPeriods",b?"pm":"am"),a=a.replace("{ampm}",e)),w.exp.test(w.input),a}function fr(n,t,i){var r=new Date(n),u="get"+(i||"");return new e({"[[weekday]]":r[u+"Day"](),"[[era]]":+(r[u+"FullYear"]()>=0),"[[year]]":r[u+"FullYear"](),"[[month]]":r[u+"Month"](),"[[day]]":r[u+"Date"](),"[[hour]]":r[u+"Hours"](),"[[minute]]":r[u+"Minutes"](),"[[second]]":r[u+"Seconds"](),"[[inDST]]":!1})}function n(n,t){if(!n.number)throw new Error("Object passed doesn't contain locale data for Intl.NumberFormat");var r,e=[t],f=t.split("-");for(f.length>2&&f[1].length==4&&s.call(e,f[0]+"-"+f[2]);r=ai.call(e);)s.call(u.NumberFormat["[[availableLocales]]"],r),u.NumberFormat["[[localeData]]"][r]=n.number,n.date&&(n.date.nu=n.number.nu,s.call(u.DateTimeFormat["[[availableLocales]]"],r),u.DateTimeFormat["[[localeData]]"][r]=n.date);ft===undefined&&(ft=t);yt||(fi(i.NumberFormat.prototype),yt=!0);n.date&&!pt&&(oi(i.DateTimeFormat.prototype),pt=!0)}function er(n){if(typeof Math.log10=="function")return Math.floor(Math.log10(n));var t=Math.round(Math.log(n)*Math.LOG10E);return t-(Number("1e"+t)>n)}function ci(n){if(!t.call(this,"[[availableLocales]]"))throw new TypeError("supportedLocalesOf() is not a constructor");var i=g(),r=arguments[1],u=this["[[availableLocales]]"],f=st(n);return i.exp.test(i.input),gi(u,f,r)}function ct(n,i,r,u,f){var e=n[i]&&n[i][r]?n[i][r]:n.gregory[r],o={narrow:["short","long"],short:["long","narrow"],long:["short","narrow"]},s=t.call(e,u)?e[u]:t.call(e,o[u][0])?e[o[u][0]]:e[o[u][1]];return f!=null?s[f]:s}function e(n){for(var i in n)(n instanceof e||t.call(n,i))&&r(this,i,{value:n[i],enumerable:!0,writable:!0,configurable:!0})}function o(){r(this,"length",{writable:!0,value:0});arguments.length&&s.apply(this,w.call(arguments))}function g(){for(var i,u=/[.?*+^$[\]\\(){}|-]/g,n=RegExp.lastMatch,l=RegExp.multiline?"m":"",e={input:RegExp.input},h=new o,r=!1,c={},t=1;t<=9;t++)r=(c["$"+t]=RegExp["$"+t])||r;if(n=n.replace(u,"\\$&"),r)for(t=1;t<=9;t++)i=c["$"+t],i?(i=i.replace(u,"\\$&"),n=n.replace(i,"("+i+")")):n="()"+n,s.call(h,n.slice(0,n.indexOf("(")+1)),n=n.slice(n.indexOf("(")+1);return e.exp=new RegExp(f.call(h,"")+n,l),e}function li(n){for(var t=n.length,i;t--;)i=n.charAt(t),i>="a"&&i<="z"&&(n=n.slice(0,t)+i.toUpperCase()+n.slice(t+1));return n}function b(n){if(n==null)throw new TypeError("Cannot convert null or undefined to object");return Object(n)}function y(n){return t.call(n,"__getInternalProperties")?n.__getInternalProperties(tt):a(null)}var i={},lt=function(){try{return!!Object.defineProperty({},"a",{})}catch(n){return!1}}(),at=!lt&&!Object.prototype.__defineGetter__,t=Object.prototype.hasOwnProperty,r=lt?Object.defineProperty:function(n,i,r){"get"in r&&n.__defineGetter__?n.__defineGetter__(i,r.get):(!t.call(n,i)||"value"in r)&&(n[i]=r.value)},p=Array.prototype.indexOf||function(n){var i=this,t,r;if(!i.length)return-1;for(t=arguments[1]||0,r=i.length;t<r;t++)if(i[t]===n)return t;return-1},a=Object.create||function(n,i){function e(){}var f,u;e.prototype=n;f=new e;for(u in i)t.call(i,u)&&r(f,u,i[u]);return f},w=Array.prototype.slice,vt=Array.prototype.concat,s=Array.prototype.push,f=Array.prototype.join,ai=Array.prototype.shift,or=Array.prototype.unshift,nt=Function.prototype.bind||function(n){var t=this,i=w.call(arguments,1);return t.length===1?function(){return t.apply(n,vt.call(i,w.call(arguments)))}:function(){return t.apply(n,vt.call(i,w.call(arguments)))}},ft,u=a(null),tt=Math.random(),vi=a(null,{narrow:{},short:{},long:{}}),yt=!1,pt=!1,yi=/^[A-Z]{3}$/,et=/-u(?:-[0-9a-z]{2,8})+/gi,wt,ot,bt,kt,v={tags:{"art-lojban":"jbo","i-ami":"ami","i-bnn":"bnn","i-hak":"hak","i-klingon":"tlh","i-lux":"lb","i-navajo":"nv","i-pwn":"pwn","i-tao":"tao","i-tay":"tay","i-tsu":"tsu","no-bok":"nb","no-nyn":"nn","sgn-BE-FR":"sfb","sgn-BE-NL":"vgt","sgn-CH-DE":"sgg","zh-guoyu":"cmn","zh-hakka":"hak","zh-min-nan":"nan","zh-xiang":"hsn","sgn-BR":"bzs","sgn-CO":"csn","sgn-DE":"gsg","sgn-DK":"dsl","sgn-ES":"ssp","sgn-FR":"fsl","sgn-GB":"bfi","sgn-GR":"gss","sgn-IE":"isg","sgn-IT":"ise","sgn-JP":"jsl","sgn-MX":"mfs","sgn-NI":"ncs","sgn-NL":"dse","sgn-NO":"nsl","sgn-PT":"psr","sgn-SE":"swl","sgn-US":"ase","sgn-ZA":"sfs","zh-cmn":"cmn","zh-cmn-Hans":"cmn-Hans","zh-cmn-Hant":"cmn-Hant","zh-gan":"gan","zh-wuu":"wuu","zh-yue":"yue"},subtags:{BU:"MM",DD:"DE",FX:"FR",TP:"TL",YD:"YE",ZR:"CD",heploc:"alalc97","in":"id",iw:"he",ji:"yi",jw:"jv",mo:"ro",ayx:"nun",bjd:"drl",ccq:"rki",cjr:"mom",cka:"cmr",cmk:"xch",drh:"khk",drw:"prs",gav:"dev",hrr:"jal",ibi:"opa",kgh:"kml",lcq:"ppr",mst:"mry",myt:"mry",sca:"hle",tie:"ras",tkk:"twm",tlw:"weo",tnf:"prs",ybd:"rki",yma:"lrr"},extLang:{aao:["aao","ar"],abh:["abh","ar"],abv:["abv","ar"],acm:["acm","ar"],acq:["acq","ar"],acw:["acw","ar"],acx:["acx","ar"],acy:["acy","ar"],adf:["adf","ar"],ads:["ads","sgn"],aeb:["aeb","ar"],aec:["aec","ar"],aed:["aed","sgn"],aen:["aen","sgn"],afb:["afb","ar"],afg:["afg","sgn"],ajp:["ajp","ar"],apc:["apc","ar"],apd:["apd","ar"],arb:["arb","ar"],arq:["arq","ar"],ars:["ars","ar"],ary:["ary","ar"],arz:["arz","ar"],ase:["ase","sgn"],asf:["asf","sgn"],asp:["asp","sgn"],asq:["asq","sgn"],asw:["asw","sgn"],auz:["auz","ar"],avl:["avl","ar"],ayh:["ayh","ar"],ayl:["ayl","ar"],ayn:["ayn","ar"],ayp:["ayp","ar"],bbz:["bbz","ar"],bfi:["bfi","sgn"],bfk:["bfk","sgn"],bjn:["bjn","ms"],bog:["bog","sgn"],bqn:["bqn","sgn"],bqy:["bqy","sgn"],btj:["btj","ms"],bve:["bve","ms"],bvl:["bvl","sgn"],bvu:["bvu","ms"],bzs:["bzs","sgn"],cdo:["cdo","zh"],cds:["cds","sgn"],cjy:["cjy","zh"],cmn:["cmn","zh"],coa:["coa","ms"],cpx:["cpx","zh"],csc:["csc","sgn"],csd:["csd","sgn"],cse:["cse","sgn"],csf:["csf","sgn"],csg:["csg","sgn"],csl:["csl","sgn"],csn:["csn","sgn"],csq:["csq","sgn"],csr:["csr","sgn"],czh:["czh","zh"],czo:["czo","zh"],doq:["doq","sgn"],dse:["dse","sgn"],dsl:["dsl","sgn"],dup:["dup","ms"],ecs:["ecs","sgn"],esl:["esl","sgn"],esn:["esn","sgn"],eso:["eso","sgn"],eth:["eth","sgn"],fcs:["fcs","sgn"],fse:["fse","sgn"],fsl:["fsl","sgn"],fss:["fss","sgn"],gan:["gan","zh"],gds:["gds","sgn"],gom:["gom","kok"],gse:["gse","sgn"],gsg:["gsg","sgn"],gsm:["gsm","sgn"],gss:["gss","sgn"],gus:["gus","sgn"],hab:["hab","sgn"],haf:["haf","sgn"],hak:["hak","zh"],hds:["hds","sgn"],hji:["hji","ms"],hks:["hks","sgn"],hos:["hos","sgn"],hps:["hps","sgn"],hsh:["hsh","sgn"],hsl:["hsl","sgn"],hsn:["hsn","zh"],icl:["icl","sgn"],ils:["ils","sgn"],inl:["inl","sgn"],ins:["ins","sgn"],ise:["ise","sgn"],isg:["isg","sgn"],isr:["isr","sgn"],jak:["jak","ms"],jax:["jax","ms"],jcs:["jcs","sgn"],jhs:["jhs","sgn"],jls:["jls","sgn"],jos:["jos","sgn"],jsl:["jsl","sgn"],jus:["jus","sgn"],kgi:["kgi","sgn"],knn:["knn","kok"],kvb:["kvb","ms"],kvk:["kvk","sgn"],kvr:["kvr","ms"],kxd:["kxd","ms"],lbs:["lbs","sgn"],lce:["lce","ms"],lcf:["lcf","ms"],liw:["liw","ms"],lls:["lls","sgn"],lsg:["lsg","sgn"],lsl:["lsl","sgn"],lso:["lso","sgn"],lsp:["lsp","sgn"],lst:["lst","sgn"],lsy:["lsy","sgn"],ltg:["ltg","lv"],lvs:["lvs","lv"],lzh:["lzh","zh"],max:["max","ms"],mdl:["mdl","sgn"],meo:["meo","ms"],mfa:["mfa","ms"],mfb:["mfb","ms"],mfs:["mfs","sgn"],min:["min","ms"],mnp:["mnp","zh"],mqg:["mqg","ms"],mre:["mre","sgn"],msd:["msd","sgn"],msi:["msi","ms"],msr:["msr","sgn"],mui:["mui","ms"],mzc:["mzc","sgn"],mzg:["mzg","sgn"],mzy:["mzy","sgn"],nan:["nan","zh"],nbs:["nbs","sgn"],ncs:["ncs","sgn"],nsi:["nsi","sgn"],nsl:["nsl","sgn"],nsp:["nsp","sgn"],nsr:["nsr","sgn"],nzs:["nzs","sgn"],okl:["okl","sgn"],orn:["orn","ms"],ors:["ors","ms"],pel:["pel","ms"],pga:["pga","ar"],pks:["pks","sgn"],prl:["prl","sgn"],prz:["prz","sgn"],psc:["psc","sgn"],psd:["psd","sgn"],pse:["pse","ms"],psg:["psg","sgn"],psl:["psl","sgn"],pso:["pso","sgn"],psp:["psp","sgn"],psr:["psr","sgn"],pys:["pys","sgn"],rms:["rms","sgn"],rsi:["rsi","sgn"],rsl:["rsl","sgn"],sdl:["sdl","sgn"],sfb:["sfb","sgn"],sfs:["sfs","sgn"],sgg:["sgg","sgn"],sgx:["sgx","sgn"],shu:["shu","ar"],slf:["slf","sgn"],sls:["sls","sgn"],sqk:["sqk","sgn"],sqs:["sqs","sgn"],ssh:["ssh","ar"],ssp:["ssp","sgn"],ssr:["ssr","sgn"],svk:["svk","sgn"],swc:["swc","sw"],swh:["swh","sw"],swl:["swl","sgn"],syy:["syy","sgn"],tmw:["tmw","ms"],tse:["tse","sgn"],tsm:["tsm","sgn"],tsq:["tsq","sgn"],tss:["tss","sgn"],tsy:["tsy","sgn"],tza:["tza","sgn"],ugn:["ugn","sgn"],ugy:["ugy","sgn"],ukl:["ukl","sgn"],uks:["uks","sgn"],urk:["urk","ms"],uzn:["uzn","uz"],uzs:["uzs","uz"],vgt:["vgt","sgn"],vkk:["vkk","ms"],vkt:["vkt","ms"],vsi:["vsi","sgn"],vsl:["vsl","sgn"],vsv:["vsv","sgn"],wuu:["wuu","zh"],xki:["xki","sgn"],xml:["xml","sgn"],xmm:["xmm","ms"],xms:["xms","sgn"],yds:["yds","sgn"],ysl:["ysl","sgn"],yue:["yue","zh"],zib:["zib","sgn"],zlm:["zlm","ms"],zmi:["zmi","ms"],zsl:["zsl","sgn"],zsm:["zsm","ms"]}},dt={BHD:3,BYR:0,XOF:0,BIF:0,XAF:0,CLF:0,CLP:0,KMF:0,DJF:0,XPF:0,GNF:0,ISK:0,IQD:3,JPY:0,JOD:3,KRW:0,KWD:3,LYD:3,OMR:3,PYG:0,RWF:0,TND:3,UGX:0,UYI:0,VUV:0,VND:0},ht,c,l;return function(){var n="(?:[a-z0-9]{5,8}|\\d[a-z0-9]{3})",t="[0-9a-wy-z]",i=t+"(?:-[a-z0-9]{2,8})+",r="x(?:-[a-z0-9]{1,8})+",u="(?:[a-z]{2,3}(?:-[a-z]{3}(?:-[a-z]{3}){0,2})?|[a-z]{4}|[a-z]{5,8})(?:-[a-z]{4})?(?:-(?:[a-z]{2}|\\d{3}))?(?:-"+n+")*(?:-"+i+")*(?:-"+r+")?";wt=RegExp("^(?:"+u+"|"+r+"|(?:(?:en-GB-oed|i-(?:ami|bnn|default|enochian|hak|klingon|lux|mingo|navajo|pwn|tao|tay|tsu)|sgn-(?:BE-FR|BE-NL|CH-DE))|(?:art-lojban|cel-gaulish|no-bok|no-nyn|zh-(?:guoyu|hakka|min|min-nan|xiang))))$","i");bt=RegExp("^(?!x).*?-("+n+")-(?:\\w{4,8}-(?!x-))*\\1\\b","i");kt=RegExp("^(?!x).*?-("+t+")-(?:\\w+-(?!x-))*\\1\\b","i");ot=RegExp("-"+i,"ig")}(),r(i,"NumberFormat",{configurable:!0,writable:!0,value:ui}),r(i.NumberFormat,"prototype",{writable:!1}),u.NumberFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["nu"],"[[localeData]]":{}},r(i.NumberFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:nt.call(ci,u.NumberFormat)}),r(i.NumberFormat.prototype,"format",{configurable:!0,get:ei}),ht={arab:["٠","١","٢","٣","٤","٥","٦","٧","٨","٩"],arabext:["۰","۱","۲","۳","۴","۵","۶","۷","۸","۹"],bali:["᭐","᭑","᭒","᭓","᭔","᭕","᭖","᭗","᭘","᭙"],beng:["০","১","২","৩","৪","৫","৬","৭","৮","৯"],deva:["०","१","२","३","४","५","६","७","८","९"],fullwide:["０","１","２","３","４","５","６","７","８","９"],gujr:["૦","૧","૨","૩","૪","૫","૬","૭","૮","૯"],guru:["੦","੧","੨","੩","੪","੫","੬","੭","੮","੯"],hanidec:["〇","一","二","三","四","五","六","七","八","九"],khmr:["០","១","២","៣","៤","៥","៦","៧","៨","៩"],knda:["೦","೧","೨","೩","೪","೫","೬","೭","೮","೯"],laoo:["໐","໑","໒","໓","໔","໕","໖","໗","໘","໙"],latn:["0","1","2","3","4","5","6","7","8","9"],limb:["᥆","᥇","᥈","᥉","᥊","᥋","᥌","᥍","᥎","᥏"],mlym:["൦","൧","൨","൩","൪","൫","൬","൭","൮","൯"],mong:["᠐","᠑","᠒","᠓","᠔","᠕","᠖","᠗","᠘","᠙"],mymr:["၀","၁","၂","၃","၄","၅","၆","၇","၈","၉"],orya:["୦","୧","୨","୩","୪","୫","୬","୭","୮","୯"],tamldec:["௦","௧","௨","௩","௪","௫","௬","௭","௮","௯"],telu:["౦","౧","౨","౩","౪","౫","౬","౭","౮","౯"],thai:["๐","๑","๒","๓","๔","๕","๖","๗","๘","๙"],tibt:["༠","༡","༢","༣","༤","༥","༦","༧","༨","༩"]},r(i.NumberFormat.prototype,"resolvedOptions",{configurable:!0,writable:!0,value:function(){var u,f=new e,r=["locale","numberingSystem","style","currency","currencyDisplay","minimumIntegerDigits","minimumFractionDigits","maximumFractionDigits","minimumSignificantDigits","maximumSignificantDigits","useGrouping"],i=this!=null&&typeof this=="object"&&y(this),n,o;if(!i||!i["[[initializedNumberFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.NumberFormat object.");for(n=0,o=r.length;n<o;n++)t.call(i,u="[["+r[n]+"]]")&&(f[r[n]]={value:i[u],writable:!0,configurable:!0,enumerable:!0});return a({},f)}}),r(i,"DateTimeFormat",{configurable:!0,writable:!0,value:d}),r(d,"prototype",{writable:!1}),c={weekday:["narrow","short","long"],era:["narrow","short","long"],year:["2-digit","numeric"],month:["2-digit","numeric","narrow","short","long"],day:["2-digit","numeric"],hour:["2-digit","numeric"],minute:["2-digit","numeric"],second:["2-digit","numeric"],timeZoneName:["short","long"]},u.DateTimeFormat={"[[availableLocales]]":[],"[[relevantExtensionKeys]]":["ca","nu"],"[[localeData]]":{}},r(i.DateTimeFormat,"supportedLocalesOf",{configurable:!0,writable:!0,value:nt.call(ci,u.DateTimeFormat)}),r(i.DateTimeFormat.prototype,"format",{configurable:!0,get:hi}),r(i.DateTimeFormat.prototype,"resolvedOptions",{writable:!0,configurable:!0,value:function(){var u,f=new e,r=["locale","calendar","numberingSystem","timeZone","hour12","weekday","era","year","month","day","hour","minute","second","timeZoneName"],i=this!=null&&typeof this=="object"&&y(this),n,o;if(!i||!i["[[initializedDateTimeFormat]]"])throw new TypeError("`this` value for resolvedOptions() is not an initialized Intl.DateTimeFormat object.");for(n=0,o=r.length;n<o;n++)t.call(i,u="[["+r[n]+"]]")&&(f[r[n]]={value:i[u],writable:!0,configurable:!0,enumerable:!0});return a({},f)}}),l=i.__localeSensitiveProtos={Number:{},Date:{}},l.Number.toLocaleString=function(){if(Object.prototype.toString.call(this)!=="[object Number]")throw new TypeError("`this` value must be a number for Number.prototype.toLocaleString()");return it(new ui(arguments[0],arguments[1]),this)},l.Date.toLocaleString=function(){var n;if(Object.prototype.toString.call(this)!=="[object Date]")throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleString()");if(n=+this,isNaN(n))return"Invalid Date";var i=arguments[0],t=arguments[1],t=rt(t,"any","all"),r=new d(i,t);return ut(r,n)},l.Date.toLocaleDateString=function(){var n;if(Object.prototype.toString.call(this)!=="[object Date]")throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleDateString()");if(n=+this,isNaN(n))return"Invalid Date";var i=arguments[0],t=arguments[1],t=rt(t,"date","date"),r=new d(i,t);return ut(r,n)},l.Date.toLocaleTimeString=function(){var n;if(Object.prototype.toString.call(this)!=="[object Date]")throw new TypeError("`this` value must be a Date instance for Date.prototype.toLocaleTimeString()");if(n=+this,isNaN(n))return"Invalid Date";var i=arguments[0],t=arguments[1],t=rt(t,"time","time"),r=new d(i,t);return ut(r,n)},r(i,"__applyLocaleSensitivePrototypes",{writable:!0,configurable:!0,value:function(){r(Number.prototype,"toLocaleString",{writable:!0,configurable:!0,value:l.Number.toLocaleString});for(var n in l.Date)t.call(l.Date,n)&&r(Date.prototype,n,{writable:!0,configurable:!0,value:l.Date[n]})}}),r(i,"__addLocaleData",{value:function(t){if(!gt(t.locale))throw new Error("Object passed doesn't identify itself with a valid language tag");n(t,t.locale)}}),e.prototype=a(null),o.prototype=a(null),function(){var t=["gregory","buddhist","chinese","coptic","ethioaa","ethiopic","generic","hebrew","indian","islamic","japanese","persian","roc","numeric","long","2-digit","{year} {month} {day}, {weekday} {hour}:{minute}:{second}","{year} {month} {day}, {weekday} {hour}:{minute}:{second} {ampm}","{year} {month} {day}, {weekday}","{year} {month} {day}","{year}-{month}-{day}","{year}-{month}","{year} {month}","{month} {day}","{month}-{day}","{hour}:{minute}:{second}","{hour}:{minute}:{second} {ampm}","{hour}:{minute}","{hour}:{minute} {ampm}","BE","M01","M02","M03","M04","M05","M06","M07","M08","M09","M10","M11","M12","Tout","Baba","Hator","Kiahk","Toba","Amshir","Baramhat","Baramouda","Bashans","Paona","Epep","Mesra","Nasie","ERA0","ERA1","Meskerem","Tekemt","Hedar","Tahsas","Ter","Yekatit","Megabit","Miazia","Genbot","Sene","Hamle","Nehasse","Pagumen","Qun","Nah","Cig","Agd","Cax","Qas","Qad","Leq","Way","Dit","Xim","Kax","Qunxa Garablu","Kudo","Ciggilta Kudo","Agda Baxis","Caxah Alsa","Qasa Dirri","Qado Dirri","Leqeeni","Waysu","Diteli","Ximoli","Kaxxa Garablu","Aca","Etl","Tal","Arb","Kam","Gum","Sab","Acaada","Etleeni","Talaata","Arbaqa","Kamiisi","Gumqata","Sabti","Yaasuusuk Duma","Yaasuusuk Wadir","saaku","carra","Tishri","Heshvan","Kislev","Tevet","Shevat","Adar I","Adar","Nisan","Iyar","Sivan","Tamuz","Av","Elul","Adar II","AM","Chaitra","Vaisakha","Jyaistha","Asadha","Sravana","Bhadra","Asvina","Kartika","Agrahayana","Pausa","Magha","Phalguna","Saka","Muh.","Saf.","Rab. I","Rab. II","Jum. I","Jum. II","Raj.","Sha.","Ram.","Shaw.","Dhuʻl-Q.","Dhuʻl-H.","Muharram","Safar","Rabiʻ I","Rabiʻ II","Jumada I","Jumada II","Rajab","Shaʻban","Ramadan","Shawwal","Dhuʻl-Qiʻdah","Dhuʻl-Hijjah","AH","Taika (645-650)","Hakuchi (650-671)","Hakuhō (672-686)","Shuchō (686-701)","Taihō (701-704)","Keiun (704-708)","Wadō (708-715)","Reiki (715-717)","Yōrō (717-724)","Jinki (724-729)","Tempyō (729-749)","Tempyō-kampō (749-749)","Tempyō-shōhō (749-757)","Tempyō-hōji (757-765)","Temphō-jingo (765-767)","Jingo-keiun (767-770)","Hōki (770-780)","Ten-ō (781-782)","Enryaku (782-806)","Daidō (806-810)","Kōnin (810-824)","Tenchō (824-834)","Jōwa (834-848)","Kajō (848-851)","Ninju (851-854)","Saiko (854-857)","Tennan (857-859)","Jōgan (859-877)","Genkei (877-885)","Ninna (885-889)","Kampyō (889-898)","Shōtai (898-901)","Engi (901-923)","Enchō (923-931)","Shōhei (931-938)","Tengyō (938-947)","Tenryaku (947-957)","Tentoku (957-961)","Ōwa (961-964)","Kōhō (964-968)","Anna (968-970)","Tenroku (970-973)","Ten-en (973-976)","Jōgen (976-978)","Tengen (978-983)","Eikan (983-985)","Kanna (985-987)","Ei-en (987-989)","Eiso (989-990)","Shōryaku (990-995)","Chōtoku (995-999)","Chōhō (999-1004)","Kankō (1004-1012)","Chōwa (1012-1017)","Kannin (1017-1021)","Jian (1021-1024)","Manju (1024-1028)","Chōgen (1028-1037)","Chōryaku (1037-1040)","Chōkyū (1040-1044)","Kantoku (1044-1046)","Eishō (1046-1053)","Tengi (1053-1058)","Kōhei (1058-1065)","Jiryaku (1065-1069)","Enkyū (1069-1074)","Shōho (1074-1077)","Shōryaku (1077-1081)","Eiho (1081-1084)","Ōtoku (1084-1087)","Kanji (1087-1094)","Kaho (1094-1096)","Eichō (1096-1097)","Shōtoku (1097-1099)","Kōwa (1099-1104)","Chōji (1104-1106)","Kashō (1106-1108)","Tennin (1108-1110)","Ten-ei (1110-1113)","Eikyū (1113-1118)","Gen-ei (1118-1120)","Hoan (1120-1124)","Tenji (1124-1126)","Daiji (1126-1131)","Tenshō (1131-1132)","Chōshō (1132-1135)","Hoen (1135-1141)","Eiji (1141-1142)","Kōji (1142-1144)","Tenyō (1144-1145)","Kyūan (1145-1151)","Ninpei (1151-1154)","Kyūju (1154-1156)","Hogen (1156-1159)","Heiji (1159-1160)","Eiryaku (1160-1161)","Ōho (1161-1163)","Chōkan (1163-1165)","Eiman (1165-1166)","Nin-an (1166-1169)","Kaō (1169-1171)","Shōan (1171-1175)","Angen (1175-1177)","Jishō (1177-1181)","Yōwa (1181-1182)","Juei (1182-1184)","Genryuku (1184-1185)","Bunji (1185-1190)","Kenkyū (1190-1199)","Shōji (1199-1201)","Kennin (1201-1204)","Genkyū (1204-1206)","Ken-ei (1206-1207)","Shōgen (1207-1211)","Kenryaku (1211-1213)","Kenpō (1213-1219)","Shōkyū (1219-1222)","Jōō (1222-1224)","Gennin (1224-1225)","Karoku (1225-1227)","Antei (1227-1229)","Kanki (1229-1232)","Jōei (1232-1233)","Tempuku (1233-1234)","Bunryaku (1234-1235)","Katei (1235-1238)","Ryakunin (1238-1239)","En-ō (1239-1240)","Ninji (1240-1243)","Kangen (1243-1247)","Hōji (1247-1249)","Kenchō (1249-1256)","Kōgen (1256-1257)","Shōka (1257-1259)","Shōgen (1259-1260)","Bun-ō (1260-1261)","Kōchō (1261-1264)","Bun-ei (1264-1275)","Kenji (1275-1278)","Kōan (1278-1288)","Shōō (1288-1293)","Einin (1293-1299)","Shōan (1299-1302)","Kengen (1302-1303)","Kagen (1303-1306)","Tokuji (1306-1308)","Enkei (1308-1311)","Ōchō (1311-1312)","Shōwa (1312-1317)","Bunpō (1317-1319)","Genō (1319-1321)","Genkyō (1321-1324)","Shōchū (1324-1326)","Kareki (1326-1329)","Gentoku (1329-1331)","Genkō (1331-1334)","Kemmu (1334-1336)","Engen (1336-1340)","Kōkoku (1340-1346)","Shōhei (1346-1370)","Kentoku (1370-1372)","Bunchũ (1372-1375)","Tenju (1375-1379)","Kōryaku (1379-1381)","Kōwa (1381-1384)","Genchũ (1384-1392)","Meitoku (1384-1387)","Kakei (1387-1389)","Kōō (1389-1390)","Meitoku (1390-1394)","Ōei (1394-1428)","Shōchō (1428-1429)","Eikyō (1429-1441)","Kakitsu (1441-1444)","Bun-an (1444-1449)","Hōtoku (1449-1452)","Kyōtoku (1452-1455)","Kōshō (1455-1457)","Chōroku (1457-1460)","Kanshō (1460-1466)","Bunshō (1466-1467)","Ōnin (1467-1469)","Bunmei (1469-1487)","Chōkyō (1487-1489)","Entoku (1489-1492)","Meiō (1492-1501)","Bunki (1501-1504)","Eishō (1504-1521)","Taiei (1521-1528)","Kyōroku (1528-1532)","Tenmon (1532-1555)","Kōji (1555-1558)","Eiroku (1558-1570)","Genki (1570-1573)","Tenshō (1573-1592)","Bunroku (1592-1596)","Keichō (1596-1615)","Genwa (1615-1624)","Kan-ei (1624-1644)","Shōho (1644-1648)","Keian (1648-1652)","Shōō (1652-1655)","Meiryaku (1655-1658)","Manji (1658-1661)","Kanbun (1661-1673)","Enpō (1673-1681)","Tenwa (1681-1684)","Jōkyō (1684-1688)","Genroku (1688-1704)","Hōei (1704-1711)","Shōtoku (1711-1716)","Kyōhō (1716-1736)","Genbun (1736-1741)","Kanpō (1741-1744)","Enkyō (1744-1748)","Kan-en (1748-1751)","Hōryaku (1751-1764)","Meiwa (1764-1772)","An-ei (1772-1781)","Tenmei (1781-1789)","Kansei (1789-1801)","Kyōwa (1801-1804)","Bunka (1804-1818)","Bunsei (1818-1830)","Tenpō (1830-1844)","Kōka (1844-1848)","Kaei (1848-1854)","Ansei (1854-1860)","Man-en (1860-1861)","Bunkyū (1861-1864)","Genji (1864-1865)","Keiō (1865-1868)","M","T","S","H","Bunchū (1372-1375)","Genchū (1384-1392)","Meiji","Taishō","Shōwa","Heisei","Farvardin","Ordibehesht","Khordad","Tir","Mordad","Shahrivar","Mehr","Aban","Azar","Dey","Bahman","Esfand","AP","Before R.O.C.","R.O.C.","latn","{number}","-{number}","{currency}{number}","-{currency}{number}","{number}%","-{number}%",".",",","NaN","%","∞","A$","R$","CA$","CN¥","Fdj","Br","€","£","HK$","₪","₹","JP¥","₩","MX$","NZ$","฿","NT$","US$","₫","FCFA","EC$","CFA","CFPF","Liiqen","Nfk","{weekday}, {day} {month} {year} {hour}:{minute}:{second}","{weekday}, {day} {month} {year} {hour}:{minute}:{second} {ampm}","{weekday}, {day} {month} {year}","{day} {month} {year}","{month}/{day}/{year}","{month}/{year}","{month} {year}","{month}/{day}","J","F","A","O","N","D","Jan","Feb","Mar","Apr","Mei","Jun","Jul","Aug","Sep","Okt","Nov","Des","Januarie","Februarie","Maart","April","Junie","Julie","Augustus","September","Oktober","November","Desember","So.","Ma.","Di.","Wo.","Do.","Vr.","Sa.","So","Ma","Di","Wo","Do","Vr","Sa","Sondag","Maandag","Dinsdag","Woensdag","Donderdag","Vrydag","Saterdag","v.C.","n.C.","vgj","vg","v.g.j.","g.j.","voor Christus","na Christus","vm.","nm.","{currency} {number}","-{currency} {number}"," ","$","R","{weekday} {day} {month} {year} {hour}:{minute}:{second}","{weekday} {day} {month} {year} {hour}:{minute}:{second} {ampm}","{weekday} {day} {month} {year}","{day}/{month}/{year}","{day} {month}","{day}/{month}","nùm","kɨz","tɨd","taa","see","nzu","dum","fɔe","dzu","lɔm","kaa","fwo","ndzɔ̀ŋɔ̀nùm","ndzɔ̀ŋɔ̀kƗ̀zùʔ","ndzɔ̀ŋɔ̀tƗ̀dʉ̀ghà","ndzɔ̀ŋɔ̀tǎafʉ̄ghā","ndzɔ̀ŋèsèe","ndzɔ̀ŋɔ̀nzùghò","ndzɔ̀ŋɔ̀dùmlo","ndzɔ̀ŋɔ̀kwîfɔ̀e","ndzɔ̀ŋɔ̀tƗ̀fʉ̀ghàdzughù","ndzɔ̀ŋɔ̀ghǔuwelɔ̀m","ndzɔ̀ŋɔ̀chwaʔàkaa wo","ndzɔ̀ŋèfwòo","nts","kpa","ghɔ","tɔm","ume","ghɨ","dzk","tsuʔntsɨ","tsuʔukpà","tsuʔughɔe","tsuʔutɔ̀mlò","tsuʔumè","tsuʔughɨ̂m","tsuʔndzɨkɔʔɔ","SK","BK","Sěe Kɨ̀lesto","Bǎa Kɨ̀lesto","a.g","a.k","{number}{currency}","-{number}{currency}","{weekday}, {month} {day}, {year} {hour}:{minute}:{second}","{weekday}, {month} {day}, {year} {hour}:{minute}:{second} {ampm}","{weekday}, {month} {day}, {year}","{year}/{month}/{day}","S-Ɔ","K-Ɔ","E-Ɔ","E-O","E-K","O-A","A-K","D-Ɔ","F-Ɛ","Ɔ-A","Ɔ-O","M-Ɔ","Sanda-Ɔpɛpɔn","Kwakwar-Ɔgyefuo","Ebɔw-Ɔbenem","Ebɔbira-Oforisuo","Esusow Aketseaba-Kɔtɔnimba","Obirade-Ayɛwohomumu","Ayɛwoho-Kitawonsa","Difuu-Ɔsandaa","Fankwa-Ɛbɔ","Ɔbɛsɛ-Ahinime","Ɔberɛfɛw-Obubuo","Mumu-Ɔpɛnimba","Kwe","Dwo","Ben","Wuk","Yaw","Fia","Mem","Kwesida","Dwowda","Benada","Wukuda","Yawda","Fida","Memeneda","AK","KE","Ansa Kristo","Kristo Ekyiri","AN","EW","GH₵","{weekday}፣ {month} {day} {year} {hour}:{minute}:{second}","{weekday}፣ {month} {day} {year} {hour}:{minute}:{second} {ampm}","{weekday}፣ {month} {day} {year}","ዓ/ዓ","ዓ/ም","1","2","3","4","5","6","7","8","9","10","11","12","13","መስከ","ጥቅም","ኅዳር","ታኅሣ","ጥር","የካቲ","መጋቢ","ሚያዝ","ግንቦ","ሰኔ","ሐምሌ","ነሐሴ","ጳጉሜ","መስከረም","ጥቅምት","ታኅሣሥ","የካቲት","መጋቢት","ሚያዝያ","ግንቦት","ጳጉሜን","ጃ","ፌ","ማ","ኤ","ሜ","ጁ","ኦ","ሴ","ኖ","ዲ","ጃንዩ","ፌብሩ","ማርች","ኤፕሪ","ሜይ","ጁን","ጁላይ","ኦገስ","ሴፕቴ","ኦክተ","ኖቬም","ዲሴም","ጃንዩወሪ","ፌብሩወሪ","ኤፕሪል","ኦገስት","ሴፕቴምበር","ኦክተውበር","ኖቬምበር","ዲሴምበር","እ","ሰ","ረ","ሐ","ዓ","ቅ","እሑድ","ሰኞ","ማክሰ","ረቡዕ","ሐሙስ","ዓርብ","ቅዳሜ","ማክሰኞ","ዓመተ ዓለም","ዓመተ ምሕረት","ጥዋት","ከሰዓት","ሙሀረም","ሳፈር","ረቢዑል አወል","ረቢዑል አኺር","ጀማደል አወል","ጀማደል አኺር","ረጀብ","ሻእባን","ረመዳን","ሸዋል","ዙልቂዳህ","ዙልሂጃህ","AU$","ብር","{weekday}، {day} {month}، {year} {hour}:{minute}:{second}","{weekday}، {day} {month}، {year} {hour}:{minute}:{second} {ampm}","{weekday}، {day} {month}، {year}","{day} {month}، {year}","{day}‏/{month}‏/{year}","{month}‏/{year}","{day}/‏{month}","التقويم البوذي","توت","بابه","هاتور","كيهك","طوبة","أمشير","برمهات","برمودة","بشنس","بؤونة","أبيب","مسرى","نسيئ","مسكريم","تكمت","هدار","تهساس","تر","يكتت","مجابيت","ميازيا","جنبت","سين","هامل","نهاس","باجمن","ي","ف","م","أ","و","ن","ل","غ","س","ك","ب","د","يناير","فبراير","مارس","أبريل","مايو","يونيو","يوليو","أغسطس","سبتمبر","أكتوبر","نوفمبر","ديسمبر","الأحد","الاثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت","ق.م","قبل الميلاد","ميلادي","ص","تشري","مرحشوان","كيسلو","طيفت","شباط","آذار الأول","آذار","نيسان","أيار","سيفان","تموز","آب","أيلول","آذار الثاني","١","٢","٣","٤","٥","٦","٧","٨","٩","١٠","١١","١٢","محرم","صفر","ربيع الأول","ربيع الآخر","جمادى الأولى","جمادى الآخرة","رجب","شعبان","رمضان","شوال","ذو القعدة","ذو الحجة","هـ","تيكا","هاكتشي","هاكهو","شتشو","تيهو","كيين","وادو","رييكي","يورو","جينكي","تمبيو","تمبيو-كامبو","تمبيو-شوهو","تمبيو-هوجي","تمفو-جينجو","جينجو-كيين","هوكي","تن-أو","إنرياكو","ديدو","كونين","تنتشو","شووا (٨٣٤–٨٤٨)‏","كاجو","نينجو","سيكو","تنان","جوجان","جينكيي","نينا","كامبيو","شوتاي","انجي","انتشو","شوهيي","تنجيو","تنرياكو","تنتوكو","أووا","كوهو","آنا","تينروكو","تن-نن","جوجن","تنجن","إيكان","كانا","اي-ان","ايسو","شورياكو (٩٩٠–٩٩٥)‏","تشوتوكو","تشوهو","كانكو","تشووا","كانين","جاين","مانجو","تشوجين","تشورياكو","تشوكيو (١٠٤٠–١٠٤٤)‏","كانتوكو","ايشو (١٠٤٦–١٠٥٣)‏","تينجي","كوهيي","جيرياكو","انكيو (١٠٦٩–١٠٧٤)‏","شوهو (١٠٧٤–١٠٧٧)‏","شورياكو (١٠٧٧–١٠٨١)‏","ايهو","أوتوكو","كانجي","كاهو","ايتشو","شوتوكو","كووا (١٠٩٩–١١٠٤)‏","تشوجي","كاشو","تنين","تن-اي","ايكيو (١١١٣–١١١٨)‏","جن-اي","هوان","تنجي","ديجي","تنشو (١١٣١–١١٣٢)‏","تشوشو","هوين","ايجي","كوجي (١١٤٢–١١٤٤)‏","تنيو","كيوان","نينبيي","كيوجو","هجين","هيجي","ايرياكو","أوهو","تشوكان","ايمان","نين-ان","كاو","شون","أنجين","جيشو","يووا","جيي","جنريوكو","بنجي","كنكيو","شوجي","كنين","جنكيو (١٢٠٤–١٢٠٦)‏","كن-اي","شوجن (١٢٠٧–١٢١١)‏","كنرياكو","كنبو (١٢١٣–١٢١٩)‏","شوكيو","جو","جيننين","كروكو","أنتيي","كنكي","جويي","تمبكو","بنرياكو","كاتيي","رياكنين","ان-أو","نينجي","كنجين","هوجي","كنتشو","كوجن","شوكا","شوجن (١٢٥٩–١٢٦٠)‏","بن-أو","كوتشو","بن-اي","كنجي","كوان","شوو (١٢٨٨–١٢٩٣)‏","اينين","شوان","كنجن","كجن","توكجي","انكي","أوتشو","شووا (١٣١٢–١٣١٧)‏","بنبو","جنو","جنكيو (١٣٢١–١٣٢٤)‏","شوتشو (١٣٢٤–١٣٢٦)‏","كريكي","جنتكو","جنكو","كمو","إنجن","كوككو","شوهي","كنتكو","بنتشو","تنجو","كورياكو","كووا (١٣٨١–١٣٨٤)‏","جنتشو","مييتكو (١٣٨٤–١٣٨٧)‏","كاكي","كو","مييتكو (١٣٩٠–١٣٩٤)‏","أويي","شوتشو (١٤٢٨–١٤٢٩)‏","ايكيو (١٤٢٩–١٤٤١)‏","ككيتسو","بن-أن","هوتكو","كيوتكو","كوشو","تشوركو","كنشو","بنشو","أونين","بنمي","تشوكيو (١٤٨٧–١٤٨٩)‏","انتكو","ميو","بنكي","ايشو (١٥٠٤–١٥٢١)‏","تييي","كيوركو","تنمن","كوجي (١٥٥٥–١٥٥٨)‏","ايركو","جنكي","تنشو (١٥٧٣–١٥٩٢)‏","بنركو","كيتشو","جنوا","كان-اي","شوهو (١٦٤٤–١٦٤٨)‏","كيان","شوو (١٦٥٢–١٦٥٥)‏","ميرياكو","منجي","كنبن","انبو","تنوا","جوكيو","جنركو","هويي","شوتكو","كيوهو","جنبن","كنبو (١٧٤١–١٧٤٤)‏","انكيو (١٧٤٤–١٧٤٨)‏","كان-ان","هورياكو","مييوا","ان-اي","تنمي","كنسي","كيووا","بنكا","بنسي","تنبو","كوكا","كاي","أنسي","من-ان","بنكيو","جنجي","كيو","ميجي","تيشو","شووا","هيسي","فرفردن","أذربيهشت","خرداد","تار","مرداد","شهرفار","مهر","آيان","آذر","دي","بهمن","اسفندار","ه‍.ش","جمهورية الصي","arab","٫","٬","ليس رقم","٪","د.إ.‏","د.ب.‏","ي.ص","د.ج.‏","ج.م.‏","ر.ه.‏","د.ع.‏","د.أ.‏","ف.ج.ق.‏","د.ك.‏","ل.ل.‏","د.ل.‏","د.م.‏","أ.م.‏","ر.ع.‏","ر.ق.‏","ر.س.‏","د.س.‏","ج.س.","ج.ج.س.","ل.س.‏","د.ت.‏","***","ر.ي.‏","{year}/{month}","ج","جانفي","فيفري","أفريل","ماي","جوان","جويلية","أوت","ش","آ","ح","ت","كانون الثاني","حزيران","تشرین الأول","تشرين الثاني","كانون الأول","تشرين الأول","يوليوز","غشت","شتنبر","نونبر","دجنبر","إ","إبريل","أغشت","شتمبر","دجمبر","GB£","জানু","ফেব্ৰু","মাৰ্চ","এপ্ৰিল","মে","জুন","জুলাই","আগ","সেপ্ট","অক্টো","নভে","ডিসে","জানুৱাৰী","ফেব্ৰুৱাৰী","আগষ্ট","ছেপ্তেম্বৰ","অক্টোবৰ","নৱেম্বৰ","ডিচেম্বৰ","ৰবি","সোম","মঙ্গল","বুধ","বৃহষ্পতি","শুক্ৰ","শনি","দেওবাৰ","সোমবাৰ","মঙ্গলবাৰ","বুধবাৰ","বৃহষ্পতিবাৰ","শুক্ৰবাৰ","শনিবাৰ","BCE","CE","পূৰ্বাহ্ণ","অপৰাহ্ণ","beng","Mac","Ago","Dec","Januari","Februari","Machi","Aprili","Juni","Julai","Agosti","Septemba","Oktoba","Novemba","Desemba","Jpi","Jtt","Jnn","Jtn","Alh","Ijm","Jmo","Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi","KM","BM","Kabla yakwe Yethu","Baada yakwe Yethu","icheheavo","ichamthi","{number} {currency}","-{number} {currency}","TSh","X","P","xin","feb","mar","abr","may","xun","xnt","ago","set","och","pay","avi","de xineru","de febreru","de marzu","d'abril","de mayu","de xunu","de xunetu","d'agostu","de setiembre","d'ochobre","de payares","d'avientu","do","ll","ma","mi","xu","vi","sa","dom","llu","mie","xue","vie","sab","domingu","llunes","martes","miércoles","xueves","vienres","sábadu","a.C.","d.C.","PM","¥","{day} {month} {year}, {weekday} {hour}:{minute}:{second}","{day} {month} {year}, {weekday} {hour}:{minute}:{second} {ampm}","{day} {month} {year}, {weekday}","{day}.{month}.{year}","{month}.{year}","{day}.{month}","yan","fev","apr","iyn","iyl","avq","sen","okt","noy","dek","yanvar","fevral","mart","aprel","iyun","iyul","avqust","sentyabr","oktyabr","noyabr","dekabr","B.","B.E.","Ç.A.","Ç.","C.A.","C","Ş.","bazar","bazar ertəsi","çərşənbə axşamı","çərşənbə","cümə axşamı","cümə","şənbə","e.ə.","b.e.","eramızdan əvvəl","bizim eramızın","man.","{weekday}, {day}, {month}, {year} {hour}:{minute}:{second}","{weekday}, {day}, {month}, {year} {hour}:{minute}:{second} {ampm}","{weekday}, {day}, {month}, {year}","{day} {month}, {year}","{month}, {year}","јанвар","феврал","март","апрел","май","ијун","ијул","август","сентјабр","октјабр","нојабр","декабр","базар","базар ертәси","чәршәнбә ахшамы","чәршәнбә","ҹүмә ахшамы","ҹүмә","шәнбә","ман.","kɔn","mac","mat","mto","mpu","hil","nje","hik","dip","bio","liɓ","Kɔndɔŋ","Màcɛ̂l","Màtùmb","Màtop","M̀puyɛ","Hìlòndɛ̀","Njèbà","Hìkaŋ","Dìpɔ̀s","Bìòôm","Màyɛsèp","Lìbuy li ńyèe","nɔy","nja","uum","ŋge","mbɔ","kɔɔ","jon","ŋgwà nɔ̂y","ŋgwà njaŋgumba","ŋgwà ûm","ŋgwà ŋgê","ŋgwà mbɔk","ŋgwà kɔɔ","ŋgwà jôn","b.Y.K","m.Y.K","bisū bi Yesù Krǐstò","i mbūs Yesù Krǐstò","I bikɛ̂glà","I ɓugajɔp","{number} %","-{number} %","{weekday}, {day} {month} {year} {hour}.{minute}.{second}","{weekday}, {day} {month} {year} {hour}.{minute}.{second} {ampm}","{hour}.{minute}.{second}","{hour}.{minute}.{second} {ampm}","{hour}.{minute}","{hour}.{minute} {ampm}","с","л","к","м","ч","ж","в","сту","лют","сак","кра","мая","чэр","ліп","жні","вер","кас","ліс","сне","студзеня","лютага","сакавіка","красавіка","чэрвеня","ліпеня","жніўня","верасня","кастрычніка","лістапада","снежня","нд","пн","аў","ср","чц","пт","сб","нядзеля","панядзелак","аўторак","серада","чацвер","пятніца","субота","да н.э.","н.э.","да палудня","пасля палудня","р.","рас. руб.","Epr","Oga","Dis","Epreo","Ogasti","Disemba","Pa Mulungu","Palichimo","Palichibuli","Palichitatu","Palichine","Palichisano","Pachibelushi","BC","AD","Before Yesu","After Yesu","uluchelo","akasuba","K","Hut","Vil","Dat","Tai","Han","Sit","Nan","Tis","Kum","Kmj","Kmb","pa mwedzi gwa hutala","pa mwedzi gwa wuvili","pa mwedzi gwa wudatu","pa mwedzi gwa wutai","pa mwedzi gwa wuhanu","pa mwedzi gwa sita","pa mwedzi gwa saba","pa mwedzi gwa nane","pa mwedzi gwa tisa","pa mwedzi gwa kumi","pa mwedzi gwa kumi na moja","pa mwedzi gwa kumi na mbili","Mul","Hiv","Hid","Hit","Hih","Lem","pa mulungu","pa shahuviluha","pa hivili","pa hidatu","pa hitayi","pa hihanu","pa shahulembela","Kabla ya Mtwaa","Baada ya Mtwaa","pamilau","pamunyi","{weekday}, {day} {month} {year} г., {hour}:{minute}:{second}","{weekday}, {day} {month} {year} г., {hour}:{minute}:{second} {ampm}","я","ф","а","ю","о","н","д","ян.","февр.","апр.","юни","юли","авг.","септ.","окт.","ноем.","дек.","януари","февруари","април","септември","октомври","ноември","декември","вт","чт","неделя","понеделник","вторник","сряда","четвъртък","петък","събота","сл.н.е.","пр.Хр.","сл.Хр.","пр.н.е.","от н.е.","пр.об.","сл.об.","тишри","хешван","кислев","тебет","шебат","адар I","адар","нисан","иар","сиван","тамуз","ав","елул","адар II","чайтра","вайсакха","джаинтха","асадха","сравана","бхада","азвина","картика","аграхайана","пауза","магха","пхалгуна","мухарам","сафар","раби-1","раби-2","джумада-1","джумада-2","раджаб","шабан","рамазан","Шавал","Дхул-Каада","Дхул-хиджа","лв.","руб.","щ.д.","zan","awi","mɛ","zuw","zul","uti","sɛt","ɔku","now","des","zanwuye","feburuye","marisi","awirili","zuwɛn","zuluye","sɛtanburu","ɔkutɔburu","nowanburu","desanburu","kar","ntɛ","tar","ara","ala","jum","sib","kari","ntɛnɛ","tarata","araba","alamisa","juma","sibiri","J.-C. ɲɛ","ni J.-C.","jezu krisiti ɲɛ","jezu krisiti minkɛ","{weekday}, {day} {month}, {year} {hour}:{minute}:{second}","{weekday}, {day} {month}, {year} {hour}:{minute}:{second} {ampm}","{weekday}, {day} {month}, {year}","জা","ফে","মা","এ","জু","আ","সে","অ","ন","ডি","জানুয়ারী","ফেব্রুয়ারী","মার্চ","এপ্রিল","আগস্ট","সেপ্টেম্বর","অক্টোবর","নভেম্বর","ডিসেম্বর","রঃ","সোঃ","মঃ","বুঃ","বৃঃ","শুঃ","শোঃ","রবি","বৃহস্পতি","শুক্র","রবিবার","সোমবার","মঙ্গলবার","বুধবার","বৃহষ্পতিবার","শুক্রবার","শনিবার","খ্রিস্টপূর্ব","খৃষ্টাব্দ","পূর্বাহ্ণ","অপরাহ্ণ","চৈত্র","বৈশাখ","জৈষ্ঠ্য","আষাঢ়","শ্রাবণ","ভাদ্র","আশ্বিন","কার্তিক","অগ্রহায়ণ","পৌষ","মাঘ","ফাল্গুন","সাল","মহররম","সফর","রবিউল আউয়াল","রবিউস সানি","জমাদিউল আউয়াল","জমাদিউস সানি","রজব","শা'বান","রমজান","শাওয়াল","জ্বিলকদ","জ্বিলহজ্জ","যুগ","({number}{currency})","সংখ্যা না","৳","{year} ལོ་འི་{month}ཙེས་{day}","ཟླ་༡","ཟླ་༢","ཟླ་༣","ཟླ་༤","ཟླ་༥","ཟླ་༦","ཟླ་༧","ཟླ་༨","ཟླ་༩","ཟླ་༡༠","ཟླ་༡༡","ཟླ་༡༢","ཟླ་བ་དང་པོ་","ཟླ་བ་གཉིས་པ་","ཟླ་བ་སུམ་པ་","ཟླ་བ་བཞི་པ་","ཟླ་བ་ལྔ་པ་","ཟླ་བ་དྲུག་པ་","ཟླ་བ་བདུན་པ་","ཟླ་བ་བརྒྱད་པ་","ཟླ་བ་དགུ་པ་","ཟླ་བ་བཅུ་པ་","ཟླ་བ་བཅུ་གཅིག་པ་","ཟླ་བ་བཅུ་གཉིས་པ་","ཉི་མ་","ཟླ་བ་","མིག་དམར་","ཧླག་པ་","ཕུར་བུ་","སངས་","སྤེན་པ་","གཟའ་ཉི་མ་","གཟའ་ཟླ་བ་","གཟའ་མིག་དམར་","གཟའ་ཧླག་པ་","གཟའ་ཕུར་བུ་","གཟའ་སངས་","གཟའ་སྤེན་པ་","སྤྱི་ལོ་སྔོན།","སྤྱི་ལོ།","སྔ་དྲོ་","ཕྱི་དྲོ་","ཨང་མེན་","Gen","Cʼhwe","Meur","Ebr","Mae","Mezh","Goue","Eost","Gwen","Here","Du","Ker","Genver","Cʼhwevrer","Meurzh","Ebrel","Mezheven","Gouere","Gwengolo","Kerzu","sul","lun","meu.","mer.","yaou","gwe.","sad.","Sul","Lun","Mercʼher","Yaou","Gwener","Sadorn","{day}-{month}","जानुवारी","फेब्रुवारी","मार्स","एफ्रिल","मे","जुन","जुलाइ","आगस्थ","सेबथेज्ब़र","अखथबर","नबेज्ब़र","दिसेज्ब़र","रबि","सम","मंगल","बुद","बिसथि","सुखुर","सुनि","रबिबार","समबार","मंगलबार","बुदबार","बिसथिबार","सुखुरबार","सुनिबार","ईसा.पूर्व","सन","फुं","बेलासे","बैसागो/बैसाग","जेथो","आसार","सावुन","भाद्र","आसिन","खाथि","आगाह्न","फुस","मागो","फागुन","सैथो","{weekday}, {day}. {month} {year}. {hour}:{minute}:{second}","{weekday}, {day}. {month} {year}. {hour}:{minute}:{second} {ampm}","{weekday}, {day}. {month} {year}","{day}. {month} {year}","{day}. {month}","jan","maj","jun","jul","avg","sep","nov","dec","januar","februar","april","juni","juli","avgust","septembar","oktobar","novembar","decembar","ned","pon","uto","sri","čet","pet","sub","nedjelja","ponedjeljak","utorak","srijeda","četvrtak","petak","subota","p. n. e.","n. e","Pre nove ere","Nove ere","pre podne","popodne","muh.","saf.","rab. i","rab. ii","džum. i","džum. ii","redž.","ša.","ram.","še.","zul-k.","zul-h.","muharem","safer","rabiʻ i","rabiʻ ii","džumade i","džumade ii","redžeb","šaʻban","ramazan","ševal","zul-kade","zul-hidže","Kč","zl","din.","БЕ","Таут","Баба","Хатор","Киахк","Тоба","Амшир","Барамхат","Барамуда","Башанс","Паона","Епеп","Месра","Наси","Мескерем","Текемт","Хедар","Тахсас","Тер","Јекатит","Мегабит","Миазиа","Генбот","Сене","Хамле","Нехасе","Пагумен","јан","феб","мар","апр","мај","јун","јул","авг","сеп","окт","нов","дец","јануар","фебруар","јуни","јули","септембар","октобар","новембар","децембар","нед","пон","уто","сри","чет","пет","суб","недеља","понедељак","уторак","сриједа","четвртак","петак","п.н.е.","н.е.","п. н. е.","н. е.","Пре нове ере","Нове ере","пре подне","поподне","Тишри","Хешван","Кислев","Тевет","Шеват","Адар I","Адар","Нисан","Ијар","Сиван","Тамуз","Ав","Елул","Адар II","Чаитра","Ваисака","Јиаиста","Асада","Сравана","Бадра","Асвина","Картика","Аргајана","Пауза","Мага","Фалгуна","САКА","Мух.","Саф.","Реб. 1","Реб 2","Џум. 1","Џум. 2","Реџ.","Ша.","Рам.","Ше.","Зул-к.","Зул-х.","Мурахам","Сафар","Рабиʻ I","Рабиʻ II","Јумада I","Јумада II","Рађаб","Шаʻбан","Рамадан","Дуʻл-Киʻда","Дуʻл-хиђа","АХ","Таика (645-650)","Хакучи (650-671)","Хакухо (672-686)","Шучо (686-701)","Таихо (701-704)","Кеиун (704-708)","Вадо (708-715)","Реики (715-717)","Јоро (717-724)","Јинки (724-729)","Темпио (729-749)","Темпио-кампо (749-749)","Темпио-шохо (749-757)","Темпио-хођи (757-765)","Темпо-ђинго (765-767)","Ђинго-кеиун (767-770)","Хоки (770-780)","Тен-о (781-782)","Енрјаку (782-806)","Даидо (806-810)","Конин (810-824)","Тенчо (824-834)","Шова (834-848)","Кајо (848-851)","Нињу (851-854)","Саико (854-857)","Тенан (857-859)","Јоган (859-877)","Генкеи (877-885)","Ниња (885-889)","Кампјо (889-898)","Шотаи (898-901)","Енђи (901-923)","Енчо (923-931)","Шохеи (931-938)","Тенгјо (938-947)","Тенриаку (947-957)","Тентоку (957-961)","Ова (961-964)","Кохо (964-968)","Ана (968-970)","Тенроку (970-973)","Тен-ен (973-976)","Јоген (976-978)","Тенген (978-983)","Еикан (983-985)","Кана (985-987)","Еи-ен (987-989)","Еисо (989-990)","Шорјаку (990-995)","Чотоку (995-999)","Чохо (999-1004)","Канко (1004-1012)","Чова (1012-1017)","Канин (1017-1021)","Ђиан (1021-1024)","Мању (1024-1028)","Чоген (1028-1037)","Чорјаку (1037-1040)","Чокју (1040-1044)","Кантоку (1044-1046)","Еишо (1046-1053)","Тенђи (1053-1058)","Кохеи (1058-1065)","Ђирјаку (1065-1069)","Енкју (1069-1074)","Шохо (1074-1077)","Шорјаку (1077-1081)","Еишо (1081-1084)","Отоку (1084-1087)","Канђи (1087-1094)","Кахо (1094-1096)","Еичо (1096-1097)","Шотоку (1097-1099)","Кова (1099-1104)","Чођи (1104-1106)","Кашо (1106-1108)","Тенин (1108-1110)","Тен-еи (1110-1113)","Еикју (1113-1118)","Ђен-еи (1118-1120)","Хоан (1120-1124)","Тенђи (1124-1126)","Даиђи (1126-1131)","Теншо (1131-1132)","Чошао (1132-1135)","Хоен (1135-1141)","Еиђи (1141-1142)","Кођи (1142-1144)","Тењо (1144-1145)","Кјуан (1145-1151)","Нинпеи (1151-1154)","Кјују (1154-1156)","Хоген (1156-1159)","Хеиђи (1159-1160)","Еирјаку (1160-1161)","Охо (1161-1163)","Чокан (1163-1165)","Еиман (1165-1166)","Нин-ан (1166-1169)","Као (1169-1171)","Шоан (1171-1175)","Анген (1175-1177)","Ђишо (1177-1181)","Јова (1181-1182)","Ђуеи (1182-1184)","Генрјуку (1184-1185)","Бунђи (1185-1190)","Кенкју (1190-1199)","Шођи (1199-1201)","Кенин (1201-1204)","Генкју (1204-1206)","Кен-еи (1206-1207)","Шоген (1207-1211)","Кенрјаку (1211-1213)","Кенпо (1213-1219)","Шокју (1219-1222)","Ђу (1222-1224)","Ђенин (1224-1225)","Кароку (1225-1227)","Антеи (1227-1229)","Канки (1229-1232)","Ђоеи (1232-1233)","Темпуку (1233-1234)","Бунрјаку (1234-1235)","Катеи (1235-1238)","Рјакунин (1238-1239)","Ен-о (1239-1240)","Нињи (1240-1243)","Канген (1243-1247)","Хођи (1247-1249)","Кенчо (1249-1256)","Коген (1256-1257)","Шока (1257-1259)","Шоген (1259-1260)","Бун-о (1260-1261)","Кочо (1261-1264)","Бун-еи (1264-1275)","Кенђи (1275-1278)","Коан (1278-1288)","Шу (1288-1293)","Еинин (1293-1299)","Шоан (1299-1302)","Кенген (1302-1303)","Каген (1303-1306)","Токуђи (1306-1308)","Енкеи (1308-1311)","Очо (1311-1312)","Шова (1312-1317)","Бунпо (1317-1319)","Ђено (1319-1321)","Ђенкјо (1321-1324)","Шочу (1324-1326)","Кареки (1326-1329)","Гентоку (1329-1331)","Генко (1331-1334)","Кему (1334-1336)","Енген (1336-1340)","Кококу (1340-1346)","Шохеи (1346-1370)","Кентоку (1370-1372)","Бучу (1372-1375)","Тењу (1375-1379)","Корјаку (1379-1381)","Кова (1381-1384)","Генчу (1384-1392)","Меитоку (1384-1387)","Какеи (1387-1389)","Ку (1389-1390)","Меитоку (1390-1394)","Оеи (1394-1428)","Шочо (1428-1429)","Еикјо (1429-1441)","Какитсу (1441-1444)","Бун-ан (1444-1449)","Хотоку (1449-1452)","Кјотоку (1452-1455)","Кошо (1455-1457)","Чороку (1457-1460)","Каншо (1460-1466)","Буншо (1466-1467)","Онин (1467-1469)","Бунмеи (1469-1487)","Чокјо (1487-1489)","Ентоку (1489-1492)","Меио (1492-1501)","Бунки (1501-1504)","Еишо (1504-1521)","Таиеи (1521-1528)","Кјороку (1528-1532)","Тенмон (1532-1555)","Кођи (1555-1558)","Еироку (1558-1570)","Генки (1570-1573)","Теншо (1573-1592)","Бунроку (1592-1596)","Кеичо (1596-1615)","Генва (1615-1624)","Кан-еи (1624-1644)","Шохо (1644-1648)","Кеиан (1648-1652)","Шу (1652-1655)","Меирјаку (1655-1658)","Мањи (1658-1661)","Канбун (1661-1673)","Енпо (1673-1681)","Тенва (1681-1684)","Јокјо (1684-1688)","Генроку (1688-1704)","Хоеи (1704-1711)","Шотоку (1711-1716)","Кјохо (1716-1736)","Генбун (1736-1741)","Канпо (1741-1744)","Енкјо (1744-1748)","Кан-ен (1748-1751)","Хорјаку (1751-1764)","Меива (1764-1772)","Ан-еи (1772-1781)","Тенмеи (1781-1789)","Кансеи (1789-1801)","Кјова (1801-1804)","Бунка (1804-1818)","Бунсеи (1818-1830)","Тенпо (1830-1844)","Кока (1844-1848)","Каеи (1848-1854)","Ансеи (1854-1860)","Ман-ен (1860-1861)","Бункју (1861-1864)","Генђи (1864-1865)","Кеико (1865-1868)","Меиђи","Таишо","Шова","Хаисеи","Фаравадин","Ордибехешт","Кордад","Тир","Мордад","Шахривар","Мехр","Абан","Азар","Деј","Бахман","Есфанд","АП","Пре РК","РК","КМ","Кч","зл","дин.","Тл","ልደት","ካብኽ","ክብላ","ፋጅኺ","ክቢቅ","ም/ት","ኰር","ማርያ","ያኸኒ","መተሉ","ም/ም","ተሕሳ","ልደትሪ","ካብኽብቲ","ፋጅኺሪ","ክቢቅሪ","ምኪኤል ትጟኒሪ","ኰርኩ","ማርያም ትሪ","ያኸኒ መሳቅለሪ","ምኪኤል መሽወሪ","ተሕሳስሪ","ሰ/ቅ","ሰኑ","ሰሊጝ","ለጓ","ኣምድ","ኣርብ","ሰ/ሽ","ሰንበር ቅዳዅ","ለጓ ወሪ ለብዋ","ሰንበር ሽጓዅ","ይጅ","ኣድ","ፋዱስ ጃብ","ፋዱስ ደምቢ","eB","GN","FB","MÇ","AB","MG","JN","JL","AG","ST","OC","NV","DS","gen.","feb.","març","abr.","maig","juny","jul.","ag.","set.","oct.","nov.","des.","gener","febrer","abril","juliol","agost","setembre","octubre","novembre","desembre","dg.","dl.","dt.","dc.","dj.","dv.","ds.","diumenge","dilluns","dimarts","dimecres","dijous","divendres","dissabte","aC","dC","a. de la n. e.","de la n.e.","abans de Crist","després de Crist","de la n. e.","a. m.","p. m.","₧","KBZ","KBR","KST","KKN","KTN","KMK","KMS","KMN","KMW","KKM","KNK","KNB","Okwokubanza","Okwakabiri","Okwakashatu","Okwakana","Okwakataana","Okwamukaaga","Okwamushanju","Okwamunaana","Okwamwenda","Okwaikumi","Okwaikumi na kumwe","Okwaikumi na ibiri","SAN","ORK","OKB","OKS","OKN","OKT","OMK","Sande","Orwokubanza","Orwakabiri","Orwakashatu","Orwakana","Orwakataano","Orwamukaaga","Kurisito Atakaijire","Kurisito Yaijire","USh","{month} {day}, {year}","ᎤᏃ","ᎧᎦ","ᎠᏅ","ᎧᏬ","ᎠᏂ","ᏕᎭ","ᎫᏰ","ᎦᎶ","ᏚᎵ","ᏚᏂ","ᏅᏓ","ᎥᏍ","ᎤᏃᎸᏔᏅ","ᎧᎦᎵ","ᎠᏅᏱ","ᎧᏬᏂ","ᎠᏂᏍᎬᏘ","ᏕᎭᎷᏱ","ᎫᏰᏉᏂ","ᎦᎶᏂ","ᏚᎵᏍᏗ","ᏚᏂᏅᏗ","ᏅᏓᏕᏆ","ᎥᏍᎩᏱ","ᏆᏍᎬ","ᏉᏅᎯ","ᏔᎵᏁ","ᏦᎢᏁ","ᏅᎩᏁ","ᏧᎾᎩ","ᏈᏕᎾ","ᎤᎾᏙᏓᏆᏍᎬ","ᎤᎾᏙᏓᏉᏅᎯ","ᏔᎵᏁᎢᎦ","ᏦᎢᏁᎢᎦ","ᏅᎩᏁᎢᎦ","ᏧᎾᎩᎶᏍᏗ","ᎤᎾᏙᏓᏈᏕᎾ","ᎤᏓᎷᎸ","ᎤᎶᏐᏅ","Ꮟ ᏥᏌ ᎾᏕᎲᏍᎬᎾ","ᎠᎩᏃᎮᎵᏓᏍᏗᏱ ᎠᏕᏘᏱᏍᎬ ᏱᎰᏩ ᏧᏓᏂᎸᎢᏍᏗ","ᏌᎾᎴ","ᏒᎯᏱᎢᏗᏢ","{weekday} {day}. {month}. {year} {hour}:{minute}:{second}","{weekday} {day}. {month}. {year} {hour}:{minute}:{second} {ampm}","{weekday} {day}. {month}. {year}","{day}. {month}. {year}","led","úno","bře","dub","kvě","čvn","čvc","srp","zář","říj","lis","pro","ledna","února","března","dubna","května","června","července","srpna","září","října","listopadu","prosince","ne","po","út","st","čt","pá","so","neděle","pondělí","úterý","středa","čtvrtek","pátek","sobota","př.n.l.","n.l.","př. n. l.","n. l.","Před R. O. C.","Kčs","EMU","ECU","I","Ch","E","G","Rh","Ion","Chwef","Mawrth","Ebrill","Mai","Meh","Gorff","Awst","Medi","Hyd","Tach","Rhag","Ionawr","Chwefror","Mehefin","Gorffennaf","Hydref","Tachwedd","Rhagfyr","Su","Ll","Me","Ia","Gw","Llun","Maw","Mer","Iau","Sad","Dydd Sul","Dydd Llun","Dydd Mawrth","Dydd Mercher","Dydd Iau","Dydd Gwener","Dydd Sadwrn","CC","Cyn Crist","Oed Crist","{weekday} {day}. {month} {year} {hour}.{minute}.{second}","{weekday} {day}. {month} {year} {hour}.{minute}.{second} {ampm}","{weekday} {day}. {month} {year}","jan.","mar.","apr.","jun.","aug.","sep.","okt.","dec.","marts","august","september","oktober","november","december","sø","ti","on","to","fr","lø","søn.","tir.","ons.","tor.","fre.","lør.","søndag","mandag","tirsdag","onsdag","torsdag","fredag","lørdag","fKr","eKr","fvt","vt","f.Kr.","e.Kr.","f.v.t.","v.t.","før vesterlandsk tidsregning","vesterlandsk tidsregning","Minguo","kr","Imb","Kaw","Kad","Kan","Kas","Kar","Mfu","Wun","Ike","Iku","Imw","Iwi","Mori ghwa imbiri","Mori ghwa kawi","Mori ghwa kadadu","Mori ghwa kana","Mori ghwa kasanu","Mori ghwa karandadu","Mori ghwa mfungade","Mori ghwa wunyanya","Mori ghwa ikenda","Mori ghwa ikumi","Mori ghwa ikumi na imweri","Mori ghwa ikumi na iwi","Jum","Jim","Ngu","Ituku ja jumwa","Kuramuka jimweri","Kuramuka kawi","Kuramuka kadadu","Kuramuka kana","Kuramuka kasanu","Kifula nguwo","KK","Kabla ya Kristo","Baada ya Kristo","Luma lwa K","luma lwa p","Ksh","{weekday}, {day}. {month} {year} {hour}:{minute}:{second}","{weekday}, {day}. {month} {year} {hour}:{minute}:{second} {ampm}","Jän.","Feb.","März","Apr.","Juli","Aug.","Sep.","Okt.","Nov.","Dez.","Jänner","Februar","August","Dezember","Mo.","Mi.","Fr.","Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag","v. Chr.","n. Chr.","vdZ","dZ","v. u. Z.","u. Z.","vor der gewöhnlichen Zeitrechnung","der gewöhnlichen Zeitrechnung","vorm.","nachm.","öS","Jan.","Januar","{currency}-{number}","'","Žan","Fee","Awi","Žuw","Žuy","Ut","Sek","Noo","Dee","Žanwiye","Feewiriye","Marsi","Awiril","Žuweŋ","Žuyye","Sektanbur","Oktoobur","Noowanbur","Deesanbur","Ati","Ata","Ala","Alm","Alz","Asi","Alhadi","Atinni","Atalaata","Alarba","Alzuma","Asibti","IJ","IZ","Isaa jine","Isaa zamanoo","Subbaahi","Zaarikay b","di","ŋgɔn","sɔŋ","diɓ","emi","esɔ","mad","diŋ","nyɛt","tin","elá","dimɔ́di","ŋgɔndɛ","sɔŋɛ","diɓáɓá","emiasele","esɔpɛsɔpɛ","madiɓɛ́díɓɛ́","diŋgindi","nyɛtɛki","mayésɛ́","tiníní","eláŋgɛ́","ét","mɔ́s","kwa","muk","ŋgi","ɗón","esa","éti","mɔ́sú","kwasú","mukɔ́sú","ŋgisú","ɗónɛsú","esaɓasú","ɓ.Ys","mb.Ys","ɓoso ɓwá yáɓe lá","mbúsa kwédi a Yés","idiɓa","ebyámu","Fe","Ab","Sú","Se","Ok","No","De","Sanvie","Fébirie","Mars","Aburil","Mee","Sueŋ","Súuyee","Settembar","Oktobar","Novembar","Disambar","Dim","Ten","Ara","Arj","Sib","Dimas","Teneŋ","Talata","Alarbay","Aramisay","Arjuma","Sibiti","ArY","AtY","Ariŋuu Yeesu","Atooŋe Yeesu","{weekday}, ལོ{year} ཟླ་{month} ཚེ་{day} {hour}:{minute}:{second}","{weekday}, ལོ{year} ཟླ་{month} ཚེ་{day} {hour}:{minute}:{second} {ampm}","{weekday}, ལོ{year} ཟླ་{month} ཚེ་{day}","{year} སྤྱི་ཟླ་{month}","{month} ཚེ་{day}","༡","༢","༣","༥","༦","༧","༨","༡༠","༡༡","༡༢","༤","༩","ཟླ་དངཔ་","ཟླ་གཉིས་པ་","ཟླ་གསུམ་པ་","ཟླ་བཞི་པ་","ཟླ་ལྔ་པ་","ཟླ་དྲུག་པ","ཟླ་བདུན་པ་","ཟླ་བརྒྱད་པ་","ཟླ་དགུ་པ་","ཟླ་བཅུ་པ་","ཟླ་བཅུ་གཅིག་པ་","ཟླ་བཅུ་གཉིས་པ་","ཟླ་","མིར་","ལྷག་","ཕུར་","སྤེན་","ཉི་","གཟའ་ལྷག་པ་","གཟའ་པ་སངས་","སྔ་ཆ་","ཕྱི་ཆ་","tibt","ཨང་མད","གྲངས་མེད","Nu.","KR₩","TH฿","Mbe","Kai","Kat","Gat","Gan","Mug","Knn","Ken","Igi","Mweri wa mbere","Mweri wa kaĩri","Mweri wa kathatũ","Mweri wa kana","Mweri wa gatano","Mweri wa gatantatũ","Mweri wa mũgwanja","Mweri wa kanana","Mweri wa kenda","Mweri wa ikũmi","Mweri wa ikũmi na ũmwe","Mweri wa ikũmi na Kaĩrĩ","Kma","Tat","Ine","Tan","Arm","Maa","NMM","Kiumia","Njumatatu","Njumaine","Njumatano","Aramithi","Njumaa","NJumamothii","MK","TK","Mbere ya Kristo","Thutha wa Kristo","KI","UT","{month} {day} lia, {year}","MMMM d 'li","MMMM d 'li{ampm}","dzv","dzd","ted","afɔ","dam","mas","sia","dea","any","kel","ade","dzm","dzove","dzodze","tedoxe","afɔfiẽ","damɛ","masa","siamlɔm","deasiamime","anyɔnyɔ","kele","adeɛmekpɔxe","dzome","foa","ƒoave","d","t","a","m","s","k","afɔfĩe","dama","kɔs","dzo","bla","kuɖ","yaw","fiɖ","mem","kɔsiɖa","dzoɖa","blaɖa","kuɖa","yawoɖa","fiɖa","memleɖa","hY","Yŋ","Hafi Yesu Va Do ŋgɔ","Yesu Ŋɔli","ŋdi","ɣetrɔ","dasiamime","hafi R.O.C.","mnn","{weekday}, {day} {month} {year} - {hour}:{minute}:{second}","{weekday}, {day} {month} {year} - {hour}:{minute}:{second} {ampm}","Ι","Φ","Μ","Α","Σ","Ο","Ν","Δ","Ιαν","Φεβ","Μαρ","Απρ","Μαΐ","Ιουν","Ιουλ","Αυγ","Σεπ","Οκτ","Νοε","Δεκ","Ιανουαρίου","Φεβρουαρίου","Μαρτίου","Απριλίου","Μαΐου","Ιουνίου","Ιουλίου","Αυγούστου","Σεπτεμβρίου","Οκτωβρίου","Νοεμβρίου","Δεκεμβρίου","Κυ","Δε","Τρ","Τε","Πέ","Πα","Σά","Κυρ","Δευ","Τρί","Τετ","Πέμ","Παρ","Σάβ","Κυριακή","Δευτέρα","Τρίτη","Τετάρτη","Πέμπτη","Παρασκευή","Σάββατο","π.Χ.","μ.Χ.","π.Κ.Χ.","ΚΧ","π.μ.","μ.μ.","Πριν R.O.C.","Δρχ","{weekday}, {month} {day}, {year}, {hour}:{minute}:{second}","{weekday}, {month} {day}, {year}, {hour}:{minute}:{second} {ampm}","Mo1","Mo2","Mo3","Mo4","Mo5","Mo6","Mo7","Mo8","Mo9","Mo10","Mo11","Mo12","Month1","Month2","Month3","Month4","Month5","Month6","Month7","Month8","Month9","Month10","Month11","Month12","May","Oct","January","February","March","June","July","October","December","Mo","Tu","We","Th","Fr","Sun","Mon","Tue","Wed","Thu","Fri","Sat","Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday","B","Before Christ","Anno Domini","Before Common Era","Common Era","{weekday} {day} {month} {year}, {hour}:{minute}:{second}","{weekday} {day} {month} {year}, {hour}:{minute}:{second} {ampm}","𐐖","𐐙","𐐣","𐐁","𐐂","𐐝","𐐉","𐐤","𐐔","𐐖𐐰𐑌","𐐙𐐯𐐺","𐐣𐐪𐑉","𐐁𐐹𐑉","𐐣𐐩","𐐖𐐭𐑌","𐐖𐐭𐑊","𐐂𐑀","𐐝𐐯𐐹","𐐉𐐿𐐻","𐐤𐐬𐑂","𐐔𐐨𐑅","𐐖𐐰𐑌𐐷𐐭𐐯𐑉𐐨","𐐙𐐯𐐺𐑉𐐭𐐯𐑉𐐨","𐐣𐐪𐑉𐐽","𐐁𐐹𐑉𐐮𐑊","𐐖𐐭𐑊𐐴","𐐂𐑀𐐲𐑅𐐻","𐐝𐐯𐐹𐐻𐐯𐑋𐐺𐐲𐑉","𐐉𐐿𐐻𐐬𐐺𐐲𐑉","𐐤𐐬𐑂𐐯𐑋𐐺𐐲𐑉","𐐔𐐨𐑅𐐯𐑋𐐺𐐲𐑉","𐐝𐐲𐑌","𐐣𐐲𐑌","𐐓𐐭𐑆","𐐎𐐯𐑌","𐐛𐐲𐑉","𐐙𐑉𐐴","𐐝𐐰𐐻","𐐝𐐲𐑌𐐼𐐩","𐐣𐐲𐑌𐐼𐐩","𐐓𐐭𐑆𐐼𐐩","𐐎𐐯𐑌𐑆𐐼𐐩","𐐛𐐲𐑉𐑆𐐼𐐩","𐐙𐑉𐐴𐐼𐐩","𐐝𐐰𐐻𐐲𐑉𐐼𐐩","𐐒","𐐈","𐐒𐐗","𐐈𐐔","𐐒𐐲𐑁𐐬𐑉 𐐗𐑉𐐴𐑅𐐻","𐐈𐑌𐐬 𐐔𐐱𐑋𐐮𐑌𐐨","𐐈𐐣","𐐑𐐣","am","pm","SAKA","{weekday}, {day} {month}, {year}, {hour}:{minute}:{second}","{weekday}, {day} {month}, {year}, {hour}:{minute}:{second} {ampm}","Bunchū","Genchū","a.m.","p.m.","{weekday} {day} {month}, {year}, {hour}:{minute}:{second}","{weekday} {day} {month}, {year}, {hour}:{minute}:{second} {ampm}","{weekday} {day} {month}, {year}","Ar","MOP$","{weekday}, {day} {month} {year}, {hour}:{minute}:{second}","{weekday}, {day} {month} {year}, {hour}:{minute}:{second} {ampm}","Rs","₦","₱","RF","SR","Le","NAf.","T$","VT","WS$","aŭg","januaro","februaro","marto","aprilo","majo","junio","julio","aŭgusto","septembro","oktobro","novembro","decembro","lu","me","ĵa","ve","dimanĉo","lundo","mardo","merkredo","ĵaŭdo","vendredo","sabato","aK","pK","atm","ptm","{weekday}, {day} de {month} de {year} {hour}:{minute}:{second}","{weekday}, {day} de {month} de {year} {hour}:{minute}:{second} {ampm}","{weekday}, {day} de {month} de {year}","{day} de {month} de {year}","{month} de {year}","{day} de {month}","ene.","may.","ago.","sept.","dic.","enero","febrero","marzo","mayo","agosto","septiembre","noviembre","diciembre","DO","LU","MA","MI","JU","VI","SA","dom.","lun.","mié.","jue.","vie.","sáb.","domingo","lunes","jueves","viernes","sábado","a. C.","d. C.","a. e. c.","e. c.","antes de Cristo","anno Dómini","antes de R.O.C.","AR$","{month}-{year}","Bs","{day}-{month}-{year}","₡","Q","L","My","Jn","Jl","Ag","febr.","mzo.","my.","do.","lu.","ma.","mi.","ju.","vi.","sá.","miér.","vier.","sáb","Naf","Kz","Afl.","ZMK","C$","B/.","S/.","{currency} -{number}","₲","Bs.","{weekday}, {day}. {month} {year} {hour}:{minute}.{second}","{weekday}, {day}. {month} {year} {hour}:{minute}.{second} {ampm}","{hour}:{minute}.{second}","{hour}:{minute}.{second} {ampm}","V","jaan","veebr","märts","mai","juuni","juuli","aug","sept","dets","jaanuar","veebruar","aprill","oktoober","detsember","pühapäev","esmaspäev","teisipäev","kolmapäev","neljapäev","reede","laupäev","e.m.a.","m.a.j.","ema","enne meie aega","meie aja järgi","BG","U","urt.","ots.","api.","mai.","eka.","uzt.","abu.","ira.","urr.","aza.","abe.","urtarrilak","otsailak","martxoak","apirilak","maiatzak","ekainak","uztailak","abuztuak","irailak","urriak","azaroak","abenduak","ig.","al.","ar.","az.","og.","or.","lr.","igandea","astelehena","asteartea","asteazkena","osteguna","ostirala","larunbata","K.a.","K.o.","R.O.C. aurretik","% {number}","-% {number}","ngo","ngb","ngl","ngn","ngt","ngs","ngz","ngm","nge","nga","ngad","ngab","ngɔn osú","ngɔn bɛ̌","ngɔn lála","ngɔn nyina","ngɔn tána","ngɔn saməna","ngɔn zamgbála","ngɔn mwom","ngɔn ebulú","ngɔn awóm","ngɔn awóm ai dziá","ngɔn awóm ai bɛ̌","sɔ́n","mɔ́n","smb","sml","smn","fúl","sér","sɔ́ndɔ","mɔ́ndi","sɔ́ndɔ məlú mə́bɛ̌","sɔ́ndɔ məlú mə́lɛ́","sɔ́ndɔ məlú mə́nyi","fúladé","séradé","oyk","ayk","osúsúa Yésus kiri","ámvus Yésus Kirís","kíkíríg","ngəgógəle","{weekday} {day} {month} {year}،‏ {hour}:{minute}:{second}","{weekday} {day} {month} {year}،‏ {hour}:{minute}:{second} {ampm}","ژ","ا","فوریهٔ","آوریل","مـی","ژوئن","جول","اوت","سپتامبر","اکتبر","نوامبر","دسم","جنوری","فبروری","مارچ","اپریل","می","جون","جولای","اگست","سپتمبر","اکتوبر","نومبر","دسمبر","۱ش","۲ش","۳ش","۴ش","۵ش","یکشنبه","دوشنبه","سه‌شنبه","چهارشنبه","پنجشنبه","جمعه","شنبه","ق","ق.م.","م.","قبل از میلاد","میلادی","قبل‌ازظهر","بعدازظهر","ک","ط","تشری","حشوان","کسلو","طوت","واذار","نیسان","ایار","سیوان","ایلول","واذار الثانی","ر","ذ","ربیع الاول","ربیع الثانی","جمادی الاول","جمادی الثانی","ذیقعدهٔ","ذیحجهٔ","ه‍.ق.","هجری قمری","خ","فروردین","اردیبهشت","تیر","شهریور","آبان","دی","اسفند","حمل","ثور","جوزا","سرطان","اسد","سنبلهٔ","میزان","عقرب","قوس","جدی","دلو","حوت","ه‍. ش.","هجری شمسی","arabext","‎{currency}{number}","-‎{currency}{number}","ناعدد","؋","$CA","¥CN","$HK","ریال","$MX","$NZ","$EC","ژانویهٔ","مهٔ","ژوئیهٔ","دسامبر","ه‍.ش.","sii","col","mbo","duu","kor","mor","juk","slt","yar","jol","bow","siilo","colte","mbooy","seeɗto","duujal","korse","morso","juko","siilto","yarkomaa","jolal","bowte","dew","aaɓ","maw","naa","mwd","hbi","dewo","aaɓnde","mawbaare","njeslaare","naasaande","mawnde","hoore-biir","H-I","C-I","Hade Iisa","Caggal Iisa","subaka","kikiiɗe","FG","UM","tammikuuta","helmikuuta","maaliskuuta","huhtikuuta","toukokuuta","kesäkuuta","heinäkuuta","elokuuta","syyskuuta","lokakuuta","marraskuuta","joulukuuta","su","ke","pe","la","sunnuntaina","maanantaina","tiistaina","keskiviikkona","torstaina","perjantaina","lauantaina","eK","jK","eaa","jaa","eKr.","jKr.","eaa.","jaa.","ennen Kristuksen syntymää","jälkeen Kristuksen syntymän","ennen ajanlaskun alkua","jälkeen ajanlaskun alun","ap.","ip.","tišríkuuta","hešvánkuuta","kislévkuuta","tevétkuuta","ševátkuuta","adárkuuta I","adárkuuta","nisánkuuta","ijjárkuuta","sivánkuuta","tammúzkuuta","abkuuta","elúlkuuta","adárkuuta II","muharram","safar","rabi’ al-awwal","rabi’ al-akhir","džumada-l-ula","džumada-l-akhira","radžab","ša’ban","ramadan","šawwal","dhu-l-qa’da","dhu-l-hiddža","epäluku","Ene","Peb","Abr","Hun","Hul","Set","Nob","Enero","Pebrero","Marso","Abril","Mayo","Hunyo","Hulyo","Agosto","Setyembre","Oktubre","Nobyembre","Disyembre","Li","Lu","Mi","Hu","Bi","Lin","Miy","Huw","Biy","Linggo","Lunes","Martes","Miyerkules","Huwebes","Biyernes","Sabado","{weekday}, {year} {month} {day} {hour}:{minute}:{second}","{weekday}, {year} {month} {day} {hour}:{minute}:{second} {ampm}","{weekday}, {year} {month} {day}","mars","apríl","desember","má","tý","hó","le","sun","mán","týs","mik","hós","frí","ley","sunnudagur","mánadagur","týsdagur","mikudagur","hósdagur","fríggjadagur","leygardagur","flt","lt","f.l.t.","l.t.","fyrir Krist","eftir Krist","fyrir látlaus tímatal","látlaus tímatal","um fyrrapartur","um seinnapartur","¤¤¤","dangi","E.B.","ère b.","ère bouddhiste","1yuè","2yuè","3yuè","4yuè","5yuè","6yuè","7yuè","8yuè","9yuè","10yuè","11yuè","12yuè","zhēngyuè","èryuè","sānyuè","sìyuè","wǔyuè","liùyuè","qīyuè","bāyuè","jiǔyuè","shíyuè","shíyīyuè","shí’èryuè","tout","bâb.","hât.","kya.","toub.","amsh.","barma.","barmo.","bash.","ba’o.","abî.","mis.","al-n.","bâbâ","hâtour","kyakh","toubah","amshîr","barmahât","barmoudah","bashans","ba’ounah","abîb","misra","al-nasi","av. D.","ap. D.","avant Dioclétien","après Dioclétien","mäs.","teq.","hed.","tah.","ter","yäk.","mäg.","miy.","gue.","sän.","ham.","näh.","pag.","mäskäräm","teqemt","hedar","tahesas","yäkatit","mägabit","miyazya","guenbot","säné","hamlé","nähasé","pagumén","av. Inc.","ap. Inc.","avant l’Incarnation","après l’Incarnation","janv.","févr.","avr.","juin","juil.","août","déc.","janvier","février","avril","juillet","septembre","octobre","décembre","je","dim.","jeu.","ven.","sam.","dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi","av. J.-C.","ap. J.-C.","AEC","EC","avant Jésus-Christ","après Jésus-Christ","tis.","hes.","kis.","téb.","sché.","ad.I","adar","nis.","iyar","siv.","tam.","ab","ell.","ad.II","Tisseri","Hesvan","Tébeth","Schébat","Nissan","Tamouz","Elloul","Anno Mundi","Ā","chai.","vai.","jyai.","āsha.","shrā.","bhā.","āshw.","kār.","mār.","pau.","māgh","phāl.","chaitra","vaishākh","jyaishtha","āshādha","shrāvana","bhādrapad","āshwin","kārtik","mārgashīrsha","paush","phālgun","mouh.","rab. aw.","rab. th.","joum. oul.","joum. tha.","raj.","chaa.","chaw.","dhou. q.","dhou. h.","mouharram","rabia al awal","rabia ath-thani","joumada al oula","joumada ath-thania","rajab","chaabane","chawwal","dhou al qi`da","dhou al-hijja","avant RdC","RdC","$AR","$AU","$BM","$BN","$BS","$BZ","$CL","$CO","$CV","£CY","£EG","$FJ","£FK","£GB","£GI","£IE","£IL","₤IT","¥JP","£LB","$LR","£MT","$NA","$RH","$SB","£SD","$SG","£SH","$SR","£SS","$TT","$TW","$US","$UY","FCFP","FBu","FC","DA","CF","LS","DT","Z","Zen","Fev","Avr","Jug","Lui","Avo","Otu","Dic","Zenâr","Fevrâr","Març","Avrîl","Jugn","Avost","Setembar","Otubar","Dicembar","joi","vin","domenie","lunis","martars","miercus","joibe","vinars","sabide","pdC","ddC","a.","p.","Ean","Feabh","Márta","Aib","Beal","Meith","Iúil","Lún","MFómh","DFómh","Samh","Noll","Eanáir","Feabhra","Aibreán","Bealtaine","Meitheamh","Lúnasa","Meán Fómhair","Deireadh Fómhair","Samhain","Nollaig","Domh","Luan","Máirt","Céad","Déar","Aoine","Sath","Dé Domhnaigh","Dé Luain","Dé Máirt","Dé Céadaoin","Déardaoin","Dé hAoine","Dé Sathairn","RC","Roimh Chríost","AÍ f.","Faoi","Gearr","Màrt","Gibl","Cèit","Ògmh","Iuch","Lùna","Sult","Dàmh","Dùbh","Am Faoilleach","An Gearran","Am Màrt","An Giblean","An Cèitean","An t-Ògmhios","An t-Iuchar","An Lùnastal","An t-Sultain","An Dàmhair","An t-Samhain","An Dùbhlachd","DiD","DiL","DiM","DiC","Dia","Dih","DiS","DiDòmhnaich","DiLuain","DiMàirt","DiCiadain","Diardaoin","DihAoine","DiSathairne","Ro Chrìost","f","xan","xuñ","xul","out","xaneiro","febreiro","maio","xuño","xullo","setembro","outubro","luns","mt","mc","xv","mér","xov","ven","mércores","xoves","venres","despois de Cristo","Mär","Dez","Auguscht","Septämber","Oktoober","Novämber","Dezämber","Su.","Mä.","Zi.","Du.","Sunntig","Määntig","Ziischtig","Mittwuch","Dunschtig","Friitig","Samschtig","v. d. Z.","d. Z.","nam.","’","જા","ફે","મા","એ","મે","જૂ","જુ","ઑ","સ","ન","ડિ","જાન્યુ","ફેબ્રુ","માર્ચ","એપ્રિલ","જૂન","જુલાઈ","ઑગસ્ટ","સપ્ટે","ઑક્ટો","નવે","ડિસે","જાન્યુઆરી","ફેબ્રુઆરી","સપ્ટેમ્બર","ઑક્ટોબર","નવેમ્બર","ડિસેમ્બર","ર","સો","મં","બુ","ગુ","શુ","શ","રવિ","સોમ","મંગળ","બુધ","ગુરુ","શુક્ર","શનિ","રવિવાર","સોમવાર","મંગળવાર","બુધવાર","ગુરુવાર","શુક્રવાર","શનિવાર","ઇ સ પુ","ઇસ","ઈસુના જન્મ પહેલા","ઇસવીસન","સામાન્ય યુગ પહેલા","સામાન્ય યુગ","ઈસવીસન પૂર્વે","Can","Cul","Agt","Chanuari","Feburari","Apiriri","Chulai","Okitoba","Nobemba","Cpr","Ctt","Cmn","Cmt","Ars","Icm","Est","Chumapiri","Chumatato","Chumaine","Chumatano","Aramisi","Ichuma","Esabato","YA","YK","Yeso ataiborwa","Yeso kaiboirwe","Ma/Mo","Mambia/Mog","J-guer","T-arree","Mayrnt","Avrril","Boaldyn","M-souree","J-souree","Luanistyn","M-fouyir","J-fouyir","M.Houney","M.Nollick","Jerrey-geuree","Toshiaght-arree","Averil","Mean-souree","Jerrey-souree","Mean-fouyir","Jerrey-fouyir","Mee Houney","Mee ny Nollick","Jed","Jel","Jem","Jerc","Jerd","Jeh","Jes","Jedoonee","Jelhein","Jemayrt","Jercean","Jerdein","Jeheiney","Jesarn","Fab","Afi","Yun","Yul","Agu","Nuw","Janairu","Faburairu","Maris","Afirilu","Mayu","Yuni","Yuli","Agusta","Satumba","Nuwamba","Disamba","Lh","Ta","Lr","Al","Ju","As","Lahadi","Litinin","Laraba","Alhamis","Jumma'a","Asabar","KHAI","BHAI","Kafin haihuwar annab","Bayan haihuwar annab","Ian.","Pep.","Mal.","ʻAp.","Iun.","Iul.","ʻAu.","Kep.","ʻOk.","Now.","Kek.","Ianuali","Pepeluali","Malaki","ʻApelila","Iune","Iulai","ʻAukake","Kepakemapa","ʻOkakopa","Nowemapa","Kekemapa","LP","P1","P2","P3","P4","P5","P6","Lāpule","Poʻakahi","Poʻalua","Poʻakolu","Poʻahā","Poʻalima","Poʻaono","{weekday}, {day} ב{month} {year}, {hour}:{minute}:{second}","{weekday}, {day} ב{month} {year}, {hour}:{minute}:{second} {ampm}","{weekday}, {day} ב{month} {year}","{day} ב{month} {year}","{day} ב{month}","ינו","פבר","מרץ","אפר","מאי","יונ","יול","אוג","ספט","אוק","נוב","דצמ","ינואר","פברואר","אפריל","יוני","יולי","אוגוסט","ספטמבר","אוקטובר","נובמבר","דצמבר","א׳","ב׳","ג׳","ד׳","ה׳","ו׳","ש׳","יום א׳","יום ב׳","יום ג׳","יום ד׳","יום ה׳","יום ו׳","שבת","יום ראשון","יום שני","יום שלישי","יום רביעי","יום חמישי","יום שישי","יום שבת","לפנה״ס","לסה״נ","לפני הספירה","לספירה","לפנה״צ","אחה״צ","תש","חש","כס","טב","שב","אא","אד","ני","אי","סי","תמ","אב","אל","א2","תשרי","חשון","כסלו","טבת","שבט","אדר א׳","אדר","ניסן","אייר","סיון","תמוז","אלול","אדר ב׳","לבה״ע","מוחרם","צפר","רביע א׳","רביע ב׳","ג׳ומאדא א׳","ג׳ומאדא ב׳","רג׳ב","שעבאן","רמדאן","שוואל","ד׳ו אל-קעדה","ד׳ו אל-חיג׳ה","רביע אל-אוול","רביע א-ת׳אני","ג׳ומאדא אל-אולא","ג׳ומאדא א-ת׳אניה","שנת היג׳רה","טאיקה","נינג׳ו","שוטוקו","ל״י","मस्केरेम","टेकेम्ट","हेदर","तहसास","टर","येकाटिट","मेगाबिट","मियाज़िया","गनबोट","सेन","हम्ले","नेहासे","पागूमन","ज","फ़","मा","अ","म","जू","जु","सि","न","दि","जन","फ़र","मार्च","अप्रै","मई","जून","जुला","अग","सितं","अक्टू","नवं","दिसं","जनवरी","फ़रवरी","अप्रैल","जुलाई","अगस्त","सितंबर","अक्टूबर","नवंबर","दिसंबर","र","सो","मं","बु","गु","शु","श","रवि","सोम","बुध","गुरु","शुक्र","शनि","रविवार","सोमवार","मंगलवार","बुधवार","गुरुवार","शुक्रवार","शनिवार","ईसा-पूर्व","ईस्वी","पूर्वाह्न","अपराह्न","चैत्र","वैशाख","ज्येष्ठ","आषाढ़","श्रावण","अश्विन","कार्तिक","अग्रहायण","पौष","माघ","फाल्गुन","शक","मुहर्रम","सफर","राबी प्रथम","राबी द्वितीय","जुम्डा प्रथम","जुम्डा द्वितीय","रजब","शावन","रमजान","शव्व्ल","जिल-क्दाह","जिल्-हिज्जाह","ताएका (645–650)","हाकूची (650–671)","हाकूहो (672–686)","शूचो (686–701)","ताहिओ (701–704)","केउन (704–708)","वाडू (708–715)","रैकी (715–717)","योरो (717–724)","जिंकी (724–729)","टेम्प्यो (729–749)","टेम्प्यो-काम्पो (749–749)","टेम्प्यो-शोहो (749–757)","टेम्प्यो-होजी (757–765)","टेम्प्यो-जिंगो (765–767)","टेम्प्यो-किउन (767–770)","होकी (770–780)","टेनो (781–782)","इंर्याकू (782–806)","डाईडू (806–810)","क़ोनिन (810–824)","टेंचो (824–834)","शोवा (834–848)","काज्यो (848–851)","निंजू (851–854)","शाईकू (854–857)","टेनन (857–859)","जोगन् (859–877)","गेंकेई (877–885)","निन्ना (885–889)","केम्प्यो (889–898)","शूताई (898–901)","ईंगी (901–923)","ईंचो (923–931)","शोहेई (931–938)","टेंग्यो (938–947)","टेंर्याकू (947–957)","टेंटूकू (957–961)","ओवा (961–964)","कोहो (964–968)","अन्ना (968–970)","टेंरोकू (970–973)","टेन-एन (973–976)","जोगन् (976–978)","टेंगेन (978–983)","ईकान (983–985)","कन्ना (985–987)","ई-एन (987–989)","एइसो (989–990)","शोर्याकू (990–995)","चोटूकु (995–999)","चोहो (999–1004)","कंको (1004–1012)","च्योवा (1012–1017)","कन्निन (1017–1021)","ज़ियान (1021–1024)","मंजू (1024–1028)","चोगन (1028–1037)","चोर्याकू (1037–1040)","चोक्यु (1040–1044)","कांटूको (1044–1046)","ईशो (1046–1053)","टेंगी (1053–1058)","कोहैइ (1058–1065)","जिर्याकू (1065–1069)","ईंक्यू (1069–1074)","सोहो (1074–1077)","शोर्याकू (1077–1081)","ईहो (1081–1084)","ओटूको (1084–1087)","कांजि (1087–1094)","कोहो (1094–1096)","ईचो (1096–1097)","शोटूको (1097–1099)","कोवा (1099–1104)","चोजी (1104–1106)","काशो (1106–1108)","टेन्निन (1108–1110)","टेन-ई (1110–1113)","ईक्यू (1113–1118)","जेन-ई (1118–1120)","होआन (1120–1124)","तेंजी (1124–1126)","दाईजी (1126–1131)","टेंशो (1131–1132)","चोशो (1132–1135)","होएन (1135–1141)","ईजी (1141–1142)","कोजी (1142–1144)","टेन्यो (1144–1145)","क्यूआन (1145–1151)","निंपैई (1151–1154)","क्योजो (1154–1156)","होगेन (1156–1159)","हैजी (1159–1160)","ईर्याकू (1160–1161)","ओहो (1161–1163)","चोकान (1163–1165)","ईमान (1165–1166)","निन-आन (1166–1169)","काओ (1169–1171)","शोअन (1171–1175)","अंजन (1175–1177)","जिशो (1177–1181)","योवा (1181–1182)","जूऐई (1182–1184)","जेंर्याकू (1184–1185)","बूंजी (1185–1190)","केंक्यू (1190–1199)","शोजी (1199–1201)","केन्निन (1201–1204)","जेंक्यू (1204–1206)","केन-ई (1206–1207)","शोगेन (1207–1211)","केंर्याकू (1211–1213)","केंपो (1213–1219)","शोक्यू (1219–1222)","जू (1222–1224)","जेन्निन (1224–1225)","कोरोकू (1225–1227)","अंटैइ (1227–1229)","कांकी (1229–1232)","जोएई (1232–1233)","टेम्पूकू (1233–1234)","बुंर्याकू (1234–1235)","काटेई (1235–1238)","र्याकूनिन (1238–1239)","ईन-ओ (1239–1240)","निंजी (1240–1243)","कांजेन (1243–1247)","होजी (1247–1249)","केंचो (1249–1256)","कोगेन (1256–1257)","शोका (1257–1259)","शोगेन (1259–1260)","बुन-ओ (1260–1261)","कोचो (1261–1264)","बुन-ई (1264–1275)","केंजी (1275–1278)","कोअन (1278–1288)","शो (1288–1293)","ईनिन (1293–1299)","शोअन (1299–1302)","केंजेन (1302–1303)","काजेन (1303–1306)","टोकूजी (1306–1308)","ईंकेई (1308–1311)","ओचो (1311–1312)","शोवा (1312–1317)","बुंपो (1317–1319)","जेनो (1319–1321)","जेंक्यो (1321–1324)","शोचू (1324–1326)","कारेकी (1326–1329)","जेंटोकू (1329–1331)","गेंको (1331–1334)","केम्मू (1334–1336)","ईंजेन (1336–1340)","कोकोकू (1340–1346)","शोहेई (1346–1370)","केंटोकू (1370–1372)","बूंचो (1372–1375)","टेंजो (1375–1379)","कोर्याकू (1379–1381)","कोवा (1381–1384)","जेंचू (1384–1392)","मेटोकू (1384–1387)","काकेई (1387–1389)","कू (1389–1390)","मेटोकू (1390–1394)","ओई (1394–1428)","शोचो (1428–1429)","ईक्यो (1429–1441)","काकीत्सू (1441–1444)","बुन-अन (1444–1449)","होटोकू (1449–1452)","क्योटोकू (1452–1455)","कोशो (1455–1457)","चोरोकू (1457–1460)","कांशो (1460–1466)","बुंशो (1466–1467)","ओनिन (1467–1469)","बुन्मेई (1469–1487)","चोक्यो (1487–1489)","ईंटोकू (1489–1492)","मेईओ (1492–1501)","बुंकी (1501–1504)","ईशो (1504–1521)","ताईएई (1521–1528)","क्योरोकू (1528–1532)","टेन्मन (1532–1555)","कोजी (1555–1558)","ईरोकू (1558–1570)","जेंकी (1570–1573)","टेंशो (1573–1592)","बुंरोकू (1592–1596)","केईचो (1596–1615)","जेनवा (1615–1624)","कान-एई (1624–1644)","शोहो (1644–1648)","केईआन (1648–1652)","शो (1652–1655)","मेईर्याकू (1655–1658)","मानजी (1658–1661)","कनबुन (1661–1673)","ईंपो (1673–1681)","टेंवा (1681–1684)","जोक्यो (1684–1688)","जेंरोकू (1688–1704)","होएई (1704–1711)","शोटूको (1711–1716)","क्योहो (1716–1736)","जेंबुन (1736–1741)","कांपो (1741–1744)","इंक्यो (1744–1748)","कान-एन (1748–1751)","होर्याकू (1751–1764)","मेईवा (1764–1772)","अन-एई (1772–1781)","टेनमेई (1781–1789)","कांसेई (1789–1801)","क्योवा (1801–1804)","बुंका (1804–1818)","बुंसेई (1818–1830)","टेंपो (1830–1844)","कोका (1844–1848)","काईए (1848–1854)","अंसेई (1854–1860)","मान-ईन (1860–1861)","बुंक्यौ (1861–1864)","जेंजी (1864–1865)","केईओ (1865–1868)","मेजी","ताईशो","शोवा","हेईसेई","फर्वादिन","ओर्दिवेहेस्ट","खोरर्दाद","टिर","मोरदाद","शाहरीवर्","मेहर","अवन","अज़र","डे","बहमन","ईस्फन्द्","{month}. {year}","1.","2.","3.","4.","5.","6.","7.","8.","9.","10.","11.","12.","sij","velj","ožu","tra","svi","lip","kol","ruj","stu","siječnja","veljače","ožujka","travnja","svibnja","lipnja","srpnja","kolovoza","rujna","listopada","studenoga","prosinca","pr.n.e.","pr. Kr.","p. Kr.","pr. n. e.","n.e.","Prije Krista","Poslije Krista","prije R.O.C.","kn","{year}. {month} {day}., {weekday}  {hour}:{minute}:{second}","{year}. {month} {day}., {weekday} {ampm} {hour}:{minute}:{second}","{year}. {month} {day}., {weekday}","{year}. {month} {day}","{year}. {month}. {day}","{year}. {month}","{month}. {day}","{ampm} {hour}:{minute}:{second}","{ampm} {hour}:{minute}","Á","Sz","márc.","ápr.","máj.","jún.","júl.","szept.","január","február","március","április","május","június","július","augusztus","szeptember","október","Sze","Cs","Szo","vasárnap","hétfő","kedd","szerda","csütörtök","péntek","szombat","ie.","isz.","i. e.","i. sz.","Kr. e.","Kr. u.","időszámításunk előtt","időszámításunk szerint","de.","du.","Tisri","Hesván","Kiszlév","Tévész","Svát","Ádár I","Ádár","Niszán","Ijár","Sziván","Áv","Ádár II","TÉ","Moh.","Rébi I","Rébi II","Dsem. I","Dsem. II","Red.","Sab.","Sev.","Dsül k.","Dsül h.","Moharrem","Rébi el avvel","Rébi el accher","Dsemádi el avvel","Dsemádi el accher","Redseb","Sabán","Ramadán","Sevvál","Dsül kade","Dsül hedse","MF","R.O.C. előtt","Ft","{year}թ. {month} {day}, {weekday}, {hour}:{minute}:{second}","{year}թ. {month} {day}, {weekday}, {hour}:{minute}:{second} {ampm}","{year}թ. {month} {day}, {weekday}","{year}թ. {month}","Հ","Փ","Մ","Ա","Օ","Ս","Ն","Դ","հնվ","փտվ","մրտ","ապր","մյս","հնս","հլս","օգս","սպտ","հկտ","նյմ","դկտ","հունվարի","փետրվարի","մարտի","ապրիլի","մայիսի","հունիսի","հուլիսի","օգոստոսի","սեպտեմբերի","հոկտեմբերի","նոյեմբերի","դեկտեմբերի","կիր","երկ","երք","չրք","հնգ","ուր","շբթ","կիրակի","երկուշաբթի","երեքշաբթի","չորեքշաբթի","հինգշաբթի","ուրբաթ","շաբաթ","մ.թ.ա.","մ.թ.","կեսօրից առաջ","կեսօրից հետո","դր.","oct","januario","februario","martio","augusto","decembre","mer","jov","dominica","lunedi","martedi","mercuridi","jovedi","venerdi","sabbato","a.Chr.","p.Chr.","ante Christo","post Christo","Maret","Agustus","Min","Sen","Sel","Rab","Minggu","Senin","Selasa","Rabu","Kamis","Jumat","Sabtu","SM","SEU","EU","Syaw.","Sya'ban","Ramadhan","Syawal","Sebelum R.O.C.","Rp","Jen","Juu","Ọgọ","Ọkt","Jenụwarị","Febrụwarị","Maachị","Eprel","Juun","Julaị","Ọgọọst","Ọktoba","Ụka","Mọn","Tiu","Wen","Tọọ","Fraị","Mbọsị Ụka","Mọnde","Tiuzdee","Wenezdee","Tọọzdee","Fraịdee","Satọdee","T.K.","A.K.","Tupu Kristi","Afọ Kristi","A.M.","P.M.","ꋍꆪ","ꑍꆪ","ꌕꆪ","ꇖꆪ","ꉬꆪ","ꃘꆪ","ꏃꆪ","ꉆꆪ","ꈬꆪ","ꊰꆪ","ꊰꊪꆪ","ꊰꑋꆪ","ꑭꆏ","ꆏꋍ","ꆏꑍ","ꆏꌕ","ꆏꇖ","ꆏꉬ","ꆏꃘ","ꑭꆏꑍ","ꆏꊂꋍ","ꆏꊂꑍ","ꆏꊂꌕ","ꆏꊂꇖ","ꆏꊂꉬ","ꆏꊂꃘ","ꃅꋊꂿ","ꃅꋊꊂ","ꎸꄑ","ꁯꋒ","{weekday}, {day}. {month} {year}, {hour}:{minute}:{second}","{weekday}, {day}. {month} {year}, {hour}:{minute}:{second} {ampm}","maí","ágú.","nóv.","janúar","febrúar","júní","júlí","ágúst","nóvember","su.","má.","þr.","fi.","fö.","la.","sun.","mán.","þri.","mið.","fim.","fös.","lau.","mánudagur","þriðjudagur","miðvikudagur","fimmtudagur","föstudagur","laugardagur","f.k.","e.k.","f.h.","e.h.","EB","gen","mag","giu","lug","ott","dic","gennaio","febbraio","aprile","maggio","giugno","luglio","settembre","ottobre","dicembre","gio","domenica","lunedì","martedì","mercoledì","giovedì","venerdì","Prima della R.O.C.","{year}年{month}月{day}日({weekday}) {hour}:{minute}:{second}","{year}年{month}月{day}日({weekday}) {ampm}{hour}:{minute}:{second}","{year}年{month}月{day}日({weekday}","{year}年{month}月{day}","{year}年{month}","{month}月{day}","{ampm}{hour}:{minute}:{second}","{ampm}{hour}:{minute}","仏暦","正","二","三","四","五","六","七","八","九","十","十一","十二","正月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一月","十二月","トウト","ババ","ハトール","キアック","トーバ","アムシール","バラムハート","バラモウダ","バシャンス","パオーナ","エペープ","メスラ","ナシエ","メスケレム","テケムト","ヘダル","ターサス","テル","イェカティト","メガビト","ミアジア","ゲンボト","セネ","ハムレ","ネハッセ","パグメン","1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月","日","月","火","水","木","金","土","日曜日","月曜日","火曜日","水曜日","木曜日","金曜日","土曜日","紀元前","西暦","西暦紀元前","午前","午後","ティスレ","へシボン","キスレブ","テベット","シバット","アダル I","アダル","ニサン","イヤル","シバン","タムズ","アヴ","エルル","アダル II","カイトラ","ヴァイサカ","ジャイスタ","アーサダ","スラバナ","バードラ","アスビナ","カルディカ","アヴラハヤナ","パウサ","マーガ","パルグナ","サカ","ムハッラム","サフアル","ラビー・ウル・アウワル","ラビー・ウッ・サーニー","ジュマーダル・アウワル","ジュマーダッサーニー","ラジャブ","シャアバーン","ラマダーン","シャウワール","ズル・カイダ","ズル・ヒッジャ","大化","白雉","白鳯","朱鳥","大宝","慶雲","和銅","霊亀","養老","神亀","天平","天平感宝","天平勝宝","天平宝字","天平神護","神護景雲","宝亀","天応","延暦","大同","弘仁","天長","承和","嘉祥","仁寿","斉衡","天安","貞観","元慶","仁和","寛平","昌泰","延喜","延長","承平","天慶","天暦","天徳","応和","康保","安和","天禄","天延","貞元","天元","永観","寛和","永延","永祚","正暦","長徳","長保","寛弘","長和","寛仁","治安","万寿","長元","長暦","長久","寛徳","永承","天喜","康平","治暦","延久","承保","承暦","永保","応徳","寛治","嘉保","永長","承徳","康和","長治","嘉承","天仁","天永","永久","元永","保安","天治","大治","天承","長承","保延","永治","康治","天養","久安","仁平","久寿","保元","平治","永暦","応保","長寛","永万","仁安","嘉応","承安","安元","治承","養和","寿永","元暦","文治","建久","正治","建仁","元久","建永","承元","建暦","建保","承久","貞応","元仁","嘉禄","安貞","寛喜","貞永","天福","文暦","嘉禎","暦仁","延応","仁治","寛元","宝治","建長","康元","正嘉","正元","文応","弘長","文永","建治","弘安","正応","永仁","正安","乾元","嘉元","徳治","延慶","応長","正和","文保","元応","元亨","正中","嘉暦","元徳","元弘","建武","延元","興国","正平","建徳","文中","天授","康暦","弘和","元中","至徳","嘉慶","康応","明徳","応永","正長","永享","嘉吉","文安","宝徳","享徳","康正","長禄","寛正","文正","応仁","文明","長享","延徳","明応","文亀","永正","大永","享禄","天文","弘治","永禄","元亀","天正","文禄","慶長","元和","寛永","正保","慶安","承応","明暦","万治","寛文","延宝","天和","貞享","元禄","宝永","正徳","享保","元文","寛保","延享","寛延","宝暦","明和","安永","天明","寛政","享和","文化","文政","天保","弘化","嘉永","安政","万延","文久","元治","慶応","明治","大正","昭和","平成","ファルヴァルディーン","オルディーベヘシュト","ホルダード","ティール","モルダード","シャハリーヴァル","メフル","アーバーン","アーザル","デイ","バフマン","エスファンド","民国前","民国","元","￥","￦","{month}.{day}.{year}","Nduŋmbi Saŋ","Pɛsaŋ Pɛ́pá","Pɛsaŋ Pɛ́tát","Pɛsaŋ Pɛ́nɛ́kwa","Pɛsaŋ Pataa","Pɛsaŋ Pɛ́nɛ́ntúkú","Pɛsaŋ Saambá","Pɛsaŋ Pɛ́nɛ́fɔm","Pɛsaŋ Pɛ́nɛ́pfúꞋú","Pɛsaŋ Nɛgɛ́m","Pɛsaŋ Ntsɔ̌pmɔ́","Pɛsaŋ Ntsɔ̌ppá","Sɔ́ndi","Mɔ́ndi","Ápta Mɔ́ndi","Wɛ́nɛsɛdɛ","Tɔ́sɛdɛ","Fɛlâyɛdɛ","Sásidɛ","tsɛttsɛt mɛŋgu’ mi ɛ́ lɛɛnɛ Kɛlísɛtɔ gɔ ńɔ́","tsɛttsɛt mɛŋgu’ mi ɛ́ fúnɛ Kɛlísɛtɔ tɔ́ mɔ́","mba’mba’","ŋka mbɔ́t nji","Aprilyi","Junyi","Julyai","Agusti","Iju","Jumapilyi","Jumatatuu","Jumatanu","Kabla ya Kristu","Baada ya Kristu","utuko","kyiukonyi","ი","თ","მ","ა","ს","ო","ნ","დ","იან","თებ","მარ","აპრ","მაი","ივნ","ივლ","აგვ","სექ","ოქტ","ნოე","დეკ","იანვარი","თებერვალი","მარტი","აპრილი","მაისი","ივნისი","ივლისი","აგვისტო","სექტემბერი","ოქტომბერი","ნოემბერი","დეკემბერი","კვ","ორ","სმ","ოთ","ხთ","პრ","შბ","კვი","ორშ","სამ","ოთხ","ხუთ","პარ","შაბ","კვირა","ორშაბათი","სამშაბათი","ოთხშაბათი","ხუთშაბათი","პარასკევი","შაბათი","ძვ. წ.","ახ. წ.","ძველი წელთაღრიცხვით","ახალი წელთაღრიცხვით","დილის","საღამოს","თიშრეი","ხეშვანი","ქისლევი","ტევეთი","შვატი","ადარი I","ადარი","ნისანი","იარი","სივანი","თამუზი","ავი","ელული","ადარი II","მუჰ.","საფ.","რაბ. I","რაბ. II","ჯუმ. I","ჯუმ. II","რაჯ.","შაბ.","რამ.","შავ.","ზულ-კ.","ზულ-ჰ.","მუჰარამი","საფარი","რაბი ულ-ავალი","რაბი ულ-ახირი","ჯუმადა ულ-ავალი","ჯუმადა ულ-ახირი","რაჯაბი","შაბანი","რამადანი","შავალი","ზულ-კაადა","ზულ-ჰიჯა","ფარვარდინი","ორდიბეჰეშთი","ხორდადი","თირი","მორდადი","შაჰრივარი","მეჰრი","აბანი","აზარი","დეი","ბაჰმანი","ესფანდი","არ არის რიცხვი","Yen","Fur","Meɣ","Yeb","Ɣuc","Cte","Tub","Nun","Duǧ","Yennayer","Fuṛar","Meɣres","Yebrir","Mayyu","Yunyu","Yulyu","Ɣuct","Ctembeṛ","Tubeṛ","Nunembeṛ","Duǧembeṛ","Yan","San","Kraḍ","Kuẓ","Sam","Sḍis","Say","Yanass","Sanass","Kraḍass","Kuẓass","Samass","Sḍisass","Sayass","snd. T.Ɛ","sld. T.Ɛ","send talalit n Ɛisa","seld talalit n Ɛisa","n tufat","n tmeddit","Kel","Ktũ","Ktn","Tha","Moo","Nya","Knd","Ĩku","Ĩkm","Ĩkl","Mwai wa mbee","Mwai wa kelĩ","Mwai wa katatũ","Mwai wa kana","Mwai wa katano","Mwai wa thanthatũ","Mwai wa muonza","Mwai wa nyaanya","Mwai wa kenda","Mwai wa ĩkumi","Mwai wa ĩkumi na ĩmwe","Mwai wa ĩkumi na ilĩ","Wky","Wkw","Wkl","Wtũ","Wkn","Wtn","Wth","Wa kyumwa","Wa kwambĩlĩlya","Wa kelĩ","Wa katatũ","Wa kana","Wa katano","Wa thanthatũ","MY","IY","Mbee wa Yesũ","Ĩtina wa Yesũ","Ĩyakwakya","Ĩyawĩoo","Mwedi Ntandi","Mwedi wa Pili","Mwedi wa Tatu","Mwedi wa Nchechi","Mwedi wa Nnyano","Mwedi wa Nnyano na Umo","Mwedi wa Nnyano na Mivili","Mwedi wa Nnyano na Mitatu","Mwedi wa Nnyano na Nchechi","Mwedi wa Nnyano na Nnyano","Mwedi wa Nnyano na Nnyano na U","Mwedi wa Nnyano na Nnyano na M","Ll2","Ll3","Ll4","Ll5","Ll6","Ll7","Ll1","Liduva lyapili","Liduva lyatatu","Liduva lyanchechi","Liduva lyannyano","Liduva lyannyano na linji","Liduva lyannyano na mavili","Liduva litandi","AY","NY","Akanapawa Yesu","Nankuida Yesu","Muhi","Chilo","{weekday}, {day} di {month} di {year} {hour}:{minute}:{second}","{weekday}, {day} di {month} di {year} {hour}:{minute}:{second} {ampm}","{weekday}, {day} di {month} di {year}","{month} di {year}","Nuv","Diz","Janeru","Fevereru","Marsu","Maiu","Junhu","Julhu","Agostu","Setenbru","Otubru","Nuvenbru","Dizenbru","du","si","te","ku","ki","se","sig","kua","kin","ses","dumingu","sigunda-fera","tersa-fera","kuarta-fera","kinta-fera","sesta-fera","sabadu","DK","Antis di Kristu","Dispos di Kristu","Alj","Ass","Atini","Atalata","Alhamiisa","Aljuma","Assabdu","Isaa jamanoo","Adduha","Aluula","JEN","WKR","WGT","WKN","WTN","WTD","WMJ","WNN","WKD","WIK","WMW","DIT","Njenuarĩ","Mwere wa kerĩ","Mwere wa gatatũ","Mwere wa kana","Mwere wa gatano","Mwere wa gatandatũ","Mwere wa mũgwanja","Mwere wa kanana","Mwere wa kenda","Mwere wa ikũmi","Mwere wa ikũmi na ũmwe","Ndithemba","KMA","NTT","NMN","NMT","ART","NMA","Njumatatũ","Njumatana","Njumamothi","Kiroko","Hwaĩ-inĩ","қаң.","ақп.","нау.","сәу.","мам.","мау.","шіл.","там.","қыр.","қаз.","қар.","желт.","қаңтар","ақпан","наурыз","сәуір","мамыр","маусым","шілде","тамыз","қыркүйек","қазан","қараша","желтоқсан","жс.","дс.","сс.","ср.","бс.","жм.","сб.","жексенбі","дуйсенбі","сейсенбі","сәрсенбі","бейсенбі","жұма","сенбі","б.з.д.","б.з.","түске дейін","түстен кейін","₸","{day}/{month} {year}","pamba","wanja","mbiyɔ mɛndoŋgɔ","Nyɔlɔmbɔŋgɔ","Mɔnɔ ŋgbanja","Nyaŋgwɛ ŋgbanja","kuŋgwɛ","fɛ","njapi","nyukul","ɓulɓusɛ","sɔndi","mɛrkɛrɛdi","yedi","vaŋdɛrɛdi","mɔnɔ sɔndi","januari","februari","martsi","aprili","maji","augustusi","septemberi","oktoberi","novemberi","decemberi","ata","pin","sis","tal","arf","sabaat","ataasinngorneq","marlunngorneq","pingasunngorneq","sisamanngorneq","tallimanngorneq","arfininngorneq","Kr.s.","Kr.k.","Kr.in.si.","Kr.in.king.","Kristusip inunngornerata siornagut","Kristusip inunngornerata kingornagut","ulloqeqqata-tungaa","ulloqeqqata-kingorna","Nkr","Skr","Nga","Kip","Iwa","Nge","Wak","Rop","Kog","Bur","Epe","Aen","Mulgul","Ng'atyato","Kiptamo","Iwat kut","Ng'eiyet","Waki","Roptui","Kipkogaga","Buret","Epeso","Kipsunde netai","Kipsunde nebo aeng","Som","Ang","Mut","Loh","Betutab tisap","Betut netai","Betutab aeng'","Betutab somok","Betutab ang'wan","Betutab mut","Betutab lo","KO","Amait kesich Jesu","Kokakesich Jesu","Beet","Kemo","ព.ស.","មករា","កុម្ភៈ","មីនា","មេសា","ឧសភា","មិថុនា","កក្កដា","សីហា","កញ្ញា","តុលា","វិច្ឆិកា","ធ្នូ","អាទិត្យ","ចន្ទ","អង្គារ","ពុធ","ព្រហស្បតិ៍","សុក្រ","សៅរ៍","មុន គ.ស.","គ.ស.","ក្រោយ គ.ស.","មុន​គ្រិស្តសករាជ","គ្រិស្តសករាជ","ព្រឹក","ល្ងាច","៛","{day} {month}, {year} {weekday} {hour}:{minute}:{second}","{day} {month}, {year} {weekday} {hour}:{minute}:{second} {ampm}","{day} {month}, {year} {weekday}","{day}, {month}, {year}","ಜ","ಫೆ","ಮಾ","ಏ","ಮೇ","ಜೂ","ಜು","ಆ","ಸೆ","ಅ","ನ","ಡಿ","ಜನ.","ಫೆಬ್ರು.","ಏಪ್ರಿ.","ಜು.","ಆಗ.","ಸೆಪ್ಟೆಂ.","ಅಕ್ಟೋ.","ನವೆಂ.","ಡಿಸೆಂ.","ಜನವರಿ","ಫೆಬ್ರವರಿ","ಮಾರ್ಚ್","ಏಪ್ರಿಲ್","ಜೂನ್","ಜುಲೈ","ಆಗಸ್ಟ್","ಸಪ್ಟೆಂಬರ್","ಅಕ್ಟೋಬರ್","ನವೆಂಬರ್","ಡಿಸೆಂಬರ್","ರವಿ","ಸೋಮ","ಮಂಗಳ","ಬುಧ","ಗುರು","ಶುಕ್ರ","ಶನಿ","ರ.","ಸೋ.","ಮಂ.","ಬು.","ಗು.","ಶು.","ಶನಿ.","ರವಿವಾರ","ಸೋಮವಾರ","ಮಂಗಳವಾರ","ಬುಧವಾರ","ಗುರುವಾರ","ಶುಕ್ರವಾರ","ಶನಿವಾರ","ಕ್ರಿ.ಪೂ","ಜಾಹೀ","ಸಾಮಾನ್ಯ ಯುಗ","ಈಸಪೂವ೯.","ಕ್ರಿಸ್ತ ಶಕ","{year}년 {month} {day}일 ({weekday})  {hour}:{minute}:{second}","{year}년 {month} {day}일 ({weekday}) {ampm} {hour}:{minute}:{second}","{year}년 {month} {day}일 ({weekday}","{year}년 {month} {day}","{year}년 {month}","불기","투트","바바흐","하투르","키야흐크","투바흐","암쉬르","바라마트","바라문다흐","바샨스","바우나흐","아비브","미스라","나시","1월","2월","3월","4월","5월","6월","7월","8월","9월","10월","11월","12월","매스캐램","테켐트","헤다르","타흐사스","테르","얘카티트","매가비트","미야지야","겐보트","새네","함레","내하세","파구맨","일","월","화","수","목","금","토","일요일","월요일","화요일","수요일","목요일","금요일","토요일","기원전","서기","서력기원전","서력기원","오전","오후","디스리월","말케스월","기슬르월","데벳월","스밧월","아달월 1","아달월","닛산월","이야르월","시완월","담무르월","압월","엘룰월","아달월 2","다이카 (645 ~ 650)","하쿠치 (650 ~ 671)","하쿠호 (672 ~ 686)","슈초 (686 ~ 701)","다이호 (701 ~ 704)","게이운 (704 ~ 708)","와도 (708 ~ 715)","레이키 (715 ~ 717)","요로 (717 ~ 724)","진키 (724 ~ 729)","덴표 (729 ~ 749)","덴표칸포 (749 ~ 749)","덴표쇼호 (749 ~ 757)","덴표호지 (757 ~ 765)","덴표진고 (765 ~ 767)","진고케이운 (767 ~ 770)","호키 (770 ~ 780)","덴오 (781 ~ 782)","엔랴쿠 (782 ~ 806)","다이도 (806 ~ 810)","고닌 (810 ~ 824)","덴초 (824 ~ 834)","조와 (834 ~ 848)","가쇼 (848 ~ 851)","닌주 (851 ~ 854)","사이코 (854 ~ 857)","덴난 (857 ~ 859)","조간 (859 ~ 877)","간교 (877 ~ 885)","닌나 (885 ~ 889)","간표 (889 ~ 898)","쇼타이 (898 ~ 901)","엔기 (901 ~ 923)","엔초 (923 ~ 931)","조헤이 (931 ~ 938)","덴교 (938 ~ 947)","덴랴쿠 (947 ~ 957)","덴토쿠 (957 ~ 961)","오와 (961 ~ 964)","고호 (964 ~ 968)","안나 (968 ~ 970)","덴로쿠 (970 ~ 973)","덴엔 (973 ~ 976)","조겐 (976 ~ 978)","덴겐 (978 ~ 983)","에이간 (983 ~ 985)","간나 (985 ~ 987)","에이엔 (987 ~ 989)","에이소 (989 ~ 990)","쇼랴쿠 (990 ~ 995)","조토쿠 (995 ~ 999)","조호 (999 ~ 1004)","간코 (1004 ~ 1012)","조와 (1012 ~ 1017)","간닌 (1017 ~ 1021)","지안 (1021 ~ 1024)","만주 (1024 ~ 1028)","조겐 (1028 ~ 1037)","조랴쿠 (1037 ~ 1040)","조큐 (1040 ~ 1044)","간토쿠 (1044 ~ 1046)","에이쇼 (1046 ~ 1053)","덴기 (1053 ~ 1058)","고헤이 (1058 ~ 1065)","지랴쿠 (1065 ~ 1069)","엔큐 (1069 ~ 1074)","조호 (1074 ~ 1077)","쇼랴쿠 (1077 ~ 1081)","에이호 (1081 ~ 1084)","오토쿠 (1084 ~ 1087)","간지 (1087 ~ 1094)","가호 (1094 ~ 1096)","에이초 (1096 ~ 1097)","조토쿠 (1097 ~ 1099)","고와 (1099 ~ 1104)","조지 (1104 ~ 1106)","가쇼 (1106 ~ 1108)","덴닌 (1108 ~ 1110)","덴에이 (1110 ~ 1113)","에이큐 (1113 ~ 1118)","겐에이 (1118 ~ 1120)","호안 (1120 ~ 1124)","덴지 (1124 ~ 1126)","다이지 (1126 ~ 1131)","덴쇼 (1131 ~ 1132)","조쇼 (1132 ~ 1135)","호엔 (1135 ~ 1141)","에이지 (1141 ~ 1142)","고지 (1142 ~ 1144)","덴요 (1144 ~ 1145)","규안 (1145 ~ 1151)","닌페이 (1151 ~ 1154)","규주 (1154 ~ 1156)","호겐 (1156 ~ 1159)","헤이지 (1159 ~ 1160)","에이랴쿠 (1160 ~ 1161)","오호 (1161 ~ 1163)","조칸 (1163 ~ 1165)","에이만 (1165 ~ 1166)","닌난 (1166 ~ 1169)","가오 (1169 ~ 1171)","조안 (1171 ~ 1175)","안겐 (1175 ~ 1177)","지쇼 (1177 ~ 1181)","요와 (1181 ~ 1182)","주에이 (1182 ~ 1184)","겐랴쿠 (1184 ~ 1185)","분지 (1185 ~ 1190)","겐큐 (1190 ~ 1199)","쇼지 (1199 ~ 1201)","겐닌 (1201 ~ 1204)","겐큐 (1204 ~ 1206)","겐에이 (1206 ~ 1207)","조겐 (1207 ~ 1211)","겐랴쿠 (1211 ~ 1213)","겐포 (1213 ~ 1219)","조큐 (1219 ~ 1222)","조오 (1222 ~ 1224)","겐닌 (1224 ~ 1225)","가로쿠 (1225 ~ 1227)","안테이 (1227 ~ 1229)","간키 (1229 ~ 1232)","조에이 (1232 ~ 1233)","덴푸쿠 (1233 ~ 1234)","분랴쿠 (1234 ~ 1235)","가테이 (1235 ~ 1238)","랴쿠닌 (1238 ~ 1239)","엔오 (1239 ~ 1240)","닌지 (1240 ~ 1243)","간겐 (1243 ~ 1247)","호지 (1247 ~ 1249)","겐초 (1249 ~ 1256)","고겐 (1256 ~ 1257)","쇼카 (1257 ~ 1259)","쇼겐 (1259 ~ 1260)","분오 (1260 ~ 1261)","고초 (1261 ~ 1264)","분에이 (1264 ~ 1275)","겐지 (1275 ~ 1278)","고안 (1278 ~ 1288)","쇼오 (1288 ~ 1293)","에이닌 (1293 ~ 1299)","쇼안 (1299 ~ 1302)","겐겐 (1302 ~ 1303)","가겐 (1303 ~ 1306)","도쿠지 (1306 ~ 1308)","엔쿄 (1308 ~ 1311)","오초 (1311 ~ 1312)","쇼와 (1312 ~ 1317)","분포 (1317 ~ 1319)","겐오 (1319 ~ 1321)","겐코 (1321 ~ 1324)","쇼추 (1324 ~ 1326)","가랴쿠 (1326 ~ 1329)","겐토쿠 (1329 ~ 1331)","겐코 (1331 ~ 1334)","겐무 (1334 ~ 1336)","엔겐 (1336 ~ 1340)","고코쿠 (1340 ~ 1346)","쇼헤이 (1346 ~ 1370)","겐토쿠 (1370 ~ 1372)","분추 (1372 ~ 1375)","덴주 (1375 ~ 1379)","고랴쿠 (1379 ~ 1381)","고와 (1381 ~ 1384)","겐추 (1384 ~ 1392)","메이토쿠 (1384 ~ 1387)","가쿄 (1387 ~ 1389)","고오 (1389 ~ 1390)","메이토쿠 (1390 ~ 1394)","오에이 (1394 ~ 1428)","쇼초 (1428 ~ 1429)","에이쿄 (1429 ~ 1441)","가키쓰 (1441 ~ 1444)","분안 (1444 ~ 1449)","호토쿠 (1449 ~ 1452)","교토쿠 (1452 ~ 1455)","고쇼 (1455 ~ 1457)","조로쿠 (1457 ~ 1460)","간쇼 (1460 ~ 1466)","분쇼 (1466 ~ 1467)","오닌 (1467 ~ 1469)","분메이 (1469 ~ 1487)","조쿄 (1487 ~ 1489)<","엔토쿠 (1489 ~ 1492)","메이오 (1492 ~ 1501)","분키 (1501 ~ 1504)","에이쇼 (1504 ~ 1521)","다이에이 (1521 ~ 1528)","교로쿠 (1528 ~ 1532)","덴분 (1532 ~ 1555)","고지 (1555 ~ 1558)","에이로쿠 (1558 ~ 1570)","겐키 (1570 ~ 1573)","덴쇼 (1573 ~ 1592)","분로쿠 (1592 ~ 1596)","게이초 (1596 ~ 1615)","겐나 (1615 ~ 1624)","간에이 (1624 ~ 1644)","쇼호 (1644 ~ 1648)","게이안 (1648 ~ 1652)","조오 (1652 ~ 1655)","메이레키 (1655 ~ 1658)","만지 (1658 ~ 1661)","간분 (1661 ~ 1673)","엔포 (1673 ~ 1681)","덴나 (1681 ~ 1684)","조쿄 (1684 ~ 1688)","겐로쿠 (1688 ~ 1704)","호에이 (1704 ~ 1711)","쇼토쿠 (1711 ~ 1716)","교호 (1716 ~ 1736)","겐분 (1736 ~ 1741)","간포 (1741 ~ 1744)","엔쿄 (1744 ~ 1748)","간엔 (1748 ~ 1751)","호레키 (1751 ~ 1764)","메이와 (1764 ~ 1772)","안에이 (1772 ~ 1781)","덴메이 (1781 ~ 1789)","간세이 (1789 ~ 1801)","교와 (1801 ~ 1804)","분카 (1804 ~ 1818)","분세이 (1818 ~ 1830)","덴포 (1830 ~ 1844)","고카 (1844 ~ 1848)","가에이 (1848 ~ 1854)","안세이 (1854 ~ 1860)","만엔 (1860 ~ 1861)","분큐 (1861 ~ 1864)","겐지 (1864 ~ 1865)","게이오 (1865 ~ 1868)","메이지","다이쇼","쇼와","헤이세이","중화민국전","중화민국","({currency}{number})","जानेवारी","एप्रिल","जुलै","ओगस्ट","सेप्टेंबर","ओक्टोबर","नोव्हेंबर","डिसेंबर","मंगळ","आदित्यवार","मंगळार","क्रिस्तपूर्व","क्रिस्तशखा","म.पू.","म.नं.","جنؤری","فرؤری","مارٕچ","میٔ","جوٗن","جوٗلایی","ستمبر","اکتوٗبر","آتھوار","ژٔنٛدٕروار","بوٚموار","بودوار","برٛٮ۪سوار","جُمہ","بٹوار","اَتھوار","ژٔنٛدرٕروار","بی سی","اے ڈی","قبٕل مسیٖح","عیٖسوی سنہٕ","ربیٖع الاول","ربیٖع الثانی","ذِی القد","ذِی الحج","?","Januali","Febluali","Aplili","Jmn","Jumaapii","Jumaatatu","Jumaane","Jumaatano","Jumaamosi","Kabla ya Klisto","Baada ya Klisto","makeo","nyiaghuo","ŋ1","ŋ2","ŋ3","ŋ4","ŋ5","ŋ6","ŋ7","ŋ8","ŋ9","ŋ10","ŋ11","ŋ12","ŋwíí a ntɔ́ntɔ","ŋwíí akǝ bɛ́ɛ","ŋwíí akǝ ráá","ŋwíí akǝ nin","ŋwíí akǝ táan","ŋwíí akǝ táafɔk","ŋwíí akǝ táabɛɛ","ŋwíí akǝ táaraa","ŋwíí akǝ táanin","ŋwíí akǝ ntɛk","ŋwíí akǝ ntɛk di bɔ́k","ŋwíí akǝ ntɛk di bɛ́ɛ","lǝn","maa","mɛk","jǝǝ","júm","sam","sɔ́ndǝ","lǝndí","maadí","mɛkrɛdí","jǝǝdí","júmbá","samdí","d.Y.","k.Y.","di Yɛ́sus aká yálɛ","cámɛɛn kǝ kǝbɔpka Y","sárúwá","cɛɛ́nko","Fäb","Mäz","Mäi","Ouj","Säp","Jannewa","Fäbrowa","Määz","Aprell","Juuni","Juuli","Oujoß","Me.","Sunndaach","Moondaach","Dinnsdaach","Metwoch","Dunnersdaach","Friidaach","Samsdaach","vC","nC","vür Chrestus","noh Chrestus","vür der gewöhnlichen Zeitrechnung","Uhr vörmiddaachs","Uhr nommendaachs","Whe","Efn","Gor","Gwn","Hed","Kev","Mys Genver","Mys Whevrel","Mys Merth","Mys Ebrel","Mys Me","Mys Efan","Mys Gortheren","Mye Est","Mys Gwyngala","Mys Hedra","Mys Du","Mys Kevardhu","Mth","Mhr","Yow","Gwe","De Sul","De Lun","De Merth","De Merher","De Yow","De Gwener","De Sadorn","{year}-ж. {day}-{month}, {weekday}  {hour}:{minute}:{second}","{year}-ж. {day}-{month}, {weekday} {ampm} {hour}:{minute}:{second}","{year}-ж. {day}-{month}, {weekday}","{year}-ж. {day}-{month}","{year}-ж. {month}","Я","Ф","М","А","И","С","О","Н","Д","янв.","фев.","мар.","июн.","июл.","сен.","ноя.","январь","февраль","апрель","июнь","июль","сентябрь","октябрь","ноябрь","декабрь","Жк","Дш","Ше","Ша","Бш","Жм","Иш","Жек","Дүй","Шей","Шар","Бей","Жум","Ишм","б.з. ч.","б.з.ч.","б.з. чейин","түшкө чейинки","түштөн кийинки","сан эмес","сом","Fúngatɨ","Naanɨ","Keenda","Ikúmi","Inyambala","Idwaata","Mʉʉnchɨ","Vɨɨrɨ","Saatʉ","Inyi","Saano","Sasatʉ","Kʉfúngatɨ","Kʉnaanɨ","Kʉkeenda","Kwiikumi","Kwiinyambála","Kwiidwaata","Kʉmʉʉnchɨ","Kʉvɨɨrɨ","Kʉsaatʉ","Kwiinyi","Kʉsaano","Kʉsasatʉ","Píili","Táatu","Íne","Táano","Móosi","Jumapíiri","Jumatátu","Jumaíne","Jumatáano","Alamíisi","Ijumáa","Jumamóosi","KSA","KA","Kɨrɨsitʉ sɨ anavyaal","Kɨrɨsitʉ akavyaalwe","TOO","MUU","Apu","Seb","Oki","Janwaliyo","Febwaliyo","Marisi","Apuli","Maayi","Julaayi","Agusito","Sebuttemba","Okitobba","Bal","Lw2","Lw3","Lw4","Lw5","Lw6","Sabbiiti","Balaza","Lwakubiri","Lwakusatu","Lwakuna","Lwakutaano","Lwamukaaga","Kulisito nga tannaza","Bukya Kulisito Azaal","Wiótheȟika Wí","Thiyóȟeyuŋka Wí","Ištáwičhayazaŋ Wí","Pȟežítȟo Wí","Čhaŋwápetȟo Wí","Wípazukȟa-wašté Wí","Čhaŋpȟásapa Wí","Wasútȟuŋ Wí","Čhaŋwápeǧi Wí","Čhaŋwápe-kasná Wí","Waníyetu Wí","Tȟahékapšuŋ Wí","Aŋpétuwakȟaŋ","Aŋpétuwaŋži","Aŋpétunuŋpa","Aŋpétuyamni","Aŋpétutopa","Aŋpétuzaptaŋ","Owáŋgyužažapi","fbl","msi","apl","yun","yul","agt","stb","ɔtb","nvb","dsb","sánzá ya yambo","sánzá ya míbalé","sánzá ya mísáto","sánzá ya mínei","sánzá ya mítáno","sánzá ya motóbá","sánzá ya nsambo","sánzá ya mwambe","sánzá ya libwa","sánzá ya zómi","sánzá ya zómi na mɔ̌kɔ́","sánzá ya zómi na míbalé","eye","ybo","mbl","mst","min","mtn","mps","eyenga","mokɔlɔ mwa yambo","mokɔlɔ mwa míbalé","mokɔlɔ mwa mísáto","mokɔlɔ ya mínéi","mokɔlɔ ya mítáno","mpɔ́sɔ","libóso ya","nsima ya Y","Yambo ya Yézu Krís","Nsima ya Yézu Krís","ntɔ́ngɔ́","mpókwa","ພ.ສ.","ເທົາ","ບາບາ","ຮາໂຕ","ເຄຍ","ໂທບາ","ອຳເຊີ","ບາລຳຮາດ","ບາລາມູດາ","ບາສຮານ","ເປົານາ","ອີແປບ","ມາສລາ","ນາຊິວ","ອາເຊີ","ນາຊີວ","ແມສເຄີແຣມ","ເຕເກມ","ເຮດາ","ທາຊັສ","ເທີ","ເຍຄາທິດ","ເມກາບິດ","ເມຍເຊຍ","ເຈນບອດ","ເຊເນ","ຮຳເລ","ເນແຮສ໌","ພາກູເມນ","ມ.ກ.","ກ.ພ.","ມ.ນ.","ມ.ສ.","ພ.ພ.","ມິ.ຖ.","ກ.ລ.","ສ.ຫ.","ກ.ຍ.","ຕ.ລ.","ພ.ຈ.","ທ.ວ.","ມັງກອນ","ກຸມພາ","ມີນາ","ເມສາ","ພຶດສະພາ","ມິຖຸນາ","ກໍລະກົດ","ສິງຫາ","ກັນຍາ","ຕຸລາ","ພະຈິກ","ທັນວາ","ວັນອາທິດ","ວັນຈັນ","ວັນອັງຄານ","ວັນພຸດ","ວັນພະຫັດ","ວັນສຸກ","ວັນເສົາ","ກ່ອນ ຄ.ສ.","ຄ.ສ.","ກ່ອນທ່ຽງ","ຫຼັງທ່ຽງ","ທຣິດຣີ","ເຮວານ","ກິດເລບ","ເຕເວດ","ຊີວັດ","ອາດາ I","ອາດາ","ນິດຊານ","ອີຍາຣ","ສີວານ","ຕາມູ","ເອບ","ອີລູ","ອາດາ II","ອີຍາ","ອາດ II","ຈິຕຣາ","ວິສາຂະ","ເຊດຖາ","ອັດສາ","ສາຣາວານາ","ພະຕຣາ","ອັສວິຊາ","ການຕິກາ","ອັກຣາຮາຢານາ","ປຸສາ","ມາຄະ","ຜາລກຸນີ","ປຸສະຍາ","ມຸຮັດ","ເຄາະ","ຮອດບີ 1","ຮອກບີ 2","ນຸມາ 1","ນຸມາ 2","ເຮາະ","ຊະອ໌","ເຮາະມະ","ເຊົາ","ຊຸລກິອຸ","ຊຸລຫິຈ","ມຸຣະຮອມ","ຊາຟາຣ","ຮາບີ 1","ຮາບີ 2","ຈຸມາດາ 1","ຈຸມາດາ 2","ຮາຈັບ","ຊະບານ","ຮາມາດອນ","ເຊົາວັດ","ດຸອັດກິດະ","ດຸອັດກິຈະ","ທະອິກະ (645–650)","ຮາກູຊິ (650–671)","ຮາກູໂຮ (672–686)","ຊູໂຊ (686–701)","ທາອິໂຮ (701–704)","ເຄອຸງ (704–708)","ວະໂດ (708–715)","ເຣອິກິ (715–717)","ໂຢໂຣ (717–724)","ຈິງກິ (724–729)","ເທັມປຽວ (729–749)","ເທັມປຽວ-ຄໍາໂປ (749–749)","ເທັມປຽວ-ໂຊໂຮ (749–757)","ເທັມປຽວ-ໂຮຈິ (757–765)","ເທັມປຽວ-ຈິງໂງະ (765–767)","ຈິງໂງະ-ເຄອຸງ (767–770)","ໂຮກິ (770–780)","ເທັນ-ໂອ (781–782)","ເອັນຣຢາກຸ (782–806)","ດາອິໂດ (806–810)","ໂກນິນ (810–824)","ເທັນໂຊ (824–834)","ໂຊວະ (834–848)","ກະໂຈ (848–851)","ນິນຈູ (851–854)","ສະອິໂກະ (854–857)","ເທັນນານ (857–859)","ໂຈງານ (859–877)","ເກັນເກ (877–885)","ນິນນາ (885–889)","ກໍາປຽວ (889–898)","ໂຊຕາອິ (898–901)","ເອັນງິ (901–923)","ເອັນໂຊ (923–931)","ໂຊເຮ (931–938)","ເທັນງຽວ (938–947)","ເທັນຣຢາກູ (947–957)","ເທັນໂຕະກຸ (957–961)","ໂອວະ (961–964)","ໂກໂຮ (964–968)","ອານະ (968–970)","ເທັນໂຣະກຸ (970–973)","ເທັນ-ເອັນ (973–976)","ໂຈເງັນ (976–978)","ເທັນເງັນ (978–983)","ເອການ (983–985)","ການນະ (985–987)","ເອ-ເອັນ (987–989)","ເອໂຊ (989–990)","ໂຊຣຢະກຸ (990–995)","ໂຊໂຕະກຸ (995–999)","ໂຊໂຮ (999–1004)","ການໂກ (1004–1012)","ໂຊຫວະ (1012–1017)","ການນິງ (1017–1021)","ຈິອານ (1021–1024)","ມານຈຸ (1024–1028)","ໂຊເງັນ (1028–1037)","ໂຊເຣຢະກຸ (1037–1040)","ໂຊຄິວ (1040–1044)","ການໂຕະກຸ (1044–1046)","ເອະໂຊ (1046–1053)","ເທັນງິ (1053–1058)","ໂກເຮ (1058–1065)","ຈິເຣຢະກຸ (1065–1069)","ເອັນຄິວ (1069–1074)","ໂຊະໂຮ (1074–1077)","ໂຊະເຣຢະກຸ (1077–1081)","ເອໂຊະ (1081–1084)","ໂອໂຕະກຸ (1084–1087)","ການຈິ (1087–1094)","ກາໂຊ (1094–1096)","ເອະໂຊະ (1096–1097)","ໂຊະໂຕະກຸ (1097–1099)","ໂກະວະ (1099–1104)","ໂຊະຈິ (1104–1106)","ກາໂຊະ (1106–1108)","ເທັນນິນ (1108–1110)","ເທັນ-ອິ (1110–1113)","ເອກິວ (1113–1118)","ເຄັນ-ເອ (1118–1120)","ໂຮະອານ (1120–1124)","ເທັນຈິ (1124–1126)","ດາອິຈິ (1126–1131)","ເທັນໂຊະ (1131–1132)","ໂຊະໂຊະ (1132–1135)","ໂຮເອັນ (1135–1141)","ເອຈິ (1141–1142)","ໂກະຈິ (1142–1144)","ເທັນໂຢະ (1144–1145)","ຄິວອານ (1145–1151)","ນິນເປ (1151–1154)","ຄິວຈຸ (1154–1156)","ໂຮເຄັນ (1156–1159)","ເຮຈິ (1159–1160)","ເອເຣຢະກຸ (1160–1161)","ໂອໂຊ (1161–1163)","ໂຊະການ (1163–1165)","ເອມານ (1165–1166)","ນິນ-ອານ (1166–1169)","ກະໂອ (1169–1171)","ໂຊະອານ (1171–1175)","ອານເຄັນ (1175–1177)","ຈິໂຊະ (1177–1181)","ໂຢະວະ (1181–1182)","ຈຸເອະ (1182–1184)","ເຄັນເຣຢຸກິ (1184–1185)","ບັນຈິ (1185–1190)","ເກັນຄິວ (1190–1199)","ໂຊຈິ (1199–1201)","ເກັນນິນ (1201–1204)","ເຄັນກິວ (1204–1206)","ເກັນ-ເອະ (1206–1207)","ໂຊະເຄັນ (1207–1211)","ເກັນເຣຢະກຸ (1211–1213)","ເກັນໂປະ (1213–1219)","ໂຊະກິວ (1219–1222)","ໂຈະໂອະ (1222–1224)","ເຄັນນິນ (1224–1225)","ກາໂຮກຸ (1225–1227)","ອານເຕະ (1227–1229)","ການກິ (1229–1232)","ໂຈະເອະ (1232–1233)","ເທັມປຸກຸ (1233–1234)","ບັນເຣຢະກຸ (1234–1235)","ກາເຕະ (1235–1238)","ເຣຢະກຸນິນ (1238–1239)","ເອັນ-ໂອ (1239–1240)","ນິນຈີ (1240–1243)","ຄານເຈນ (1243–1247)","ໂຫຈີ (1247–1249)","ເຄນໂຊ (1249–1256)","ໂຄເຈນ (1256–1257)","ໂຊກາ (1257–1259)","ໂຊເກນ (1259–1260)","ບຸນ-ໂອ (1260–1261)","ໂຄໂຊ (1261–1264)","ບຸນ-ອີ (1264–1275)","ເຄນຈີ (1275–1278)","ເຄິນ (1278–1288)","ໂຊ (1288–1293)","ອິນນິນ (1293–1299)","ເຊີນ (1299–1302)","ເຄນເຈນ (1302–1303)","ຄາເຈນ (1303–1306)","ໂຕກູຈິ (1306–1308)","ອິນກິ (1308–1311)","ໂອໂຊ (1300–1312)","ໂຊວາ (1312–1317)","ບຸນໂປ (1317–1319)","ຈີໂນ (1319–1321)","ເຈນກຽວ (1321–1324)","ໂຊຊິ (1324–1326)","ຄາຣາກິ (1326–1329)","ເຈນໂຕກູ (1329–1331)","ເຈນໂກ (1331–1334)","ເກັມມຸ (1334–1336)","ເອັນເຈັນ (1336–1340)","ໂກໂກກຸ (1340–1346)","ໂຊຊິ (1346–1370)","ເຄນໂຕກຸ (1370–1372)","ບຸນຊຸ (1372–1375)","ເທັນຈຸ (1375–1379)","ຄໍຢາກຸ (1379–1381)","ໂກວາ (1381–1384)","ເຈັນຊຸ (1384–1392)","ມີໂຕກຸ (1384–1387)","ກາກິ (1387–1389)","ຄູ (1389–1390)","ມິໂຕກຸ (1390–1394)","ໂອອິ (1394–1428)","ໂຊໂຊ (1428–1429)","ອິກຽວ (1429–1441)","ກາກິຊຸ (1441–1444)","ບຸນ-ອານ (1444–1449)","ໂຫໂຕກຸ (1449–1452)","ກຽວໂຕກຸ (1452–1455)","ເກໂຊ (1455–1457)","ໂຊໂຣກຸ (1457–1460)","ຄານໂຊ (1460–1466)","ບຸນໂຊ (1466–1467)","ໂອນິນ (1467–1469)","ບຸນມິ (1469–1487)","ໂຊກຽວ (1487–1489)","ເອັນໂຕກຸ (1489–1492)","ມິໂອ (1492–1501)","ບຸນກິ (1501–1504)","ອິໂຊ (1504–1521)","ໄຕອິ (1521–1528)","ກຽວໂຣກຸ (1528–1532)","ເທັນມອນ (1532–1555)","ໂກຈິ (1555–1558)","ອິໂຣກຸ (1558–1570)","ເຈັນກິ (1570–1573)","ເທັນໂຊ (1573–1592)","ບຸນໂຣກຸ (1592–1596)","ຄິໂຊ (1596–1615)","ເກັນວາ (1615–1624)","ຄານ-ອິ (1624–1644)","ໂຊໂຊ (1644–1648)","ຄຽນ (1648–1652)","ຊຸ (1652–1655)","ເມຍຢາກຸ (1655–1658)","ແມນຈິ (1658–1661)","ການບຸນ (1661–1673)","ເອັນໂປ (1673–1681)","ເທັນວາ (1681–1684)","ໂຈກຽວ (1684–1688)","ເຈັນໂຣກຸ (1688–1704)","ໂຫອິ (1704–1711)","ຊຸຕຸກຸ (1711–1716)","ກຽວຫຸ (1716–1736)","ເຈັນບຸນ (1736–1741)","ຄານໂປ (1741–1744)","ເອັນກຽວ (1744–1748)","ຄານ-ອິນ (1748–1751)","ໂຫຢາກຸ (1751–1764)","ເມຍວາ (1764–1772)","ເອັນ-ອິ (1772–1781)","ເທັນມິ (1781–1789)","ຄານຊິ (1789–1801)","ກຽວວາ (1801–1804)","ບຸນກາ (1804–1818)","ບຸນຊິ (1818–1830)","ເທັນໂປ (1830–1844)","ກຸກາ (1844–1848)","ກາອິ (1848–1854)","ແອັນຊິ (1854–1860)","ແມັນ-ເອັນ (1860–1861)","ບຸນກຸ (1861–1864)","ເຈນຈີ (1864–1865)","ຄີໂອ (1865–1868)","ມີຈີ","ໄຕໂຊ","ໂຊວາ","ຮີຊີ","ຟາຣວາດິນ","ອໍຣດີບີເຫຣດ","ຄໍຣເດດ","ແຕຣ","ມໍຣເດດ","ຊາຣຫິວາ","ເມີ","ອາບານ","ອາຊາ","ດີຣ","ບຣາມານ","ເອສຟານ","ຟຣາວາດິນ","ມໍຣດາເ","ອາຊາຣ","ບຣາແມນ","ປີເປີເຊຍ","ກ່ອນ R.O.C.","ບໍ່ແມ່ນໂຕເລກ","₭","saus.","vas.","kov.","bal.","geg.","birž.","liep.","rugp.","rugs.","spal.","lapkr.","gruod.","sausis","vasaris","kovas","balandis","gegužė","birželis","liepa","rugpjūtis","rugsėjis","spalis","lapkritis","gruodis","Sk","Pr","An","Tr","Kt","Pn","Št","sk","pr","an","tr","kt","pn","št","sekmadienis","pirmadienis","antradienis","trečiadienis","ketvirtadienis","penktadienis","šeštadienis","po Kr.","prme","pome","pr. m. e.","po m. e.","prieš Kristų","po Kristaus","prieš mūsų erą","po mūsų erą","priešpiet","popiet","Lt","Cio","Lus","Muu","Lum","Luf","Kab","Lush","Lut","Cis","Ciongo","Lùishi","Lusòlo","Mùuyà","Lumùngùlù","Lufuimi","Kabàlàshìpù","Lùshìkà","Lutongolo","Lungùdi","Kaswèkèsè","Ciswà","Nko","Ndy","Ndg","Njw","Ngv","Lub","Lumingu","Nkodya","Ndàayà","Ndangù","Njòwa","Ngòvya","Lubingu","kmp. Y.K.","kny. Y. K.","Kumpala kwa Yezu Kli","Kunyima kwa Yezu Kli","Dinda","Dilolo","DAC","DAR","DAD","DAN","DAH","DAU","DAO","DAB","DOC","DAP","DGI","DAG","Dwe mar Achiel","Dwe mar Ariyo","Dwe mar Adek","Dwe mar Ang'wen","Dwe mar Abich","Dwe mar Auchiel","Dwe mar Abiriyo","Dwe mar Aboro","Dwe mar Ochiko","Dwe mar Apar","Dwe mar gi achiel","Dwe mar Apar gi ariyo","JMP","WUT","TAR","TAD","TAN","TAB","NGS","Jumapil","Wuok Tich","Tich Ariyo","Tich Adek","Tich Ang'wen","Tich Abich","Ngeso","Kapok Kristo obiro","Ka Kristo osebiro","OD","OT","J2","J3","J4","J5","Ij","J1","Jumapiri","Murwa wa Kanne","Murwa wa Katano","Imberi ya Kuuza Kwa","Muhiga Kuvita Kuuza","{currency}- {number}","maijs","jūn.","jūl.","janvāris","februāris","aprīlis","jūnijs","jūlijs","augusts","septembris","oktobris","novembris","decembris","Sv","Ot","Ce","Pk","svētdiena","pirmdiena","otrdiena","trešdiena","ceturtdiena","piektdiena","sestdiena","p.m.ē.","m.ē.","pmē","mē","pirms mūsu ēras","mūsu ērā","priekšpusdienā","pēcpusdienā","tišri","hešvans","kisļevs","tevets","ševats","1. adars","adars","nisans","ijars","sivans","tamuzs","avs","eluls","2. adars","muharams","safars","1. rabī","2. rabī","1. džumādā","2. džumādā","radžabs","šabans","ramadāns","šauvals","du al-kidā","du al-hidžā","nav skaitlis","Ls","Dal","Ará","Ɔɛn","Doy","Lép","Rok","Sás","Bɔ́r","Kús","Gís","Shʉ́","Ntʉ́","Oladalʉ́","Arát","Ɔɛnɨ́ɔɨŋɔk","Olodoyíóríê inkókúâ","Oloilépūnyīē inkókúâ","Kújúɔrɔk","Mórusásin","Ɔlɔ́ɨ́bɔ́rárɛ","Kúshîn","Olgísan","Pʉshʉ́ka","Ntʉ́ŋʉ́s","Jumapílí","Jumane","Jumatánɔ","Alaámisi","Jumáa","Jumamósi","EY","Meínō Yɛ́sʉ","Eínō Yɛ́sʉ","Ɛnkakɛnyá","Ɛndámâ","JAN","FEB","MAC","ĨPU","MĨĨ","NJU","NJR","AGA","SPT","NOV","DEC","Januarĩ","Feburuarĩ","Ĩpurũ","Mĩĩ","Njuni","Njuraĩ","Agasti","Oktũba","Dicemba","KIU","MRA","WAI","WET","WEN","JUM","Muramuko","Wairi","Wethatu","Wena","Wetano","NK","Mbere ya Kristũ","Nyuma ya Kristũ","RŨ","ŨG","avr","zin","zil","zanvie","fevriye","zilye","septam","oktob","novam","desam","dim","lin","ze","van","dimans","lindi","merkredi","zedi","vandredi","samdi","av. Z-K","ap. Z-K","avan Zezi-Krist","apre Zezi-Krist","Mey","Jon","Jol","Aog","Janoary","Febroary","Martsa","Aprily","Jona","Jolay","Aogositra","Septambra","Oktobra","Novambra","Desambra","Alah","Alats","Alar","Alak","Zom","Asab","Alahady","Alatsinainy","Alarobia","Alakamisy","Zoma","Asabotsy","Alohan'i JK","Aorian'i JK","Kwa","Una","Rar","Che","Moc","Moj","Yel","Mweri wo kwanza","Mweri wo unayeli","Mweri wo uneraru","Mweri wo unecheshe","Mweri wo unethanu","Mweri wo thanu na mocha","Mweri wo saba","Mweri wo nane","Mweri wo tisa","Mweri wo kumi","Mweri wo kumi na moja","Mweri wo kumi na yel'li","Sabato","Arahamisi","HY","YY","Hinapiya yesu","Yopia yesu","wichishu","mchochil'l","MTn","M1","A2","M3","N4","F5","I6","A7","I8","K9","mbegtug","imeg àbùbì","imeg mbəŋchubi","iməg ngwə̀t","iməg fog","iməg ichiibɔd","iməg àdùmbə̀ŋ","iməg ichika","iməg kud","iməg tèsiʼe","iməg zò","iməg krizmed","iməg mbegtug","Aneg 1","Aneg 2","Aneg 3","Aneg 4","Aneg 5","Aneg 6","Aneg 7","{weekday}, {day} {month} {year} г. {hour}:{minute}:{second}","{weekday}, {day} {month} {year} г. {hour}:{minute}:{second} {ampm}","ј","јан.","јун.","јул.","јануари","нед.","пон.","сре.","чет.","пет.","вт.","саб.","недела","среда","четврток","петок","сабота","претпладне","попладне","ден","ജനു","ഫെബ്രു","മാർ","ഏപ്രി","മേയ്","ജൂൺ","ജൂലൈ","ഓഗ","സെപ്റ്റം","ഒക്ടോ","നവം","ഡിസം","ജനുവരി","ഫെബ്രുവരി","മാർച്ച്","ഏപ്രിൽ","ആഗസ്റ്റ്","സെപ്റ്റംബർ","ഒക്‌ടോബർ","നവംബർ","ഡിസംബർ","ഞാ","തി","ചൊ","ബു","വ്യാ","വെ","ശ","ഞായർ","തിങ്കൾ","ചൊവ്വ","ബുധൻ","വ്യാഴം","വെള്ളി","ശനി","ഞായറാഴ്‌ച","തിങ്കളാഴ്‌ച","ചൊവ്വാഴ്ച","ബുധനാഴ്‌ച","വ്യാഴാഴ്‌ച","വെള്ളിയാഴ്‌ച","ശനിയാഴ്‌ച","ക്രി.മൂ","എഡി","ബിസിഇ","സിഇ","ക്രിസ്തുവിനു് മുമ്പ്‌","ക്രിസ്തുവിന് പിൻപ്","ചൈത്രം","വൈശാഖം","ജ്യേഷ്ഠം","ആഷാഢം","ശ്രാവണം","ഭാദ്രപാദം","ആശ്വിനം","കാർത്തികം","മാർഗശീർഷം","പൗഷം","മാഘം","ഫൽഗുനം","ശക","മുഹറം","സഫർ","റബീഹുൽ അവ്വൽ","റബീഹുൽ ആഖിർ","ജമാദുൽ അവ്വൽ","ജമാദുൽ ആഖിർ","റജബ്","ശഹബാൻ","റമളാൻ","ശവ്വാൽ","ദുൽ ഖഹദ്","ദുൽ ഹിജ്ജ","ഹിജറ","സംഖ്യയല്ല","1-р сар","2-р сар","3-р сар","4-р сар","5-р сар","6-р сар","7-р сар","8-р сар","9-р сар","10-р сар","11-р сар","12-р сар","Нэгдүгээр сар","Хоёрдугаар сар","Гуравдугаар сар","Дөрөвдүгээр сар","Тавдугаар сар","Зургадугаар сар","Долдугаар сар","Наймдугаар сар","Есдүгээр сар","Аравдугаар сар","Арван нэгдүгээр сар","Арван хоёрдугаар сар","Ня","Да","Мя","Лх","Пү","Ба","Бя","ням","даваа","мягмар","лхагва","пүрэв","баасан","бямба","м.э.ө","м.э.","МЭӨ","МЭ","НТӨ","НТ","манай эриний өмнөх","манай эриний","ҮӨ","ҮХ","₮","{weekday}, {day}, {month} {year}, {hour}:{minute}:{second}","{weekday}, {day}, {month} {year}, {hour}:{minute}:{second} {ampm}","{weekday}, {day}, {month} {year}","जा","फे","ए","ऑ","स","नो","डि","जाने","फेब्रु","एप्रि","ऑग","सप्टें","ऑक्टो","नोव्हें","डिसें","ऑगस्ट","सप्टेंबर","ऑक्टोबर","मंगळवार","ईसापूर्व","ईसापूर्व युग","ईसायुग","ईसवीसनपूर्व","ईसवीसन","[AM]","[PM]","deva","Fb","Mc","Ap","Og","Sp","Nv","Ds","Ogo","Ogos","Disember","Ah","Is","Ra","Kh","Ahd","Isn","Kha","Ahad","Isnin","Khamis","Jumaat","S.M.","TM","PG","PTG","RM","Fra","Mej","Ġun","Lul","Aww","Ott","Diċ","Jannar","Frar","Marzu","Mejju","Ġunju","Lulju","Awwissu","Settembru","Ottubru","Novembru","Diċembru","Ħad","Tne","Tli","Erb","Ħam","Ġim","Il-Ħadd","It-Tnejn","It-Tlieta","L-Erbgħa","Il-Ħamis","Il-Ġimgħa","Is-Sibt","QK","WK","QEK","EK","Qabel Kristu","Wara Kristu","QN","WN","FLO","CLA","CKI","FMF","MAD","MBI","MLI","MAM","FDE","FMU","FGW","FYU","Fĩi Loo","Cokcwaklaŋne","Cokcwaklii","Fĩi Marfoo","Madǝǝuutǝbijaŋ","Mamǝŋgwãafahbii","Mamǝŋgwãalii","Madǝmbii","Fĩi Dǝɓlii","Fĩi Mundaŋ","Fĩi Gwahlle","Fĩi Yuru","Cya","Cla","Czi","Cko","Cka","Cga","Cze","Com'yakke","Comlaaɗii","Comzyiiɗii","Comkolle","Comkaldǝɓlii","Comgaisuu","Comzyeɓsuu","PK","KǝPel Kristu","Pel Kristu","comme","lilli","ဇန်နဝါရီ","ဖေဖော်ဝါရီ","မတ်","ဧပြီ","မေ","ဇွန်","ဇူလိုင်","ဩဂုတ်","စက်တင်ဘာ","အောက်တိုဘာ","နိုဝင်ဘာ","ဒီဇင်ဘာ","တနင်္ဂနွေ","တနင်္လာ","အင်္ဂါ","ဗုဒ္ဓဟူး","ကြာသပတေး","သောကြာ","စနေ","ဘီစီ","အေဒီ","ဘီစီအီး","စီအီး","ခရစ်တော် မပေါ်မီကာလ","ခရစ်တော် ပေါ်ထွန်းပြီးကာလ","နံနက်","ညနေ","mymr","ဂဏန်းမဟုတ်သော","ǃKhanni","ǃKhanǀgôab","ǀKhuuǁkhâb","ǃHôaǂkhaib","ǃKhaitsâb","Gamaǀaeb","ǂKhoesaob","Aoǁkhuumûǁkhâb","Taraǀkhuumûǁkhâb","ǂNûǁnâiseb","ǀHooǂgaeb","Hôasoreǁkhâb","Son","Wu","Sontaxtsees","Mantaxtsees","Denstaxtsees","Wunstaxtsees","Dondertaxtsees","Fraitaxtsees","Satertaxtsees","Xristub aiǃâ","Xristub khaoǃgâ","ǁgoagas","ǃuias","{weekday} {day}. {month} {year}, {hour}.{minute}.{second}","{weekday} {day}. {month} {year}, {hour}.{minute}.{second} {ampm}","sø.","ti.","on.","to.","fr.","lø.","fvt.","vt.","før vår tidsregning","vår tidsregning","Zib","Nhlo","Mbi","Mab","Nkw","Nhla","Ntu","Ncw","Mpan","Lwe","Mpal","Zibandlela","Nhlolanja","Mbimbitho","Mabasa","Nkwenkwezi","Nhlangula","Ntulikazi","Ncwabakazi","Mpandula","Mfumfu","Lwezi","Mpalakazi","Mvu","Sin","Sih","Mgq","Sonto","Mvulo","Sibili","Sithathu","Sine","Sihlanu","Mgqibelo","UKristo angakabuyi","Ukristo ebuyile","{year} {month} {day}, {weekday}, {hour}:{minute}:{second}","{year} {month} {day}, {weekday}, {hour}:{minute}:{second} {ampm}","१","२","३","४","५","६","७","८","९","१०","११","१२","फेब्रुअरी","अप्रिल","अगस्ट","सेप्टेम्बर","अक्टोबर","नोभेम्बर","डिसेम्बर","फरवरी","अप्रेल","दिसम्बर","आइत","मङ्गल","बिही","आइतवार","मङ्गलवार","बिहीवार","ईसा पूर्व","सन्","जेठ","असार","साउन","भदौ","असोज","कात्तिक","मङसिर","पुस","चैत","नेरू","आइतबार","सोमबार","मङ्गलबार","बुधबार","बिहीबार","शुक्रबार","शनिबार","पूर्व मध्यान्ह","उत्तर मध्यान्ह","Tut","Babah","Hatur","Kiyahk","Tubah","Baramundah","Ba'unah","Abib","Misra","Nasi","Mäskäräm","Teqemt","T'er","Yäkatit","Mägabit","Miyazya","Säne","Nähase","Pagumän","mrt.","mei","maart","augustus","zo","wo","vr","za","zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag","gj","v.Chr.","n.Chr.","Voor Christus","vóór gewone jaartelling","gewone jaartelling","Tisjrie","Chesjwan","Sjevat","Adar A","Ijar","Tammoez","Elloel","Adar B","Vaishakha","Jyeshtha","Aashaadha","Shraavana","Bhaadrapada","Ashvina","Kaartika","Pausha","Maagha","Phaalguna","Moeh.","Joem. I","Joem. II","Sja.","Sjaw.","Doe al k.","Doe al h.","Moeharram","Rabiʻa al awal","Rabiʻa al thani","Joemadʻal awal","Joemadʻal thani","Sjaʻaban","Sjawal","Doe al kaʻaba","Doe al hizja","Saʻna Hizjria","{currency} {number}-","FJ$","SI$","ng1","ng2","ng3","ng4","ng5","ng6","ng7","ng8","ng9","ng10","ng11","kris","ngwɛn matáhra","ngwɛn ńmba","ngwɛn ńlal","ngwɛn ńna","ngwɛn ńtan","ngwɛn ńtuó","ngwɛn hɛmbuɛrí","ngwɛn lɔmbi","ngwɛn rɛbvuâ","ngwɛn wum","ngwɛn wum navŭr","krísimin","mbs","sas","mɔ́ndɔ","sɔ́ndɔ mafú mába","sɔ́ndɔ mafú málal","sɔ́ndɔ mafú mána","mabágá má sukul","sásadi","BL","PB","Bó Lahlɛ̄","Pfiɛ Burī","maná","kugú","{weekday} {day}. {month} {year}, {hour}:{minute}:{second}","{weekday} {day}. {month} {year}, {hour}:{minute}:{second} {ampm}","må.","ty.","måndag","tysdag","laurdag","før vesterlandsk tidsrekning","vesterlandsk tidsrekning","formiddag","ettermiddag","{weekday} , lyɛ̌ʼ {day} na {month}, {year} {hour}:{minute}:{second}","{weekday} , lyɛ̌ʼ {day} na {month}, {year} {hour}:{minute}:{second} {ampm}","{weekday} , lyɛ̌ʼ {day} na {month}, {year}","lyɛ̌ʼ {day} na' {month}, {year}","saŋ tsetsɛ̀ɛ lùm","saŋ kàg ngwóŋ","saŋ lepyè shúm","saŋ cÿó","saŋ tsɛ̀ɛ cÿó","saŋ njÿoláʼ","saŋ tyɛ̀b tyɛ̀b mbʉ̀","saŋ mbʉ̀ŋ","saŋ ngwɔ̀ʼ mbÿɛ","saŋ tàŋa tsetsáʼ","saŋ mejwoŋó","saŋ lùm","lyɛʼɛ́ sẅíŋtè","mvfò lyɛ̌ʼ","mbɔ́ɔntè mvfò lyɛ̌ʼ","tsètsɛ̀ɛ lyɛ̌ʼ","mbɔ́ɔntè tsetsɛ̀ɛ lyɛ̌ʼ","mvfò màga lyɛ̌ʼ","màga lyɛ̌ʼ","m.z.Y.","m.g.n.Y.","mé zyé Yěsô","mé gÿo ńzyé Yěsô","mbaʼámbaʼ","ncwònzém","Mat","Arh","Usi","Janabari","uFeberbari","uMatjhi","u-Apreli","Meyi","Julayi","Arhostosi","Usinyikhaba","Bil","Ne","Hla","Gqi","uSonto","uMvulo","uLesibili","Lesithathu","uLesine","ngoLesihlanu","umGqibelo","Apo","Nof","Janaware","Feberware","Matšhe","Aporele","Julae","Agostose","Setemere","Oktobore","Nofemere","Disemere","Mos","Bed","Mok","Sontaga","Mosupalogo","Labobedi","Laboraro","Labone","Labohlano","Mokibelo","{weekday}، {day} {month} {year} {hour}:{minute}:{second}","{weekday}، {day} {month} {year} {hour}:{minute}:{second} {ampm}","{weekday}، {day} {month} {year}","Tiop","Pɛt","Duɔ̱ɔ̱","Guak","Duä","Kor","Pay","Thoo","Tɛɛ","Laa","Kur","Tid","Tiop thar pɛt","Duɔ̱ɔ̱ŋ","Duät","Kornyoot","Pay yie̱tni","Tho̱o̱r","Tɛɛr","Laath","Tio̱p in di̱i̱t","Cäŋ","Jiec","Rɛw","Diɔ̱k","Ŋuaan","Dhieec","Bäkɛl","Cäŋ kuɔth","Jiec la̱t","Rɛw lätni","Diɔ̱k lätni","Ŋuaan lätni","Dhieec lätni","Bäkɛl lätni","ƐY","A ka̱n Yecu ni dap","Ɛ ca Yecu dap","RW","TŊ","Ama","Gur","Bit","Elb","Cam","Wax","Ado","Hag","Ful","Onk","Mud","Amajjii","Guraandhala","Bitooteessa","Elba","Caamsa","Waxabajjii","Adooleessa","Hagayya","Fuulbana","Onkololeessa","Sadaasa","Muddee","Dil","Wix","Qib","Rob","Dilbata","Wiixata","Qibxata","Roobii","Kamiisa","Jimaata","Sanbata","KD","KB","WD","WB","ଜାନୁଆରୀ","ଫେବ୍ରୁୟାରୀ","ମାର୍ଚ୍ଚ","ଅପ୍ରେଲ","ମେ","ଜୁନ","ଜୁଲାଇ","ଅଗଷ୍ଟ","ସେପ୍ଟେମ୍ବର","ଅକ୍ଟୋବର","ନଭେମ୍ବର","ଡିସେମ୍ବର","ରବି","ସୋମ","ମଙ୍ଗଳ","ବୁଧ","ଗୁରୁ","ଶୁକ୍ର","ଶନି","ରବିବାର","ସୋମବାର","ମଙ୍ଗଳବାର","ବୁଧବାର","ଗୁରୁବାର","ଶୁକ୍ରବାର","ଶନିବାର","июны","июлы","январы","февралы","мартъийы","апрелы","майы","августы","сентябры","октябры","ноябры","декабры","хцб","крс","дцг","ӕрт","цпр","мрб","сбт","хуыцаубон","къуырисӕр","дыццӕг","ӕртыццӕг","цыппӕрӕм","майрӕмбон","сабат","н.д.а.","н.д.","ӕмбисбоны размӕ","ӕмбисбоны фӕстӕ","НН","ਜ","ਫ਼","ਮਾ","ਅ","ਮ","ਜੂ","ਜੁ","ਸ","ਨ","ਦ","ਜਨਵਰੀ","ਫ਼ਰਵਰੀ","ਮਾਰਚ","ਅਪ੍ਰੈਲ","ਮਈ","ਜੂਨ","ਜੁਲਾਈ","ਅਗਸਤ","ਸਤੰਬਰ","ਅਕਤੂਬਰ","ਨਵੰਬਰ","ਦਸੰਬਰ","ਐਤ.","ਸੋਮ.","ਮੰਗਲ.","ਬੁਧ.","ਵੀਰ.","ਸ਼ੁੱਕਰ.","ਸ਼ਨੀ.","ਐਤਵਾਰ","ਸੋਮਵਾਰ","ਮੰਗਲਵਾਰ","ਬੁਧਵਾਰ","ਵੀਰਵਾਰ","ਸ਼ੁੱਕਰਵਾਰ","ਸ਼ਨੀਵਾਰ","ਈ. ਪੂ.","ਸੰਨ","ਈ. ਪੂ. ਯੁ.","ਈ.ਯੁ.","فروری","مئ","جولائی","اتوار","پیر","منگل","بُدھ","جمعرات","جمعہ","ہفتہ","ايساپورو","سں","l","c","w","p","g","sty","lut","kwi","cze","sie","wrz","paź","gru","stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","września","października","grudnia","niedz.","pon.","wt.","śr.","czw.","pt.","sob.","niedziela","poniedziałek","wtorek","środa","czwartek","piątek","p.n.e.","Tiszri","Cheszwan","Kislew","Tewet","Szwat","Siwan","Aw","Dżu. I","Dżu. II","Ra.","Sza.","Szaw.","Zu al-k.","Zu al-h.","Dżumada I","Dżumada II","Radżab","Szaban","Szawwal","Zu al-kada","Zu al-hidżdża","Farwardin","Ordibeheszt","Chordād","Mordād","Szahriwar","Ābān","Āsar","Déi","Przed ROC","ROC","zł","جنوري","فبروري","اګست","غ.م.","غ.و.","وری","غویی","غبرګولی","چنګاښ","زمری","وږی","تله","لړم","لیندۍ","مرغومی","سلواغه","کب","Mês 1","Mês 2","Mês 3","Mês 4","Mês 5","Mês 6","Mês 7","Mês 8","Mês 9","Mês 10","Mês 11","Mês 12","dez","janeiro","fevereiro","março","junho","julho","dezembro","seg","qua","qui","sex","segunda-feira","terça-feira","quarta-feira","quinta-feira","sexta-feira","Antes de Cristo","Ano do Senhor","Antes de R.O.C.","Esc.","{weekday}, {day}/{month}/{year}, {hour}:{minute}:{second}","{weekday}, {day}/{month}/{year}, {hour}:{minute}:{second} {ampm}","{weekday}, {day}/{month}/{year}","M2","M4","M5","M6","M7","M8","M9","Out","Janeiro","Fevereiro","Março","Maio","Junho","Julho","Setembro","Outubro","Novembro","Dezembro","sg","qu","qi","sx","sb","a.E.C.","E.C.","da manhã","da tarde","Db","schan.","favr.","matg","zercl.","fan.","avust","sett.","schaner","favrer","avrigl","zercladur","fanadur","settember","october","gli","gie","dumengia","glindesdi","mesemna","gievgia","venderdi","sonda","av. Cr.","s. Cr.","avant Cristus","suenter Cristus","sm","Mut.","Gas.","Wer.","Mat.","Gic.","Kam.","Nya.","Kan.","Nze.","Ukw.","Ugu.","Uku.","Nzero","Ruhuhuma","Ntwarante","Ndamukiza","Rusama","Ruheshi","Mukakaro","Nyandagaro","Nyakanga","Gitugutu","Munyonyo","Kigarama","cu.","mbe.","kab.","gtu.","kan.","gnu.","gnd.","Ku w'indwi","Ku wa mbere","Ku wa kabiri","Ku wa gatatu","Ku wa kane","Ku wa gatanu","Ku wa gatandatu","Mb.Y.","Ny.Y","Mbere ya Yezu","Nyuma ya Yezu","Z.MU.","Z.MW.","e.b.","era budistă","Hathor","Mesori","El Nasii","meskerem","taqemt","tahsas","yekatit","megabit","miazia","genbot","sene","hamle","nehase","pagumen","ian.","iun.","iul.","ianuarie","februarie","martie","aprilie","iunie","iulie","septembrie","octombrie","noiembrie","decembrie","Jo","Vi","Sâ","Dum","Mie","Joi","Vin","Sâm","duminică","luni","marți","miercuri","vineri","sâmbătă","î.Hr.","d.Hr.","î.e.n","e.n.","înainte de Hristos","după Hristos","Tișrei","Heșvan","Șevat","Tammuz","Mweri wa kwanza","Mweri wa kaili","Mweri wa katatu","Mweri wa kaana","Mweri wa tanu","Mweri wa sita","Mweri wa saba","Mweri wa nane","Mweri wa tisa","Mweri wa ikumi","Mweri wa ikumi na moja","Mweri wa ikumi na mbili","Ijp","Ijt","Ijn","Ijtn","Ijumapili","Ijumatatu","Ijumanne","Ijumatano","Ijumamosi","Kabla ya Mayesu","Baada ya Mayesu","kang'ama","kingoto","Тот","Бабэ","Хатур","Кихак","Тубэ","Бармуда","Башнас","Бауна","Абиб","Мисра","Якатит","Магабит","Миазия","Сэнэ","Хамлэ","Нахасэ","Эпагомен","марта","июня","июля","сент.","нояб.","января","февраля","апреля","августа","сентября","октября","ноября","декабря","вс","воскресенье","понедельник","четверг","пятница","суббота","до н.э.","до н. э.","н. э.","Тишрей","Ияр","Таммуз","Элул","Чайтра","Ваисакха","Джанштха","Асадха","Бхадра","Азвина","Аграхайана","Магха","Пхалгуна","Мухаррам","Раби-уль-авваль","Раби-уль-ахир","Джумад-уль-авваль","Джумад-уль-ахир","Раджаб","Шаабан","Шавваль","Зуль-Каада","Зуль-Хиджжа","Эпоха Тайка (645-650)","Эпоха Хакути (650-671)","Эпоха Хакухо (672-686)","Эпоха Сючё (686-701)","Эпоха Тайхо (701-704)","Эпоха Кёюн (704-708)","Эпоха Вадо (708-715)","Эпоха Рэйки (715-717)","Эпоха Ёро (717-724)","Эпоха Дзинки (724-729)","Эпоха Темпьё (729-749)","Эпоха Темпьё (749-749)","Эпоха Темпьё-Сьохо (749-757)","Эпоха Темпьё-Ходзи (757-765)","Эпоха Темпьё-Ходзи (765-767)","Эпоха Джинго-Кёюн (767-770)","Эпоха Хоки (770-780)","Эпоха Теньё (781-782)","Эпоха Енряку (782-806)","Эпоха Дайдо (806-810)","Эпоха Конин (810-824)","Эпоха Тентьо (824-834)","Эпоха Шова (834-848)","Эпоха Кайо (848-851)","Эпоха Ниндзю (851-854)","Эпоха Сайко (854-857)","Эпоха Теннан (857-859)","Эпоха Йоган (859-877)","Эпоха Генкей (877-885)","Эпоха Нинна (885-889)","Эпоха Кампьё (889-898)","Эпоха Сьотай (898-901)","Эпоха Энги (901-923)","Эпоха Ентьо (923-931)","Эпоха Сьёхэй (931-938)","Эпоха Тенгьо (938-947)","Эпоха Тенрияку (947-957)","Эпоха Тентоку (957-961)","Эпоха Ова (961-964)","Эпоха Кохо (964-968)","Эпоха Анна (968-970)","Эпоха Тенроку (970-973)","Эпоха Теньен (973-976)","Эпоха Дзьоген (976-978)","Эпоха Тенген (978-983)","Эпоха Ейкан (983-985)","Эпоха Канна (985-987)","Эпоха Ейен (987-989)","Эпоха Ейсо (989-990)","Эпоха Сёряку (990-995)","Эпоха Тётоку (995-999)","Эпоха Тёхо (999-1004)","Эпоха Канко (1004-1012)","Эпоха Тёва (1012-1017)","Эпоха Каннин (1017-1021)","Эпоха Дзиан (1021-1024)","Эпоха Мандзю (1024-1028)","Эпоха Тёгэн (1028-1037)","Эпоха Тёряку (1037-1040)","Эпоха Тёкю (1040-1044)","Эпоха Катоку (1044-1046)","Эпоха Эйсо (1046-1053)","Эпоха Тэнги (1053-1058)","Эпоха Кохэй (1058-1065)","Эпоха Дзиряку (1065-1069)","Эпоха Энкю (1069-1074)","Эпоха Сёхо (1074-1077)","Эпоха Сёряку (1077-1081)","Эпоха Эйхо (1081-1084)","Эпоха Отоку (1084-1087)","Эпоха Кандзи (1087-1094)","Эпоха Кахо (1094-1096)","Эпоха Эйтё (1096-1097)","Эпоха Сётоку (1097-1099)","Эпоха Кова (1099-1104)","Эпоха Тёдзи (1104-1106)","Эпоха Касё (1106-1108)","Эпоха Тэннин (1108-1110)","Эпоха Тэнъэй (1110-1113)","Эпоха Эйкю (1113-1118)","Эпоха Гэнъэй (1118-1120)","Эпоха Хоан (1120-1124)","Эпоха Тэндзи (1124-1126)","Эпоха Дайдзи (1126-1131)","Эпоха Тэнсё (1131-1132)","Эпоха Тёсё (1132-1135)","Эпоха Хоэн (1135-1141)","Эпоха Эйдзи (1141-1142)","Эпоха Кодзи (1142-1144)","Эпоха Тэнё (1144-1145)","Эпоха Кюан (1145-1151)","Эпоха Нимпэй (1151-1154)","Эпоха Кюдзю (1154-1156)","Эпоха Хогэн (1156-1159)","Эпоха Хэйдзи (1159-1160)","Эпоха Эйряку (1160-1161)","Эпоха Охо (1161-1163)","Эпоха Тёкан (1163-1165)","Эпоха Эйман (1165-1166)","Эпоха Нинъан (1166-1169)","Эпоха Као (1169-1171)","Эпоха Сёан (1171-1175)","Эпоха Ангэн (1175-1177)","Эпоха Дзисё (1177-1181)","Эпоха Ёва (1181-1182)","Эпоха Дзюэй (1182-1184)","Эпоха Гэнрюку (1184-1185)","Эпоха Бундзи (1185-1190)","Эпоха Кэнкю (1190-1199)","Эпоха Сёдзи (1199-1201)","Эпоха Кэннин (1201-1204)","Эпоха Гэнкю (1204-1206)","Эпоха Кэнъэй (1206-1207)","Эпоха Сёгэн (1207-1211)","Эпоха Кэнряку (1211-1213)","Эпоха Кэмпо (1213-1219)","Эпоха Сёкю (1219-1222)","Эпоха Дзёо (1222-1224)","Эпоха Гэннин (1224-1225)","Эпоха Кароку (1225-1227)","Эпоха Антэй (1227-1229)","Эпоха Канки (1229-1232)","Эпоха Дзёэй (1232-1233)","Эпоха Тэмпуку (1233-1234)","Эпоха Бунряку (1234-1235)","Эпоха Катэй (1235-1238)","Эпоха Рякунин (1238-1239)","Эпоха Энъо (1239-1240)","Эпоха Ниндзи (1240-1243)","Эпоха Кангэн (1243-1247)","Эпоха Ходзи (1247-1249)","Эпоха Кэнтё (1249-1256)","Эпоха Когэн (1256-1257)","Эпоха Сёка (1257-1259)","Эпоха Сёгэн (1259-1260)","Эпоха Бунъо (1260-1261)","Эпоха Котё (1261-1264)","Эпоха Бунъэй (1264-1275)","Эпоха Кэндзи (1275-1278)","Эпоха Коан (1278-1288)","Эпоха Сёо (1288-1293)","Эпоха Эйнин (1293-1299)","Эпоха Сёан (1299-1302)","Эпоха Кэнгэн (1302-1303)","Эпоха Кагэн (1303-1306)","Эпоха Токудзи (1306-1308)","Эпоха Энкэй (1308-1311)","Эпоха Отё (1311-1312)","Эпоха Сёва (1312-1317)","Эпоха Бумпо (1317-1319)","Эпоха Гэно (1319-1321)","Эпоха Гэнкё (1321-1324)","Эпоха Сётю (1324-1326)","Эпоха Карэки (1326-1329)","Эпоха Гэнтоку (1329-1331)","Эпоха Гэнко (1331-1334)","Эпоха Кэмму (1334-1336)","Эпоха Энгэн (1336-1340)","Эпоха Кококу (1340-1346)","Эпоха Сёхэй (1346-1370)","Эпоха Кэнтоку (1370-1372)","Эпоха Бунтю (1372-1375)","Эпоха Иэндзю (1375-1379)","Эпоха Коряку (1379-1381)","Эпоха Кова (1381-1384)","Эпоха Гэнтю (1384-1392)","Эпоха Мэйтоку (1384-1387)","Эпоха Какэй (1387-1389)","Эпоха Коо (1389-1390)","Эпоха Мэйтоку (1390-1394)","Эпоха Оэй (1394-1428)","Эпоха Сётё (1428-1429)","Эпоха Эйкё (1429-1441)","Эпоха Какицу (1441-1444)","Эпоха Банъан (1444-1449)","Эпоха Хотоку (1449-1452)","Эпоха Кётоку (1452-1455)","Эпоха Косё (1455-1457)","Эпоха Тёроку (1457-1460)","Эпоха Кансё (1460-1466)","Эпоха Бунсё (1466-1467)","Эпоха Онин (1467-1469)","Эпоха Буммэй (1469-1487)","Эпоха Тёкё (1487-1489)","Эпоха Энтоку (1489-1492)","Эпоха Мэйо (1492-1501)","Эпоха Бунки (1501-1504)","Эпоха Эйсё (1504-1521)","Эпоха Тайэй (1521-1528)","Эпоха Кёроку (1528-1532)","Эпоха Тэммон (1532-1555)","Эпоха Кодзи (1555-1558)","Эпоха Эйроку (1558-1570)","Эпоха Гэнки (1570-1573)","Эпоха Тэнсё (1573-1592)","Эпоха Бунроку (1592-1596)","Эпоха Кэйтё (1596-1615)","Эпоха Гэнва (1615-1624)","Эпоха Канъэй (1624-1644)","Эпоха Сёхо (1644-1648)","Эпоха Кэйан (1648-1652)","Эпоха Сё (1652-1655)","Эпоха Мэйряку (1655-1658)","Эпоха Мандзи (1658-1661)","Эпоха Камбун (1661-1673)","Эпоха Эмпо (1673-1681)","Эпоха Тэнва (1681-1684)","Эпоха Дзёкё (1684-1688)","Эпоха Гэнроку (1688-1704)","Эпоха Хоэй (1704-1711)","Эпоха Сётоку (1711-1716)","Эпоха Кёхо (1716-1736)","Эпоха Гэмбун (1736-1741)","Эпоха Кампо (1741-1744)","Эпоха Энкё (1744-1748)","Эпоха Канъэн (1748-1751)","Эпоха Хоряку (1751-1764)","Эпоха Мэйва (1764-1772)","Эпоха Анъэй (1772-1781)","Эпоха Тэммэй (1781-1789)","Эпоха Кансэй (1789-1801)","Эпоха Кёва (1801-1804)","Эпоха Бунка (1804-1818)","Эпоха Бунсэй (1818-1830)","Эпоха Тэмпо (1830-1844)","Эпоха Кока (1844-1848)","Эпоха Каэй (1848-1854)","Эпоха Ансэй (1854-1860)","Эпоха Манъэн (1860-1861)","Эпоха Бункю (1861-1864)","Эпоха Гендзи (1864-1865)","Эпоха Кейо (1865-1868)","Эпоха Мэйдзи","Эпоха Тайсьо","Сьова","Эпоха Хэйсэй","Фарвардин","Хордад","Шахривер","Азер","Дей","Эсфанд","не число","ТМТ","₴","XXXX","mut.","gas.","wer.","mat.","gic.","kam.","nya.","nze.","ukw.","ugu.","uku.","Mutarama","Gashyantare","Werurwe","Mata","Gicuransi","Kamena","Kanama","Nzeli","Ukwakira","Ugushyingo","Ukuboza","cyu.","Ku cyumweru","Kuwa mbere","Kuwa kabiri","Kuwa gatatu","Kuwa kane","Kuwa gatanu","Kuwa gatandatu","Тохс","Олун","Клн_ттр","Мус_уст","Ыам_йн","Бэс_йн","От_йн","Атрдь_йн","Блҕн_йн","Алт","Сэт","Ахс","Тохсунньу","Олунньу","Кулун тутар","Муус устар","Ыам ыйын","Бэс ыйын","От ыйын","Атырдьых ыйын","Балаҕан ыйын","Алтынньы","Сэтинньи","Ахсынньы","Бс","Бн","Оп","Сэ","Чп","Бэ","Сб","Баскыһыанньа","Бэнидиэлинньик","Оптуорунньук","Сэрэдэ","Чэппиэр","Бээтиҥсэ","Субуота","б. э. и.","б. э","ЭИ","ЭК","Obo","Waa","Oku","Ong","Ime","Ile","Sap","Isi","Saa","Tom","Tob","Tow","Lapa le obo","Lapa le waare","Lapa le okuni","Lapa le ong'wan","Lapa le imet","Lapa le ile","Lapa le sapa","Lapa le isiet","Lapa le saal","Lapa le tomon","Lapa le tomon obo","Lapa le tomon waare","Are","Kun","Mderot ee are","Mderot ee kuni","Mderot ee ong'wan","Mderot ee inet","Mderot ee ile","Mderot ee sapa","Mderot ee kwe","Kabla ya Christo","Baada ya Christo","Tesiran","Teipa","{month} {day} {year}","Mup","Mwi","Msh","Mun","Mag","Muj","Msp","Mpg","Mye","Mus","Muh","Mupalangulwa","Mwitope","Mushende","Munyi","Mushende Magali","Mujimbi","Mushipepo","Mupuguto","Munyense","Mokhu","Musongandembwe","Muhaano","Mulungu","Alahamisi","Ashanali uKilisito","Pamwandi ya Kilisto","Lwamilawu","Pashamihe","ođđajage","guovva","njukča","cuoŋo","miesse","geasse","suoidne","borge","čakča","golggot","skábma","juovla","ođđajagemánnu","guovvamánnu","njukčamánnu","cuoŋománnu","miessemánnu","geassemánnu","suoidnemánnu","borgemánnu","čakčamánnu","golggotmánnu","skábmamánnu","juovlamánnu","sotn","vuos","maŋ","gask","duor","bear","láv","aejlege","måanta","däjsta","gaskevahkoe","dåarsta","bearjadahke","laavadahke","o.Kr.","m.Kr.","ovdal Kristtusa","maŋŋel Kristtusa","iđitbeaivet","eahketbeaivet","Dkr","ođđj","guov","njuk","cuo","mies","geas","suoi","borg","čakč","golg","skáb","juov","sotnabeaivi","vuossárga","maŋŋebárga","gaskavahkku","duorasdat","bearjadat","lávvardat","Fevreiro","Marco","Augusto","Otubro","Decembro","Pos","Pir","Nai","Sha","Dimingu","Chiposi","Chipiri","Chitatu","Chinai","Chishanu","Sabudu","AC","Nye","Mbä","Bêl","Fön","Len","Kük","Ngb","Nab","Kak","Nyenye","Fulundïgi","Mbängü","Ngubùe","Bêläwü","Föndo","Lengua","Kükürü","Mvuka","Ngberere","Nabändüru","Kakauka","Bk1","Bk2","Bk3","Bk4","Bk5","Lâp","Lây","Bikua-ôko","Bïkua-ûse","Bïkua-ptâ","Bïkua-usïö","Bïkua-okü","Lâpôsö","Lâyenga","KnK","NpK","Kôzo na Krîstu","Na pekô tî Krîstu","ND","LK","ⵉⵏⵏ","ⴱⵕⴰ","ⵎⴰⵕ","ⵉⴱⵔ","ⵎⴰⵢ","ⵢⵓⵏ","ⵢⵓⵍ","ⵖⵓⵛ","ⵛⵓⵜ","ⴽⵜⵓ","ⵏⵓⵡ","ⴷⵓⵊ","ⵉⵏⵏⴰⵢⵔ","ⴱⵕⴰⵢⵕ","ⵎⴰⵕⵚ","ⵉⴱⵔⵉⵔ","ⵎⴰⵢⵢⵓ","ⵢⵓⵏⵢⵓ","ⵢⵓⵍⵢⵓⵣ","ⵖⵓⵛⵜ","ⵛⵓⵜⴰⵏⴱⵉⵔ","ⴽⵜⵓⴱⵔ","ⵏⵓⵡⴰⵏⴱⵉⵔ","ⴷⵓⵊⴰⵏⴱⵉⵔ","ⴰⵙⴰ","ⴰⵢⵏ","ⴰⵙⵉ","ⴰⴽⵕ","ⴰⴽⵡ","ⴰⵙⵉⵎ","ⴰⵙⵉⴹ","ⴰⵙⴰⵎⴰⵙ","ⴰⵢⵏⴰⵙ","ⴰⵙⵉⵏⴰⵙ","ⴰⴽⵕⴰⵙ","ⴰⴽⵡⴰⵙ","ⵙⵉⵎⵡⴰⵙ","ⴰⵙⵉⴹⵢⴰⵙ","ⴷⴰⵄ","ⴷⴼⵄ","ⴷⴰⵜ ⵏ ⵄⵉⵙⴰ","ⴷⴼⴼⵉⵔ ⵏ ⵄⵉⵙⴰ","ⵜⵉⴼⴰⵡⵜ","ⵜⴰⴷⴳⴳⵯⴰⵜ","inn","bṛa","maṛ","ibr","ɣuc","cut","ktu","nuw","duj","innayr","bṛayṛ","maṛṣ","ibrir","mayyu","yunyu","yulyuz","ɣuct","cutanbir","ktubr","nuwanbir","dujanbir","asa","ayn","asi","akṛ","akw","asim","asiḍ","asamas","aynas","asinas","akṛas","akwas","asimwas","asiḍyas","daɛ","dfɛ","dat n ɛisa","dffir n ɛisa","tifawt","tadggʷat","{year} {month} {day}, {weekday}  {hour}.{minute}.{second}","{year} {month} {day}, {weekday} {ampm} {hour}.{minute}.{second}","{ampm} {hour}.{minute}.{second}","{ampm} {hour}.{minute}","ජ","පෙ","මා","අ","මැ","ජූ","සැ","ඔ","නෙ","දෙ","ජන","පෙබ","මාර්තු","අප්‍රේල්","මැයි","ජූනි","ජූලි","අගෝ","සැප්","ඔක්","නොවැ","දෙසැ","ජනවාරි","පෙබරවාරි","අගෝස්තු","සැප්තැම්බර්","ඔක්තෝබර්","නොවැම්බර්","දෙසැම්බර්","ඉරි","සඳු","අඟ","බදා","බ්‍රහ","සිකු","සෙන","ඉරිදා","සඳුදා","අඟහ","බදාදා","බ්‍රහස්","අඟහරුවාදා","බ්‍රහස්පතින්දා","සිකුරාදා","සෙනසුරාදා","ක්‍රි.පූ.","ක්‍රි.ව.","පො.යු.පෙ","පො.යු","ක්‍රිස්තු පූර්‍ව","ක්‍රිස්තු වර්‍ෂ","පෙ.ව.","ප.ව.","රු.","máj","jún","júl","januára","februára","apríla","mája","júna","júla","augusta","septembra","októbra","novembra","decembra","Po","St","Pi","ut","pi","nedeľa","pondelok","utorok","streda","štvrtok","piatok","pred n.l.","Mex$","j","o","n","avg.","marec","junij","julij","ned.","sre.","čet.","pet.","nedelja","ponedeljek","torek","sreda","četrtek","petek","pr. n. št.","po n. št.","pred našim štetjem","naše štetje","dop.","pop.","Ndi","Kuk","Kub","Chv","Chk","Chg","Gun","Mb","Zvi","Ndira","Kukadzi","Kurume","Kubvumbi","Chivabvu","Chikumi","Chikunguru","Nyamavhuvhu","Gunyana","Gumiguru","Mbudzi","Zvita","Svo","Muv","Chip","Chit","Chin","Chis","Svondo","Muvhuro","China","Mugovera","Kristo asati auya","Kristo ashaya","Kob","Lab","Afr","Lix","Tod","Sid","Sag","KIT","LIT","Bisha Koobaad","Bisha Labaad","Bisha Saddexaad","Bisha Afraad","Bisha Shanaad","Bisha Lixaad","Bisha Todobaad","Bisha Sideedaad","Bisha Sagaalaad","Bisha Tobnaad","Bisha Kow iyo Tobnaad","Bisha Laba iyo Tobnaad","Axd","Axad","Isniin","Talaado","Arbaco","Khamiis","Jimco","CK","CD","Ciise ka hor (CS)","Ciise ka dib (CS)","sn.","gn.","Shk","Pri","Maj","Qer","Gsh","Sht","Tet","Nën","Dhj","janar","shkurt","prill","qershor","korrik","gusht","shtator","tetor","nëntor","dhjetor","Die","Hën","Mër","Enj","Pre","e diel","e hënë","e martë","e mërkurë","e enjte","e premte","e shtunë","p.e.r.","e.r.","p.e.s.","e.s.","p.e.s","para erës së re","erës së re","para erës sonë","erës sonë","paradite","pasdite","Lekë","den","{weekday}, {day}. {month} {year}. {hour}.{minute}.{second}","{weekday}, {day}. {month} {year}. {hour}.{minute}.{second} {ampm}","сре","Taut","Amšir","Baramuda","Bašans","Jekatit","Nehase","sre","ponedeljak","n. e.","Tišri","Hešvan","Ševat","Čaitra","Vaisaka","Jiaista","Asada","Badra","Argajana","Pauza","Maga","Falguna","Reb. 1","Reb 2","Džum. 1","Džum. 2","Redž.","Ša.","Še.","Zul-k.","Zul-h.","Muraham","Rađab","Šaʻban","Šaval","Duʻl-Kiʻda","Duʻl-hiđa","Hakuči (650-671)","Hakuho (672-686)","Šučo (686-701)","Taiho (701-704)","Vado (708-715)","Joro (717-724)","Tempio (729-749)","Tempio-kampo (749-749)","Tempio-šoho (749-757)","Tempio-hođi (757-765)","Tempo-đingo (765-767)","Đingo-keiun (767-770)","Hoki (770-780)","Ten-o (781-782)","Enrjaku (782-806)","Daido (806-810)","Konin (810-824)","Tenčo (824-834)","Šova (834-848)","Kajo (848-851)","Tenan (857-859)","Jogan (859-877)","Ninja (885-889)","Kampjo (889-898)","Šotai (898-901)","Enđi (901-923)","Enčo (923-931)","Šohei (931-938)","Tengjo (938-947)","Tenriaku (947-957)","Ova (961-964)","Koho (964-968)","Ana (968-970)","Jogen (976-978)","Kana (985-987)","Šorjaku (990-995)","Čotoku (995-999)","Čoho (999-1004)","Kanko (1004-1012)","Čova (1012-1017)","Kanin (1017-1021)","Đian (1021-1024)","Čogen (1028-1037)","Čorjaku (1037-1040)","Čokju (1040-1044)","Eišo (1046-1053)","Tenđi (1053-1058)","Kohei (1058-1065)","Đirjaku (1065-1069)","Enkju (1069-1074)","Šoho (1074-1077)","Šorjaku (1077-1081)","Eišo (1081-1084)","Otoku (1084-1087)","Kanđi (1087-1094)","Eičo (1096-1097)","Šotoku (1097-1099)","Kova (1099-1104)","Čođi (1104-1106)","Kašo (1106-1108)","Tenin (1108-1110)","Eikju (1113-1118)","Đen-ei (1118-1120)","Tenđi (1124-1126)","Daiđi (1126-1131)","Tenšo (1131-1132)","Čošao (1132-1135)","Eiđi (1141-1142)","Kođi (1142-1144)","Tenjo (1144-1145)","Kjuan (1145-1151)","Kjuju (1154-1156)","Heiđi (1159-1160)","Eirjaku (1160-1161)","Oho (1161-1163)","Čokan (1163-1165)","Kao (1169-1171)","Šoan (1171-1175)","Đišo (1177-1181)","Jova (1181-1182)","Đuei (1182-1184)","Genrjuku (1184-1185)","Bunđi (1185-1190)","Kenkju (1190-1199)","Šođi (1199-1201)","Kenin (1201-1204)","Genkju (1204-1206)","Šogen (1207-1211)","Kenrjaku (1211-1213)","Kenpo (1213-1219)","Šokju (1219-1222)","Đu (1222-1224)","Đenin (1224-1225)","Đoei (1232-1233)","Bunrjaku (1234-1235)","Rjakunin (1238-1239)","En-o (1239-1240)","Hođi (1247-1249)","Kenčo (1249-1256)","Kogen (1256-1257)","Šoka (1257-1259)","Šogen (1259-1260)","Bun-o (1260-1261)","Kočo (1261-1264)","Kenđi (1275-1278)","Koan (1278-1288)","Šu (1288-1293)","Šoan (1299-1302)","Tokuđi (1306-1308)","Očo (1311-1312)","Šova (1312-1317)","Bunpo (1317-1319)","Đeno (1319-1321)","Đenkjo (1321-1324)","Šoču (1324-1326)","Genko (1331-1334)","Kemu (1334-1336)","Kokoku (1340-1346)","Šohei (1346-1370)","Buču (1372-1375)","Korjaku (1379-1381)","Kova (1381-1384)","Genču (1384-1392)","Ku (1389-1390)","Oei (1394-1428)","Šočo (1428-1429)","Eikjo (1429-1441)","Hotoku (1449-1452)","Kjotoku (1452-1455)","Košo (1455-1457)","Čoroku (1457-1460)","Kanšo (1460-1466)","Bunšo (1466-1467)","Onin (1467-1469)","Čokjo (1487-1489)","Meio (1492-1501)","Eišo (1504-1521)","Kjoroku (1528-1532)","Kođi (1555-1558)","Tenšo (1573-1592)","Keičo (1596-1615)","Genva (1615-1624)","Šoho (1644-1648)","Šu (1652-1655)","Meirjaku (1655-1658)","Enpo (1673-1681)","Tenva (1681-1684)","Jokjo (1684-1688)","Hoei (1704-1711)","Šotoku (1711-1716)","Kjoho (1716-1736)","Kanpo (1741-1744)","Enkjo (1744-1748)","Horjaku (1751-1764)","Meiva (1764-1772)","Kjova (1801-1804)","Tenpo (1830-1844)","Koka (1844-1848)","Bunkju (1861-1864)","Genđi (1864-1865)","Keiko (1865-1868)","Meiđi","Taišo","Šova","Haisei","Faravadin","Ordibehešt","Kordad","Šahrivar","Dej","Pre RK","RK","Tl","Bhi","Van","Vol","Nkh","Nhl","Kho","Ngc","Nyo","Mph","Ngo","Bhimbidvwane","iNdlovana","iNdlovu-lenkhulu","iNkhwekhweti","iNhlaba","Kholwane","iNgci","iNyoni","iMphala","Lweti","iNgongoni","Mso","Tsa","Mgc","Lisontfo","uMsombuluko","Lesibili","Lesitsatfu","Lesine","Lesihlanu","uMgcibelo","Sal","Naba Sambat","Sani","Salus","Rabuq","Camus","Jumqata","Qunxa Sambat","Phe","Kol","Ube","Mme","Mot","Upu","Pha","Leo","Pun","Tsh","Phesekgong","Hlakola","Hlakubele","Mmese","Motsheanong","Phupjane","Phupu","Phata","Leotshe","Mphalane","Pundungwane","Tshitwe","Mma","Moq","Sontaha","Mmantaha","Laboraru","Labohlane","Moqebelo","kiahk","augusti","sö","må","lö","sön","mån","tis","ons","tors","fre","lör","söndag","tisdag","lördag","före Kristus","efter Kristus","före västerländsk tideräkning","västerländsk tideräkning","fm","em","tishrí","heshván","kislév","tevét","shevát","adár I","adár","nisán","ijjár","siván","tammúz","elúl","adár II","Saka-eran","jumada-l-ula","jumada-l-akhira","sha’ban","shawwal","dhu-l-ga’da","dhu-l-hijja","Taika (645–650)","Hakuchi (650–671)","Hakuhō (672–686)","Shuchō (686–701)","Taihō (701–704)","Keiun (704–708)","Wadō (708–715)","Reiki (715–717)","Yōrō (717–724)","Jinki (724–729)","Tempyō (729–749)","Tempyō-kampō (749–749)","Tempyō-shōhō (749–757)","Tempyō-hōji (757–765)","Temphō-jingo (765–767)","Jingo-keiun (767–770)","Hōki (770–780)","Ten-ō (781–782)","Enryaku (782–806)","Daidō (806–810)","Kōnin (810–824)","Tenchō (824–834)","Jōwa (834–848)","Kajō (848–851)","Ninju (851–854)","Saiko (854–857)","Tennan (857–859)","Jōgan (859–877)","Genkei (877–885)","Ninna (885–889)","Kampyō (889–898)","Shōtai (898–901)","Engi (901–923)","Enchō (923–931)","Shōhei (931–938)","Tengyō (938–947)","Tenryaku (947–957)","Tentoku (957–961)","Ōwa (961–964)","Kōhō (964–968)","Anna (968–970)","Tenroku (970–973)","Ten-en (973–976)","Jōgen (976–978)","Tengen (978–983)","Eikan (983–985)","Kanna (985–987)","Ei-en (987–989)","Eiso (989–990)","Shōryaku (990–995)","Chōtoku (995–999)","Chōhō (999–1004)","Kankō (1004–1012)","Chōwa (1012–1017)","Kannin (1017–1021)","Jian (1021–1024)","Manju (1024–1028)","Chōgen (1028–1037)","Chōryaku (1037–1040)","Chōkyū (1040–1044)","Kantoku (1044–1046)","Eishō (1046–1053)","Tengi (1053–1058)","Kōhei (1058–1065)","Jiryaku (1065–1069)","Enkyū (1069–1074)","Shōho (1074–1077)","Shōryaku (1077–1081)","Eiho (1081–1084)","Ōtoku (1084–1087)","Kanji (1087–1094)","Kaho (1094–1096)","Eichō (1096–1097)","Shōtoku (1097–1099)","Kōwa (1099–1104)","Chōji (1104–1106)","Kashō (1106–1108)","Tennin (1108–1110)","Ten-ei (1110–1113)","Eikyū (1113–1118)","Gen-ei (1118–1120)","Hoan (1120–1124)","Tenji (1124–1126)","Daiji (1126–1131)","Tenshō (1131–1132)","Chōshō (1132–1135)","Hoen (1135–1141)","Eiji (1141–1142)","Kōji (1142–1144)","Tenyō (1144–1145)","Kyūan (1145–1151)","Ninpei (1151–1154)","Kyūju (1154–1156)","Hogen (1156–1159)","Heiji (1159–1160)","Eiryaku (1160–1161)","Ōho (1161–1163)","Chōkan (1163–1165)","Eiman (1165–1166)","Nin-an (1166–1169)","Kaō (1169–1171)","Shōan (1171–1175)","Angen (1175–1177)","Jishō (1177–1181)","Yōwa (1181–1182)","Juei (1182–1184)","Genryuku (1184–1185)","Bunji (1185–1190)","Kenkyū (1190–1199)","Shōji (1199–1201)","Kennin (1201–1204)","Genkyū (1204–1206)","Ken-ei (1206–1207)","Shōgen (1207–1211)","Kenryaku (1211–1213)","Kenpō (1213–1219)","Shōkyū (1219–1222)","Jōō (1222–1224)","Gennin (1224–1225)","Karoku (1225–1227)","Antei (1227–1229)","Kanki (1229–1232)","Jōei (1232–1233)","Tempuku (1233–1234)","Bunryaku (1234–1235)","Katei (1235–1238)","Ryakunin (1238–1239)","En-ō (1239–1240)","Ninji (1240–1243)","Kangen (1243–1247)","Hōji (1247–1249)","Kenchō (1249–1256)","Kōgen (1256–1257)","Shōka (1257–1259)","Shōgen (1259–1260)","Bun-ō (1260–1261)","Kōchō (1261–1264)","Bun-ei (1264–1275)","Kenji (1275–1278)","Kōan (1278–1288)","Shōō (1288–1293)","Einin (1293–1299)","Shōan (1299–1302)","Kengen (1302–1303)","Kagen (1303–1306)","Tokuji (1306–1308)","Enkei (1308–1311)","Ōchō (1311–1312)","Shōwa (1312–1317)","Bunpō (1317–1319)","Genō (1319–1321)","Genkyō (1321–1324)","Shōchū (1324–1326)","Kareki (1326–1329)","Gentoku (1329–1331)","Genkō (1331–1334)","Kemmu (1334–1336)","Engen (1336–1340)","Kōkoku (1340–1346)","Shōhei (1346–1370)","Kentoku (1370–1372)","Bunchū (1372–1375)","Tenju (1375–1379)","Kōryaku (1379–1381)","Kōwa (1381–1384)","Genchū (1384–1392)","Meitoku (1384–1387)","Kakei (1387–1389)","Kōō (1389–1390)","Meitoku (1390–1394)","Ōei (1394–1428)","Shōchō (1428–1429)","Eikyō (1429–1441)","Kakitsu (1441–1444)","Bun-an (1444–1449)","Hōtoku (1449–1452)","Kyōtoku (1452–1455)","Kōshō (1455–1457)","Chōroku (1457–1460)","Kanshō (1460–1466)","Bunshō (1466–1467)","Ōnin (1467–1469)","Bunmei (1469–1487)","Chōkyō (1487–1489)","Entoku (1489–1492)","Meiō (1492–1501)","Bunki (1501–1504)","Eishō (1504–1521)","Taiei (1521–1528)","Kyōroku (1528–1532)","Tenmon (1532–1555)","Kōji (1555–1558)","Eiroku (1558–1570)","Genki (1570–1573)","Tenshō (1573–1592)","Bunroku (1592–1596)","Keichō (1596–1615)","Genwa (1615–1624)","Kan-ei (1624–1644)","Shōho (1644–1648)","Keian (1648–1652)","Shōō (1652–1655)","Meiryaku (1655–1658)","Manji (1658–1661)","Kanbun (1661–1673)","Enpō (1673–1681)","Tenwa (1681–1684)","Jōkyō (1684–1688)","Genroku (1688–1704)","Hōei (1704–1711)","Shōtoku (1711–1716)","Kyōhō (1716–1736)","Genbun (1736–1741)","Kanpō (1741–1744)","Enkyō (1744–1748)","Kan-en (1748–1751)","Hōryaku (1751–1764)","Meiwa (1764–1772)","An-ei (1772–1781)","Tenmei (1781–1789)","Kansei (1789–1801)","Kyōwa (1801–1804)","Bunka (1804–1818)","Bunsei (1818–1830)","Tenpō (1830–1844)","Kōka (1844–1848)","Kaei (1848–1854)","Ansei (1854–1860)","Man-en (1860–1861)","Bunkyū (1861–1864)","Genji (1864–1865)","Keiō (1865–1868)","farvardin","ordibehesht","khordād","tir","mordād","shahrivar","mehr","ābān","āzar","dey","bahman","esfand","före R.K.","R.K.","Bds$","Tk","BM$","BN$","BR$","BS$","BZ$","CAN$","RD$","EG£","GY$","Ikr","JM$","NKr","SY£","TW$","VN₫","före vår tideräkning","vår tideräkning","mkw","mpi","mtu","msb","mun","mts","mku","mkm","mkb","mwezi ya kwanja","mwezi ya pili","mwezi ya tatu","mwezi ya ine","mwezi ya tanu","mwezi ya sita","mwezi ya saba","mwezi ya munane","mwezi ya tisa","mwezi ya kumi","mwezi ya kumi na moya","mwezi ya kumi ya mbili","yen","pil","tat","ine","tan","sit","siku ya yenga","siku ya kwanza","siku ya pili","siku ya tatu","siku ya ine","siku ya tanu","siku ya sita","mbele ya Y","kisha ya Y","mbele ya Yezu Kristo","kisha ya Yezu Kristo","ya asubuyi","ya muchana","மா1","மா2","மா3","மா4","மா5","மா6","மா7","மா8","மா9","மா10","மா11","மா12","மாதம்1","மாதம்2","மாதம்3","மாதம்4","மாதம்5","மாதம்6","மாதம்7","மாதம்8","மாதம்9","மாதம்10","மாதம்11","மாதம்12","ஜ","பி","மா","ஏ","மே","ஜூ","ஆ","செ","அ","ந","டி","ஜன.","பிப்.","மார்.","ஏப்.","ஜூன்","ஜூலை","ஆக.","செப்.","அக்.","நவ.","டிச.","ஜனவரி","பிப்ரவரி","மார்ச்","ஏப்ரல்","ஆகஸ்ட்","செப்டம்பர்","அக்டோபர்","நவம்பர்","டிசம்பர்","ஞா","தி","பு","வி","வெ","ச","ஞாயிறு","திங்கள்","செவ்வாய்","புதன்","வியாழன்","வெள்ளி","சனி","கி.மு.","கி.பி.","கிறிஸ்துவுக்கு முன்","அனோ டோமினி","முற்பகல்","பிற்பகல்","Rs.","S$","{weekday}, {day}, {month} {year} {hour}:{minute}:{second}","{weekday}, {day}, {month} {year} {hour}:{minute}:{second} {ampm}","{day}, {month} {year}","జ","ఫి","మా","ఏ","మే","జూ","జు","ఆ","సె","అ","న","డి","జన","ఫిబ్ర","మార్చి","ఏప్రి","జూన్","జులై","ఆగ","సెప్టెం","అక్టో","నవం","డిసెం","జనవరి","ఫిబ్రవరి","ఎప్రిల్","ఆగస్టు","సెప్టెంబర్","అక్టోబర్","నవంబర్","డిసెంబర్","ఆది","సోమ","మం","బుధ","గురు","శుక్ర","శని","మంగళ","ఆదివారం","సోమవారం","మంగళవారం","బుధవారం","గురువారం","శుక్రవారం","శనివారం","ఈసాపూర్వ.","సన్.","క్రీపూ","క్రీశ","చైత్రం","వైశాఖం","జ్యేష్ఠం","ఆషాఢం","శ్రావణం","భాద్రపదం","ఆశ్వయుజం","కార్తీకం","మార్గశిరం","పుష్యం","మాఘం","ఫల్గుణం","శక","Muk","Dun","Mod","Ped","Sok","Tib","Poo","Orara","Omuk","Okwamg'","Odung'el","Omaruk","Omodok'king'ol","Ojola","Opedel","Osokosokoma","Otibar","Olabor","Opoo","Bar","Aar","Uni","Ung","Nakaejuma","Nakaebarasa","Nakaare","Nakauni","Nakaung'on","Nakakany","Nakasabiti","Taparachu","Ebongi","Янв","Фев","Мар","Апр","Май","Июн","Июл","Авг","Сен","Окт","Ноя","Дек","Январ","Феврал","Март","Апрел","Август","Сентябр","Октябр","Ноябр","Декабр","Яшб","Дшб","Сшб","Чшб","Пшб","Ҷмъ","Шнб","Якшанбе","Душанбе","Сешанбе","Чоршанбе","Панҷшанбе","Ҷумъа","Шанбе","ПеМ","ПаМ","Пеш аз милод","пе. чо.","па. чо.","พ.ศ.","พุทธศักราช","เทาท์","บาบา","ฮาเทอร์","เคียฟ","โทบา","อัมเชอร์","บารัมฮัท","บาราเมาดา","บาชันส์","พาโอนา","อีเปป","เมสรา","นาซี","เมสเคอเรม","เตเกมท","เฮดาร์","ทาฮ์ซัส","เทอร์","เยคาทิท","เมกาบิต","เมียเซีย","เจนบอต","เซเน","ฮัมเล","เนแฮซ","พากูเมน","ม.ค.","ก.พ.","มี.ค.","เม.ย.","พ.ค.","มิ.ย.","ก.ค.","ส.ค.","ก.ย.","ต.ค.","พ.ย.","ธ.ค.","มกราคม","กุมภาพันธ์","มีนาคม","เมษายน","พฤษภาคม","มิถุนายน","กรกฎาคม","สิงหาคม","กันยายน","ตุลาคม","พฤศจิกายน","ธันวาคม","อา.","จ.","อ.","พ.","พฤ.","ศ.","ส.","วันอาทิตย์","วันจันทร์","วันอังคาร","วันพุธ","วันพฤหัสบดี","วันศุกร์","วันเสาร์","ก่อน ค.ศ.","ค.ศ.","ก.ส.ศ.","ส.ศ.","ปีก่อน ค.ศ.","ปีก่อนคริสต์ศักราช","คริสต์ศักราช","ก่อนสามัญศักราช","สามัญศักราช","ก่อนเที่ยง","หลังเที่ยง","ทิชรี","เฮวาน","กีสเลฟ","เตเวต","เชวัต","อาดาร์ I","อาดาร์","นิสซาน","อิยาร์","สีวัน","ตามูซ","อัฟ","เอลอุล","อาดาร์ II","ย.ศ.","จิตรา","วิสาขา","เชษฐา","อัษฎา","ศรวณา","พัตรา","อัศวิชา","การติกา","มฤคศิรา","ปุษยา","มาฆะ","ผลคุณี","ม.ศ.","มุฮัร.","เศาะ.","รอบี 1","รอบี 2","ญุมา 1","ญุมา 2","เราะ.","ชะอ์.","เราะมะ.","เชาว.","ซุลกิอฺ.","ซุลหิจ.","มุฮะร์รอม","ซอฟาร์","รอบี I","รอบี II","จุมาดา I","จุมาดา II","รอจับ","ชะอะบาน","รอมะดอน","เชาวัล","ดฮุุอัลกิดะห์","ดฮุอัลฮิจจะห์","ฮ.ศ.","ฮิจเราะห์ศักราช","ทะอิกะ (645-650)","ฮะกุชิ (650-671)","ฮากุโฮ (672-686)","ชุโช (686-701)","ทะอิโฮ (701-704)","เคอุง (704-708)","วะโด (708-715)","เรกิ (715-717)","โยโร (717-724)","จิงกิ (724-729)","เท็มเพียว (729-749)","เท็มเพียว-คัมโป (749-749)","เท็มเพียว-โชโฮ (749-757)","เท็มเพียว-โฮจิ (757-765)","เท็มเพียว-จิงโงะ (765-767)","จิงโงะ-เคอุง (767-770)","โฮกิ (770-780)","เท็นโอ (781-782)","เอ็นเรียะกุ (782-806)","ดะอิโด (806-810)","โคนิง (810-824)","เท็นโช (824-834)","โชวะ (834-848)","คะโจ (848-851)","นินจุ (851-854)","ซะอิโกะ (854-857)","เท็นนัง (857-859)","โจงัง (859-877)","เก็งเก (877-885)","นินนะ (885-889)","คัมเพียว (889-898)","โชตะอิ (898-901)","เอ็งงิ (901-923)","เอ็นโช (923-931)","โชเฮ (931-938)","เท็งเงียว (938-947)","เท็นเรียะกุ (947-957)","เท็นโตะกุ (957-961)","โอวะ (961-964)","โคโฮ (964-968)","อันนะ (968-970)","เท็นโระกุ (970-973)","เท็นเอ็ง (973-976)","โจเง็ง (976-978)","เท็งเง็ง (978-983)","เอกัง (983-985)","คันนะ (985-987)","เอเอ็ง (987-989)","เอโซ (989-990)","โชเรียะกุ (990-995)","โชโตะกุ (995-999)","โชโฮ (999-1004)","คันโก (1004-1012)","โชวะ (1012-1017)","คันนิง (1017-1021)","จิอัง (1021-1024)","มันจุ (1024-1028)","โชเง็ง (1028-1037)","โชเรียะกุ (1037-1040)","โชคีว (1040-1044)","คันโตะกุ (1044-1046)","เอโช (1046-1053)","เท็งงิ (1053-1058)","โคเฮ (1058-1065)","จิเรียะกุ (1065-1069)","เอ็งคีว (1069-1074)","โชโฮ (1074-1077)","โชเรียะกุ (1077-1081)","เอโฮะ (1081-1084)","โอโตะกุ (1084-1087)","คันจิ (1087-1094)","คะโฮะ (1094-1096)","เอโช (1096-1097)","โชโตะกุ (1097-1099)","โควะ (1099-1104)","โชจิ (1104-1106)","คะโช (1106-1108)","เท็นนิง (1108-1110)","เท็นเอ (1110-1113)","เอกีว (1113-1118)","เก็นเอ (1118-1120)","โฮะอัง (1120-1124)","เท็นจิ (1124-1126)","ดะอิจิ (1126-1131)","เท็นโช (1131-1132)","โชโช (1132-1135)","โฮะเอ็ง (1135-1141)","เอจิ (1141-1142)","โคจิ (1142-1144)","เท็นโย (1144-1145)","คีวอัง (1145-1151)","นิมเป (1151-1154)","คีวจุ (1154-1156)","โฮะเง็ง (1156-1159)","เฮจิ (1159-1160)","เอเรียะกุ (1160-1161)","โอโฮ (1161-1163)","โชกัง (1163-1165)","เอมัง (1165-1166)","นินอัง (1166-1169)","คะโอ (1169-1171)","โชอัง (1171-1175)","อังเง็ง (1175-1177)","จิโช (1177-1181)","โยวะ (1181-1182)","จุเอ (1182-1184)","เก็นเรียะกุ (1184-1185)","บุนจิ (1185-1190)","เค็งกีว (1190-1199)","โชจิ (1199-1201)","เค็นนิง (1201-1204)","เก็งกีว (1204-1206)","เค็นเอ (1206-1207)","โชเก็ง (1207-1211)","เค็นเรียะกุ (1211-1213)","เค็มโป (1213-1219)","โชกีว (1219-1222)","โจโอ (1222-1224)","เก็นนิง (1224-1225)","คะโระกุ (1225-1227)","อันเต (1227-1229)","คังกิ (1229-1232)","โจเอ (1232-1233)","เท็มปุกุ (1233-1234)","บุนเรียะกุ (1234-1235)","คะเต (1235-1238)","เรียะกุนิง (1238-1239)","เอ็นโอ (1239-1240)","นินจิ (1240-1243)","คังเง็ง (1243-1247)","โฮจิ (1247-1249)","เค็นโช (1249-1256)","โคเง็ง (1256-1257)","โชกะ (1257-1259)","โชเง็ง (1259-1260)","บุนโอ (1260-1261)","โคโช (1261-1264)","บุนเอ (1264-1275)","เค็นจิ (1275-1278)","โคอัง (1278-1288)","โชโอ (1288-1293)","เอนิง (1293-1299)","โชอัง (1299-1302)","เค็งเง็ง (1302-1303)","คะเง็ง (1303-1306)","โทะกุจิ (1306-1308)","เอ็งเก (1308-1311)","โอโช (1311-1312)","โชวะ (1312-1317)","บุมโป (1317-1319)","เก็นโอ (1319-1321)","เก็งเกียว (1321-1324)","โชชู (1324-1326)","คะเระกิ (1326-1329)","เก็นโตะกุ (1329-1331)","เก็งโก (1331-1334)","เค็มมุ (1334-1336)","เอ็งเง็ง (1336-1340)","โคโกะกุ (1340-1346)","โชเฮ (1346-1370)","เค็นโตะกุ (1370-1372)","บุนชู (1372-1375)","เท็นจุ (1375-1379)","โคเรียะกุ (1379-1381)","โควะ (1381-1384)","เก็นชู (1384-1392)","เมโตะกุ (1384-1387)","คะเค (1387-1389)","โคโอ (1389-1390)","เมโตะกุ (1390-1394)","โอเอ (1394-1428)","โชโช (1428-1429)","เอเกียว (1429-1441)","คะกิสึ (1441-1444)","บุนอัง (1444-1449)","โฮโตะกุ (1449-1452)","เคียวโตะกุ (1452-1455)","โคโช (1455-1457)","โชโระกุ (1457-1460)","คันโช (1460-1466)","บุนโช (1466-1467)","โอนิง (1467-1469)","บุมเม (1469-1487)","โชเกียว (1487-1489)","เอ็นโตะกุ (1489-1492)","เมโอ (1492-1501)","บุงกิ (1501-1504)","เอโช (1504-1521)","ทะอิเอ (1521-1528)","เคียวโระกุ (1528-1532)","เท็มมน (1532-1555)","โคจิ (1555-1558)","เอโระกุ (1558-1570)","เก็งกิ (1570-1573)","เท็นโช (1573-1592)","บุนโระกุ (1592-1596)","เคโช (1596-1615)","เก็งวะ (1615-1624)","คันเอ (1624-1644)","โชโฮ (1644-1648)","เคอัง (1648-1652)","โชโอ (1652-1655)","เมเรียะกุ (1655-1658)","มันจิ (1658-1661)","คัมบุง (1661-1673)","เอ็มโป (1673-1681)","เท็นวะ (1681-1684)","โจเกียว (1684-1688)","เก็นโระกุ (1688-1704)","โฮเอ (1704-1711)","โชโตะกุ (1711-1716)","เคียวโฮ (1716-1736)","เก็มบุง (1736-1741)","คัมโป (1741-1744)","เอ็งเกียว (1744-1748)","คันเอ็ง (1748-1751)","โฮเรียะกุ (1751-1764)","เมวะ (1764-1772)","อันเอ (1772-1781)","เท็มเม (1781-1789)","คันเซ (1789-1801)","เคียววะ (1801-1804)","บุงกะ (1804-1818)","บุนเซ (1818-1830)","เท็มโป (1830-1844)","โคกะ (1844-1848)","คะเอ (1848-1854)","อันเซ (1854-1860)","มันเอ็ง (1860-1861)","บุงกีว (1861-1864)","เก็นจิ (1864-1865)","เคโอ (1865-1868)","เมจิ","ทะอิโช","โชวะ","เฮเซ","ฟาร์วาร์ดิน","ออร์ดิเบเฮชต์","คอร์แดด","เตอร์","มอร์แดด","ชาหริวาร์","เมฮร์","อะบาน","อะซาร์","เดย์","บาฮ์มาน","เอสฟานด์","ปีเปอร์เซีย","ปีก่อนไต้หวัน","ไต้หวัน","ጥሪ","ለካቲ","ሰነ","ሓምለ","ነሓሰ","ሕዳር","ታሕሳ","ለካቲት","ጥቅምቲ","ታሕሳስ","ሰንበት","ሰኑይ","ሰሉስ","ሓሙስ","ዓርቢ","ቀዳም","ንጉሆ ሰዓተ","ድሕር ሰዓት","ኤፕረ","ኤፕረል","ሠሉስ","ኃሙስ","ሰ/ዓ","ሰኖ","ታላሸ","ኣረር","ከሚሽ","ጅምዓ","ሰ/ን","ሰንበት ዓባይ","ታላሸኖ","ኣረርባዓ","ጅምዓት","ሰንበት ንኢሽ","ቀደም ሰርምዕል","ሓቆ ስርምዕል","Fer","Tlh","Mop","Mor","See","Phu","Dip","Ngw","Sed","Ferikgong","Tlhakole","Mopitlo","Moranang","Motsheganang","Seetebosigo","Phukwi","Phatwe","Lwetse","Diphalane","Ngwanatsele","Sedimonthole","Tla","Tshipi","Mosopulogo","Labotlhano","Matlhatso","Sān","Fēp","Maʻa","ʻEpe","Mē","Siu","ʻAok","ʻOka","Nōv","Tīs","Sānuali","Fēpueli","Maʻasi","ʻEpeleli","Sune","Siulai","ʻAokosi","Sepitema","ʻOkatopa","Nōvema","Tīsema","Sāp","Mōn","Tus","Pul","Tuʻa","Fal","Tok","Tūs","Sāpate","Mōnite","Tūsite","Pulelulu","Tuʻapulelulu","Falaite","Tokonaki","KāMā","TāSā","TS","ki muʻa","taʻu ʻo Sīsū","TF","{day} {month} {year} {weekday}  {hour}:{minute}:{second}","{day} {month} {year} {weekday} {ampm} {hour}:{minute}:{second}","{day} {month} {year} {weekday}","Tût","Bâbe","Keyhek","Tûbe","Imşir","Bermuhat","Bermude","Peyştes","Bune","Ebip","Mısrî","Nesî","Tikimt","Hidar","Yakatit","Magabit","Ginbot","Nehasa","Pagumiene","Ş","Oca","Şub","Nis","Haz","Tem","Ağu","Eyl","Eki","Ocak","Şubat","Mart","Mayıs","Haziran","Temmuz","Ağustos","Eylül","Ekim","Kasım","Aralık","Pa","Pt","Ça","Pe","Cu","Ct","Paz","Pzt","Çar","Per","Cum","Pazar","Pazartesi","Salı","Çarşamba","Perşembe","Cuma","Cumartesi","MÖ","MS","İÖ","İS","Milattan Önce","Milattan Sonra","ÖÖ","ÖS","Tişri","Heşvan","Şevat","Veadar","İyar","Muharrem","Safer","Rebiülevvel","Rebiülahir","Cemaziyelevvel","Cemaziyelahir","Recep","Şaban","Ramazan","Şevval","Zilkade","Zilhicce","Hicri","Ferverdin","Ordibeheşt","Hordad","Şehriver","Azer","Behmen","Esfend","%{number}","-%{number}","₺","Kul","Dzi","Mha","Ndz","Huk","N'w","Sunguti","Nyenyenyani","Nyenyankulu","Dzivamisoko","Mudyaxihi","Khotavuxika","Mawuwani","Mhawuri","Ndzhati","Hukuri","N'wendzamhala","Bir","Har","Musumbhunuku","Ravumbirhi","Ravunharhu","Ravumune","Ravuntlhanu","Mugqivela","Ibr","Cut","Kṭu","Nwa","Duj","Yebrayer","Ibrir","Yulyuz","Cutanbir","Kṭuber","Nwanbir","Dujanbir","Asa","Ayn","Asn","Akr","Akw","Asm","Asḍ","Asamas","Aynas","Asinas","Akras","Akwas","Asimwas","Asiḍyas","ZƐ","ḌƐ","Zdat Ɛisa (TAƔ)","Ḍeffir Ɛisa (TAƔ)","Zdat azal","Ḍeffir aza","тот.","баб.","хат.","кіх.","тоб.","амш.","барам.","барм.","баш.","баун.","аб.","мис.","нас.","Бабе","Кіхак","Тобе","Абіб","Насі","мес.","тек.","хед.","тах.","тер.","єкат.","мег.","міяз.","ген.","хам.","нех.","паг.","мескерема","текемта","хедара","тахсаса","тера","єкатіта","мегабіта","міязія","генбота","сене","хамле","нехасе","пагумена","Л","Б","К","Т","Ч","В","Ж","Г","січ.","лют.","бер.","квіт.","трав.","черв.","лип.","серп.","вер.","жовт.","лист.","груд.","січня","лютого","березня","квітня","травня","червня","липня","серпня","вересня","жовтня","листопада","грудня","Нд","Пн","Вт","Ср","Чт","Пт","неділя","понеділок","вівторок","середа","четвер","пʼятниця","до н.е.","до нашої ери","нашої ери","дп","пп","Тішри","Марчешван","Числьов","Тебет","Нісан","Іар","Аб","чайт.","вайс.","джай.","асад.","шрав.","бхад.","асв.","кар.","агр.","паус.","маг.","фаль.","джайстха","шравана","бхадра","асвіна","картіка","аграхаяна","пауса","фальгуна","мух.","саф.","раб. I","раб. II","джум. I","джум. II","радж.","шааб.","рам.","дав.","зу-ль-к.","зу-ль-х.","Рабі I","Рабі II","Джумада I","Джумада II","Даввал","Зу-ль-каада","Зу-ль-хіджа","Тайка (645–650)","Хакуті (650–671)","Хакухо (672–686)","Сютьо (686–701)","Тайхо (701–704)","Кейун (704–708)","Вадо (708–715)","Рейкі (715–717)","Йоро (717–724)","Дзінгі (724–729)","Темпьо (729–749)","Темпьо-кампо (749–749)","Темпьо-сьохо (749–757)","Темпьо-ходзі (757–765)","Темпьо-дзінго (765–767)","Дзінго кейун (767–770)","Хокі (770–780)","Тен’о (781–782)","Енряку (782–806)","Дайдо (806–810)","Конін (810–824)","Тентьо (824–834)","Сьова (834–848)","Кадзьо (848–851)","Ніндзю (851–854)","Сайко (854–857)","Теннан (857–859)","Дзьоган (859–877)","Генкей (877–885)","Нінна (885–889)","Кампьо (889–898)","Сьотай (898–901)","Енгі (901–923)","Ентьо (923–931)","Сьохей (931–938)","Тенгьо (938–947)","Тенряку (947–957)","Тентоку (957–961)","Ова (961–964)","Кохо (964–968)","Анна (968–970)","Тенроку (970–973)","Тен’ен (973–976)","Дзьоген (976–978)","Тенген (978–983)","Ейкан (983–985)","Канна (985–987)","Ейен (987–989)","Ейсо (989–990)","Сьоряку (990–995)","Тьотоку (995–999)","Тьохо (999–1004)","Канко (1004–1012)","Тьова (1012–1017)","Каннін (1017–1021)","Дзіан (1021–1024)","Мандзю (1024–1028)","Тьоген (1028–1037)","Тьоряку (1037–1040)","Тьокю (1040–1044)","Кантоку (1044–1046)","Ейсьо (1046–1053)","Тенгі (1053–1058)","Кохей (1058–1065)","Дзіряку (1065–1069)","Енкю (1069–1074)","Сьохо (1074–1077)","Сьоряку (1077–1081)","Ейхо (1081–1084)","Отоку (1084–1087)","Кандзі (1087–1094)","Кахо (1094–1096)","Ейсьо (1096–1097)","Сьотоку (1097–1099)","Кова (1099–1104)","Тьодзі (1104–1106)","Кадзьо (1106–1108)","Теннін (1108–1110)","Тен’ей (1110–1113)","Ейкю (1113–1118)","Ген’ей (1118–1120)","Хоан (1120–1124)","Тендзі (1124–1126)","Дайдзі (1126–1131)","Тенсьо (1131–1132)","Тьосьо (1132–1135)","Хоен (1135–1141)","Ейдзі (1141–1142)","Кодзі (1142–1144)","Теньо (1144–1145)","Кюан (1145–1151)","Німпей (1151–1154)","Кюдзю (1154–1156)","Хоген (1156–1159)","Хейдзі (1159–1160)","Ейряку (1160–1161)","Охо (1161–1163)","Тьокан (1163–1165)","Ейман (1165–1166)","Нін’ан (1166–1169)","Као (1169–1171)","Сьоан (1171–1175)","Анген (1175–1177)","Дзісьо (1177–1181)","Йова (1181–1182)","Дзюей (1182–1184)","Генряку (1184–1185)","Бундзі (1185–1190)","Кенкю (1190–1199)","Сьодзі (1199–1201)","Кеннін (1201–1204)","Генкю (1204–1206)","Кен’ей (1206–1207)","Сьоген (1207–1211)","Кенряку (1211–1213)","Кенпо (1213–1219)","Дзьокю (1219–1222)","Дзьоо (1222–1224)","Геннін (1224–1225)","Кароку (1225–1227)","Антей (1227–1229)","Канкі (1229–1232)","Дзюей (1232–1233)","Темпуку (1233–1234)","Бунряку (1234–1235)","Катей (1235–1238)","Рякунін (1238–1239)","Ен’о (1239–1240)","Ніндзі (1240–1243)","Канген (1243–1247)","Хейдзі (1247–1249)","Кентьо (1249–1256)","Коген (1256–1257)","Сьока (1257–1259)","Сьоген (1259–1260)","Бун’о (1260–1261)","Котьо (1261–1264)","Бун’ей (1264–1275)","Кендзі (1275–1278)","Коан (1278–1288)","Сьоо (1288–1293)","Ейнін (1293–1299)","Сьоан (1299–1302)","Кенген (1302–1303)","Каген (1303–1306)","Токудзі (1306–1308)","Енкей (1308–1311)","Отьо (1311–1312)","Сьова (1312–1317)","Бумпо (1317–1319)","Ген’о (1319–1321)","Генкьо (1321–1324)","Сьотю (1324–1326)","Карекі (1326–1329)","Гентоку (1329–1331)","Генко (1331–1334)","Кемму (1334–1336)","Ейген (1336–1340)","Кококу (1340–1346)","Сьохей (1346–1370)","Кентоку (1370–1372)","Бунтю (1372–1375)","Тендзю (1375–1379)","Коряку (1379–1381)","Кова (1381–1384)","Гентю (1384–1392)","Мейтоку (1384–1387)","Какей (1387–1389)","Коо (1389–1390)","Мейтоку (1390–1394)","Оей (1394–1428)","Сьотьо (1428–1429)","Ейкьо (1429–1441)","Какіцу (1441–1444)","Буннан (1444–1449)","Хотоку (1449–1452)","Кьотоку (1452–1455)","Косьо (1455–1457)","Тьороку (1457–1460)","Кансьо (1460–1466)","Бунсьо (1466–1467)","Онін (1467–1469)","Буммей (1469–1487)","Тьокьо (1487–1489)","Ентоку (1489–1492)","Мейо (1492–1501)","Бункі (1501–1504)","Ейсьо (1504–1521)","Тайей (1521–1528)","Кьороку (1528–1532)","Теммон (1532–1555)","Кодзі (1555–1558)","Ейроку (1558–1570)","Генкі (1570–1573)","Тенсьо (1573–1592)","Бунроку (1592–1596)","Кейтьо (1596–1615)","Генна (1615–1624)","Кан’ей (1624–1644)","Сьохо (1644–1648)","Кейан (1648–1652)","Сьоо (1652–1655)","Мейряку (1655–1658)","Мандзі (1658–1661)","Камбун (1661–1673)","Емпо (1673–1681)","Тенва (1681–1684)","Дзьокьо (1684–1688)","Генроку (1688–1704)","Хоей (1704–1711)","Сьотоку (1711–1716)","Кьохо (1716–1736)","Гембун (1736–1741)","Канпо (1741–1744)","Енкьо (1744–1748)","Кан’ен (1748–1751)","Хоряку (1751–1764)","Мейва (1764–1772)","Ан’ей (1772–1781)","Теммей (1781–1789)","Кансей (1789–1801)","Кьова (1801–1804)","Бунка (1804–1818)","Бунсей (1818–1830)","Тенпо (1830–1844)","Кока (1844–1848)","Каей (1848–1854)","Ансей (1854–1860)","Ман’ен (1860–1861)","Бункю (1861–1864)","Гендзі (1864–1865)","Кейо (1865–1868)","Мейдзі","Тайсьо","Хейсей","фар.","орд.","хор.","тір.","мор.","шах.","мех.","абан.","азер.","дея","бах.","есф.","Фарвардін","Ордібехешт","Тір","Шахрівер","Не число","крб.","مئی","سوموار","بدھ","ق م","عیسوی سن","قبل مسیح","قبل دوپہر","بعد دوپہر","ر بیع الاول","ر بیع الثانی","ذوالقعدۃ","ذوالحجۃ","یہ عدد نہیں","{currency}{number}‎","-{currency}{number}‎","Y","Yanv","Iyun","Iyul","Avg","Noya","Dek","Yanvar","Fevral","Aprel","Avgust","Sentyabr","Oktyabr","Noyabr","Dekabr","Yaksh","Dush","Sesh","Chor","Shan","yakshanba","dushanba","seshanba","chorshanba","payshanba","shanba","M.A.","Robiʼ ul-avval","Robiʼ ul-oxir","Jumad ul-avval","Jumad ul-oxir","Shaʼbon","Ramazon","Shavvol","Zul-qaʼda","Zul-hijja","soʻm","فبر","مار","اپر","اگس","سپت","اکت","نوم","ی.","د.","س.","چ.","پ.","ج.","ش.","Якш","Душ","Сеш","Чор","Пай","Шан","якшанба","душанба","сешанба","чоршанба","пайшанба","жума","шанба","М.А.","Э","Муҳаррам","Рабиул-аввал","Рабиул-охир","Жумодиул-уло","Жумодиул-ухро","Ражаб","Шаъбон","Рамазон","Шаввол","Зил-қаъда","Зил-ҳижжа","сўм","ꖨꕪꖃ ꔞꕮ","ꕒꕡꖝꖕ","ꕾꖺ","ꖢꖕ","ꖑꕱ","ꗛꔕ","ꕢꕌ","ꕭꖃ","ꔞꘋꕔꕿ ꕸꖃꗏ","ꖨꕪꕱ ꗏꕮ","ꕞꕌꔵ","ꗳꗡꘉ","ꕚꕞꕚ","ꕉꕞꕒ","ꕉꔤꕆꕢ","ꕉꔤꕀꕮ","ꔻꔬꔳ","luukao kemã","ɓandaɓu","vɔɔ","fulu","goo","kɔnde","saah","galo","kenpkato ɓololɔ","luukao lɔma","lahadi","tɛɛnɛɛ","talata","alaba","aimisa","aijima","siɓiti","Luh","Ṱhf","Lam","Shu","Lwi","Lwa","Ṱha","Khu","Ḽar","Phando","Luhuhi","Ṱhafamuhwe","Lambamai","Shundunthule","Fulwi","Fulwana","Ṱhangule","Khubvumedzi","Tshimedzi","Ḽara","Nyendavhusiku","Swo","Vhi","Ṋa","Ṱan","Swondaha","Musumbuluwo","Ḽavhuvhili","Ḽavhuraru","Ḽavhuṋa","Ḽavhuṱanu","Mugivhela","{hour}:{minute}:{second}  {weekday}, {day} {month} {year}","{hour}:{minute}:{second} {ampm} {weekday}, {day} {month} {year}","thg 1","thg 2","thg 3","thg 4","thg 5","thg 6","thg 7","thg 8","thg 9","thg 10","thg 11","thg 12","tháng 1","tháng 2","tháng 3","tháng 4","tháng 5","tháng 6","tháng 7","tháng 8","tháng 9","tháng 10","tháng 11","tháng 12","CN","T2","T3","T4","T5","T6","T7","Th 2","Th 3","Th 4","Th 5","Th 6","Th 7","Chủ Nhật","Thứ Hai","Thứ Ba","Thứ Tư","Thứ Năm","Thứ Sáu","Thứ Bảy","tr. CN","sau CN","CH","Trước R.O.C","mäz","prl","gst","ton","janul","febul","mäzil","prilul","mayul","yunul","yulul","gustul","setul","tobul","novul","dekul","mu.","tu.","ve.","dö.","zä.","sudel","mudel","tudel","vedel","dödel","fridel","zädel","b. t. kr.","p. t. kr.","posz.","büz.","short","Ö","W","Hor","Brá","Hei","Öig","Her","Wím","Win","Chr","Jenner","Hornig","Märze","Abrille","Meije","Bráčet","Heiwet","Öigšte","Herbštmánet","Wímánet","Wintermánet","Chrištmánet","Män","Ziš","Mit","Fró","Sunntag","Mäntag","Zištag","Mittwuč","Fróntag","Fritag","Samštag","n. Chr","руб","ወጋ","ሳይኖ","ማቆሳኛ","አሩዋ","ሃሙሳ","አርባ","ቄራ","አዳ ዎዴ","ግሮተታ ላይታ","ማለዶ","ቃማ","Aga","Janyuwari","Februwari","Matshi","Epreli","Okthoba","Caw","Bin","Cawe","Lwesibini","Lwesithathu","Lwesine","Lwesihlanu","umnyaka wokuzalwa kukaYesu","Sabi","Bala","Kubi","Kusa","Kuna","Kuta","Muka","Sabiiti","Owokubili","Owokusatu","Olokuna","Olokutaanu","Olomukaaga","AZ","AF","Kulisto nga azilawo","Kulisto nga affile","Munkyo","Eigulo","o.1","o.2","o.3","o.4","o.5","o.6","o.7","o.8","o.9","o.10","o.11","o.12","pikítíkítie, oólí ú kutúan","siɛyɛ́, oóli ú kándíɛ","ɔnsúmbɔl, oóli ú kátátúɛ","mesiŋ, oóli ú kénie","ensil, oóli ú kátánuɛ","ɔsɔn","efute","pisuyú","imɛŋ i puɔs","imɛŋ i putúk,oóli ú kátíɛ","makandikɛ","pilɔndɔ́","sd","md","mw","et","kl","fl","ss","sɔ́ndiɛ","móndie","muányáŋmóndie","metúkpíápɛ","kúpélimetúkpiapɛ","feléte","séselé","+J.C.","katikupíen Yésuse","ékélémkúnupíén n","kiɛmɛ́ɛm","kisɛ́ndɛ","Shɛ́rɛ́","Èrèlè","Ɛrɛ̀nà","Ìgbé","Ɛ̀bibi","Òkúdu","Agɛmɔ","Ògún","Owewe","Ɔ̀wàrà","Bélú","Ɔ̀pɛ̀","Oshù Shɛ́rɛ́","Oshù Èrèlè","Oshù Ɛrɛ̀nà","Oshù Ìgbé","Oshù Ɛ̀bibi","Oshù Òkúdu","Oshù Agɛmɔ","Oshù Ògún","Oshù Owewe","Oshù Ɔ̀wàrà","Oshù Bélú","Oshù Ɔ̀pɛ̀","Àìkú","Ajé","Ìsɛ́gun","Ɔjɔ́rú","Ɔjɔ́bɔ","Ɛtì","Àbámɛ́ta","Ɔjɔ́ Àìkú","Ɔjɔ́ Ajé","Ɔjɔ́ Ìsɛ́gun","Ɔjɔ́ Ɛtì","Ɔjɔ́ Àbámɛ́ta","Saju Kristi","Lehin Kristi","Àárɔ̀","Ɔ̀sán","Ṣẹ́rẹ́","Ẹrẹ̀nà","Ẹ̀bibi","Agẹmọ","Ọ̀wàrà","Ọ̀pẹ̀","Oṣù Ṣẹ́rẹ́","Oṣù Èrèlè","Oṣù Ẹrẹ̀nà","Oṣù Ìgbé","Oṣù Ẹ̀bibi","Oṣù Òkúdu","Oṣù Agẹmọ","Oṣù Ògún","Oṣù Owewe","Oṣù Ọ̀wàrà","Oṣù Bélú","Oṣù Ọ̀pẹ̀","Ìsẹ́gun","Ọjọ́rú","Ọjọ́bọ","Ẹtì","Àbámẹ́ta","Ọjọ́ Àìkú","Ọjọ́ Ajé","Ọjọ́ Ìsẹ́gun","Ọjọ́ Ẹtì","Ọjọ́ Àbámẹ́ta","Àárọ̀","Ọ̀sán","ⴰⵙⵉⵎⵡⴰⵙ","{year}年{month}月{day}日{weekday} {hour}:{minute}:{second}","{year}年{month}月{day}日{weekday} {ampm}{hour}:{minute}:{second}","{year}年{month}月{day}日{weekday}","佛历","13月","一月","十三月","周日","周一","周二","周三","周四","周五","周六","星期日","星期一","星期二","星期三","星期四","星期五","星期六","公元前","公元","上午","下午","闰7月","闰七月","希伯来历","印度历","回历","大化 (645–650)","白雉 (650–671)","白凤 (672–686)","朱鸟 (686–701)","大宝 (701–704)","庆云 (704–708)","和铜 (708–715)","灵龟 (715–717)","养老 (717–724)","神龟 (724–729)","天平 (729–749)","天平感宝 (749–749)","天平胜宝 (749–757)","天平宝字 (757–765)","天平神护 (765–767)","神护景云 (767–770)","宝龟 (770–780)","天应 (781–782)","延历 (782–806)","大同 (806–810)","弘仁 (810–824)","天长 (824–834)","承和 (834–848)","嘉祥 (848–851)","仁寿 (851–854)","齐衡 (854–857)","天安 (857–859)","贞观 (859–877)","元庆 (877–885)","仁和 (885–889)","宽平 (889–898)","昌泰 (898–901)","延喜 (901–923)","延长 (923–931)","承平 (931–938)","天庆 (938–947)","天历 (947–957)","天德 (957–961)","应和 (961–964)","康保 (964–968)","安和 (968–970)","天禄 (970–973)","天延 (973–976)","贞元 (976–978)","天元 (978–983)","永观 (983–985)","宽和 (985–987)","永延 (987–989)","永祚 (989–990)","正历 (990–995)","长德 (995–999)","长保 (999–1004)","宽弘 (1004–1012)","长和 (1012–1017)","宽仁 (1017–1021)","治安 (1021–1024)","万寿 (1024–1028)","长元 (1028–1037)","长历 (1037–1040)","长久 (1040–1044)","宽德 (1044–1046)","永承 (1046–1053)","天喜 (1053–1058)","康平 (1058–1065)","治历 (1065–1069)","延久 (1069–1074)","承保 (1074–1077)","正历 (1077–1081)","永保 (1081–1084)","应德 (1084–1087)","宽治 (1087–1094)","嘉保 (1094–1096)","永长 (1096–1097)","承德 (1097–1099)","康和 (1099–1104)","长治 (1104–1106)","嘉承 (1106–1108)","天仁 (1108–1110)","天永 (1110–1113)","永久 (1113–1118)","元永 (1118–1120)","保安 (1120–1124)","天治 (1124–1126)","大治 (1126–1131)","天承 (1131–1132)","长承 (1132–1135)","保延 (1135–1141)","永治 (1141–1142)","康治 (1142–1144)","天养 (1144–1145)","久安 (1145–1151)","仁平 (1151–1154)","久寿 (1154–1156)","保元 (1156–1159)","平治 (1159–1160)","永历 (1160–1161)","应保 (1161–1163)","长宽 (1163–1165)","永万 (1165–1166)","仁安 (1166–1169)","嘉应 (1169–1171)","承安 (1171–1175)","安元 (1175–1177)","治承 (1177–1181)","养和 (1181–1182)","寿永 (1182–1184)","元历 (1184–1185)","文治 (1185–1190)","建久 (1190–1199)","正治 (1199–1201)","建仁 (1201–1204)","元久 (1204–1206)","建永 (1206–1207)","承元 (1207–1211)","建历 (1211–1213)","建保 (1213–1219)","承久 (1219–1222)","贞应 (1222–1224)","元仁 (1224–1225)","嘉禄 (1225–1227)","安贞 (1227–1229)","宽喜 (1229–1232)","贞永 (1232–1233)","天福 (1233–1234)","文历 (1234–1235)","嘉祯 (1235–1238)","历仁 (1238–1239)","延应 (1239–1240)","仁治 (1240–1243)","宽元 (1243–1247)","宝治 (1247–1249)","建长 (1249–1256)","康元 (1256–1257)","正嘉 (1257–1259)","正元 (1259–1260)","文应 (1260–1261)","弘长 (1261–1264)","文永 (1264–1275)","建治 (1275–1278)","弘安 (1278–1288)","正应 (1288–1293)","永仁 (1293–1299)","正安 (1299–1302)","干元 (1302–1303)","嘉元 (1303–1306)","德治 (1306–1308)","延庆 (1308–1311)","应长 (1311–1312)","正和 (1312–1317)","文保 (1317–1319)","元应 (1319–1321)","元亨 (1321–1324)","正中 (1324–1326)","嘉历 (1326–1329)","元德 (1329–1331)","元弘 (1331–1334)","建武 (1334–1336)","延元 (1336–1340)","兴国 (1340–1346)","正平 (1346–1370)","建德 (1370–1372)","文中 (1372–1375)","天授 (1375–1379)","康历 (1379–1381)","弘和 (1381–1384)","元中 (1384–1392)","至德 (1384–1387)","嘉庆 (1387–1389)","康应 (1389–1390)","明德 (1390–1394)","应永 (1394–1428)","正长 (1428–1429)","永享 (1429–1441)","嘉吉 (1441–1444)","文安 (1444–1449)","宝德 (1449–1452)","享德 (1452–1455)","康正 (1455–1457)","长禄 (1457–1460)","宽正 (1460–1466)","文正 (1466–1467)","应仁 (1467–1469)","文明 (1469–1487)","长享 (1487–1489)","延德 (1489–1492)","明应 (1492–1501)","文龟 (1501–1504)","永正 (1504–1521)","大永 (1521–1528)","享禄 (1528–1532)","天文 (1532–1555)","弘治 (1555–1558)","永禄 (1558–1570)","元龟 (1570–1573)","天正 (1573–1592)","文禄 (1592–1596)","庆长 (1596–1615)","元和 (1615–1624)","宽永 (1624–1644)","正保 (1644–1648)","庆安 (1648–1652)","承应 (1652–1655)","明历 (1655–1658)","万治 (1658–1661)","宽文 (1661–1673)","延宝 (1673–1681)","天和 (1681–1684)","贞享 (1684–1688)","元禄 (1688–1704)","宝永 (1704–1711)","正德 (1711–1716)","享保 (1716–1736)","元文 (1736–1741)","宽保 (1741–1744)","延享 (1744–1748)","宽延 (1748–1751)","宝历 (1751–1764)","明和 (1764–1772)","安永 (1772–1781)","天明 (1781–1789)","宽政 (1789–1801)","享和 (1801–1804)","文化 (1804–1818)","文政 (1818–1830)","天保 (1830–1844)","弘化 (1844–1848)","嘉永 (1848–1854)","安政 (1854–1860)","万延 (1860–1861)","文久 (1861–1864)","元治 (1864–1865)","庆应 (1865–1868)","波斯历","{year} 年 {month} 月 {day} 日 ({weekday}){hour}:{minute}:{second}","{year} 年 {month} 月 {day} 日 ({weekday}){ampm}{hour}:{minute}:{second}","{year} 年 {month} 月 {day} 日 ({weekday}","{year} 年 {month} 月 {day}","{year} 年 {month}","一","佛曆","週日","週一","週二","週三","週四","週五","週六","西元前","西元","提斯利月","瑪西班月","基斯流月","提別月","細罷特月","亞達月 I","亞達月","尼散月","以珥月","西彎月","搭模斯月","埃波月","以祿月","亞達月 II","創世紀元","制檀邏月","吠舍佉月","逝瑟吒月","頞沙荼月","室羅伐拏月","婆羅鉢陀月","頞涇縛庚闍月","迦剌底迦月","末伽始羅月","報沙月","磨祛月","頗勒窶拏月","印度曆","穆哈蘭姆月","色法爾月","賴比月 I","賴比月 II","主馬達月 I","主馬達月 II","賴哲卜月","舍爾邦月","賴買丹月","閃瓦魯月","都爾喀爾德月","都爾黑哲月","伊斯蘭曆","白鳳","大寶","靈龜","神龜","天平感寶","天平勝寶","天平寶字","寶龜","天應","延曆","仁壽","齊衡","貞觀","寬平","天曆","天德","應和","天祿","永觀","寬和","正曆","長德","寬弘","寬仁","萬壽","長曆","寬德","治曆","承曆","應德","寬治","承德","久壽","永曆","應保","長寬","永萬","嘉應","壽永","元曆","建曆","貞應","嘉祿","寬喜","文曆","曆仁","延應","寬元","寶治","文應","正應","德治","應長","元應","嘉曆","元德","興國","建德","康曆","至德","康應","明德","應永","寶德","享德","長祿","寬正","應仁","延德","明應","文龜","享祿","永祿","元龜","文祿","寬永","承應","明曆","萬治","寬文","延寶","元祿","寶永","正德","寬保","寬延","寶曆","寬政","萬延","慶應","伊朗曆","民國前","民國","非數值","Mas","Januwari","Mashi","Apreli","Septhemba","Isonto","Umsombuluko","Ulwesibili","Ulwesithathu","Ulwesine","Ulwesihlanu","Umgqibelo","Msombuluko","Lwesibili","Ekuseni","Ntambama","I-NaN"],i=[];i[0]=[[t[0],t[1],t[2],t[3],t[4],t[5],t[6],t[7],t[8],t[9],t[10],t[11],t[12]],{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[16],pattern12:t[17]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[18]},{year:t[13],month:t[14],day:t[13],pattern:t[19]},{year:t[13],month:t[15],day:t[15],pattern:t[20]},{year:t[13],month:t[15],pattern:t[21]},{year:t[13],month:t[14],pattern:t[22]},{month:t[14],day:t[13],pattern:t[23]},{month:t[15],day:t[15],pattern:t[24]},{hour:t[13],minute:t[15],second:t[15],pattern:t[25],pattern12:t[26]},{hour:t[13],minute:t[15],pattern:t[27],pattern12:t[28]},[t[29]],[t[30],t[31],t[32],t[33],t[34],t[35],t[36],t[37],t[38],t[39],t[40],t[41]],[t[42],t[43],t[44],t[45],t[46],t[47],t[48],t[49],t[50],t[51],t[52],t[53],t[54]],[t[55],t[56]],[t[57],t[58],t[59],t[60],t[61],t[62],t[63],t[64],t[65],t[66],t[67],t[68],t[69]],[t[55]],[t[70],t[71],t[72],t[73],t[74],t[75],t[76],t[77],t[78],t[79],t[80],t[81]],[t[82],t[83],t[84],t[85],t[86],t[87],t[88],t[89],t[90],t[91],t[92],t[93]],[t[94],t[95],t[96],t[97],t[98],t[99],t[100]],[t[101],t[102],t[103],t[104],t[105],t[106],t[107]],[t[108],t[109]],{am:t[110],pm:t[111]},[t[112],t[113],t[114],t[115],t[116],t[117],t[118],t[119],t[120],t[121],t[122],t[123],t[124],t[125]],[t[126]],[t[127],t[128],t[129],t[130],t[131],t[132],t[133],t[134],t[135],t[136],t[137],t[138]],[t[139]],[t[140],t[141],t[142],t[143],t[144],t[145],t[146],t[147],t[148],t[149],t[150],t[151]],[t[152],t[153],t[154],t[155],t[156],t[157],t[158],t[159],t[160],t[161],t[162],t[163]],[t[164]],[t[165],t[166],t[167],t[168],t[169],t[170],t[171],t[172],t[173],t[174],t[175],t[176],t[177],t[178],t[179],t[180],t[181],t[182],t[183],t[184],t[185],t[186],t[187],t[188],t[189],t[190],t[191],t[192],t[193],t[194],t[195],t[196],t[197],t[198],t[199],t[200],t[201],t[202],t[203],t[204],t[205],t[206],t[207],t[208],t[209],t[210],t[211],t[212],t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224],t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236],t[237],t[238],t[239],t[240],t[241],t[242],t[243],t[244],t[245],t[246],t[247],t[248],t[249],t[250],t[251],t[252],t[253],t[254],t[255],t[256],t[257],t[258],t[259],t[260],t[261],t[262],t[263],t[264],t[265],t[266],t[267],t[268],t[269],t[270],t[271],t[272],t[273],t[274],t[275],t[276],t[277],t[278],t[279],t[280],t[281],t[282],t[283],t[284],t[285],t[286],t[287],t[288],t[289],t[290],t[291],t[292],t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304],t[305],t[306],t[307],t[308],t[309],t[310],t[311],t[312],t[313],t[314],t[315],t[316],t[317],t[318],t[319],t[320],t[321],t[322],t[323],t[324],t[325],t[326],t[327],t[328],t[329],t[330],t[331],t[332],t[333],t[334],t[335],t[336],t[337],t[338],t[339],t[340],t[341],t[342],t[343],t[344],t[345],t[346],t[347],t[348],t[349],t[350],t[351],t[352],t[353],t[354],t[355],t[356],t[357],t[358],t[359],t[360],t[361],t[362],t[363],t[364],t[365],t[366],t[367],t[368],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377],t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389],t[390],t[391],t[392],t[393],t[394],t[395],t[396],t[397],t[398],t[399],t[400]],[t[165],t[166],t[167],t[168],t[169],t[170],t[171],t[172],t[173],t[174],t[175],t[176],t[177],t[178],t[179],t[180],t[181],t[182],t[183],t[184],t[185],t[186],t[187],t[188],t[189],t[190],t[191],t[192],t[193],t[194],t[195],t[196],t[197],t[198],t[199],t[200],t[201],t[202],t[203],t[204],t[205],t[206],t[207],t[208],t[209],t[210],t[211],t[212],t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224],t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236],t[237],t[238],t[239],t[240],t[241],t[242],t[243],t[244],t[245],t[246],t[247],t[248],t[249],t[250],t[251],t[252],t[253],t[254],t[255],t[256],t[257],t[258],t[259],t[260],t[261],t[262],t[263],t[264],t[265],t[266],t[267],t[268],t[269],t[270],t[271],t[272],t[273],t[274],t[275],t[276],t[277],t[278],t[279],t[280],t[281],t[282],t[283],t[284],t[285],t[286],t[287],t[288],t[289],t[290],t[291],t[292],t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304],t[305],t[306],t[307],t[308],t[309],t[310],t[311],t[312],t[313],t[314],t[315],t[316],t[317],t[318],t[319],t[320],t[321],t[322],t[323],t[324],t[325],t[401],t[327],t[328],t[329],t[402],t[331],t[332],t[333],t[334],t[335],t[336],t[337],t[338],t[339],t[340],t[341],t[342],t[343],t[344],t[345],t[346],t[347],t[348],t[349],t[350],t[351],t[352],t[353],t[354],t[355],t[356],t[357],t[358],t[359],t[360],t[361],t[362],t[363],t[364],t[365],t[366],t[367],t[368],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377],t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389],t[390],t[391],t[392],t[393],t[394],t[395],t[396],t[403],t[404],t[405],t[406]],[t[407],t[408],t[409],t[410],t[411],t[412],t[413],t[414],t[415],t[416],t[417],t[418]],[t[419]],[t[420],t[421]],[t[422]],{positivePattern:t[423],negativePattern:t[424]},{positivePattern:t[425],negativePattern:t[426]},{positivePattern:t[427],negativePattern:t[428]},{decimal:t[429],group:t[430],nan:t[431],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DJF:t[438],ETB:t[439],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[82],t[83],t[84],t[85],t[86],t[87],t[88],t[457],t[90],t[91],t[92],t[93]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ERN:t[458],ETB:t[439],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ETB:t[439],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[459],pattern12:t[460]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[461]},{day:t[13],month:t[14],year:t[13],pattern:t[462]},{month:t[13],day:t[13],year:t[13],pattern:t[463]},{month:t[13],year:t[13],pattern:t[464]},{month:t[14],year:t[13],pattern:t[465]},{month:t[13],day:t[13],pattern:t[466]},[t[467],t[468],t[397],t[469],t[397],t[467],t[467],t[469],t[399],t[470],t[471],t[472]],[t[473],t[474],t[475],t[476],t[477],t[478],t[479],t[480],t[481],t[482],t[483],t[484]],[t[485],t[486],t[487],t[488],t[477],t[489],t[490],t[491],t[492],t[493],t[494],t[495]],[t[496],t[497],t[498],t[499],t[500],t[501],t[502]],[t[503],t[504],t[505],t[506],t[507],t[508],t[509]],[t[510],t[511],t[512],t[513],t[514],t[515],t[516]],[t[517],t[518],t[519],t[520]],[t[517],t[518],t[521],t[522]],[t[523],t[524]],{am:t[525],pm:t[526]},{positivePattern:t[527],negativePattern:t[528]},{decimal:t[430],group:t[529],nan:t[431],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NAD:t[530],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[532],pattern12:t[533]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[534]},{day:t[13],month:t[13],year:t[13],pattern:t[535]},{day:t[13],month:t[14],pattern:t[536]},{day:t[13],month:t[13],pattern:t[537]},[t[538],t[539],t[540],t[541],t[542],t[543],t[544],t[545],t[546],t[547],t[548],t[549]],[t[550],t[551],t[552],t[553],t[554],t[555],t[556],t[557],t[558],t[559],t[560],t[561]],[t[562],t[563],t[564],t[565],t[566],t[567],t[568]],[t[569],t[570],t[571],t[572],t[573],t[574],t[575]],[t[576],t[577]],[t[578],t[579]],{am:t[580],pm:t[581]},{positivePattern:t[582],negativePattern:t[583]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],month:t[14],day:t[13],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[584],pattern12:t[585]},{weekday:t[14],month:t[14],day:t[13],year:t[13],pattern:t[586]},{year:t[13],month:t[13],day:t[13],pattern:t[587]},[t[588],t[589],t[590],t[591],t[592],t[593],t[594],t[595],t[596],t[597],t[598],t[599]],[t[600],t[601],t[602],t[603],t[604],t[605],t[606],t[607],t[608],t[609],t[610],t[611]],[t[612],t[613],t[614],t[615],t[616],t[617],t[618]],[t[619],t[620],t[621],t[622],t[623],t[624],t[625]],[t[626],t[627]],[t[628],t[629]],{am:t[630],pm:t[631]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GHS:t[632],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],month:t[14],day:t[13],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[633],pattern12:t[634]},{weekday:t[14],month:t[14],day:t[13],year:t[13],pattern:t[635]},[t[636],t[637]],[t[638],t[639],t[640],t[641],t[642],t[643],t[644],t[645],t[646],t[647],t[648],t[649],t[650]],[t[651],t[652],t[653],t[654],t[655],t[656],t[657],t[658],t[659],t[660],t[661],t[662],t[663]],[t[664],t[665],t[653],t[666],t[655],t[667],t[668],t[669],t[670],t[660],t[661],t[662],t[671]],[t[672],t[673],t[674],t[675],t[676],t[677],t[677],t[678],t[679],t[678],t[680],t[681]],[t[682],t[683],t[684],t[685],t[686],t[687],t[688],t[689],t[690],t[691],t[692],t[693]],[t[694],t[695],t[684],t[696],t[686],t[687],t[688],t[697],t[698],t[699],t[700],t[701]],[t[702],t[703],t[674],t[704],t[705],t[706],t[707]],[t[708],t[709],t[710],t[711],t[712],t[713],t[714]],[t[708],t[709],t[715],t[711],t[712],t[713],t[714]],[t[716],t[717]],{am:t[718],pm:t[719]},[t[720],t[721],t[722],t[723],t[724],t[725],t[726],t[727],t[728],t[729],t[730],t[731]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],ETB:t[733],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[734],pattern12:t[735]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[736]},{day:t[13],month:t[14],year:t[13],pattern:t[737]},{day:t[13],month:t[13],year:t[13],pattern:t[738]},{month:t[13],year:t[13],pattern:t[739]},{day:t[13],month:t[13],pattern:t[740]},[t[741]],[t[742],t[743],t[744],t[745],t[746],t[747],t[748],t[749],t[750],t[751],t[752],t[753],t[754]],[t[755],t[756],t[757],t[758],t[759],t[760],t[761],t[762],t[763],t[764],t[765],t[766],t[767]],[t[768],t[769],t[770],t[771],t[772],t[773],t[774],t[775],t[776],t[777],t[778],t[779]],[t[780],t[781],t[782],t[783],t[784],t[785],t[786],t[787],t[788],t[789],t[790],t[791]],[t[792],t[793],t[794],t[795],t[796],t[797],t[798]],[t[799],t[770]],[t[800],t[801]],{am:t[802],pm:t[770]},[t[803],t[804],t[805],t[806],t[807],t[808],t[809],t[810],t[811],t[812],t[813],t[814],t[815],t[816]],[t[802]],[t[817],t[818],t[819],t[820],t[821],t[822],t[823],t[824],t[825],t[826],t[827],t[828]],[t[829],t[830],t[831],t[832],t[833],t[834],t[835],t[836],t[837],t[838],t[839],t[840]],[t[841]],[t[842],t[843],t[844],t[845],t[846],t[847],t[848],t[849],t[850],t[851],t[852],t[853],t[854],t[855],t[856],t[857],t[858],t[859],t[860],t[861],t[862],t[863],t[864],t[865],t[866],t[867],t[868],t[869],t[870],t[871],t[872],t[873],t[874],t[875],t[876],t[877],t[878],t[879],t[880],t[881],t[882],t[883],t[884],t[885],t[886],t[887],t[888],t[889],t[890],t[891],t[892],t[893],t[894],t[895],t[896],t[897],t[898],t[899],t[900],t[901],t[902],t[903],t[904],t[905],t[906],t[907],t[908],t[909],t[910],t[911],t[912],t[913],t[914],t[915],t[916],t[917],t[918],t[919],t[920],t[921],t[922],t[923],t[924],t[925],t[926],t[927],t[928],t[929],t[930],t[931],t[932],t[933],t[934],t[935],t[936],t[937],t[938],t[939],t[940],t[941],t[942],t[943],t[944],t[945],t[946],t[947],t[948],t[949],t[950],t[951],t[952],t[953],t[954],t[955],t[956],t[957],t[958],t[959],t[960],t[961],t[962],t[963],t[964],t[965],t[966],t[967],t[968],t[969],t[970],t[971],t[972],t[973],t[974],t[975],t[976],t[977],t[978],t[979],t[980],t[981],t[982],t[983],t[984],t[985],t[986],t[987],t[988],t[989],t[990],t[991],t[992],t[993],t[994],t[995],t[996],t[997],t[998],t[999],t[1e3],t[1001],t[1002],t[1003],t[1004],t[1005],t[1006],t[1007],t[1008],t[1009],t[1010],t[1011],t[1012],t[1013],t[1014],t[1015],t[1016],t[1017],t[1018],t[1019],t[1020],t[1021],t[1022],t[1023],t[1024],t[1025],t[1026],t[1027],t[1028],t[1029],t[1030],t[1031],t[1032],t[1033],t[1034],t[1035],t[1036],t[1037],t[1038],t[1039],t[1040],t[1041],t[1042],t[1043],t[1044],t[1045],t[1046],t[1047],t[1048],t[1049],t[1050],t[1051],t[1052],t[1053],t[1054],t[1055],t[1056],t[1057],t[1058],t[1059],t[1060],t[1061],t[1062],t[1063],t[1064],t[1065],t[1066],t[1067],t[1068],t[1069],t[1070],t[1071],t[1072],t[1073],t[1074],t[1075],t[1076],t[1077]],[t[1078],t[1079],t[1080],t[1081],t[1082],t[1083],t[1084],t[1085],t[1086],t[1087],t[1088],t[1089]],[t[1090]],[t[420],t[1091]],[t[1092]],{decimal:t[1093],group:t[1094],nan:t[1095],percent:t[1096],infinity:t[433]},{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DZD:t[1100],EGP:t[1101],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SDG:t[1115],SSP:t[1116],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DJF:t[438],DZD:t[1100],EGP:t[1101],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SDG:t[1115],SSP:t[1116],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},{year:t[13],month:t[13],pattern:t[1121]},[t[1122],t[769],t[770],t[771],t[770],t[1122],t[1122],t[771],t[776],t[771],t[773],t[779]],[t[1123],t[1124],t[782],t[1125],t[1126],t[1127],t[1128],t[1129],t[788],t[789],t[790],t[791]],{decimal:t[430],group:t[429],nan:t[431],percent:t[432],infinity:t[433]},{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DZD:t[1100],EGP:t[1101],ERN:t[458],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SDG:t[1115],SSP:t[1116],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},[t[777],t[1130],t[1131],t[773],t[771],t[1132],t[1133],t[1131],t[771],t[1133],t[1133],t[777]],[t[1134],t[807],t[809],t[810],t[811],t[1135],t[813],t[814],t[815],t[1136],t[1137],t[1138]],[t[1134],t[807],t[809],t[810],t[811],t[1135],t[813],t[814],t[815],t[1139],t[1137],t[1138]],{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DZD:t[1100],EGP:t[1101],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SSP:t[1116],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},[t[768],t[769],t[770],t[771],t[770],t[773],t[774],t[775],t[1130],t[777],t[778],t[779]],[t[780],t[781],t[782],t[783],t[1126],t[785],t[1140],t[1141],t[1142],t[789],t[1143],t[1144]],[t[768],t[769],t[770],t[1145],t[772],t[773],t[774],t[775],t[1130],t[777],t[778],t[779]],[t[780],t[781],t[782],t[1146],t[784],t[785],t[786],t[1147],t[1148],t[789],t[790],t[1149]],{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DZD:t[1100],EGP:t[1101],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SDG:t[1115],SOS:t[399],SSP:t[1116],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},{AED:t[1097],AUD:t[732],BHD:t[1098],BRL:t[435],CAD:t[436],CNY:t[1099],DZD:t[1100],EGP:t[1101],EUR:t[440],GBP:t[1150],HKD:t[442],ILS:t[443],INR:t[1102],IQD:t[1103],JOD:t[1104],JPY:t[445],KMF:t[1105],KRW:t[446],KWD:t[1106],LBP:t[1107],LYD:t[1108],MAD:t[1109],MRO:t[1110],MXN:t[447],NZD:t[448],OMR:t[1111],QAR:t[1112],SAR:t[1113],SDD:t[1114],SDG:t[1115],SSP:t[441],SYP:t[1117],THB:t[449],TND:t[1118],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[1119],YER:t[1120]},[t[1151],t[1152],t[1153],t[1154],t[1155],t[1156],t[1157],t[1158],t[1159],t[1160],t[1161],t[1162]],[t[1163],t[1164],t[1153],t[1154],t[1155],t[1156],t[1157],t[1165],t[1166],t[1167],t[1168],t[1169]],[t[1170],t[1171],t[1172],t[1173],t[1174],t[1175],t[1176]],[t[1177],t[1178],t[1179],t[1180],t[1181],t[1182],t[1183]],[t[1184],t[1185]],{am:t[1186],pm:t[1187]},[t[1188]],[t[473],t[474],t[1189],t[476],t[477],t[478],t[479],t[1190],t[481],t[482],t[483],t[1191]],[t[1192],t[1193],t[1194],t[1195],t[477],t[1196],t[1197],t[1198],t[1199],t[1200],t[1201],t[1202]],[t[1203],t[1204],t[1205],t[1206],t[1207],t[1208],t[1209]],[t[1210],t[1211],t[1212],t[1213],t[1214],t[1215],t[1216]],[t[1217],t[1218]],[t[1219],t[1220]],{am:t[1221],pm:t[1222]},{positivePattern:t[1223],negativePattern:t[1224]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],TZS:t[1225],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1226],t[468],t[397],t[469],t[397],t[1226],t[1226],t[469],t[399],t[470],t[1227],t[469]],[t[1228],t[1229],t[1230],t[1231],t[1232],t[1233],t[1234],t[1235],t[1236],t[1237],t[1238],t[1239]],[t[1240],t[1241],t[1242],t[1243],t[1244],t[1245],t[1246],t[1247],t[1248],t[1249],t[1250],t[1251]],[t[1252],t[1253],t[1254],t[1255],t[1256],t[1257],t[1258]],[t[1259],t[1260],t[1230],t[1261],t[1262],t[1263],t[1264]],[t[1265],t[1266],t[1267],t[1268],t[1269],t[1270],t[1271]],[t[1272],t[1273]],{am:t[126],pm:t[1274]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[14],year:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[1276],pattern12:t[1277]},{day:t[13],month:t[14],year:t[13],weekday:t[14],pattern:t[1278]},{day:t[15],month:t[15],year:t[13],pattern:t[1279]},{month:t[15],year:t[13],pattern:t[1280]},{day:t[15],month:t[15],pattern:t[1281]},[t[638],t[639],t[640],t[641],t[642],t[643],t[644],t[645],t[646],t[647],t[648],t[649]],[t[1282],t[1283],t[1230],t[1284],t[1232],t[1285],t[1286],t[1287],t[1288],t[1289],t[1290],t[1291]],[t[1292],t[1293],t[1294],t[1295],t[1232],t[1296],t[1297],t[1298],t[1299],t[1300],t[1301],t[1302]],[t[1303],t[1304],t[1305],t[1306],t[1307],t[1308],t[1309]],[t[1310],t[1311],t[1312],t[1313],t[1314],t[1315],t[1316]],[t[1317],t[1318]],[t[1319],t[1320]],{AUD:t[434],AZN:t[1321],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[1322],pattern12:t[1323]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[1324]},{day:t[13],month:t[14],year:t[13],pattern:t[1325]},{month:t[14],year:t[13],pattern:t[1326]},[t[1327],t[1328],t[1329],t[1330],t[1331],t[1332],t[1333],t[1334],t[1335],t[1336],t[1337],t[1338]],[t[1339],t[1340],t[1341],t[1342],t[1343],t[1344],t[1345]],{AUD:t[434],AZN:t[1346],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1347],t[1348],t[1349],t[1350],t[1351],t[1352],t[1353],t[1354],t[1355],t[1356],t[1232],t[1357]],[t[1358],t[1359],t[1360],t[1361],t[1362],t[1363],t[1364],t[1365],t[1366],t[1367],t[1368],t[1369]],[t[1370],t[1371],t[1372],t[1373],t[1374],t[1375],t[1376]],[t[1377],t[1378],t[1379],t[1380],t[1381],t[1382],t[1383]],[t[1384],t[1385]],[t[1386],t[1387]],{am:t[1388],pm:t[1389]},{positivePattern:t[1390],negativePattern:t[1391]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[1392],pattern12:t[1393]},{day:t[13],month:t[13],year:t[13],pattern:t[1279]},{month:t[13],year:t[13],pattern:t[1280]},{day:t[13],month:t[13],pattern:t[1281]},{hour:t[13],minute:t[15],second:t[15],pattern:t[1394],pattern12:t[1395]},{hour:t[13],minute:t[15],pattern:t[1396],pattern12:t[1397]},[t[1398],t[1399],t[1398],t[1400],t[1401],t[1402],t[1399],t[1403],t[1404],t[1400],t[1399],t[1398]],[t[1405],t[1406],t[1407],t[1408],t[1409],t[1410],t[1411],t[1412],t[1413],t[1414],t[1415],t[1416]],[t[1417],t[1418],t[1419],t[1420],t[1409],t[1421],t[1422],t[1423],t[1424],t[1425],t[1426],t[1427]],[t[1428],t[1429],t[1430],t[1431],t[1432],t[1433],t[1434]],[t[1435],t[1436],t[1437],t[1438],t[1439],t[1440],t[1441]],[t[1442],t[1443]],{am:t[1444],pm:t[1445]},{AUD:t[434],BRL:t[435],BYR:t[1446],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1447],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[473],t[474],t[1189],t[1448],t[477],t[478],t[479],t[1449],t[481],t[482],t[483],t[1450]],[t[1192],t[1193],t[1194],t[1451],t[477],t[1196],t[1197],t[1452],t[1199],t[1200],t[1201],t[1453]],[t[1454],t[1455],t[1456],t[1457],t[1458],t[1459],t[1460]],[t[1461],t[1462]],[t[1463],t[1464]],{am:t[1465],pm:t[1466]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZMW:t[1467]},[t[1468],t[1469],t[1470],t[1471],t[1472],t[1473],t[100],t[1474],t[1475],t[1476],t[1477],t[1478]],[t[1479],t[1480],t[1481],t[1482],t[1483],t[1484],t[1485],t[1486],t[1487],t[1488],t[1489],t[1490]],[t[1491],t[1469],t[1492],t[1493],t[1494],t[1495],t[1496]],[t[1497],t[1498],t[1499],t[1500],t[1501],t[1502],t[1503]],[t[1504],t[1505]],{am:t[1506],pm:t[1507]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[1508],pattern12:t[1509]},{day:t[13],month:t[15],year:t[13],pattern:t[1279]},{day:t[13],month:t[15],pattern:t[1281]},[t[1510],t[1511],t[1401],t[1512],t[1401],t[1513],t[1513],t[1512],t[1398],t[1514],t[1515],t[1516]],[t[1517],t[1518],t[1329],t[1519],t[1331],t[1520],t[1521],t[1522],t[1523],t[1524],t[1525],t[1526]],[t[1527],t[1528],t[1329],t[1529],t[1331],t[1520],t[1521],t[1334],t[1530],t[1531],t[1532],t[1533]],[t[1428],t[1429],t[1534],t[1431],t[1535],t[1433],t[1434]],[t[1536],t[1537],t[1538],t[1539],t[1540],t[1541],t[1542]],[t[1543]],[t[1544],t[1545],t[1546],t[1547]],[t[1544],t[1545]],{am:t[1548],pm:t[1549]},[t[1550],t[1551],t[1552],t[1553],t[1554],t[1555],t[1556],t[1557],t[1558],t[1559],t[1560],t[1561],t[1562],t[1563]],[t[1564],t[1565],t[1566],t[1567],t[1568],t[1569],t[1570],t[1571],t[1572],t[1573],t[1574],t[1575]],[t[1576],t[1577],t[1578],t[1579],t[1580],t[1581],t[1582],t[1583],t[1584],t[1585],t[1586],t[1587]],{BGN:t[1588],EUR:t[440],RUB:t[1589],USD:t[1590],XAF:t[453],XOF:t[455],XPF:t[456]},[t[1591],t[1229],t[1230],t[1592],t[1593],t[1594],t[1595],t[1596],t[1597],t[1598],t[1599],t[1600]],[t[1601],t[1602],t[1603],t[1604],t[1593],t[1605],t[1606],t[1596],t[1607],t[1608],t[1609],t[1610]],[t[1611],t[1612],t[1613],t[1614],t[1615],t[1616],t[1617]],[t[1618],t[1619],t[1620],t[1621],t[1622],t[1623],t[1624]],[t[1625],t[1626]],[t[1627],t[1628]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[1629],pattern12:t[1630]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[1631]},[t[1632],t[1633],t[1634],t[1635],t[1155],t[1156],t[1636],t[1637],t[1638],t[1639],t[1640],t[1641]],[t[1642],t[1643],t[1644],t[1645],t[1155],t[1156],t[1157],t[1646],t[1647],t[1648],t[1649],t[1650]],[t[1651],t[1652],t[1653],t[1654],t[1655],t[1656],t[1657]],[t[1658],t[1171],t[1172],t[1173],t[1659],t[1660],t[1176]],[t[1661],t[1662],t[1663],t[1664],t[1665],t[1666],t[1667]],[t[1668],t[1669]],{am:t[1670],pm:t[1671]},[t[1672],t[1673],t[1674],t[1675],t[1676],t[1677],t[1678],t[1679],t[1680],t[1681],t[1682],t[1683]],[t[1684]],[t[1685],t[1686],t[1687],t[1688],t[1689],t[1690],t[1691],t[1692],t[1693],t[1694],t[1695],t[1696]],[t[1697]],{positivePattern:t[582],negativePattern:t[1698]},{nan:t[1699]},{AUD:t[434],BDT:t[1700],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{year:t[13],month:t[14],day:t[13],pattern:t[1701]},[t[1702],t[1703],t[1704],t[1705],t[1706],t[1707],t[1708],t[1709],t[1710],t[1711],t[1712],t[1713]],[t[1714],t[1715],t[1716],t[1717],t[1718],t[1719],t[1720],t[1721],t[1722],t[1723],t[1724],t[1725]],[t[1726],t[1727],t[1728],t[1729],t[1730],t[1731],t[1732]],[t[1733],t[1734],t[1735],t[1736],t[1737],t[1738],t[1739]],[t[1740],t[1741]],{am:t[1742],pm:t[1743]},{nan:t[1744]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[1275],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1745],t[1746],t[1747],t[1748],t[1749],t[1750],t[1751],t[1752],t[1753],t[1754],t[1755],t[1756]],[t[1757],t[1758],t[1759],t[1760],t[1749],t[1761],t[1762],t[1752],t[1763],t[1754],t[1755],t[1764]],[t[1765],t[1766],t[1767],t[1768],t[1769],t[1770],t[1771]],[t[1772],t[1773],t[1759],t[1774],t[1775],t[1776],t[1777]],{day:t[13],month:t[14],pattern:t[1778]},[t[1779],t[1780],t[1781],t[1782],t[1783],t[1784],t[1785],t[1786],t[1787],t[1788],t[1789],t[1790]],[t[1791],t[1792],t[1793],t[1794],t[1795],t[1796],t[1797]],[t[1798],t[1799],t[1800],t[1801],t[1802],t[1803],t[1804]],[t[1805],t[1806]],{am:t[1807],pm:t[1808]},[t[1809],t[1810],t[1811],t[1812],t[1813],t[1814],t[1815],t[1816],t[1817],t[1818],t[1819],t[1820]],{weekday:t[14],day:t[15],month:t[14],year:t[13],hour:t[15],minute:t[15],second:t[15],pattern:t[1821],pattern12:t[1822]},{weekday:t[14],day:t[15],month:t[14],year:t[13],pattern:t[1823]},{day:t[15],month:t[14],year:t[13],pattern:t[1824]},{day:t[15],month:t[14],pattern:t[1825]},{hour:t[15],minute:t[15],second:t[15],pattern:t[25],pattern12:t[26]},{hour:t[15],minute:t[15],pattern:t[27],pattern12:t[28]},[t[1826],t[1229],t[1230],t[1284],t[1827],t[1828],t[1829],t[1830],t[1831],t[1289],t[1832],t[1833]],[t[1834],t[1835],t[1294],t[1836],t[1827],t[1837],t[1838],t[1839],t[1840],t[1841],t[1842],t[1843]],[t[1844],t[1845],t[1846],t[1847],t[1848],t[1849],t[1850]],[t[1851],t[1852],t[1853],t[1854],t[1855],t[1856],t[1857]],[t[1858],t[1859]],[t[1860],t[1861]],{am:t[1862],pm:t[1863]},[t[1864],t[1865],t[1866],t[1867],t[1868],t[1869],t[1870],t[1871],t[1872],t[1873],t[1874],t[1875]],[t[1876],t[1877],t[1878],t[1879],t[1880],t[1881],t[1882],t[1883],t[1884],t[1885],t[1886],t[1887]],{AUD:t[434],BAM:t[1217],BRL:t[435],CAD:t[436],CNY:t[437],CZK:t[1888],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PLN:t[1889],RSD:t[1890],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1891]],[t[1892],t[1893],t[1894],t[1895],t[1896],t[1897],t[1898],t[1899],t[1900],t[1901],t[1902],t[1903],t[1904]],[t[1905],t[1906],t[1907],t[1908],t[1909],t[1910],t[1911],t[1912],t[1913],t[1914],t[1915],t[1916],t[1917]],[t[1918],t[1919],t[1920],t[1921],t[1922],t[1923],t[1924],t[1925],t[1926],t[1927],t[1928],t[1929]],[t[1930],t[1931],t[1329],t[1529],t[1922],t[1932],t[1933],t[1334],t[1934],t[1935],t[1936],t[1937]],[t[1938],t[1939],t[1940],t[1941],t[1942],t[1943],t[1944]],[t[1945],t[1946],t[1947],t[1948],t[1949],t[1950],t[1441]],[t[1951],t[1952]],[t[1953],t[1954]],[t[1955],t[1956]],{am:t[1957],pm:t[1958]},[t[1959],t[1960],t[1961],t[1962],t[1963],t[1964],t[1965],t[1966],t[1967],t[1968],t[1969],t[1970],t[1971],t[1972]],[t[1973],t[1974],t[1975],t[1976],t[1977],t[1978],t[1979],t[1980],t[1981],t[1982],t[1983],t[1984]],[t[1985]],[t[1986],t[1987],t[1988],t[1989],t[1990],t[1991],t[1992],t[1993],t[1994],t[1995],t[1996],t[1997]],[t[1998],t[1999],t[2e3],t[2001],t[2002],t[2003],t[2004],t[2005],t[2006],t[1585],t[2007],t[2008]],[t[2009]],[t[2010],t[2011],t[2012],t[2013],t[2014],t[2015],t[2016],t[2017],t[2018],t[2019],t[2020],t[2021],t[2022],t[2023],t[2024],t[2025],t[2026],t[2027],t[2028],t[2029],t[2030],t[2031],t[2032],t[2033],t[2034],t[2035],t[2036],t[2037],t[2038],t[2039],t[2040],t[2041],t[2042],t[2043],t[2044],t[2045],t[2046],t[2047],t[2048],t[2049],t[2050],t[2051],t[2052],t[2053],t[2054],t[2055],t[2056],t[2057],t[2058],t[2059],t[2060],t[2061],t[2062],t[2063],t[2064],t[2065],t[2066],t[2067],t[2068],t[2069],t[2070],t[2071],t[2072],t[2073],t[2074],t[2075],t[2076],t[2077],t[2078],t[2079],t[2080],t[2081],t[2082],t[2083],t[2084],t[2085],t[2086],t[2087],t[2088],t[2089],t[2090],t[2091],t[2092],t[2093],t[2094],t[2095],t[2096],t[2097],t[2098],t[2099],t[2100],t[2101],t[2102],t[2103],t[2104],t[2105],t[2106],t[2107],t[2108],t[2109],t[2110],t[2111],t[2112],t[2113],t[2114],t[2115],t[2116],t[2117],t[2118],t[2119],t[2120],t[2121],t[2122],t[2123],t[2124],t[2125],t[2126],t[2127],t[2128],t[2129],t[2130],t[2131],t[2132],t[2133],t[2134],t[2135],t[2136],t[2137],t[2138],t[2139],t[2140],t[2141],t[2142],t[2143],t[2144],t[2145],t[2146],t[2147],t[2148],t[2149],t[2150],t[2151],t[2152],t[2153],t[2154],t[2155],t[2156],t[2157],t[2158],t[2159],t[2160],t[2161],t[2162],t[2163],t[2164],t[2165],t[2166],t[2167],t[2168],t[2169],t[2170],t[2171],t[2172],t[2173],t[2174],t[2175],t[2176],t[2177],t[2178],t[2179],t[2180],t[2181],t[2182],t[2183],t[2184],t[2185],t[2186],t[2187],t[2188],t[2189],t[2190],t[2191],t[2192],t[2193],t[2194],t[2195],t[2196],t[2197],t[2198],t[2199],t[2200],t[2201],t[2202],t[2203],t[2204],t[2205],t[2206],t[2207],t[2208],t[2209],t[2210],t[2211],t[2212],t[2213],t[2214],t[2215],t[2216],t[2217],t[2218],t[2219],t[2220],t[2221],t[2222],t[2223],t[2224],t[2225],t[2226],t[2227],t[2228],t[2229],t[2230],t[2231],t[2232],t[2233],t[2234],t[2235],t[2236],t[2237],t[2238],t[2239],t[2240],t[2241],t[2242],t[2243],t[2244],t[2245]],[t[2246],t[2247],t[2248],t[2249],t[2250],t[2251],t[2252],t[2253],t[2254],t[2255],t[2256],t[2257]],[t[2258]],[t[2259],t[2260]],{AUD:t[434],BAM:t[2261],BRL:t[435],CAD:t[436],CNY:t[437],CZK:t[2262],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],PLN:t[2263],RSD:t[2264],THB:t[449],TRY:t[2265],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2266],t[2267],t[2268],t[2269],t[2270],t[2271],t[2272],t[2273],t[2274],t[2275],t[2276],t[2277]],[t[2278],t[2279],t[2268],t[2280],t[2281],t[2282],t[2283],t[2284],t[2285],t[2275],t[2286],t[2287]],[t[2288],t[2289],t[2290],t[2291],t[2292],t[2293],t[2294]],[t[2295],t[2289],t[2290],t[2296],t[2292],t[2293],t[2297]],[t[2298],t[2299]],{am:t[2300],pm:t[2301]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ERN:t[458],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2302]],[t[2303],t[2304],t[2305],t[2306],t[2307],t[2308],t[2309],t[2310],t[2311],t[2312],t[2313],t[2314]],[t[2315],t[2316],t[2317],t[2318],t[2319],t[2320],t[2321],t[2322],t[2323],t[2324],t[2325],t[2326]],[t[2327],t[2328],t[2317],t[2329],t[2319],t[2320],t[2330],t[2331],t[2332],t[2333],t[2334],t[2335]],[t[2336],t[2337],t[2338],t[2339],t[2340],t[2341],t[2342]],[t[2343],t[2344],t[2345],t[2346],t[2347],t[2348],t[2349]],[t[2350],t[2351]],[t[2350],t[2351],t[2352],t[2353]],[t[2354],t[2355],t[2352],t[2356]],{am:t[2357],pm:t[2358]},{AUD:t[732],CAD:t[436],CNY:t[1275],ESP:t[2359],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XPF:t[456]},{AUD:t[732],CAD:t[436],CNY:t[1275],ESP:t[2359],EUR:t[440],FRF:t[468],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XPF:t[456]},[t[2360],t[2361],t[2362],t[2363],t[2364],t[2365],t[2366],t[2367],t[2368],t[2369],t[2370],t[2371]],[t[2372],t[2373],t[2374],t[2375],t[2376],t[2377],t[2378],t[2379],t[2380],t[2381],t[2382],t[2383]],[t[2384],t[2385],t[2386],t[2387],t[2388],t[2389],t[2390]],[t[2391],t[2392],t[2393],t[2394],t[2395],t[2396],t[2397]],[t[2398],t[2399]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],UGX:t[2400],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{month:t[14],day:t[13],year:t[13],pattern:t[2401]},[t[2402],t[2403],t[2404],t[2405],t[2406],t[2407],t[2408],t[2409],t[2410],t[2411],t[2412],t[2413]],[t[2414],t[2415],t[2416],t[2417],t[2418],t[2419],t[2420],t[2421],t[2422],t[2423],t[2424],t[2425]],[t[2426],t[2427],t[2428],t[2429],t[2430],t[2431],t[2432]],[t[2433],t[2434],t[2435],t[2436],t[2437],t[2438],t[2439]],[t[2440],t[2441]],[t[2442],t[2443]],{am:t[2444],pm:t[2445]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2446],pattern12:t[2447]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[2448]},{day:t[13],month:t[14],year:t[13],pattern:t[2449]},{day:t[13],month:t[13],year:t[13],pattern:t[2449]},{day:t[13],month:t[14],pattern:t[1825]},{day:t[13],month:t[13],pattern:t[1825]},[t[2450],t[2451],t[2452],t[2453],t[2454],t[2455],t[2456],t[2457],t[2458],t[2459],t[2460],t[2461]],[t[2462],t[2463],t[2464],t[2465],t[2466],t[2467],t[2468],t[2469],t[2470],t[2471],t[2472],t[2473]],[t[2474],t[2475],t[2476],t[2477],t[2478],t[2479],t[2480]],[t[2481],t[2482],t[2483],t[2484],t[2485],t[2486],t[2487]],[t[2488],t[2489]],[t[2490],t[2491]],[t[2492],t[421]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],CSK:t[2493],CZK:t[1888],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],TWD:t[450],USD:t[451],XAF:t[453],XBB:t[2494],XCD:t[454],XEU:t[2495],XOF:t[455],XPF:t[456]},[t[2496],t[2497],t[397],t[2498],t[397],t[397],t[2499],t[469],t[397],t[400],t[398],t[2500]],[t[2501],t[2502],t[2503],t[2504],t[2505],t[2506],t[2507],t[2508],t[2509],t[2510],t[2511],t[2512]],[t[2513],t[2514],t[2503],t[2504],t[2505],t[2515],t[2516],t[2508],t[2509],t[2517],t[2518],t[2519]],[t[2520],t[2521],t[504],t[2522],t[2523],t[2524],t[509]],[t[1772],t[2525],t[2526],t[2527],t[2528],t[1753],t[2529]],[t[2530],t[2531],t[2532],t[2533],t[2534],t[2535],t[2536]],[t[1308],t[470]],[t[2537],t[2312]],[t[2538],t[2539]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2540],pattern12:t[2541]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[2542]},{day:t[13],month:t[14],year:t[13],pattern:t[1824]},[t[2543],t[2316],t[2544],t[2545],t[1827],t[2546],t[2321],t[2547],t[2548],t[2549],t[2325],t[2550]],[t[1834],t[1835],t[2551],t[1836],t[1827],t[1837],t[1838],t[2552],t[2553],t[2554],t[2555],t[2556]],[t[2557],t[1254],t[2558],t[2559],t[2560],t[2561],t[2562]],[t[2563],t[1321],t[2564],t[2565],t[2566],t[2567],t[2568]],[t[2569],t[2570],t[2571],t[2572],t[2573],t[2574],t[2575]],[t[2576],t[2577],t[2578],t[2579]],[t[2580],t[2581],t[2582],t[2583]],[t[2580],t[2581],t[2584],t[2585]],[t[420],t[2586]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],DKK:t[2587],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2588],t[2589],t[2590],t[2591],t[2592],t[2593],t[2594],t[2595],t[2596],t[2597],t[2598],t[2599]],[t[2600],t[2601],t[2602],t[2603],t[2604],t[2605],t[2606],t[2607],t[2608],t[2609],t[2610],t[2611]],[t[2612],t[2613],t[2589],t[2590],t[2591],t[2592],t[2614]],[t[2615],t[2616],t[2617],t[2618],t[2619],t[2620],t[2621]],[t[2622],t[577]],[t[2623],t[2624]],{am:t[2625],pm:t[2626]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2628],pattern12:t[2629]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[1823]},[t[2630],t[2631],t[2632],t[2633],t[2505],t[1196],t[2634],t[2635],t[2636],t[2637],t[2638],t[2639]],[t[2640],t[2641],t[2632],t[488],t[2505],t[1196],t[2634],t[2642],t[492],t[493],t[494],t[2643]],[t[496],t[2644],t[498],t[2645],t[500],t[2646],t[502]],[t[2647],t[2648],t[2649],t[2650],t[2651],t[2652],t[2653]],[t[2654],t[2655],t[2656],t[2657]],[t[2654],t[2655],t[2658],t[2659]],[t[2654],t[2655],t[2660],t[2661]],{am:t[2662],pm:t[2663]},{ATS:t[2664],AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2665],t[2631],t[2632],t[2633],t[2505],t[1196],t[2634],t[2635],t[2636],t[2637],t[2638],t[2639]],[t[2666],t[2641],t[2632],t[488],t[2505],t[1196],t[2634],t[2642],t[492],t[493],t[494],t[2643]],{positivePattern:t[527],negativePattern:t[2667]},{decimal:t[429],group:t[2668],nan:t[431],percent:t[432],infinity:t[433]},{ATS:t[2664],AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],LUF:t[468],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2669],t[2670],t[475],t[2671],t[2522],t[2672],t[2673],t[2674],t[2675],t[482],t[2676],t[2677]],[t[2678],t[2679],t[2680],t[2681],t[2522],t[2682],t[2683],t[2674],t[2684],t[2685],t[2686],t[2687]],[t[1207],t[2688],t[2689],t[2690],t[2691],t[2692],t[2693]],[t[2694],t[2695],t[2696],t[2697],t[1214],t[2698],t[2699]],[t[2700],t[2701]],[t[2702],t[2703]],{am:t[2704],pm:t[2705]},{decimal:t[429],group:t[529],nan:t[431],percent:t[432],infinity:t[433]},[t[2706],t[2707],t[2708],t[2709],t[2710],t[2711],t[2712],t[2713],t[2714],t[1232],t[2715],t[2716]],[t[2717],t[2718],t[2719],t[2720],t[2721],t[2722],t[2723],t[2724],t[2725],t[2726],t[2727],t[2728]],[t[2729],t[2730],t[2731],t[2732],t[2733],t[2734],t[2735]],[t[2736],t[2737],t[2738],t[2739],t[2740],t[2741],t[2742]],[t[2743],t[2744]],[t[2745],t[2746]],{am:t[2747],pm:t[2748]},[t[509],t[2749],t[504],t[2750],t[2522],t[2520],t[2751],t[2674],t[2752],t[2753],t[2754],t[2755]],[t[2756],t[2757],t[2758],t[2759],t[2760],t[2761],t[2762],t[2674],t[2763],t[2764],t[2765],t[2766]],[t[2767],t[2768],t[96],t[2690],t[2769],t[2770],t[2771]],[t[2772],t[2773],t[2774],t[2775],t[2776],t[2777],t[2778]],[t[2779],t[2780]],[t[2781],t[2782]],{weekday:t[14],year:t[13],month:t[14],day:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2783],pattern12:t[2784]},{weekday:t[14],year:t[13],month:t[14],day:t[13],pattern:t[2785]},{year:t[13],month:t[13],day:t[13],pattern:t[20]},{year:t[13],month:t[13],pattern:t[21]},{year:t[13],month:t[14],pattern:t[2786]},{month:t[14],day:t[13],pattern:t[2787]},{month:t[13],day:t[13],pattern:t[24]},[t[2788],t[2789],t[2790],t[641],t[2791],t[2792],t[2793],t[2794],t[646],t[2795],t[2796],t[2797]],[t[2788],t[2789],t[2790],t[2798],t[2791],t[2792],t[2793],t[2794],t[2799],t[2795],t[2796],t[649]],[t[2800],t[2801],t[2802],t[2803],t[2804],t[2805],t[2806],t[2807],t[2808],t[2809],t[2810],t[2811]],[t[2812],t[2813],t[2814],t[2815],t[1731],t[2816],t[2817]],[t[1734],t[1735],t[2818],t[1737],t[2819],t[1739],t[1733]],{am:t[2820],pm:t[2821]},[t[2822]],{decimal:t[429],group:t[430],nan:t[2823],percent:t[432],infinity:t[2824]},{AUD:t[732],BRL:t[435],BTN:t[2825],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],INR:t[444],JPY:t[445],KRW:t[2826],MXN:t[447],NZD:t[448],THB:t[2827],TWD:t[450],USD:t[451],VND:t[452],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2828],t[2829],t[2830],t[2591],t[2831],t[2832],t[2833],t[2834],t[2835],t[2597],t[2598],t[2836]],[t[2837],t[2838],t[2839],t[2840],t[2841],t[2842],t[2843],t[2844],t[2845],t[2846],t[2847],t[2848]],[t[2849],t[2850],t[2851],t[2852],t[2853],t[2854],t[2855]],[t[2856],t[2857],t[2858],t[2859],t[2860],t[2861],t[2862]],[t[2863],t[2864]],[t[2865],t[2866]],{am:t[2867],pm:t[2868]},{month:t[14],day:t[13],year:t[13],pattern:t[2869]},{pattern:t[2870],pattern12:t[2871]},[t[2872],t[2873],t[2874],t[2875],t[2876],t[2877],t[2878],t[2879],t[2880],t[2881],t[2882],t[2883]],[t[2884],t[2885],t[2886],t[2887],t[2888],t[2889],t[2890],t[2891],t[2892],t[2893],t[2894],t[2895]],[t[2872],t[2873],t[2874],t[2875],t[2876],t[2877],t[2878],t[2879],t[2880],t[2881],t[2882],t[2883],t[2896]],[t[2884],t[2885],t[2886],t[2887],t[2888],t[2889],t[2890],t[2891],t[2892],t[2893],t[2894],t[2895],t[2897]],[t[2898],t[2898],t[2899],t[2900],t[2898],t[2901],t[2902],t[2898],t[2900],t[2903],t[2900],t[2898]],[t[2884],t[2885],t[2886],t[2904],t[2905],t[2889],t[2890],t[2891],t[2892],t[2893],t[2894],t[2895]],[t[2906],t[2907],t[2908],t[2909],t[2910],t[2911],t[2912]],[t[2913],t[2914],t[2915],t[2916],t[2917],t[2918],t[2919]],[t[2920],t[2921]],[t[2922],t[2923]],{am:t[2924],pm:t[2925]},[t[2884],t[2885],t[2886],t[2887],t[2888],t[2889],t[2890],t[2891],t[2892],t[2893],t[2894],t[2895],t[2897],t[2890]],[t[2884],t[2885],t[2886],t[2887],t[2888],t[2889],t[2890],t[2926],t[2892],t[2893],t[2894],t[2895],t[2897],t[2890]],[t[2924]],[t[2884],t[2885],t[2886],t[2875],t[2888],t[2889],t[2890],t[2891],t[2892],t[2893],t[2894],t[2895]],[t[2927],t[421]],{decimal:t[429],group:t[430],nan:t[2928],percent:t[432],infinity:t[433]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GHS:t[632],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2929],pattern12:t[2930]},[t[2931],t[2932],t[2933],t[2934],t[2933],t[2931],t[2931],t[2934],t[2935],t[2936],t[2937],t[2938]],[t[2939],t[2940],t[2941],t[2942],t[2943],t[2944],t[2945],t[2946],t[2947],t[2948],t[2949],t[2950]],[t[2951],t[2952],t[2953],t[2954],t[2955],t[2956],t[2957],t[2958],t[2959],t[2960],t[2961],t[2962]],[t[2963],t[2964],t[2965],t[2966],t[2967],t[2968],t[2969]],[t[2970],t[2971],t[2972],t[2973],t[2974],t[2975],t[2976]],[t[2977],t[2978],t[2979],t[2980],t[2981],t[2982],t[2983]],[t[2984],t[2985],t[2986],t[2987]],{am:t[2988],pm:t[2989]},[t[2988]],[t[2990],t[421]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GRD:t[2991],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],month:t[14],day:t[13],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[2992],pattern12:t[2993]},[t[2994],t[2995],t[2996],t[2997],t[2998],t[2999],t[3e3],t[3001],t[3002],t[3003],t[3004],t[3005]],[t[3006],t[3007],t[3008],t[3009],t[3010],t[3011],t[3012],t[3013],t[3014],t[3015],t[3016],t[3017]],[t[473],t[474],t[475],t[476],t[3018],t[478],t[479],t[480],t[481],t[3019],t[483],t[1191]],[t[3020],t[3021],t[3022],t[488],t[3018],t[3023],t[3024],t[2642],t[492],t[3025],t[494],t[3026]],[t[2520],t[3027],t[3028],t[3029],t[3030],t[3031],t[509]],[t[3032],t[3033],t[3034],t[3035],t[3036],t[3037],t[3038]],[t[3039],t[3040],t[3041],t[3042],t[3043],t[3044],t[3045]],[t[3046],t[469]],[t[1461],t[1462],t[1184],t[1185]],[t[3047],t[3048],t[3049],t[3050]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3051],pattern12:t[3052]},{AUD:t[530],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BBD:t[530],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BMD:t[530],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],BSD:t[530],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[15],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3051],pattern12:t[3052]},{weekday:t[14],day:t[15],month:t[14],year:t[13],pattern:t[534]},{day:t[15],month:t[14],year:t[13],pattern:t[462]},{day:t[15],month:t[15],year:t[13],pattern:t[535]},{month:t[15],year:t[13],pattern:t[464]},{day:t[15],month:t[14],pattern:t[536]},{day:t[15],month:t[15],pattern:t[537]},{AUD:t[434],BRL:t[435],BWP:t[1227],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],BZD:t[530],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[530],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[530],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[530],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[3053],t[3054],t[3055],t[3056],t[3055],t[3053],t[3053],t[3057],t[3058],t[3059],t[3060],t[3061]],[t[3062],t[3063],t[3064],t[3065],t[3066],t[3067],t[3068],t[3069],t[3070],t[3071],t[3072],t[3073]],[t[3074],t[3075],t[3076],t[3077],t[3066],t[3067],t[3078],t[3079],t[3080],t[3081],t[3082],t[3083]],[t[3084],t[3085],t[3086],t[3087],t[3088],t[3089],t[3090]],[t[3091],t[3092],t[3093],t[3094],t[3095],t[3096],t[3097]],[t[3098],t[3099]],[t[3100],t[3101],t[1184],t[1185]],[t[3102],t[3103],t[3049],t[3050]],{am:t[3104],pm:t[3105]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ERN:t[458],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],FJD:t[530],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],FKP:t[441],GBP:t[1150],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{am:t[3106],pm:t[3107]},[t[3108]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GHS:t[632],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[1150],GIP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GMD:t[472],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GYD:t[530],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3109],pattern12:t[3110]},[t[165],t[166],t[167],t[168],t[169],t[170],t[171],t[172],t[173],t[174],t[175],t[176],t[177],t[178],t[179],t[180],t[181],t[182],t[183],t[184],t[185],t[186],t[187],t[188],t[189],t[190],t[191],t[192],t[193],t[194],t[195],t[196],t[197],t[198],t[199],t[200],t[201],t[202],t[203],t[204],t[205],t[206],t[207],t[208],t[209],t[210],t[211],t[212],t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224],t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236],t[237],t[238],t[239],t[240],t[241],t[242],t[243],t[244],t[245],t[246],t[247],t[248],t[249],t[250],t[251],t[252],t[253],t[254],t[255],t[256],t[257],t[258],t[259],t[260],t[261],t[262],t[263],t[264],t[265],t[266],t[267],t[268],t[269],t[270],t[271],t[272],t[273],t[274],t[275],t[276],t[277],t[278],t[279],t[280],t[281],t[282],t[283],t[284],t[285],t[286],t[287],t[288],t[289],t[290],t[291],t[292],t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304],t[305],t[306],t[307],t[308],t[309],t[310],t[311],t[312],t[313],t[314],t[315],t[316],t[317],t[318],t[319],t[320],t[321],t[322],t[323],t[324],t[325],t[3111],t[327],t[328],t[329],t[3112],t[331],t[332],t[333],t[334],t[335],t[336],t[337],t[338],t[339],t[340],t[341],t[342],t[343],t[344],t[345],t[346],t[347],t[348],t[349],t[350],t[351],t[352],t[353],t[354],t[355],t[356],t[357],t[358],t[359],t[360],t[361],t[362],t[363],t[364],t[365],t[366],t[367],t[368],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377],t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389],t[390],t[391],t[392],t[393],t[394],t[395],t[396],t[403],t[404],t[405],t[406]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[530],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{am:t[3113],pm:t[3114]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3115],pattern12:t[3116]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[3117]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JMD:t[530],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],KYD:t[530],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],LRD:t[530],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MGA:t[3118],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MOP:t[3119],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[15],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3120],pattern12:t[3121]},{weekday:t[14],day:t[15],month:t[14],year:t[13],pattern:t[461]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[1150],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MUR:t[3122],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MWK:t[2863],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NAD:t[530],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NGN:t[3123],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[15],year:t[13],pattern:t[535]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[530],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],PGK:t[1467],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],PHP:t[3124],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],PKR:t[3122],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],RWF:t[3125],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[530],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SCR:t[3126],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SGD:t[530],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[1150],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SHP:t[441],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SLL:t[3127],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[1150],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SSP:t[441],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{ANG:t[3128],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],SZL:t[2498],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TOP:t[3129],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TTD:t[530],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],TZS:t[1225],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],UGX:t[2400],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],VUV:t[3130],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{year:t[13],month:t[15],day:t[15],pattern:t[587]},{month:t[15],day:t[15],pattern:t[466]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZMW:t[1467]},{weekday:t[14],day:t[15],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3109],pattern12:t[3110]},{weekday:t[14],day:t[15],month:t[14],year:t[13],pattern:t[1631]},{day:t[15],month:t[14],year:t[13],pattern:t[1325]},[t[1826],t[1229],t[1230],t[1284],t[1827],t[1828],t[1829],t[3132],t[1831],t[1289],t[1832],t[1833]],[t[3133],t[3134],t[3135],t[3136],t[3137],t[3138],t[3139],t[3140],t[3141],t[3142],t[3143],t[3144]],[t[2706],t[3145],t[1254],t[3146],t[3147],t[3148],t[1258]],[t[3149],t[3150],t[3151],t[3152],t[3153],t[3154],t[3155]],[t[3156],t[3157]],{am:t[3158],pm:t[3159]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3160],pattern12:t[3161]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[3162]},{day:t[13],month:t[14],year:t[13],pattern:t[3163]},{month:t[14],year:t[13],pattern:t[3164]},{day:t[13],month:t[14],pattern:t[3165]},[t[2498],t[468],t[397],t[469],t[397],t[467],t[467],t[469],t[399],t[470],t[471],t[472]],[t[3166],t[2316],t[2544],t[2318],t[3167],t[2546],t[2321],t[3168],t[3169],t[2324],t[2325],t[3170]],[t[3171],t[3172],t[3173],t[2329],t[3174],t[3138],t[3139],t[3175],t[3176],t[2333],t[3177],t[3178]],[t[3179],t[3180],t[3181],t[3182],t[3183],t[3184],t[3185]],[t[3186],t[3187],t[2544],t[3188],t[3189],t[3190],t[3191]],[t[3192],t[3193],t[1267],t[1268],t[3194],t[3195],t[3196]],[t[3197],t[3198],t[3199],t[3200]],[t[3201],t[3202]],[t[3203],t[421]],{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{month:t[13],year:t[13],pattern:t[3205]},{ARS:t[530],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],BOB:t[3206],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{day:t[15],month:t[15],year:t[13],pattern:t[3207]},{month:t[15],year:t[13],pattern:t[3205]},{day:t[15],month:t[15],pattern:t[1778]},{positivePattern:t[425],negativePattern:t[2667]},{ARS:t[3204],AUD:t[732],CAD:t[436],CLP:t[530],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],COP:t[530],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],CRC:t[3208],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],CUP:t[530],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],DOP:t[530],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],GTQ:t[3209],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],HNL:t[3210],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[15],minute:t[15],second:t[15],pattern:t[3160],pattern12:t[3161]},[t[2498],t[468],t[504],t[469],t[3211],t[3212],t[3213],t[3214],t[399],t[470],t[471],t[472]],[t[3166],t[3215],t[3216],t[2318],t[3217],t[2546],t[2321],t[2322],t[2323],t[2324],t[2325],t[3170]],[t[3218],t[3219],t[3220],t[3221],t[3222],t[3223],t[3224]],[t[3186],t[3187],t[2544],t[3225],t[3189],t[3226],t[3227]],[t[1272],t[1273],t[3199],t[3200]],{ANG:t[3228],AOA:t[3229],ARS:t[3204],AUD:t[732],AWG:t[3230],CNY:t[437],ESP:t[2359],MXN:t[530],ZMW:t[3231]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],NIO:t[3232],USD:t[530],XAF:t[453],XCD:t[454]},{month:t[15],day:t[15],year:t[13],pattern:t[463]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],PAB:t[3233],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],PEN:t[3234],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],PHP:t[3124],USD:t[530],XAF:t[453],XCD:t[454]},{positivePattern:t[527],negativePattern:t[3235]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],PYG:t[3236],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],JPY:t[1275],MXN:t[447],USD:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[451],UYU:t[530],XAF:t[453],XCD:t[454]},{ARS:t[3204],AUD:t[732],CAD:t[436],ESP:t[2359],EUR:t[440],MXN:t[447],USD:t[530],VEF:t[3237],XAF:t[453],XCD:t[454]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3238],pattern12:t[3239]},{hour:t[13],minute:t[15],second:t[15],pattern:t[3240],pattern12:t[3241]},[t[467],t[3242],t[397],t[469],t[397],t[467],t[467],t[469],t[399],t[470],t[471],t[472]],[t[3243],t[3244],t[3245],t[1284],t[3246],t[3247],t[3248],t[3249],t[3250],t[1289],t[1832],t[3251]],[t[3252],t[3253],t[3245],t[3254],t[3246],t[3247],t[3248],t[2552],t[2553],t[3255],t[2555],t[3256]],[t[1227],t[2498],t[398],t[1467],t[471],t[531],t[3210]],[t[3257],t[3258],t[3259],t[3260],t[3261],t[3262],t[3263]],[t[3264],t[3265],t[3266],t[1827]],[t[3264],t[3265]],[t[3267],t[3268]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EEK:t[2587],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[3269]],[t[3270],t[470],t[397],t[469],t[397],t[2498],t[3270],t[469],t[2496],t[3270],t[469],t[469]],[t[3271],t[3272],t[2544],t[3273],t[3274],t[3275],t[3276],t[3277],t[3278],t[3279],t[3280],t[3281]],[t[3282],t[3283],t[3284],t[3285],t[3286],t[3287],t[3288],t[3289],t[3290],t[3291],t[3292],t[3293]],[t[3294],t[3295],t[3296],t[3297],t[3298],t[3299],t[3300]],[t[3301],t[3302],t[3303],t[3304],t[3305],t[3306],t[3307]],[t[3308],t[3309]],[t[3310],t[421]],{positivePattern:t[3311],negativePattern:t[3312]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ESP:t[2359],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[3313],t[3314],t[3315],t[3316],t[3317],t[3318],t[3319],t[3320],t[3321],t[3322],t[3323],t[3324]],[t[3325],t[3326],t[3327],t[3328],t[3329],t[3330],t[3331],t[3332],t[3333],t[3334],t[3335],t[3336]],[t[3337],t[3338],t[3339],t[3340],t[3341],t[3342],t[3343]],[t[3344],t[3345],t[3346],t[3347],t[3348],t[3349],t[3350]],[t[3351],t[3352]],[t[3353],t[3354]],{am:t[3355],pm:t[3356]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3357],pattern12:t[3358]},[t[3359],t[769],t[770],t[1131],t[770],t[3359],t[3359],t[3360],t[776],t[3360],t[773],t[779]],[t[992],t[3361],t[782],t[3362],t[3363],t[3364],t[3365],t[3366],t[3367],t[3368],t[3369],t[3370]],[t[3371],t[3372],t[3373],t[3374],t[3375],t[3376],t[3377],t[3378],t[3379],t[3380],t[3381],t[3382]],[t[3383],t[3384],t[3385],t[3386],t[3387],t[1122],t[1130]],[t[3388],t[3389],t[3390],t[3391],t[3392],t[3393],t[3394]],[t[3395],t[770]],[t[3396],t[3397]],[t[3398],t[3399]],{am:t[3400],pm:t[3401]},[t[1133],t[1132],t[3402],t[3403],t[1130],t[1131],t[772],t[773],t[3360],t[776],t[1133],t[1131],t[3360],t[772]],[t[3404],t[3405],t[3406],t[3407],t[807],t[809],t[3408],t[3409],t[3410],t[3411],t[813],t[814],t[3412],t[3413]],[t[770],t[802],t[3414],t[3414],t[1122],t[1122],t[3414],t[1130],t[3414],t[1130],t[3415],t[3415]],[t[829],t[830],t[3416],t[3417],t[3418],t[3419],t[835],t[836],t[837],t[838],t[3420],t[3421]],[t[3422]],[t[3423]],[t[769],t[3360],t[3424],t[1133],t[770],t[1130],t[770],t[1131],t[1131],t[779],t[778],t[3360]],[t[3425],t[3426],t[1080],t[3427],t[1082],t[3428],t[1084],t[3429],t[1086],t[3430],t[1088],t[3431]],[t[3432],t[3433],t[3434],t[3435],t[3436],t[3437],t[3438],t[3439],t[3440],t[3441],t[3442],t[3443]],[t[3444]],[t[3445]],[t[3446]],{positivePattern:t[3447],negativePattern:t[3448]},{decimal:t[1093],group:t[1094],nan:t[3449],percent:t[1096],infinity:t[433]},{AFN:t[3450],AUD:t[434],BRL:t[435],CAD:t[3451],CNY:t[3452],EUR:t[440],GBP:t[441],HKD:t[3453],ILS:t[443],INR:t[444],IRR:t[3454],JPY:t[1275],KRW:t[446],MXN:t[3455],NZD:t[3456],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[3457],XOF:t[455],XPF:t[456]},[t[3458],t[3361],t[782],t[3362],t[3459],t[3364],t[3460],t[3366],t[3367],t[3368],t[3369],t[3461]],[t[3462]],[t[3463],t[3464],t[3465],t[542],t[3466],t[3467],t[3468],t[3469],t[3470],t[3471],t[3472],t[3473]],[t[3474],t[3475],t[3476],t[3477],t[3478],t[3479],t[3480],t[3481],t[3482],t[3483],t[3484],t[3485]],[t[3486],t[3487],t[3488],t[1353],t[3489],t[3490],t[3491]],[t[3492],t[3493],t[3494],t[3495],t[3496],t[3497],t[3498]],[t[3499],t[3500]],[t[3501],t[3502]],{am:t[3503],pm:t[3504]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GNF:t[3505],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MRO:t[3506],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[398],t[400],t[397],t[400],t[398],t[1467],t[400],t[2498],t[399],t[3210],t[397],t[467]],[t[3507],t[3508],t[3509],t[3510],t[3511],t[3512],t[3513],t[3514],t[3515],t[3516],t[3517],t[3518]],[t[3519],t[1254],t[2558],t[3520],t[2560],t[3521],t[3522]],[t[3523],t[3524],t[3525],t[3526],t[3527],t[3528],t[3529]],[t[3530],t[3531],t[3532],t[3533]],[t[3534],t[3535],t[3536],t[3537]],[t[3538],t[3539],t[3540],t[3541]],{am:t[3542],pm:t[3543]},[t[3544],t[3545],t[3546],t[3547],t[3548],t[3549],t[3550],t[3551],t[3552],t[3553],t[3554],t[3555],t[3556],t[3557]],[t[3558],t[3559],t[3560],t[3561],t[3562],t[3563],t[3564],t[3565],t[3566],t[3567],t[3568],t[3569]],{decimal:t[430],group:t[529],nan:t[3570],percent:t[432],infinity:t[433]},{EUR:t[440],GBP:t[441],JPY:t[1275],USD:t[530],XAF:t[453],XOF:t[455]},[t[2498],t[1227],t[397],t[469],t[397],t[400],t[400],t[469],t[399],t[470],t[471],t[472]],[t[3571],t[3572],t[475],t[3573],t[3018],t[3574],t[3575],t[1190],t[3576],t[482],t[3577],t[1450]],[t[3578],t[3579],t[3580],t[3581],t[3582],t[3583],t[3584],t[3585],t[3586],t[3587],t[3588],t[3589]],[t[3590],t[3591],t[504],t[3592],t[3593],t[3594],t[509]],[t[3595],t[1773],t[475],t[3596],t[3597],t[3598],t[100]],[t[3599],t[3600],t[3601],t[3602],t[3603],t[3604],t[3605]],{weekday:t[14],year:t[13],month:t[14],day:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3606],pattern12:t[3607]},{weekday:t[14],year:t[13],month:t[14],day:t[13],pattern:t[3608]},[t[1826],t[1229],t[1230],t[1284],t[3246],t[1828],t[1829],t[3249],t[1831],t[1289],t[1832],t[1600]],[t[1834],t[1835],t[3609],t[3610],t[3246],t[1837],t[1838],t[2552],t[2553],t[2554],t[2555],t[3611]],[t[3519],t[3612],t[3613],t[1255],t[3614],t[2561],t[3615]],[t[3616],t[3617],t[3618],t[3619],t[3620],t[3621],t[3622]],[t[3623],t[3624],t[3625],t[3626],t[3627],t[3628],t[3629]],[t[2576],t[2577],t[3630],t[3631]],[t[2580],t[2581],t[3632],t[3633]],[t[3634],t[3635],t[3636],t[3637]],{am:t[3638],pm:t[3639]},{decimal:t[430],group:t[429],nan:t[3640],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DKK:t[2587],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[0],t[1],t[2],t[3],t[3641],t[4],t[5],t[6],t[7],t[8],t[9],t[10],t[11],t[12]],[t[3642]],[t[3643]],[t[3644]],[t[3645],t[3646],t[3647],t[3648],t[3649],t[3650],t[3651],t[3652],t[3653],t[3654],t[3655],t[3656]],[t[3657],t[3658],t[3659],t[3660],t[3661],t[3662],t[3663],t[3664],t[3665],t[3666],t[3667],t[3668]],[t[398],t[3046],t[400],t[1467],t[398],t[469],t[3046],t[3046],t[3046],t[3046],t[469],t[397],t[471]],[t[3669],t[3670],t[3671],t[3672],t[3673],t[3674],t[3675],t[3676],t[3677],t[3678],t[3679],t[3680],t[3681]],[t[3669],t[3682],t[3683],t[3684],t[3685],t[3686],t[3687],t[3688],t[3689],t[3690],t[3691],t[3692],t[3693]],[t[3694],t[3695]],[t[3696],t[3697]],[t[3698],t[3699],t[3700],t[3701],t[3702],t[3703],t[3704],t[3705],t[3706],t[3707],t[3708],t[3709],t[3710]],[t[3711],t[3712],t[3713],t[3714],t[3702],t[3715],t[3716],t[3717],t[3718],t[3719],t[3720],t[3721],t[3722]],[t[3723],t[3724]],[t[3725],t[3726]],[t[3727],t[3728],t[3609],t[3729],t[3246],t[3730],t[3731],t[3732],t[3169],t[2324],t[2325],t[3733]],[t[3734],t[3735],t[3609],t[3736],t[3246],t[3730],t[3737],t[3732],t[3738],t[3739],t[2334],t[3740]],[t[2706],t[3145],t[1254],t[3146],t[3741],t[3148],t[1258]],[t[3742],t[3187],t[2544],t[1768],t[3743],t[3744],t[3745]],[t[3746],t[3747],t[3748],t[3749],t[3750],t[3751],t[3752]],[t[3753],t[3754]],[t[3753],t[3754],t[3755],t[3756]],[t[3757],t[3758]],[t[398],t[400],t[1467],t[398],t[399],t[469],t[469],t[471],t[2496],t[399],t[398],t[469],t[2498],t[469]],[t[3759],t[3760],t[3761],t[3762],t[3763],t[3764],t[3765],t[3766],t[3767],t[3768],t[3769],t[3770],t[3771],t[3772]],[t[3773],t[3774],t[114],t[3775],t[3776],t[117],t[118],t[3777],t[120],t[121],t[3778],t[2750],t[3779],t[125]],[t[3780]],[t[1308],t[3242],t[467],t[3781],t[399],t[3046],t[3781],t[1467],t[397],t[1227],t[397],t[1227]],[t[3782],t[3783],t[3784],t[3785],t[3786],t[3787],t[3788],t[3789],t[3790],t[3791],t[3792],t[3793]],[t[3794],t[3795],t[3796],t[3797],t[3798],t[3799],t[3800],t[3801],t[3802],t[3803],t[3792],t[3804]],[t[3805],t[1865],t[3806],t[3807],t[3808],t[3809],t[3810],t[3811],t[1872],t[3812],t[3813],t[3814]],[t[3815],t[3559],t[3816],t[3817],t[3818],t[3819],t[3820],t[3821],t[3566],t[3822],t[3823],t[3824]],[t[3825],t[3826]],{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BIF:t[3862],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[530],CLP:t[3833],CNY:t[437],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CDF:t[3863],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],DJF:t[438],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],DZD:t[3864],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],GNF:t[3505],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],HTG:t[2499],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KMF:t[3865],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],LUF:t[468],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MGA:t[3118],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MRO:t[3506],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MUR:t[3122],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],RWF:t[3125],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SCR:t[3126],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],SYP:t[3866],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TND:t[3867],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},{ARS:t[3827],AUD:t[3828],BEF:t[2304],BMD:t[3829],BND:t[3830],BRL:t[435],BSD:t[3831],BZD:t[3832],CAD:t[3451],CLP:t[3833],CNY:t[3452],COP:t[3834],CVE:t[3835],CYP:t[3836],EGP:t[3837],EUR:t[440],FJD:t[3838],FKP:t[3839],FRF:t[468],GBP:t[3840],GIP:t[3841],HKD:t[3453],IEP:t[3842],ILP:t[3843],ILS:t[443],INR:t[444],ITL:t[3844],JPY:t[3845],KRW:t[446],LBP:t[3846],LRD:t[3847],MTP:t[3848],MXN:t[3455],NAD:t[3849],NZD:t[3456],RHD:t[3850],SBD:t[3851],SDG:t[3852],SGD:t[3853],SHP:t[3854],SRD:t[3855],SSP:t[3856],THB:t[449],TTD:t[3857],TWD:t[3858],USD:t[3859],UYU:t[3860],VND:t[452],VUV:t[3130],WST:t[3131],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[3861]},[t[3868],t[468],t[397],t[469],t[397],t[467],t[3210],t[469],t[399],t[470],t[471],t[472]],[t[3869],t[3870],t[475],t[3871],t[2505],t[3872],t[3873],t[3874],t[3576],t[3875],t[483],t[3876]],[t[3877],t[3878],t[3879],t[3880],t[2505],t[3881],t[3873],t[3882],t[3883],t[3884],t[2765],t[3885]],[t[1259],t[1766],t[1230],t[1261],t[3886],t[3887],t[1264]],[t[3888],t[3889],t[3890],t[3891],t[3892],t[3893],t[3894]],[t[3895],t[3896]],{am:t[3897],pm:t[3898]},[t[3899],t[3900],t[3901],t[3902],t[3903],t[3904],t[3905],t[3906],t[3907],t[3908],t[3909],t[3910]],[t[3911],t[3912],t[3901],t[3913],t[3914],t[3915],t[3905],t[3916],t[3917],t[3918],t[3919],t[3920]],[t[3921],t[3922],t[3923],t[3924],t[3925],t[3926],t[3927]],[t[3928],t[3929],t[3930],t[3931],t[3932],t[3933],t[3934]],[t[3935],t[1462]],[t[3936],t[3048]],{ANG:t[3937],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[3938],t[3939],t[3940],t[3941],t[3942],t[3943],t[3944],t[3945],t[3946],t[3947],t[3909],t[3948]],[t[3949],t[3950],t[3951],t[3952],t[3953],t[3954],t[3955],t[3956],t[3957],t[3958],t[3959],t[3960]],[t[3961],t[3962],t[3963],t[3964],t[3965],t[3966],t[3967]],[t[3968],t[3969],t[3970],t[3971],t[3972],t[3973],t[3974]],[t[3975],t[3048]],{am:t[2901],pm:t[3976]},{day:t[13],month:t[13],pattern:t[1778]},[t[1226],t[468],t[397],t[469],t[397],t[1226],t[1226],t[469],t[399],t[470],t[471],t[472]],[t[3977],t[1229],t[1230],t[1231],t[3246],t[3978],t[3979],t[1235],t[1236],t[3980],t[1832],t[1833]],[t[3981],t[3982],t[3173],t[2329],t[3983],t[3984],t[3985],t[3175],t[3986],t[3987],t[3143],t[3144]],[t[1259],t[3988],t[3989],t[3990],t[3991],t[3148],t[3227]],[t[1259],t[1766],t[1230],t[3992],t[3993],t[3994],t[3227]],[t[3192],t[3988],t[1267],t[3995],t[3996],t[3997],t[3196]],[t[1272],t[1273],t[1184],t[1185]],[t[3201],t[3998]],{AUD:t[434],BRL:t[435],CAD:t[3451],CNY:t[437],ESP:t[2359],EUR:t[440],GBP:t[441],HKD:t[3453],ILS:t[443],INR:t[444],JPY:t[3845],KRW:t[446],MXN:t[3455],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[473],t[474],t[3999],t[476],t[2505],t[478],t[479],t[480],t[481],t[482],t[483],t[4e3]],[t[2666],t[2641],t[2632],t[488],t[2505],t[1196],t[2634],t[4001],t[4002],t[4003],t[4004],t[4005]],[t[4006],t[4007],t[4008],t[2645],t[4009],t[2646],t[502]],[t[4010],t[4011],t[4012],t[4013],t[4014],t[4015],t[4016]],[t[2654],t[2655],t[4017],t[4018]],{am:t[2662],pm:t[4019]},{decimal:t[429],group:t[4020],nan:t[431],percent:t[432],infinity:t[433]},{ATS:t[2664],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[4021],t[4022],t[4023],t[4024],t[4025],t[4026],t[4027],t[4028],t[4029],t[4028],t[4030],t[4031]],[t[4032],t[4033],t[4034],t[4035],t[4025],t[4036],t[4037],t[4038],t[4039],t[4040],t[4041],t[4042]],[t[4043],t[4044],t[4034],t[4035],t[4025],t[4036],t[4037],t[4038],t[4045],t[4046],t[4047],t[4048]],[t[4049],t[4050],t[4051],t[4052],t[4053],t[4054],t[4055]],[t[4056],t[4057],t[4058],t[4059],t[4060],t[4061],t[4062]],[t[4063],t[4064],t[4065],t[4066],t[4067],t[4068],t[4069]],[t[4070],t[4071]],[t[4072],t[4073],t[4074],t[4075]],[t[4076],t[4073]],[t[4077],t[474],t[1189],t[476],t[477],t[478],t[4078],t[4079],t[481],t[482],t[3577],t[1450]],[t[4080],t[4081],t[1194],t[4082],t[477],t[1196],t[4083],t[1198],t[1199],t[4084],t[4085],t[1453]],[t[4086],t[4087],t[4088],t[4089],t[4090],t[4091],t[4092]],[t[4093],t[4094],t[4095],t[4096],t[4097],t[4098],t[4099]],[t[4100],t[4101]],[t[4102],t[4103]],{am:t[4104],pm:t[4105]},[t[4106],t[4107],t[4108],t[4109],t[4110],t[4111],t[4112],t[4113],t[4114],t[4115],t[4116],t[4117]],[t[4118],t[4119],t[4108],t[4120],t[4110],t[4121],t[4122],t[4113],t[4123],t[4124],t[4125],t[4126]],[t[4127],t[4128],t[4129],t[4130],t[4131],t[4132],t[4133]],[t[4134],t[4135],t[4136],t[4137],t[4138],t[4139],t[4140]],[t[473],t[4141],t[475],t[4142],t[3018],t[4143],t[4144],t[4145],t[3038],t[482],t[4146],t[1450]],[t[4147],t[4148],t[4149],t[4150],t[4151],t[4152],t[4153],t[4154],t[4155],t[1200],t[4156],t[4157]],[t[4158],t[3590],t[4159],t[4160],t[4161],t[4162],t[4163]],[t[4164],t[4165],t[2774],t[4166],t[4167],t[4168],t[4169]],[t[4170],t[4171]],[t[4172],t[4173]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],GHS:t[632],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NGN:t[3123],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NGN:t[3123],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[13],year:t[15],pattern:t[535]},{month:t[13],year:t[15],pattern:t[464]},[t[4174],t[4175],t[4176],t[4177],t[477],t[4178],t[4179],t[4180],t[4181],t[4182],t[4183],t[4184]],[t[4185],t[4186],t[4187],t[4188],t[477],t[4189],t[4190],t[4191],t[4192],t[4193],t[4194],t[4195]],[t[4196],t[4197],t[4198],t[4199],t[4200],t[4201],t[4202]],[t[4203],t[4204],t[4205],t[4206],t[4207],t[4208],t[4209]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[4210],pattern12:t[4211]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[4212]},{day:t[13],month:t[14],year:t[13],pattern:t[4213]},{day:t[13],month:t[14],pattern:t[4214]},[t[4215],t[4216],t[4217],t[4218],t[4219],t[4220],t[4221],t[4222],t[4223],t[4224],t[4225],t[4226]],[t[4227],t[4228],t[4217],t[4229],t[4219],t[4230],t[4231],t[4232],t[4233],t[4234],t[4235],t[4236]],[t[4237],t[4238],t[4239],t[4240],t[4241],t[4242],t[4243]],[t[4244],t[4245],t[4246],t[4247],t[4248],t[4249],t[4250]],[t[4251],t[4252],t[4253],t[4254],t[4255],t[4256],t[4257]],[t[4258],t[4259],t[1184],t[1185]],[t[4260],t[4261]],{am:t[4262],pm:t[4263]},[t[4264],t[4265],t[4266],t[4267],t[4268],t[4269],t[4270],t[4271],t[4272],t[4273],t[4274],t[4275],t[4276],t[4277]],[t[4278],t[4279],t[4280],t[4281],t[4282],t[4283],t[4284],t[4285],t[4286],t[4287],t[4288],t[4275],t[4289],t[4290]],[t[4291]],[t[4292],t[4293],t[4294],t[4295],t[4296],t[4297],t[4298],t[4299],t[4300],t[4301],t[4302],t[4303]],[t[4292],t[4293],t[4304],t[4305],t[4306],t[4307],t[4298],t[4299],t[4300],t[4301],t[4302],t[4303]],[t[4308]],[t[4309],t[166],t[167],t[168],t[169],t[170],t[171],t[172],t[173],t[174],t[175],t[176],t[177],t[178],t[179],t[180],t[181],t[182],t[183],t[184],t[185],t[186],t[187],t[188],t[4310],t[190],t[191],t[192],t[193],t[194],t[195],t[196],t[197],t[198],t[199],t[200],t[201],t[202],t[203],t[204],t[205],t[206],t[207],t[208],t[209],t[210],t[211],t[212],t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224],t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236],t[237],t[4311],t[239],t[240],t[241],t[242],t[243],t[244],t[245],t[246],t[247],t[248],t[249],t[250],t[251],t[252],t[253],t[254],t[255],t[256],t[257],t[258],t[259],t[260],t[261],t[262],t[263],t[264],t[265],t[266],t[267],t[268],t[269],t[270],t[271],t[272],t[273],t[274],t[275],t[276],t[277],t[278],t[279],t[280],t[281],t[282],t[283],t[284],t[285],t[286],t[287],t[288],t[289],t[290],t[291],t[292],t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304],t[305],t[306],t[307],t[308],t[309],t[310],t[311],t[312],t[313],t[314],t[315],t[316],t[317],t[318],t[319],t[320],t[321],t[322],t[323],t[324],t[325],t[401],t[327],t[328],t[329],t[402],t[331],t[332],t[333],t[334],t[335],t[336],t[337],t[338],t[339],t[340],t[341],t[342],t[343],t[344],t[345],t[346],t[347],t[348],t[349],t[350],t[351],t[352],t[353],t[354],t[355],t[356],t[357],t[358],t[359],t[360],t[361],t[362],t[363],t[364],t[365],t[366],t[367],t[368],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377],t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389],t[390],t[391],t[392],t[393],t[394],t[395],t[396],t[403],t[404],t[405],t[406]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILP:t[4312],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[3120],pattern12:t[3121]},[t[4313],t[4314],t[4315],t[4316],t[4317],t[4318],t[4319],t[4320],t[4321],t[4322],t[4323],t[4324],t[4325]],[t[4326],t[4327],t[4328],t[4329],t[4330],t[4331],t[4332],t[4329],t[4333],t[4329],t[4334],t[4335]],[t[4336],t[4337],t[4338],t[4339],t[4340],t[4341],t[4342],t[4343],t[4344],t[4345],t[4346],t[4347]],[t[4348],t[4349],t[4338],t[4350],t[4340],t[4341],t[4351],t[4352],t[4353],t[4354],t[4355],t[4356]],[t[4357],t[4358],t[4359],t[4360],t[4361],t[4362],t[4363]],[t[4364],t[4365],t[1793],t[4366],t[4367],t[4368],t[4369]],[t[4370],t[4371],t[4372],t[4373],t[4374],t[4375],t[4376]],[t[4377],t[4378]],{am:t[4379],pm:t[4380]},[t[4381],t[4382],t[4383],t[4384],t[4385],t[1813],t[4386],t[4387],t[4388],t[4389],t[4390],t[4391]],[t[4392]],[t[4393],t[4394],t[4395],t[4396],t[4397],t[4398],t[4399],t[4400],t[4401],t[4402],t[4403],t[4404]],[t[4405],t[4406],t[4407],t[4408],t[4409],t[4410],t[4411],t[4412],t[4413],t[4414],t[4415],t[4416],t[4417],t[4418],t[4419],t[4420],t[4421],t[4422],t[4423],t[4424],t[4425],t[4426],t[4427],t[4428],t[4429],t[4430],t[4431],t[4432],t[4433],t[4434],t[4435],t[4436],t[4437],t[4438],t[4439],t[4440],t[4441],t[4442],t[4443],t[4444],t[4445],t[4446],t[4447],t[4448],t[4449],t[4450],t[4451],t[4452],t[4453],t[4454],t[4455],t[4456],t[4457],t[4458],t[4459],t[4460],t[4461],t[4462],t[4463],t[4464],t[4465],t[4466],t[4467],t[4468],t[4469],t[4470],t[4471],t[4472],t[4473],t[4474],t[4475],t[4476],t[4477],t[4478],t[4479],t[4480],t[4481],t[4482],t[4483],t[4484],t[4485],t[4486],t[4487],t[4488],t[4489],t[4490],t[4491],t[4492],t[4493],t[4494],t[4495],t[4496],t[4497],t[4498],t[4499],t[4500],t[4501],t[4502],t[4503],t[4504],t[4505],t[4506],t[4507],t[4508],t[4509],t[4510],t[4511],t[4512],t[4513],t[4514],t[4515],t[4516],t[4517],t[4518],t[4519],t[4520],t[4521],t[4522],t[4523],t[4524],t[4525],t[4526],t[4527],t[4528],t[4529],t[4530],t[4531],t[4532],t[4533],t[4534],t[4535],t[4536],t[4537],t[4538],t[4539],t[4540],t[4541],t[4542],t[4543],t[4544],t[4545],t[4546],t[4547],t[4548],t[4549],t[4550],t[4551],t[4552],t[4553],t[4554],t[4555],t[4556],t[4557],t[4558],t[4559],t[4560],t[4561],t[4562],t[4563],t[4564],t[4565],t[4566],t[4567],t[4568],t[4569],t[4570],t[4571],t[4572],t[4573],t[4574],t[4575],t[4576],t[4577],t[4578],t[4579],t[4580],t[4581],t[4582],t[4583],t[4584],t[4585],t[4586],t[4587],t[4588],t[4589],t[4590],t[4591],t[4592],t[4593],t[4594],t[4595],t[4596],t[4597],t[4598],t[4599],t[4600],t[4601],t[4602],t[4603],t[4604],t[4605],t[4606],t[4607],t[4608],t[4609],t[4610],t[4611],t[4612],t[4613],t[4614],t[4615],t[4616],t[4617],t[4618],t[4619],t[4620],t[4621],t[4622],t[4623],t[4624],t[4625],t[4626],t[4627],t[4628],t[4629],t[4630],t[4631],t[4632],t[4633],t[4634],t[4635],t[4636],t[4637],t[4638],t[4639],t[4640]],[t[4641],t[4642],t[4643],t[4644],t[4645],t[4646],t[4647],t[4648],t[4649],t[4650],t[4651],t[4652]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[15],minute:t[15],second:t[15],pattern:t[1821],pattern12:t[1822]},{month:t[13],year:t[13],pattern:t[4653]},[t[4654],t[4655],t[4656],t[4657],t[4658],t[4659],t[4660],t[4661],t[4662],t[4663],t[4664],t[4665]],[t[4666],t[4667],t[4668],t[4669],t[4670],t[4671],t[2457],t[4672],t[4673],t[2460],t[4674],t[2461]],[t[4675],t[4676],t[4677],t[4678],t[4679],t[4680],t[4681],t[4682],t[4683],t[4684],t[4685],t[4686]],[t[4687],t[1462]],[t[4688],t[4689],t[4690],t[4691]],[t[4692],t[4693]],[t[4694],t[421]],{BAM:t[1217],EUR:t[440],HRK:t[4695],JPY:t[1275],XAF:t[453],XOF:t[455]},{EUR:t[440],HRK:t[4695],JPY:t[1275],XAF:t[453],XOF:t[455]},{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[4696],pattern12:t[4697]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[4698]},{year:t[13],month:t[14],day:t[13],pattern:t[4699]},{year:t[13],month:t[15],day:t[15],pattern:t[4700]},{year:t[13],month:t[13],pattern:t[4701]},{year:t[13],month:t[14],pattern:t[4701]},{month:t[13],day:t[13],pattern:t[4702]},{hour:t[13],minute:t[15],second:t[15],pattern:t[25],pattern12:t[4703]},{hour:t[13],minute:t[15],pattern:t[27],pattern12:t[4704]},[t[577]],[t[467],t[468],t[397],t[4705],t[397],t[467],t[467],t[469],t[4706],t[470],t[471],t[472]],[t[2543],t[3215],t[4707],t[4708],t[4709],t[4710],t[4711],t[2547],t[4712],t[2549],t[2325],t[2550]],[t[4713],t[4714],t[4715],t[4716],t[4717],t[4718],t[4719],t[4720],t[4721],t[4722],t[2555],t[2556]],[t[3242],t[400],t[1467],t[4723],t[4724],t[1227],t[4725]],[t[4726],t[4727],t[4728],t[4729],t[4730],t[4731],t[4732]],[t[4733],t[4734]],[t[4735],t[4736],t[4737],t[4738]],[t[4739],t[4740]],{am:t[4741],pm:t[4742]},[t[4743],t[4744],t[4745],t[4746],t[4747],t[4748],t[4749],t[4750],t[4751],t[4752],t[122],t[4753],t[124],t[4754]],[t[4755]],[t[4756],t[141],t[4757],t[4758],t[4759],t[4760],t[4761],t[4762],t[148],t[4763],t[4764],t[4765]],[t[4766],t[153],t[4767],t[4768],t[4769],t[4770],t[4771],t[4772],t[4773],t[4774],t[4775],t[4776]],[t[4777]],[t[4778],t[421]],{HUF:t[4779],JPY:t[1275],USD:t[530],XAF:t[453],XOF:t[455],XPF:t[456]},{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[4780],pattern12:t[4781]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[4782]},{year:t[13],month:t[14],pattern:t[4783]},[t[4784],t[4785],t[4786],t[4787],t[4786],t[4784],t[4784],t[4788],t[4789],t[4784],t[4790],t[4791]],[t[4792],t[4793],t[4794],t[4795],t[4796],t[4797],t[4798],t[4799],t[4800],t[4801],t[4802],t[4803]],[t[4804],t[4805],t[4806],t[4807],t[4808],t[4809],t[4810],t[4811],t[4812],t[4813],t[4814],t[4815]],[t[4816],t[4817],t[4818],t[4819],t[4820],t[4821],t[4822]],[t[4823],t[4824],t[4825],t[4826],t[4827],t[4828],t[4829]],[t[4830],t[4831]],{am:t[4832],pm:t[4833]},{AMD:t[4834],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1826],t[1229],t[1230],t[1284],t[3246],t[1828],t[1829],t[3249],t[1831],t[4835],t[1832],t[1833]],[t[4836],t[4837],t[4838],t[1836],t[3983],t[3138],t[3139],t[4839],t[3738],t[3739],t[2334],t[4840]],[t[1259],t[1766],t[1230],t[4841],t[4842],t[3994],t[1264]],[t[4843],t[4844],t[4845],t[4846],t[4847],t[4848],t[4849]],[t[4850],t[4851]],[t[4852],t[4853]],[t[473],t[474],t[475],t[476],t[477],t[478],t[479],t[4079],t[481],t[482],t[483],t[484]],[t[1192],t[1193],t[4854],t[488],t[477],t[1196],t[2634],t[4855],t[492],t[493],t[494],t[495]],[t[4856],t[4857],t[4858],t[4859],t[98],t[2612],t[100]],[t[4860],t[4861],t[4862],t[4863],t[4864],t[4865],t[4866]],[t[4867],t[397]],[t[4867],t[397],t[4868],t[4869]],[t[140],t[141],t[142],t[143],t[144],t[145],t[146],t[147],t[148],t[4870],t[150],t[151]],[t[152],t[153],t[154],t[155],t[156],t[157],t[158],t[4871],t[4872],t[4873],t[162],t[163]],[t[165],t[166],t[167],t[168],t[169],t[170],t[171],t[172],t[173],t[174],t[175],t[176],t[177],t[178],t[179],t[180],t[181],t[182],t[183],t[184],t[185],t[186],t[187],t[188],t[189],t[190],t[191],t[192],t[193],t[194],t[195],t[196],t[197],t[198],t[199],t[200],t[201],t[202],t[203],t[204],t[205],t[206],t[207],t[208],t[209],t[210],t[211],t[212],t[213],t[214],t[215],t[216],t[217],t[218],t[219],t[220],t[221],t[222],t[223],t[224],t[225],t[226],t[227],t[228],t[229],t[230],t[231],t[232],t[233],t[234],t[235],t[236],t[237],t[238],t[239],t[240],t[241],t[242],t[243],t[244],t[245],t[246],t[247],t[248],t[249],t[250],t[251],t[252],t[253],t[254],t[255],t[256],t[257],t[258],t[259],t[260],t[261],t[262],t[263],t[264],t[265],t[266],t[267],t[268],t[269],t[270],t[271],t[272],t[273],t[274],t[275],t[276],t[277],t[278],t[279],t[280],t[281],t[282],t[283],t[284],t[285],t[286],t[287],t[288],t[289],t[290],t[291],t[292],t[293],t[294],t[295],t[296],t[297],t[298],t[299],t[300],t[301],t[302],t[303],t[304],t[305],t[306],t[307],t[308],t[309],t[310],t[311],t[312],t[313],t[314],t[315],t[316],t[317],t[318],t[319],t[320],t[321],t[322],t[323],t[324],t[325],t[326],t[327],t[328],t[329],t[330],t[331],t[332],t[333],t[334],t[335],t[336],t[337],t[338],t[339],t[340],t[341],t[342],t[343],t[344],t[345],t[346],t[347],t[348],t[349],t[350],t[351],t[352],t[353],t[354],t[355],t[356],t[357],t[358],t[359],t[360],t[361],t[362],t[363],t[364],t[365],t[366],t[367],t[368],t[369],t[370],t[371],t[372],t[373],t[374],t[375],t[376],t[377],t[378],t[379],t[380],t[381],t[382],t[383],t[384],t[385],t[386],t[387],t[388],t[389],t[390],t[391],t[392],t[393],t[394],t[395],t[396],t[403],t[404],t[405],t[406]],[t[4874],t[421]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],IDR:t[4875],ILS:t[443],INR:t[3122],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[4876],t[474],t[2854],t[1448],t[2760],t[4877],t[479],t[4878],t[481],t[4879],t[483],t[1450]],[t[4880],t[4881],t[4882],t[4883],t[2760],t[4884],t[4885],t[4886],t[1199],t[4887],t[1201],t[1453]],[t[4888],t[4889],t[4890],t[4891],t[4892],t[4893],t[3038]],[t[4894],t[4895],t[4896],t[4897],t[4898],t[4899],t[4900]],[t[4901],t[4902]],[t[4903],t[4904]],{am:t[4905],pm:t[4906]},[t[4907],t[4908],t[4909],t[4910],t[4911],t[4912],t[4913],t[4914],t[4915],t[4916],t[4917],t[4918]],[t[4919],t[4920],t[4921],t[4922],t[4923],t[4924],t[4925]],[t[4926],t[4927],t[4928],t[4929],t[4930],t[4931],t[4932]],[t[4933],t[4934]],{am:t[4935],pm:t[4936]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[4937],pattern12:t[4938]},[t[467],t[468],t[397],t[469],t[397],t[467],t[467],t[4705],t[399],t[470],t[471],t[472]],[t[2543],t[2316],t[2544],t[2545],t[4939],t[4710],t[4711],t[4940],t[2548],t[2549],t[4941],t[2326]],[t[4942],t[4943],t[3609],t[3610],t[4939],t[4944],t[4945],t[4946],t[2553],t[4722],t[4947],t[3611]],[t[4948],t[4949],t[4950],t[3221],t[4951],t[4952],t[4953]],[t[4954],t[4955],t[4956],t[4957],t[4958],t[4959],t[4960]],[t[3623],t[4961],t[4962],t[4963],t[4964],t[4965],t[4966]],[t[4967],t[4968],t[3630],t[3631]],{am:t[4969],pm:t[4970]},{AUD:t[434],BRL:t[435],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],ISK:t[2587],JPY:t[445],KRW:t[446],NZD:t[448],THB:t[449],TWD:t[450],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[15],minute:t[15],second:t[15],pattern:t[532],pattern12:t[533]},[t[4971]],[t[2499],t[468],t[397],t[469],t[397],t[2499],t[3210],t[469],t[399],t[470],t[471],t[472]],[t[4972],t[1229],t[1230],t[1284],t[4973],t[4974],t[4975],t[1235],t[1236],t[4976],t[1832],t[4977]],[t[4978],t[4979],t[3173],t[4980],t[4981],t[4982],t[4983],t[3175],t[4984],t[4985],t[2334],t[4986]],[t[1259],t[1766],t[1230],t[4841],t[4987],t[3994],t[1264]],[t[4988],t[4989],t[4990],t[4991],t[4992],t[4993],t[3155]],[t[2350],t[2351],t[1184],t[1185]],[t[4994],t[2586]],{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[4995],pattern12:t[4996]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[4997]},{year:t[13],month:t[14],day:t[13],pattern:t[4998]},{year:t[13],month:t[14],pattern:t[4999]},{month:t[14],day:t[13],pattern:t[5e3]},{hour:t[13],minute:t[15],second:t[15],pattern:t[25],pattern12:t[5001]},{hour:t[13],minute:t[15],pattern:t[27],pattern12:t[5002]},[t[5003]],[t[5004],t[5005],t[5006],t[5007],t[5008],t[5009],t[5010],t[5011],t[5012],t[5013],t[5014],t[5015]],[t[5016],t[5017],t[5018],t[5019],t[5020],t[5021],t[5022],t[5023],t[5024],t[5025],t[5026],t[5027]],[t[5028],t[5029],t[5030],t[5031],t[5032],t[5033],t[5034],t[5035],t[5036],t[5037],t[5038],t[5039],t[5040]],[t[5041],t[5042],t[5043],t[5044],t[5045],t[5046],t[5047],t[5048],t[5049],t[5050],t[5051],t[5052],t[5053]],[t[5054],t[5055],t[5056],t[5057],t[5058],t[5059],t[5060],t[5061],t[5062],t[5063],t[5064],t[5065]],[t[5066],t[5067],t[5068],t[5069],t[5070],t[5071],t[5072]],[t[5073],t[5074],t[5075],t[5076],t[5077],t[5078],t[5079]],[t[5080],t[5081],t[5082]],{am:t[5083],pm:t[5084]},[t[638],t[639],t[640],t[641],t[642],t[643],t[644],t[645],t[646],t[647],t[648],t[649],t[650],t[644]],[t[5085],t[5086],t[5087],t[5088],t[5089],t[5090],t[5091],t[5092],t[5093],t[5094],t[5095],t[5096],t[5097],t[5098]],[t[5099],t[5100],t[5101],t[5102],t[5103],t[5104],t[5105],t[5106],t[5107],t[5108],t[5109],t[5110]],[t[5111]],[t[5112],t[5113],t[5114],t[5115],t[5116],t[5117],t[5118],t[5119],t[5120],t[5121],t[5122],t[5123]],[t[5124],t[5125],t[5126],t[5127],t[5128],t[5129],t[5130],t[5131],t[5132],t[5133],t[5134],t[5135],t[5136],t[5137],t[5138],t[5139],t[5140],t[5141],t[5142],t[5143],t[5144],t[5145],t[5146],t[5147],t[5148],t[5149],t[5150],t[5151],t[5152],t[5153],t[5154],t[5155],t[5156],t[5157],t[5158],t[5159],t[5160],t[5161],t[5162],t[5163],t[5164],t[5165],t[5166],t[5167],t[5168],t[5169],t[5170],t[5171],t[5172],t[5173],t[5174],t[5175],t[5176],t[5177],t[5178],t[5179],t[5180],t[5181],t[5182],t[5183],t[5184],t[5185],t[5186],t[5187],t[5188],t[5189],t[5190],t[5191],t[5192],t[5193],t[5194],t[5195],t[5196],t[5197],t[5198],t[5199],t[5200],t[5201],t[5202],t[5203],t[5204],t[5205],t[5206],t[5207],t[5208],t[5209],t[5210],t[5211],t[5212],t[5213],t[5214],t[5215],t[5216],t[5217],t[5218],t[5219],t[5220],t[5221],t[5222],t[5223],t[5224],t[5225],t[5226],t[5227],t[5228],t[5229],t[5230],t[5231],t[5232],t[5233],t[5234],t[5235],t[5236],t[5237],t[5238],t[5239],t[5240],t[5241],t[5242],t[5243],t[5244],t[5245],t[5246],t[5247],t[5248],t[5249],t[5250],t[5251],t[5252],t[5253],t[5254],t[5255],t[5256],t[5257],t[5258],t[5259],t[5260],t[5261],t[5262],t[5263],t[5264],t[5265],t[5266],t[5267],t[5268],t[5269],t[5270],t[5271],t[5272],t[5273],t[5274],t[5275],t[5276],t[5277],t[5278],t[5279],t[5280],t[5281],t[5282],t[5283],t[5284],t[5285],t[5286],t[5287],t[5288],t[5289],t[5290],t[5291],t[5292],t[5293],t[5294],t[5295],t[5296],t[5297],t[5298],t[5299],t[5300],t[5301],t[5302],t[5303],t[5304],t[5305],t[5306],t[5307],t[5308],t[5309],t[5310],t[5311],t[5312],t[5313],t[5314],t[5315],t[5316],t[5317],t[5318],t[5319],t[5320],t[5321],t[5322],t[5323],t[5324],t[5325],t[5326],t[5327],t[5328],t[5329],t[5330],t[5331],t[5332],t[5333],t[5334],t[5335],t[5336],t[5337],t[5338],t[5339],t[5340],t[5341],t[5342],t[5343],t[5344],t[5345],t[5346],t[5347],t[5348],t[5349],t[5350],t[5351],t[5352],t[5353],t[5354],t[5355],t[397],t[398],t[399],t[400]],[t[5124],t[5125],t[5126],t[5127],t[5128],t[5129],t[5130],t[5131],t[5132],t[5133],t[5134],t[5135],t[5136],t[5137],t[5138],t[5139],t[5140],t[5141],t[5142],t[5143],t[5144],t[5145],t[5146],t[5147],t[5148],t[5149],t[5150],t[5151],t[5152],t[5153],t[5154],t[5155],t[5156],t[5157],t[5158],t[5159],t[5160],t[5161],t[5162],t[5163],t[5164],t[5165],t[5166],t[5167],t[5168],t[5169],t[5170],t[5171],t[5172],t[5173],t[5174],t[5175],t[5176],t[5177],t[5178],t[5179],t[5180],t[5181],t[5182],t[5183],t[5184],t[5185],t[5186],t[5187],t[5188],t[5189],t[5190],t[5191],t[5192],t[5193],t[5194],t[5195],t[5196],t[5197],t[5198],t[5199],t[5200],t[5201],t[5202],t[5203],t[5204],t[5205],t[5206],t[5207],t[5208],t[5209],t[5210],t[5211],t[5212],t[5213],t[5214],t[5215],t[5216],t[5217],t[5218],t[5219],t[5220],t[5221],t[5222],t[5223],t[5224],t[5225],t[5226],t[5227],t[5228],t[5229],t[5230],t[5231],t[5232],t[5233],t[5234],t[5235],t[5236],t[5237],t[5238],t[5239],t[5240],t[5241],t[5242],t[5243],t[5244],t[5245],t[5246],t[5247],t[5248],t[5249],t[5250],t[5251],t[5252],t[5253],t[5254],t[5255],t[5256],t[5257],t[5258],t[5259],t[5260],t[5261],t[5262],t[5263],t[5264],t[5265],t[5266],t[5267],t[5268],t[5269],t[5270],t[5271],t[5272],t[5273],t[5274],t[5275],t[5276],t[5277],t[5278],t[5279],t[5280],t[5281],t[5282],t[5283],t[5284],t[5285],t[5286],t[5287],t[5288],t[5289],t[5290],t[5291],t[5292],t[5293],t[5294],t[5295],t[5296],t[5297],t[5298],t[5299],t[5300],t[5301],t[5302],t[5303],t[5304],t[5305],t[5306],t[5307],t[5308],t[5309],t[5310],t[5311],t[5312],t[5313],t[5314],t[5315],t[5316],t[5317],t[5318],t[5319],t[5320],t[5321],t[5322],t[5323],t[5324],t[5325],t[5326],t[5327],t[5328],t[5329],t[5330],t[5331],t[5332],t[5333],t[5334],t[5335],t[5336],t[5337],t[5338],t[5339],t[5340],t[5341],t[5342],t[5343],t[5344],t[5345],t[5346],t[5347],t[5348],t[5349],t[5350],t[5351],t[5352],t[5353],t[5354],t[5355],t[5356],t[5357],t[5358],t[5359]],[t[5360],t[5361],t[5362],t[5363],t[5364],t[5365],t[5366],t[5367],t[5368],t[5369],t[5370],t[5371]],[t[5372],t[5373]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[5374],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[5375],KRW:t[5376],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{month:t[13],day:t[13],year:t[13],pattern:t[5377]},[t[5378],t[5379],t[5380],t[5381],t[5382],t[5383],t[5384],t[5385],t[5386],t[5387],t[5388],t[5389]],[t[5390],t[5391],t[5392],t[5393],t[5394],t[5395],t[5396]],[t[5397],t[5398]],{am:t[5399],pm:t[5400]},[t[473],t[474],t[1189],t[476],t[477],t[478],t[479],t[1190],t[481],t[482],t[483],t[484]],[t[1192],t[1193],t[1194],t[5401],t[477],t[5402],t[5403],t[5404],t[1199],t[1200],t[1201],t[1202]],[t[1203],t[1204],t[1205],t[1206],t[1207],t[5405],t[1209]],[t[5406],t[5407],t[1212],t[5408],t[1214],t[1215],t[1216]],[t[5409],t[5410]],{am:t[5411],pm:t[5412]},[t[5413],t[5414],t[5415],t[5416],t[5415],t[5413],t[5413],t[5416],t[5417],t[5418],t[5419],t[5420]],[t[5421],t[5422],t[5423],t[5424],t[5425],t[5426],t[5427],t[5428],t[5429],t[5430],t[5431],t[5432]],[t[5433],t[5434],t[5435],t[5436],t[5437],t[5438],t[5439],t[5440],t[5441],t[5442],t[5443],t[5444]],[t[5445],t[5446],t[5447],t[5448],t[5449],t[5450],t[5451]],[t[5452],t[5453],t[5454],t[5455],t[5456],t[5457],t[5458]],[t[5459],t[5460],t[5461],t[5462],t[5463],t[5464],t[5465]],[t[5466],t[5467]],[t[5468],t[5469]],{am:t[5470],pm:t[5471]},[t[5472],t[5473],t[5474],t[5475],t[5476],t[5477],t[5478],t[5479],t[5480],t[5481],t[5482],t[5483],t[5484],t[5485]],[t[5486],t[5487],t[5488],t[5489],t[5490],t[5491],t[5492],t[5493],t[5494],t[5495],t[5496],t[5497]],[t[5498],t[5499],t[5500],t[5501],t[5502],t[5503],t[5504],t[5505],t[5506],t[5507],t[5508],t[5509]],[t[5510],t[5511],t[5512],t[5513],t[5514],t[5515],t[5516],t[5517],t[5518],t[5519],t[5520],t[5521]],{decimal:t[430],group:t[529],nan:t[5522],percent:t[432],infinity:t[433]},{BRL:t[435],CAD:t[436],EUR:t[440],GBP:t[441],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[5523],t[5524],t[5525],t[5526],t[3018],t[4143],t[4144],t[5527],t[5528],t[5529],t[5530],t[5531]],[t[5532],t[5533],t[5534],t[5535],t[5536],t[5537],t[5538],t[5539],t[5540],t[5541],t[5542],t[5543]],[t[5544],t[5545],t[5546],t[5547],t[5548],t[5549],t[5550]],[t[5551],t[5552],t[5553],t[5554],t[5555],t[5556],t[5557]],[t[5558],t[5559]],[t[5560],t[5561]],{am:t[5562],pm:t[5563]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DZD:t[3864],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2828],t[5564],t[5565],t[2591],t[5566],t[5567],t[5568],t[5569],t[5570],t[5571],t[5572],t[5573]],[t[5574],t[5575],t[5576],t[5577],t[5578],t[5579],t[5580],t[5581],t[5582],t[5583],t[5584],t[5585]],[t[5586],t[5587],t[5588],t[5589],t[5590],t[5591],t[5592]],[t[5593],t[5594],t[5595],t[5596],t[5597],t[5598],t[5599]],[t[5600],t[5601]],[t[5602],t[5603]],{am:t[5604],pm:t[5605]},[t[5606],t[5607],t[5608],t[5609],t[5610],t[5611],t[5612],t[5613],t[5614],t[5615],t[5616],t[5617]],[t[5618],t[5619],t[5620],t[5621],t[5622],t[5623],t[5624]],[t[5625],t[5626],t[5627],t[5628],t[5629],t[5630],t[5631]],[t[5632],t[5633]],[t[5634],t[5635]],{am:t[5636],pm:t[5637]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[5638],pattern12:t[5639]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[5640]},{month:t[14],year:t[13],pattern:t[5641]},[t[473],t[3870],t[475],t[3573],t[2505],t[478],t[479],t[1190],t[3576],t[3875],t[5642],t[5643]],[t[5644],t[5645],t[5646],t[3581],t[5647],t[5648],t[5649],t[5650],t[5651],t[5652],t[5653],t[5654]],[t[5655],t[5656],t[5657],t[5658],t[5659],t[5660],t[1258]],[t[544],t[5661],t[3702],t[5662],t[5663],t[5664],t[1264]],[t[5665],t[5666],t[5667],t[5668],t[5669],t[5670],t[5671]],[t[626],t[5672]],[t[5673],t[5674]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1207],t[2688],t[2689],t[2690],t[2691],t[5675],t[5676]],[t[2694],t[5677],t[5678],t[2697],t[5679],t[5680],t[5681]],[t[2702],t[5682]],{am:t[5683],pm:t[5684]},[t[5685],t[5686],t[5687],t[5688],t[5689],t[5690],t[5691],t[5692],t[5693],t[5694],t[5695],t[5696]],[t[5697],t[5698],t[5699],t[5700],t[5701],t[5702],t[5703],t[5704],t[5705],t[5706],t[5707],t[5708]],[t[5709],t[5710],t[5711],t[5712],t[5713],t[5714],t[2855]],[t[2856],t[5715],t[2858],t[5716],t[2860],t[2861],t[5717]],{am:t[5718],pm:t[5719]},[t[5720],t[5721],t[5722],t[5723],t[5724],t[5725],t[5726],t[5727],t[5728],t[5729],t[5730],t[5731]],[t[5732],t[5733],t[5734],t[5735],t[5736],t[5737],t[5738],t[5739],t[5740],t[5741],t[5742],t[5743]],[t[5744],t[5745],t[5746],t[5747],t[5748],t[5749],t[5750]],[t[5751],t[5752],t[5753],t[5754],t[5755],t[5756],t[5757]],[t[5758],t[5759]],{am:t[5760],pm:t[5761]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],KZT:t[5762],MXN:t[447],NZD:t[448],RUB:t[1589],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[15],month:t[15],year:t[13],pattern:t[5763]},{month:t[15],year:t[13],pattern:t[465]},[t[5764],t[5765],t[5766],t[5767],t[5768],t[5769],t[5770],t[5771],t[5772],t[5773],t[648],t[5774]],[t[5775],t[3747],t[3748],t[5776],t[5777],t[5778],t[5779]],[t[1826],t[1229],t[1230],t[1284],t[1827],t[1828],t[1829],t[3249],t[1831],t[1289],t[1832],t[1833]],[t[5780],t[5781],t[5782],t[5783],t[5784],t[1837],t[1838],t[5785],t[5786],t[5787],t[5788],t[5789]],[t[1264],t[5790],t[1230],t[5791],t[5792],t[5793],t[5794]],[t[5795],t[5796],t[5797],t[5798],t[5799],t[5800],t[5801]],[t[5802],t[5803],t[2582],t[2583]],[t[5804],t[5805],t[2582],t[2583]],[t[5806],t[5807],t[2584],t[2585]],{am:t[5808],pm:t[5809]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DKK:t[2587],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NOK:t[5810],NZD:t[448],SEK:t[5811],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[1491],t[5812],t[5813],t[5814],t[5815],t[5816],t[5817],t[5818],t[5819],t[5820],t[1471],t[5821]],[t[5822],t[5823],t[5824],t[5825],t[5826],t[5827],t[5828],t[5829],t[5830],t[5831],t[5832],t[5833]],[t[1475],t[1471],t[5821],t[5834],t[5835],t[5836],t[5837]],[t[5838],t[5839],t[5840],t[5841],t[5842],t[5843],t[5844]],[t[126],t[5845]],[t[5846],t[5847]],{am:t[5848],pm:t[5849]},{day:t[13],month:t[13],year:t[13],pattern:t[3207]},[t[5850]],[t[5851],t[5852],t[5853],t[5854],t[5855],t[5856],t[5857],t[5858],t[5859],t[5860],t[5861],t[5862]],[t[5863],t[5864],t[5865],t[5866],t[5867],t[5868],t[5869]],[t[5870],t[5871],t[5872]],[t[5873],t[5874]],{am:t[5875],pm:t[5876]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KHR:t[5877],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[14],year:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[5878],pattern12:t[5879]},{day:t[13],month:t[14],year:t[13],weekday:t[14],pattern:t[5880]},{day:t[13],month:t[14],year:t[13],pattern:t[5881]},[t[5882],t[5883],t[5884],t[5885],t[5886],t[5887],t[5888],t[5889],t[5890],t[5891],t[5892],t[5893]],[t[5894],t[5895],t[5884],t[5896],t[5886],t[5887],t[5897],t[5898],t[5899],t[5900],t[5901],t[5902]],[t[5903],t[5904],t[5905],t[5906],t[5886],t[5907],t[5908],t[5909],t[5910],t[5911],t[5912],t[5913]],[t[5914],t[5915],t[5916],t[5917],t[5918],t[5919],t[5920]],[t[5921],t[5922],t[5923],t[5924],t[5925],t[5926],t[5927]],[t[5928],t[5929],t[5930],t[5931],t[5932],t[5933],t[5934]],[t[5935],t[5936],t[5937]],[t[5938],t[5939]],{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[5940],pattern12:t[5941]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[5942]},{year:t[13],month:t[14],day:t[13],pattern:t[5943]},{year:t[13],month:t[13],day:t[13],pattern:t[4700]},{year:t[13],month:t[14],pattern:t[5944]},[t[5945]],[t[5946],t[5947],t[5948],t[5949],t[5950],t[5951],t[5952],t[5953],t[5954],t[5955],t[5956],t[5957],t[5958]],[t[5959],t[5960],t[5961],t[5962],t[5963],t[5964],t[5965],t[5966],t[5967],t[5968],t[5969],t[5970]],[t[5971],t[5972],t[5973],t[5974],t[5975],t[5976],t[5977],t[5978],t[5979],t[5980],t[5981],t[5982],t[5983]],[t[5984],t[5985],t[5986],t[5987],t[5988],t[5989],t[5990]],[t[5991],t[5992],t[5993],t[5994],t[5995],t[5996],t[5997]],[t[5998],t[5999]],[t[6e3],t[6001]],{am:t[6002],pm:t[6003]},[t[6004],t[6005],t[6006],t[6007],t[6008],t[6009],t[6010],t[6011],t[6012],t[6013],t[6014],t[6015],t[6016],t[6017]],[t[6018],t[6019],t[6020],t[6021],t[6022],t[6023],t[6024],t[6025],t[6026],t[6027],t[6028],t[6029],t[6030],t[6031],t[6032],t[6033],t[6034],t[6035],t[6036],t[6037],t[6038],t[6039],t[6040],t[6041],t[6042],t[6043],t[6044],t[6045],t[6046],t[6047],t[6048],t[6049],t[6050],t[6051],t[6052],t[6053],t[6054],t[6055],t[6056],t[6057],t[6058],t[6059],t[6060],t[6061],t[6062],t[6063],t[6064],t[6065],t[6066],t[6067],t[6068],t[6069],t[6070],t[6071],t[6072],t[6073],t[6074],t[6075],t[6076],t[6077],t[6078],t[6079],t[6080],t[6081],t[6082],t[6083],t[6084],t[6085],t[6086],t[6087],t[6088],t[6089],t[6090],t[6091],t[6092],t[6093],t[6094],t[6095],t[6096],t[6097],t[6098],t[6099],t[6100],t[6101],t[6102],t[6103],t[6104],t[6105],t[6106],t[6107],t[6108],t[6109],t[6110],t[6111],t[6112],t[6113],t[6114],t[6115],t[6116],t[6117],t[6118],t[6119],t[6120],t[6121],t[6122],t[6123],t[6124],t[6125],t[6126],t[6127],t[6128],t[6129],t[6130],t[6131],t[6132],t[6133],t[6134],t[6135],t[6136],t[6137],t[6138],t[6139],t[6140],t[6141],t[6142],t[6143],t[6144],t[6145],t[6146],t[6147],t[6148],t[6149],t[6150],t[6151],t[6152],t[6153],t[6154],t[6155],t[6156],t[6157],t[6158],t[6159],t[6160],t[6161],t[6162],t[6163],t[6164],t[6165],t[6166],t[6167],t[6168],t[6169],t[6170],t[6171],t[6172],t[6173],t[6174],t[6175],t[6176],t[6177],t[6178],t[6179],t[6180],t[6181],t[6182],t[6183],t[6184],t[6185],t[6186],t[6187],t[6188],t[6189],t[6190],t[6191],t[6192],t[6193],t[6194],t[6195],t[6196],t[6197],t[6198],t[6199],t[6200],t[6201],t[6202],t[6203],t[6204],t[6205],t[6206],t[6207],t[6208],t[6209],t[6210],t[6211],t[6212],t[6213],t[6214],t[6215],t[6216],t[6217],t[6218],t[6219],t[6220],t[6221],t[6222],t[6223],t[6224],t[6225],t[6226],t[6227],t[6228],t[6229],t[6230],t[6231],t[6232],t[6233],t[6234],t[6235],t[6236],t[6237],t[6238],t[6239],t[6240],t[6241],t[6242],t[6243],t[6244],t[6245],t[6246],t[6247],t[6248],t[6249],t[6250],t[6251],t[6252],t[6253]],[t[6254],t[6255]],{positivePattern:t[425],negativePattern:t[6256]},[t[6257],t[1780],t[4338],t[6258],t[1783],t[4341],t[6259],t[6260],t[6261],t[6262],t[6263],t[6264]],[t[4364],t[4365],t[6265],t[4366],t[4367],t[4368],t[4369]],[t[6266],t[4371],t[6267],t[4373],t[4374],t[4375],t[4376]],[t[6268],t[6269]],{am:t[6270],pm:t[6271]},[t[6272],t[6273],t[6274],t[3374],t[6275],t[6276],t[6277],t[3378],t[6278],t[6279],t[3381],t[3382]],[t[6280],t[6281],t[6282],t[6283],t[6284],t[6285],t[6286]],[t[6287],t[6288],t[6282],t[6283],t[6284],t[6285],t[6286]],[t[6289],t[6290]],[t[6291],t[6292]],[t[829],t[830],t[6293],t[6294],t[3418],t[3419],t[835],t[836],t[837],t[838],t[6295],t[6296]],{decimal:t[429],group:t[430],nan:t[431],percent:t[432],infinity:t[6297]},[t[6298],t[6299],t[1194],t[6300],t[477],t[1196],t[1197],t[1198],t[1199],t[1200],t[1201],t[1202]],[t[1203],t[1204],t[6301],t[1206],t[1207],t[5405],t[1209]],[t[6302],t[6303],t[6304],t[6305],t[1214],t[1215],t[6306]],[t[6307],t[6308]],{am:t[6309],pm:t[6310]},[t[6311],t[6312],t[6313],t[6314],t[6315],t[6316],t[6317],t[6318],t[6319],t[6320],t[6321],t[6322]],[t[6323],t[6324],t[6325],t[6326],t[6327],t[6328],t[6329],t[6330],t[6331],t[6332],t[6333],t[6334]],[t[3337],t[6335],t[6336],t[6337],t[6338],t[6339],t[6340]],[t[6341],t[6342],t[6343],t[6344],t[6345],t[6346],t[6347]],[t[6348],t[6349]],[t[6350],t[6351]],{am:t[6352],pm:t[6353]},[t[473],t[6354],t[6355],t[476],t[6356],t[478],t[479],t[6357],t[6358],t[482],t[483],t[4e3]],[t[6359],t[6360],t[6361],t[6362],t[6356],t[6363],t[6364],t[6365],t[4002],t[4003],t[4004],t[4005]],[t[2520],t[3027],t[505],t[2522],t[1755],t[3031],t[509]],[t[4006],t[2644],t[498],t[6366],t[4009],t[2646],t[502]],[t[6367],t[6368],t[6369],t[6370],t[6371],t[6372],t[6373]],[t[6374],t[6375],t[2656],t[2657]],[t[6376],t[6377],t[6378],t[2661]],{am:t[6379],pm:t[6380]},{decimal:t[430],group:t[529],nan:t[3640],percent:t[432],infinity:t[433]},[t[1745],t[6381],t[2527],t[1748],t[2522],t[6382],t[6383],t[4092],t[6384],t[6385],t[1755],t[6386]],[t[6387],t[6388],t[6389],t[6390],t[6391],t[6392],t[6393],t[6394],t[6395],t[6396],t[6397],t[6398]],[t[1772],t[1773],t[6399],t[6400],t[6401],t[6402],t[2529]],[t[6403],t[6404],t[6405],t[6406],t[6407],t[6408],t[6409]],{year:t[13],day:t[13],month:t[14],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[6410],pattern12:t[6411]},{year:t[13],day:t[13],month:t[14],weekday:t[14],pattern:t[6412]},{year:t[13],day:t[13],month:t[14],pattern:t[6413]},{year:t[13],month:t[14],pattern:t[6414]},[t[6415],t[6416],t[6417],t[6418],t[6417],t[6419],t[6419],t[6418],t[6420],t[6421],t[6422],t[6423]],[t[6424],t[6425],t[6426],t[1519],t[1331],t[6427],t[6428],t[1522],t[6429],t[1524],t[6430],t[1526]],[t[6431],t[6432],t[1329],t[6433],t[1331],t[6434],t[6435],t[1334],t[6436],t[6437],t[6438],t[6439]],[t[6440],t[6441],t[6442],t[6443],t[6444],t[6445],t[6446]],[t[6447],t[6448],t[6449],t[6450],t[6451],t[6452],t[6453]],[t[6454],t[5759]],[t[6454],t[5759],t[6455]],[t[6456],t[5759]],{am:t[6457],pm:t[6458]},{decimal:t[430],group:t[529],nan:t[6459],percent:t[432],infinity:t[433]},{CNY:t[437],EUR:t[440],JPY:t[445],KGS:t[6460],THB:t[449],VND:t[452],XAF:t[453],XOF:t[455],XPF:t[456]},[t[6461],t[6462],t[6463],t[6464],t[6465],t[6466],t[6467],t[6468],t[6469],t[6470],t[6471],t[6472]],[t[6473],t[6474],t[6475],t[6476],t[6477],t[6478],t[6479],t[6480],t[6481],t[6482],t[6483],t[6484]],[t[6485],t[6486],t[6487],t[6488],t[1207],t[1208],t[6489]],[t[6490],t[6491],t[6492],t[6493],t[6494],t[6495],t[6496]],[t[6497],t[6498]],[t[6499],t[6500]],{am:t[6501],pm:t[6502]},[t[473],t[474],t[475],t[6503],t[2854],t[4877],t[479],t[4145],t[6504],t[6505],t[483],t[484]],[t[6506],t[6507],t[6508],t[6509],t[6510],t[6363],t[6511],t[6512],t[6513],t[6514],t[1201],t[1202]],[t[100],t[6515],t[6516],t[6517],t[6518],t[6519],t[6520]],[t[6521],t[6522],t[6523],t[6524],t[6525],t[6526],t[6527]],[t[6528],t[6529]],[t[6530],t[6531],t[6532],t[6533],t[6534],t[6535],t[6536],t[6537],t[6538],t[6539],t[6540],t[6541]],[t[6542],t[6543],t[6544],t[6545],t[6546],t[6547],t[6548]],[t[1282],t[6549],t[6550],t[6551],t[3246],t[6552],t[6553],t[6554],t[6555],t[6556],t[6557],t[6558]],[t[6559],t[6560],t[6561],t[6562],t[6563],t[6564],t[6565],t[6566],t[6567],t[6568],t[6569],t[6570]],[t[6571],t[6572],t[6573],t[6574],t[6575],t[6576],t[6577]],[t[6578],t[6579],t[6580],t[6581],t[6582],t[6583],t[6584]],[t[6585],t[6586]],[t[6587],t[6588]],{am:t[6589],pm:t[6590]},{AOA:t[3229],AUD:t[434],BRL:t[435],CAD:t[436],CDF:t[3863],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CDF:t[3863],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[6591]],[t[6592],t[6593],t[6594],t[6595],t[6596],t[6597],t[6598],t[6599],t[6600],t[6601],t[6602],t[6603],t[6604]],[t[6592],t[6593],t[6594],t[6595],t[6596],t[6605],t[6598],t[6599],t[6600],t[6601],t[6602],t[6603],t[6606]],[t[6607],t[6608],t[6609],t[6610],t[6611],t[6612],t[6613],t[6614],t[6615],t[6616],t[6617],t[6618],t[6619]],[t[6620],t[6621],t[6622],t[6623],t[6624],t[6625],t[6626],t[6627],t[6628],t[6629],t[6630],t[6631]],[t[6632],t[6633],t[6634],t[6635],t[6636],t[6637],t[6638],t[6639],t[6640],t[6641],t[6642],t[6643]],[t[6644],t[6645],t[6646],t[6647],t[6648],t[6649],t[6650]],[t[6651],t[6652]],{am:t[6653],pm:t[6654]},[t[6655],t[6656],t[6657],t[6658],t[6659],t[6660],t[6661],t[6662],t[6663],t[6664],t[6665],t[6666],t[6667],t[6668]],[t[6655],t[6656],t[6657],t[6658],t[6659],t[6660],t[6661],t[6662],t[6669],t[6664],t[6665],t[6666],t[6667],t[6670]],[t[6671],t[6672],t[6673],t[6674],t[6675],t[6676],t[6677],t[6678],t[6679],t[6680],t[6681],t[6682]],[t[6671],t[6672],t[6673],t[6674],t[6675],t[6676],t[6677],t[6678],t[6679],t[6683],t[6681],t[6682]],[t[6623]],[t[6684],t[6685],t[6686],t[6687],t[6688],t[6689],t[6690],t[6691],t[6692],t[6693],t[6694],t[6695]],[t[6696],t[6697],t[6698],t[6699],t[6700],t[6701],t[6702],t[6703],t[6704],t[6705],t[6706],t[6707]],[t[6708],t[6709],t[6710],t[6711],t[6712],t[6713],t[6714],t[6715],t[6716],t[6717],t[6718],t[6719],t[6720],t[6721],t[6722],t[6723],t[6724],t[6725],t[6726],t[6727],t[6728],t[6729],t[6730],t[6731],t[6732],t[6733],t[6734],t[6735],t[6736],t[6737],t[6738],t[6739],t[6740],t[6741],t[6742],t[6743],t[6744],t[6745],t[6746],t[6747],t[6748],t[6749],t[6750],t[6751],t[6752],t[6753],t[6754],t[6755],t[6756],t[6757],t[6758],t[6759],t[6760],t[6761],t[6762],t[6763],t[6764],t[6765],t[6766],t[6767],t[6768],t[6769],t[6770],t[6771],t[6772],t[6773],t[6774],t[6775],t[6776],t[6777],t[6778],t[6779],t[6780],t[6781],t[6782],t[6783],t[6784],t[6785],t[6786],t[6787],t[6788],t[6789],t[6790],t[6791],t[6792],t[6793],t[6794],t[6795],t[6796],t[6797],t[6798],t[6799],t[6800],t[6801],t[6802],t[6803],t[6804],t[6805],t[6806],t[6807],t[6808],t[6809],t[6810],t[6811],t[6812],t[6813],t[6814],t[6815],t[6816],t[6817],t[6818],t[6819],t[6820],t[6821],t[6822],t[6823],t[6824],t[6825],t[6826],t[6827],t[6828],t[6829],t[6830],t[6831],t[6832],t[6833],t[6834],t[6835],t[6836],t[6837],t[6838],t[6839],t[6840],t[6841],t[6842],t[6843],t[6844],t[6845],t[6846],t[6847],t[6848],t[6849],t[6850],t[6851],t[6852],t[6853],t[6854],t[6855],t[6856],t[6857],t[6858],t[6859],t[6860],t[6861],t[6862],t[6863],t[6864],t[6865],t[6866],t[6867],t[6868],t[6869],t[6870],t[6871],t[6872],t[6873],t[6874],t[6875],t[6876],t[6877],t[6878],t[6879],t[6880],t[6881],t[6882],t[6883],t[6884],t[6885],t[6886],t[6887],t[6888],t[6889],t[6890],t[6891],t[6892],t[6893],t[6894],t[6895],t[6896],t[6897],t[6898],t[6899],t[6900],t[6901],t[6902],t[6903],t[6904],t[6905],t[6906],t[6907],t[6908],t[6909],t[6910],t[6911],t[6912],t[6913],t[6914],t[6915],t[6916],t[6917],t[6918],t[6919],t[6920],t[6921],t[6922],t[6923],t[6924],t[6925],t[6926],t[6927],t[6928],t[6929],t[6930],t[6931],t[6932],t[6933],t[6934],t[6935],t[6936],t[6937],t[6938],t[6939],t[6940],t[6941],t[6942],t[6943]],[t[6944],t[6945],t[6946],t[6947],t[6948],t[6949],t[6950],t[6951],t[6952],t[6953],t[6954],t[6955]],[t[6956],t[6945],t[6946],t[6947],t[6957],t[6949],t[6950],t[6951],t[6958],t[6953],t[6959],t[6955]],[t[6960]],[t[6961],t[421]],{decimal:t[430],group:t[429],nan:t[6962],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],LAK:t[6963],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[15],minute:t[15],second:t[15],pattern:t[16],pattern12:t[17]},{month:t[15],day:t[13],pattern:t[24]},[t[399],t[3242],t[1467],t[3046],t[2499],t[3046],t[3210],t[531],t[531],t[399],t[3210],t[2499]],[t[6964],t[6965],t[6966],t[6967],t[6968],t[6969],t[6970],t[6971],t[6972],t[6973],t[6974],t[6975]],[t[6976],t[6977],t[6978],t[6979],t[6980],t[6981],t[6982],t[6983],t[6984],t[6985],t[6986],t[6987]],[t[6988],t[6989],t[6990],t[6991],t[6992],t[6993],t[6994]],[t[6995],t[6996],t[6997],t[6998],t[6999],t[7e3],t[7001]],[t[7002],t[7003],t[7004],t[7005],t[7006],t[7007],t[7008]],[t[4688],t[7009],t[7010],t[7011]],[t[4688],t[7009],t[7012],t[7013]],[t[7014],t[7015],t[7016],t[7017]],{am:t[7018],pm:t[7019]},{EUR:t[440],LTL:t[7020]},[t[7021],t[3873],t[7022],t[7023],t[7024],t[7025],t[7026],t[7027],t[7028],t[1773],t[2592],t[7029]],[t[7030],t[7031],t[7032],t[7033],t[7034],t[7035],t[7036],t[7037],t[7038],t[7039],t[7040],t[7041]],[t[7024],t[7042],t[7043],t[7044],t[7045],t[7046],t[7047]],[t[7048],t[7049],t[7050],t[7051],t[7052],t[7053],t[7054]],[t[7055],t[7056]],[t[7057],t[7058]],{am:t[7059],pm:t[7060]},[t[7061],t[7062],t[7063],t[7064],t[7065],t[7066],t[7067],t[7068],t[7069],t[7070],t[7071],t[7072]],[t[7073],t[7074],t[7075],t[7076],t[7077],t[7078],t[7079],t[7080],t[7081],t[7082],t[7083],t[7084]],[t[7085],t[7086],t[7087],t[7088],t[7089],t[7090],t[7091]],[t[7092],t[7093],t[7094],t[7095],t[7096],t[7097],t[7098]],[t[7099],t[7100]],{am:t[7101],pm:t[7102]},[t[473],t[474],t[475],t[476],t[477],t[478],t[479],t[1190],t[481],t[482],t[483],t[484]],[t[7103],t[7104],t[7105],t[7106],t[4161],t[7107],t[7108]],[t[7109],t[1211],t[1212],t[1213],t[7110],t[7111],t[1216]],[t[7112],t[7113]],{positivePattern:t[425],negativePattern:t[7114]},[t[3727],t[3215],t[2551],t[2545],t[7115],t[7116],t[7117],t[2547],t[3169],t[2549],t[2325],t[2550]],[t[7118],t[7119],t[2551],t[7120],t[7115],t[7121],t[7122],t[7123],t[7124],t[7125],t[7126],t[7127]],[t[7128],t[6989],t[7129],t[6991],t[7130],t[7131],t[2752]],[t[7132],t[7133],t[7134],t[7135],t[7136],t[7137],t[7138]],[t[7139],t[7140],t[7141],t[7142]],[t[7139],t[7140]],[t[7143],t[7144]],{am:t[7145],pm:t[7146]},[t[7147],t[7148],t[7149],t[7150],t[7151],t[7152],t[7153],t[7154],t[7155],t[7156],t[7157],t[7158],t[7159],t[7160]],[t[7161],t[7162],t[7163],t[7164],t[7165],t[7166],t[7167],t[7168],t[7169],t[7170],t[7171],t[7172]],{decimal:t[430],group:t[529],nan:t[7173],percent:t[432],infinity:t[433]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],LVL:t[7174],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7175],t[7176],t[7177],t[7178],t[7179],t[7180],t[7181],t[7182],t[7183],t[7184],t[7185],t[7186]],[t[7187],t[7188],t[7189],t[7190],t[7191],t[7192],t[7193],t[7194],t[7195],t[7196],t[7197],t[7198]],[t[7199],t[6491],t[7200],t[7201],t[7202],t[7203],t[7204]],[t[5600],t[7205]],[t[7206],t[7207]],{am:t[7208],pm:t[7209]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],TZS:t[1225],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7210],t[7211],t[7212],t[7213],t[7214],t[7215],t[7216],t[7217],t[7218],t[2389],t[7219],t[7220]],[t[7221],t[7222],t[1194],t[7223],t[7224],t[7225],t[7226],t[7227],t[1199],t[7228],t[1201],t[7229]],[t[7230],t[7231],t[7232],t[7233],t[7234],t[5689],t[7235]],[t[2856],t[7236],t[7237],t[7238],t[7239],t[7240],t[1216]],[t[2863],t[7241]],[t[7242],t[7243]],{am:t[7244],pm:t[7245]},[t[1591],t[1283],t[1230],t[7246],t[3146],t[7247],t[7248],t[3980],t[1831],t[1289],t[1832],t[1600]],[t[7249],t[7250],t[3609],t[3736],t[3146],t[7247],t[7251],t[3980],t[7252],t[7253],t[7254],t[7255]],[t[7256],t[7257],t[1230],t[4841],t[7258],t[7259],t[6340]],[t[7260],t[7261],t[3748],t[7262],t[7263],t[7264],t[7265]],[t[7266],t[7267]],[t[7268],t[7269]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MUR:t[3122],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[473],t[474],t[475],t[476],t[7270],t[7271],t[7272],t[7273],t[481],t[482],t[483],t[484]],[t[7274],t[7275],t[7276],t[7277],t[7270],t[7278],t[7279],t[7280],t[7281],t[7282],t[7283],t[7284]],[t[7285],t[7286],t[96],t[7287],t[7288],t[7289],t[7290]],[t[7291],t[7292],t[2774],t[7293],t[7294],t[7295],t[7296]],[t[7297],t[7298]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MGA:t[3118],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7299],t[7300],t[7301],t[7302],t[5567],t[7303],t[100],t[1474],t[1475],t[1476],t[7304],t[7305]],[t[7306],t[7307],t[7308],t[7309],t[7310],t[7311],t[7312],t[7313],t[7314],t[7315],t[7316],t[7317]],[t[100],t[1204],t[1205],t[1206],t[2769],t[5405],t[1209]],[t[7318],t[1211],t[1212],t[1213],t[7319],t[1215],t[1216]],[t[7320],t[7321]],[t[7322],t[7323]],{am:t[7324],pm:t[7325]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MZN:t[7326],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7327],t[7328],t[7329],t[7330],t[7331],t[7332],t[7333],t[7334],t[7335],t[647],t[648],t[649]],[t[7336],t[7337],t[7338],t[7339],t[7340],t[7341],t[7342],t[7343],t[7344],t[7345],t[7346],t[7347]],[t[7348],t[7337],t[7338],t[7339],t[7340],t[7341],t[7342],t[7343],t[7344],t[7345],t[7346],t[7347]],[t[638],t[639],t[640],t[641],t[642],t[643],t[644]],[t[7349],t[7350],t[7351],t[7352],t[7353],t[7354],t[7355]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7356],pattern12:t[7357]},[t[7358],t[1511],t[1401],t[1512],t[1401],t[7358],t[7358],t[1512],t[1398],t[1514],t[1515],t[1516]],[t[7359],t[6425],t[6426],t[1519],t[1922],t[7360],t[7361],t[1522],t[1523],t[1524],t[1525],t[1526]],[t[7362],t[1528],t[1329],t[1529],t[1922],t[1932],t[1933],t[1334],t[1530],t[1531],t[1532],t[1533]],[t[7363],t[7364],t[640],t[7365],t[7366],t[7367],t[644]],[t[7363],t[7364],t[7368],t[7365],t[7366],t[7367],t[7369]],[t[7370],t[1537],t[1538],t[7371],t[7372],t[7373],t[7374]],[t[1546],t[1952]],{am:t[7375],pm:t[7376]},{BRL:t[435],CAD:t[436],EUR:t[440],MKD:t[7377],MXN:t[447],USD:t[451],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7378],t[7379],t[7380],t[7381],t[7382],t[7383],t[7384],t[7385],t[7386],t[7387],t[7388],t[7389]],[t[7390],t[7391],t[7392],t[7393],t[7382],t[7383],t[7384],t[7394],t[7395],t[7396],t[7397],t[7398]],[t[7399],t[7400],t[7401],t[7402],t[7403],t[7404],t[7405]],[t[7406],t[7407],t[7408],t[7409],t[7410],t[7411],t[7412]],[t[7413],t[7414],t[7415],t[7416],t[7417],t[7418],t[7419]],[t[7420],t[7421],t[7422],t[7423]],[t[7424],t[7425]],[t[7426],t[7427],t[7428],t[7429],t[7430],t[7431],t[7432],t[7433],t[7434],t[7435],t[7436],t[7437]],[t[7438]],[t[7439],t[7440],t[7441],t[7442],t[7443],t[7444],t[7445],t[7446],t[7447],t[7448],t[7449],t[7450]],[t[7451]],{decimal:t[429],group:t[430],nan:t[7452],percent:t[432],infinity:t[433]},[t[7453],t[7454],t[7455],t[7456],t[7457],t[7458],t[7459],t[7460],t[7461],t[7462],t[7463],t[7464]],[t[7465],t[7466],t[7467],t[7468],t[7469],t[7470],t[7471],t[7472],t[7473],t[7474],t[7475],t[7476]],[t[7477],t[7478],t[7479],t[7480],t[7481],t[7482],t[7483]],[t[7484],t[7485],t[7486],t[7487],t[7488],t[7489],t[7490]],[t[7491],t[7492]],[t[7493],t[7494],t[7495],t[7496]],[t[7497],t[7498]],{am:t[7499],pm:t[7500]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],JPY:t[445],KRW:t[446],MNT:t[7501],MXN:t[447],NZD:t[448],THB:t[449],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7502],pattern12:t[7503]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[7504]},[t[7505],t[7506],t[4328],t[7507],t[1783],t[4331],t[4332],t[7508],t[7509],t[7508],t[7510],t[7511]],[t[7512],t[7513],t[4338],t[7514],t[1783],t[4341],t[6259],t[7515],t[7516],t[7517],t[7518],t[7519]],[t[6257],t[1780],t[4338],t[6258],t[1783],t[4341],t[6259],t[7520],t[7521],t[7522],t[6263],t[6264]],[t[4370],t[4371],t[7523],t[4373],t[4374],t[4375],t[4376]],[t[7524],t[1806],t[7525],t[7526]],[t[7527],t[7528]],{am:t[7529],pm:t[7530]},[t[7531]],[t[3212],t[7532],t[7533],t[7534],t[2522],t[4162],t[3213],t[7535],t[7536],t[2753],t[7537],t[7538]],[t[473],t[474],t[1189],t[476],t[477],t[478],t[479],t[7539],t[481],t[482],t[483],t[1450]],[t[1192],t[1193],t[1189],t[488],t[477],t[478],t[1197],t[7540],t[492],t[493],t[494],t[7541]],[t[467],t[468],t[397],t[469],t[397],t[467],t[467],t[470],t[399],t[470],t[471],t[472]],[t[7542],t[7543],t[2752],t[7544],t[7545],t[4162],t[509]],[t[7546],t[7547],t[4858],t[4859],t[7548],t[2612],t[100]],[t[7549],t[7550],t[4862],t[4863],t[7551],t[7552],t[4866]],[t[7553],t[7554]],{am:t[7555],pm:t[7556]},{AUD:t[434],BND:t[530],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MYR:t[7557],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MYR:t[7557],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MYR:t[7557],NZD:t[448],SGD:t[530],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[473],t[7558],t[475],t[476],t[7559],t[7560],t[7561],t[7562],t[3576],t[7563],t[483],t[7564]],[t[7565],t[7566],t[7567],t[488],t[7568],t[7569],t[7570],t[7571],t[7572],t[7573],t[7574],t[7575]],[t[7576],t[7577],t[7578],t[7579],t[7580],t[7581],t[2771]],[t[7582],t[7583],t[7584],t[7585],t[7586],t[7587],t[7588]],[t[7589],t[7590],t[7591],t[7592]],[t[7593],t[7594]],{am:t[7595],pm:t[7596]},[t[7597],t[7598],t[7599],t[7600],t[7601],t[7602],t[7603],t[7604],t[7605],t[7606],t[7607],t[7608]],[t[7609],t[7610],t[7611],t[7612],t[7613],t[7614],t[7615],t[7616],t[7617],t[7618],t[7619],t[7620]],[t[7621],t[7622],t[7623],t[7624],t[7625],t[7626],t[7627]],[t[7628],t[7629],t[7630],t[7631],t[7632],t[7633],t[7634]],[t[2622],t[7635]],[t[7636],t[7637]],{am:t[7638],pm:t[7639]},[t[7640],t[7641],t[7642],t[7643],t[7644],t[7645],t[7646],t[7647],t[7648],t[7649],t[7650],t[7651]],[t[7652],t[7653],t[7654],t[7655],t[7656],t[7657],t[7658]],[t[7659],t[7660],t[7661],t[7662]],[t[7663],t[7664]],{am:t[7665],pm:t[7666]},[t[7667]],{decimal:t[429],group:t[430],nan:t[7668],percent:t[432],infinity:t[433]},{},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MMK:t[1467],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7669],t[7670],t[7671],t[7672],t[7673],t[7674],t[7675],t[7676],t[7677],t[7678],t[7679],t[7680]],[t[7681],t[504],t[2755],t[7682],t[507],t[3031],t[3038]],[t[7683],t[7684],t[7685],t[7686],t[7687],t[7688],t[7689]],[t[7690],t[7691]],{am:t[7692],pm:t[7693]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NAD:t[530],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7694],pattern12:t[7695]},[t[2543],t[2316],t[2544],t[2545],t[3246],t[2546],t[2321],t[2547],t[2548],t[2549],t[2325],t[2326]],[t[1834],t[1835],t[3609],t[1836],t[3246],t[1837],t[1838],t[2552],t[2553],t[2554],t[2555],t[3611]],[t[7696],t[3220],t[7697],t[7698],t[7699],t[7700],t[7701]],[t[2580],t[2581],t[7702],t[2579]],[t[2580],t[2581],t[7702],t[7703]],[t[2580],t[2581],t[7704],t[7705]],{EUR:t[440],GBP:t[441],NOK:t[2587],XOF:t[455]},[t[7706],t[7707],t[7708],t[7709],t[7710],t[7711],t[7712],t[7713],t[7714],t[2594],t[7715],t[7716]],[t[7717],t[7718],t[7719],t[7720],t[7721],t[7722],t[7723],t[7724],t[7725],t[7726],t[7727],t[7728]],[t[7681],t[7729],t[2771],t[1473],t[7730],t[7731],t[7732]],[t[7733],t[7734],t[7735],t[7736],t[7737],t[7738],t[7739]],[t[7740],t[7741]],{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[7742],pattern12:t[7743]},[t[7744],t[7745],t[7746],t[7747],t[7748],t[7749],t[7750],t[7751],t[7752],t[7753],t[7754],t[7755]],[t[4348],t[7756],t[4338],t[7757],t[1783],t[1784],t[4351],t[7758],t[7759],t[7760],t[7761],t[7762]],[t[4348],t[7763],t[4338],t[7764],t[4340],t[1784],t[4351],t[4352],t[7759],t[7760],t[7761],t[7765]],[t[7766],t[4365],t[7767],t[4366],t[7768],t[4368],t[4369]],[t[7769],t[4371],t[7770],t[4373],t[7771],t[4375],t[4376]],[t[7772],t[7773]],[t[4382],t[7774],t[7775],t[7776],t[7777],t[7778],t[7779],t[7780],t[7781],t[4390],t[1819],t[7782]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NPR:t[7783],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[7784],t[7785],t[7786],t[7787],t[7788],t[7789],t[7790]],{am:t[7791],pm:t[7792]},[t[7793],t[7794],t[7795],t[7796],t[7797],t[47],t[48],t[7798],t[50],t[7799],t[7800],t[7801],t[7802]],[t[7803],t[7804],t[59],t[60],t[7805],t[7806],t[7807],t[7808],t[65],t[7809],t[67],t[7810],t[7811]],[t[2543],t[2316],t[7812],t[2545],t[7813],t[2546],t[2321],t[2547],t[2548],t[2549],t[2325],t[2550]],[t[5780],t[5781],t[7814],t[1836],t[7813],t[1837],t[1838],t[7815],t[2553],t[2554],t[2555],t[2556]],[t[7816],t[1254],t[2706],t[7817],t[1252],t[7818],t[7819]],[t[7820],t[7821],t[7822],t[7823],t[7824],t[7825],t[7826]],[t[517],t[518],t[519],t[7827]],[t[7828],t[7829],t[521],t[522]],[t[7830],t[524],t[7831],t[7832]],[t[7833],t[7834],t[114],t[115],t[7835],t[7836],t[118],t[119],t[7837],t[121],t[7838],t[123],t[7839],t[7840]],[t[127],t[7841],t[7842],t[7843],t[7844],t[7845],t[7846],t[7847],t[135],t[7848],t[7849],t[7850]],[t[7851],t[141],t[142],t[143],t[7852],t[7853],t[146],t[7854],t[148],t[7855],t[7856],t[7857]],[t[7858],t[153],t[7859],t[7860],t[7861],t[7862],t[158],t[7863],t[160],t[7864],t[7865],t[7866]],[t[7867]],{positivePattern:t[527],negativePattern:t[7868]},{AUD:t[732],AWG:t[3230],BRL:t[435],CAD:t[3232],CNY:t[437],EUR:t[440],FJD:t[7869],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[7870],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455]},{AUD:t[732],BRL:t[435],CAD:t[3232],CNY:t[437],EUR:t[440],FJD:t[7869],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[7870],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455]},{AUD:t[732],BRL:t[435],CAD:t[3232],CNY:t[437],EUR:t[440],FJD:t[7869],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[7870],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455]},{ANG:t[3128],AUD:t[732],BRL:t[435],CAD:t[3232],CNY:t[437],EUR:t[440],FJD:t[7869],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[7870],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455]},{AUD:t[732],BRL:t[435],CAD:t[3232],CNY:t[437],EUR:t[440],FJD:t[7869],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SBD:t[7870],SRD:t[530],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455]},[t[7871],t[7872],t[7873],t[7874],t[7875],t[7876],t[7877],t[7878],t[7879],t[7880],t[7881],t[7882]],[t[7883],t[7884],t[7885],t[7886],t[7887],t[7888],t[7889],t[7890],t[7891],t[7892],t[7893],t[7894]],[t[3337],t[3338],t[3339],t[3340],t[3341],t[7895],t[7896]],[t[3344],t[7897],t[7898],t[7899],t[7900],t[7901],t[7902]],[t[7903],t[7904]],[t[7905],t[7906]],{am:t[7907],pm:t[7908]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7909],pattern12:t[7910]},{month:t[13],year:t[13],pattern:t[465]},[t[2543],t[2316],t[3609],t[2545],t[3246],t[1837],t[1838],t[2547],t[2548],t[2549],t[2325],t[2326]],[t[7696],t[7911],t[7912],t[7698],t[7699],t[7700],t[4953]],[t[2569],t[7913],t[7914],t[2572],t[2573],t[2574],t[7915]],[t[2580],t[2581],t[2578],t[2579]],[t[2580],t[2581],t[7916],t[7917]],{am:t[7918],pm:t[7919]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NOK:t[2587],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7920],pattern12:t[7921]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[7922]},{day:t[13],month:t[14],year:t[13],pattern:t[7923]},[t[7924],t[7925],t[7926],t[7927],t[7928],t[7929],t[7930],t[7931],t[7932],t[7933],t[7934],t[7935]],[t[7936],t[7937],t[7938],t[7939],t[7940],t[7941],t[7942]],[t[7943],t[7944]],[t[7945],t[7946]],{am:t[7947],pm:t[7948]},[t[473],t[474],t[7949],t[476],t[7270],t[478],t[479],t[7950],t[481],t[482],t[7951],t[1450]],[t[7952],t[7953],t[7954],t[7955],t[7956],t[1196],t[7957],t[7958],t[1199],t[1200],t[7959],t[1453]],[t[7681],t[7729],t[7960],t[5567],t[7961],t[7962],t[7963]],[t[7964],t[7965],t[7966],t[7967],t[7968],t[7969],t[7970]],[t[473],t[474],t[7949],t[7971],t[477],t[478],t[479],t[1190],t[3576],t[482],t[7972],t[1450]],[t[7973],t[7974],t[7975],t[7976],t[477],t[3023],t[7977],t[7978],t[7979],t[7980],t[7981],t[7982]],[t[7681],t[7983],t[7984],t[7301],t[7961],t[7962],t[7985]],[t[7986],t[7987],t[7988],t[7989],t[7990],t[7991],t[7992]],{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[7993],pattern12:t[7994]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[7995]},[t[7996],t[7997],t[7998],t[7999],t[8e3],t[8001],t[8002],t[8003],t[8004],t[8005],t[8006],t[8007]],[t[8008],t[7997],t[8009],t[7999],t[8010],t[8011],t[8012],t[8013],t[8014],t[8015],t[8006],t[8016]],[t[8017],t[8018],t[8019],t[8020],t[8021],t[8022],t[8023]],[t[8024],t[8025],t[8026],t[8027],t[8028],t[8029],t[8030]],[t[5632],t[8031]],[t[8032],t[8033]],{am:t[8034],pm:t[8035]},[t[8036],t[8037],t[8038],t[8039],t[8040],t[8041],t[8042],t[8043],t[8044],t[8045],t[2529],t[8046]],[t[8047],t[8048],t[8049],t[8050],t[8051],t[8052],t[8053],t[8054],t[8055],t[8056],t[8057],t[8058]],[t[8059],t[8060],t[8061],t[8062],t[98],t[2613],t[5545]],[t[8063],t[8064],t[8065],t[8066],t[8067],t[8068],t[8069]],[t[8070],t[8071]],{am:t[8072],pm:t[8073]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ETB:t[439],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8074],t[8075],t[8076],t[8077],t[8078],t[8079],t[8080],t[8081],t[8082],t[8083],t[8084],t[8085]],[t[8086],t[8087],t[8088],t[8089],t[8090],t[8091],t[8092]],[t[8093],t[8094],t[8095],t[8096],t[8097],t[8098],t[8099]],[t[6424],t[6425],t[6426],t[1519],t[1409],t[8100],t[8101],t[1522],t[6429],t[1524],t[6430],t[1526]],[t[8102],t[8103],t[8104],t[8105],t[8106],t[8100],t[8101],t[8107],t[8108],t[8109],t[8110],t[8111]],[t[8112],t[8113],t[8114],t[8115],t[8116],t[8117],t[8118]],[t[8119],t[8120],t[8121],t[8122],t[8123],t[8124],t[8125]],[t[8126],t[8127]],{am:t[8128],pm:t[8129]},{decimal:t[430],group:t[529],nan:t[8130],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1589],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8131],t[8132],t[8133],t[8134],t[8135],t[8136],t[8137],t[8134],t[8138],t[8134],t[8139],t[8140]],[t[8141],t[8142],t[8143],t[8144],t[8145],t[8146],t[8147],t[8148],t[8149],t[8150],t[8151],t[8152]],[t[8153],t[8154],t[8155],t[8156],t[8157],t[8158],t[8159]],[t[8160],t[8161],t[8162],t[8163],t[8164],t[8165],t[8166]],[t[8167],t[8168],t[8169],t[8170]],[t[3371],t[8171],t[3373],t[3374],t[8172],t[3376],t[8173],t[3378],t[6278],t[3380],t[3381],t[3382]],[t[8174],t[8175],t[8176],t[8177],t[8178],t[8179],t[8180]],[t[8181],t[8182]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PKR:t[3414],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[2902],t[8183],t[2901],t[2903],t[2901],t[8184],t[8183],t[2902],t[8185],t[8186],t[8183],t[8187]],[t[8188],t[8189],t[1230],t[8190],t[1827],t[8191],t[4671],t[8192],t[8193],t[8194],t[2460],t[8195]],[t[8196],t[8197],t[8198],t[8199],t[8200],t[8201],t[8202],t[8203],t[8204],t[8205],t[4684],t[8206]],[t[8207],t[8208],t[8209],t[8210],t[8211],t[8212],t[8213]],[t[8214],t[8215],t[8216],t[8217],t[8218],t[8219],t[2487]],[t[8220],t[4691]],[t[8221],t[8222],t[8223],t[8224],t[8225],t[117],t[118],t[119],t[7837],t[8226],t[122],t[8227],t[124],t[125]],[t[140],t[141],t[142],t[143],t[8228],t[8229],t[8230],t[8231],t[148],t[8232],t[8233],t[8234]],[t[152],t[153],t[154],t[155],t[8235],t[8236],t[8237],t[8238],t[160],t[8239],t[8240],t[8241]],[t[8242],t[8243],t[8244],t[410],t[8245],t[8246],t[413],t[8247],t[8248],t[8249],t[417],t[418]],[t[8250],t[8251]],{BRL:t[435],EUR:t[440],PLN:t[8252],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8253],t[8254],t[3373],t[3374],t[3375],t[3376],t[3377],t[8255],t[3379],t[3380],t[3381],t[3382]],{am:t[8256],pm:t[8257]},[t[8258],t[8259],t[8260],t[8261],t[8262],t[8263],t[8264],t[8265],t[8266],t[8267],t[8268],t[8269]],{decimal:t[1093],group:t[1094],percent:t[1096]},{AFN:t[3450],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8270],t[8271],t[8272],t[8273],t[8274],t[8275],t[8276],t[8277],t[8278],t[8279],t[8280],t[8281]],[t[1826],t[1283],t[1230],t[1231],t[3246],t[1828],t[1829],t[1235],t[1236],t[3980],t[1832],t[8282]],[t[8283],t[8284],t[8285],t[2329],t[3983],t[8286],t[8287],t[3175],t[3986],t[3987],t[3143],t[8288]],[t[1259],t[8289],t[3702],t[8290],t[8291],t[8292],t[3227]],[t[3192],t[8293],t[8294],t[8295],t[8296],t[8297],t[3196]],[t[8298],t[8299]],[t[8300],t[421]],{AOA:t[3229],AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PTE:t[8301],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PTE:t[8301],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MOP:t[3119],MXN:t[447],NZD:t[448],PTE:t[8301],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MZN:t[7326],NZD:t[448],PTE:t[8301],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[8302],pattern12:t[8303]},{weekday:t[14],day:t[13],month:t[14],year:t[13],pattern:t[8304]},{day:t[13],month:t[14],year:t[13],pattern:t[535]},{month:t[14],year:t[13],pattern:t[464]},{day:t[13],month:t[14],pattern:t[537]},[t[7327],t[8305],t[7329],t[8306],t[8307],t[8308],t[8309],t[8310],t[8311],t[39],t[40],t[41]],[t[473],t[3870],t[475],t[3573],t[2505],t[478],t[479],t[1190],t[3576],t[8312],t[483],t[4e3]],[t[8313],t[8314],t[8315],t[3581],t[8316],t[8317],t[8318],t[3585],t[8319],t[8320],t[8321],t[8322]],[t[1252],t[8323],t[5657],t[8324],t[8325],t[8326],t[8327]],[t[1272],t[1273],t[8328],t[8329]],{am:t[8330],pm:t[8331]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PTE:t[8301],STD:t[8332],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8333],t[8334],t[3609],t[3729],t[8335],t[8336],t[8337],t[8338],t[8339],t[2324],t[2325],t[2550]],[t[8340],t[8341],t[3609],t[8342],t[8335],t[8343],t[8344],t[8338],t[8345],t[8346],t[2555],t[2556]],[t[5655],t[8347],t[1254],t[3146],t[8348],t[3148],t[2480]],[t[8349],t[8350],t[3748],t[8351],t[8352],t[8353],t[8354]],[t[8355],t[8356]],[t[8357],t[8358]],{am:t[3106],pm:t[8359]},[t[8360],t[8361],t[8362],t[8363],t[8364],t[8365],t[8366],t[8367],t[8368],t[8369],t[8370],t[8371]],[t[8372],t[8373],t[8374],t[8375],t[8376],t[8377],t[8378],t[8379],t[8380],t[8381],t[8382],t[8383]],[t[8384],t[8385],t[8386],t[8387],t[8388],t[8389],t[8390]],[t[8391],t[8392],t[8393],t[8394],t[8395],t[8396],t[8397]],[t[8398],t[8399]],[t[8400],t[8401]],{am:t[8402],pm:t[8403]},{AUD:t[434],BIF:t[3862],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8404]],[t[8405]],[t[42],t[43],t[8406],t[45],t[46],t[47],t[48],t[49],t[50],t[51],t[52],t[8407],t[8408]],[t[8409],t[8410],t[3713],t[8411],t[3702],t[8412],t[8413],t[8414],t[8415],t[8416],t[8417],t[8418],t[8419]],[t[2496],t[468],t[397],t[469],t[397],t[2496],t[2496],t[469],t[399],t[470],t[471],t[472]],[t[8420],t[2316],t[2544],t[2545],t[3246],t[8421],t[8422],t[2547],t[3169],t[2324],t[2325],t[2550]],[t[8423],t[8424],t[8425],t[8426],t[3246],t[8427],t[8428],t[2552],t[8429],t[8430],t[8431],t[8432]],[t[1755],t[3591],t[504],t[3592],t[8433],t[8434],t[8435]],[t[8436],t[1773],t[475],t[8437],t[8438],t[8439],t[8440]],[t[8441],t[8442],t[8443],t[8444],t[3886],t[8445],t[8446]],[t[8447],t[8448],t[8449],t[8450]],[t[8451],t[8452]],[t[8453],t[8454],t[114],t[115],t[8455],t[117],t[118],t[119],t[120],t[121],t[8456],t[123],t[124],t[125]],{EUR:t[440],MDL:t[3210],XAF:t[453],XOF:t[455],XPF:t[456]},{EUR:t[440],XAF:t[453],XOF:t[455],XPF:t[456]},[t[8457],t[8458],t[8459],t[8460],t[8461],t[8462],t[8463],t[8464],t[8465],t[8466],t[8467],t[8468]],[t[8469],t[8470],t[8471],t[8472],t[1207],t[5405],t[1208]],[t[8473],t[8474],t[8475],t[8476],t[1214],t[1215],t[8477]],[t[8478],t[8479]],{am:t[8480],pm:t[8481]},[t[8482],t[8483],t[8484],t[8485],t[8486],t[1897],t[1898],t[8487],t[8488],t[8489],t[8490],t[8491],t[1904]],[t[1905],t[1906],t[1907],t[1908],t[1909],t[8492],t[8493],t[8494],t[1913],t[8495],t[8496],t[8497],t[8498]],[t[6424],t[1518],t[8499],t[1519],t[1409],t[8500],t[8501],t[1522],t[8502],t[1524],t[8503],t[1526]],[t[8504],t[8505],t[8499],t[8506],t[1409],t[8500],t[8501],t[8507],t[8508],t[8509],t[8510],t[8511]],[t[8512],t[1429],t[1534],t[1431],t[1535],t[1433],t[1434]],[t[8513],t[8514],t[1538],t[7371],t[8515],t[8516],t[8517]],[t[8518],t[1443]],[t[8519],t[8520],t[1443]],[t[8521],t[1960],t[1961],t[1962],t[1963],t[1964],t[1965],t[1966],t[8522],t[1968],t[8523],t[1970],t[8524],t[1972]],[t[8525],t[8526],t[8527],t[8528],t[1977],t[8529],t[8530],t[1980],t[8531],t[1982],t[8532],t[8533]],[t[8534],t[1999],t[8535],t[8536],t[8537],t[8538],t[8539],t[8540],t[2006],t[8541],t[8542],t[8543]],[t[8544],t[8545],t[8546],t[8547],t[8548],t[8549],t[8550],t[8551],t[8552],t[8553],t[8554],t[8555],t[8556],t[8557],t[8558],t[8559],t[8560],t[8561],t[8562],t[8563],t[8564],t[8565],t[8566],t[8567],t[8568],t[8569],t[8570],t[8571],t[8572],t[8573],t[8574],t[8575],t[8576],t[8577],t[8578],t[8579],t[8580],t[8581],t[8582],t[8583],t[8584],t[8585],t[8586],t[8587],t[8588],t[8589],t[8590],t[8591],t[8592],t[8593],t[8594],t[8595],t[8596],t[8597],t[8598],t[8599],t[8600],t[8601],t[8602],t[8603],t[8604],t[8605],t[8606],t[8607],t[8608],t[8609],t[8610],t[8611],t[8612],t[8613],t[8614],t[8615],t[8616],t[8617],t[8618],t[8619],t[8620],t[8621],t[8622],t[8623],t[8624],t[8625],t[8626],t[8627],t[8628],t[8629],t[8630],t[8631],t[8632],t[8633],t[8634],t[8635],t[8636],t[8637],t[8638],t[8639],t[8640],t[8641],t[8642],t[8643],t[8644],t[8645],t[8646],t[8647],t[8648],t[8649],t[8650],t[8651],t[8652],t[8653],t[8654],t[8655],t[8656],t[8657],t[8658],t[8659],t[8660],t[8661],t[8662],t[8663],t[8664],t[8665],t[8666],t[8667],t[8668],t[8669],t[8670],t[8671],t[8672],t[8673],t[8674],t[8675],t[8676],t[8677],t[8678],t[8679],t[8680],t[8681],t[8682],t[8683],t[8684],t[8685],t[8686],t[8687],t[8688],t[8689],t[8690],t[8691],t[8692],t[8693],t[8694],t[8695],t[8696],t[8697],t[8698],t[8699],t[8700],t[8701],t[8702],t[8703],t[8704],t[8705],t[8706],t[8707],t[8708],t[8709],t[8710],t[8711],t[8712],t[8713],t[8714],t[8715],t[8716],t[8717],t[8718],t[8719],t[8720],t[8721],t[8722],t[8723],t[8724],t[8725],t[8726],t[8727],t[8728],t[8729],t[8730],t[8731],t[8732],t[8733],t[8734],t[8735],t[8736],t[8737],t[8738],t[8739],t[8740],t[8741],t[8742],t[8743],t[8744],t[8745],t[8746],t[8747],t[8748],t[8749],t[8750],t[8751],t[8752],t[8753],t[8754],t[8755],t[8756],t[8757],t[8758],t[8759],t[8760],t[8761],t[8762],t[8763],t[8764],t[8765],t[8766],t[8767],t[8768],t[8769],t[8770],t[8771],t[8772],t[8773],t[8774],t[8775],t[8776],t[8777],t[8778],t[8779]],[t[8780],t[2247],t[8781],t[2249],t[2250],t[8782],t[2252],t[2253],t[8783],t[8784],t[2256],t[8785]],{decimal:t[430],group:t[529],nan:t[8786],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],BYR:t[1446],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1589],THB:t[449],TMT:t[8787],TWD:t[450],UAH:t[8788],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[8789]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KGS:t[6460],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1589],RUR:t[1446],THB:t[449],TMT:t[8787],TWD:t[450],UAH:t[8788],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[8789]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],KZT:t[5762],MXN:t[447],NZD:t[448],RUB:t[1589],RUR:t[1446],THB:t[449],TMT:t[8787],TWD:t[450],UAH:t[8788],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[8789]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MDL:t[3210],MXN:t[447],NZD:t[448],RUB:t[1589],RUR:t[1446],THB:t[449],TMT:t[8787],TWD:t[450],UAH:t[8788],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[8789]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1589],RUR:t[1446],THB:t[449],TMT:t[8787],TWD:t[450],UAH:t[8788],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],XXX:t[8789]},[t[8790],t[8791],t[8792],t[8793],t[8794],t[8795],t[8796],t[8388],t[8797],t[8798],t[8799],t[8800]],[t[8801],t[8802],t[8803],t[8804],t[8805],t[8806],t[8380],t[8807],t[8808],t[8809],t[8810],t[8811]],[t[8812],t[8385],t[8386],t[8387],t[8388],t[8389],t[8390]],[t[8813],t[8814],t[8815],t[8816],t[8817],t[8818],t[8819]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],RWF:t[3125],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8820],t[8821],t[8822],t[8823],t[8824],t[8825],t[8826],t[8827],t[8828],t[8829],t[8830],t[8831]],[t[8832],t[8833],t[8834],t[8835],t[8836],t[8837],t[8838],t[8839],t[8840],t[8841],t[8842],t[8843]],[t[8844],t[8845],t[8846],t[8847],t[8848],t[8849],t[8850]],[t[8851],t[8852],t[8853],t[8854],t[8855],t[8856],t[8857]],[t[8858],t[8859]],{am:t[8860],pm:t[8861]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[1589],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8862],t[8863],t[8864],t[8865],t[8866],t[8867],t[8868],t[8869],t[8870],t[8871],t[8872],t[8873]],[t[8874],t[8875],t[8876],t[8877],t[8878],t[8879],t[8880],t[8881],t[8882],t[8883],t[8884],t[8885]],[t[8886],t[8887],t[8865],t[2851],t[8867],t[8868],t[612]],[t[8888],t[8889],t[8890],t[8891],t[8892],t[8893],t[8894]],[t[8895],t[8896]],{am:t[8897],pm:t[8898]},{month:t[14],day:t[13],year:t[13],pattern:t[8899]},[t[8900],t[8901],t[8902],t[8903],t[8904],t[8905],t[8906],t[8907],t[8908],t[7985],t[8909],t[8910]],[t[8911],t[8912],t[8913],t[8914],t[8915],t[8916],t[8917],t[8918],t[8919],t[8920],t[8921],t[8922]],[t[1491],t[1204],t[1205],t[1206],t[1207],t[5405],t[1209]],[t[8923],t[1211],t[1212],t[1213],t[8924],t[1215],t[1216]],[t[626],t[7635]],[t[8925],t[8926]],{am:t[8927],pm:t[8928]},[t[8929],t[8930],t[8931],t[8932],t[8933],t[8934],t[8935],t[8936],t[8937],t[8938],t[8939],t[8940]],[t[8941],t[8942],t[8943],t[8944],t[8945],t[8946],t[8947],t[8948],t[8949],t[8950],t[8951],t[8952]],[t[8953],t[8954],t[8955],t[8956],t[8957],t[8958],t[8959]],[t[8960],t[8961],t[8962],t[8963],t[8964],t[8965],t[8966]],[t[8967],t[8968]],[t[8969],t[8970]],{am:t[8971],pm:t[8972]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DKK:t[8973],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NOK:t[2587],NZD:t[448],SEK:t[5811],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[8974],t[8975],t[8976],t[8977],t[8978],t[8979],t[8980],t[8981],t[8982],t[8983],t[8984],t[8985]],[t[8986],t[8987],t[8988],t[8989],t[8990],t[8991],t[8992]],[t[473],t[3870],t[475],t[3573],t[2505],t[478],t[479],t[480],t[3576],t[3875],t[483],t[1191]],[t[8313],t[8993],t[8994],t[3581],t[8316],t[8317],t[8318],t[8995],t[8319],t[8996],t[8321],t[8997]],[t[2767],t[8998],t[8999],t[2850],t[9e3],t[9001],t[100]],[t[9002],t[9003],t[9004],t[9005],t[9006],t[9007],t[9008]],[t[9009],t[1462]],[t[8298],t[3048]],[t[2694],t[2695],t[2696],t[2697],t[5679],t[2698],t[2699]],[t[9010],t[8044],t[9011],t[2614],t[9012],t[9013],t[9014],t[9015],t[7729],t[9016],t[9017],t[9018]],[t[9019],t[9020],t[9021],t[9022],t[9023],t[9024],t[9025],t[9026],t[9027],t[9028],t[9029],t[9030]],[t[9031],t[9032],t[9033],t[9034],t[9035],t[9036],t[9037]],[t[9038],t[9039],t[9040],t[9041],t[9042],t[9043],t[9044]],[t[9045],t[9046]],[t[9047],t[9048]],{am:t[9049],pm:t[9050]},[t[9051],t[9052],t[9053],t[9054],t[9055],t[9056],t[9057],t[9058],t[9059],t[9060],t[9061],t[9062]],[t[9063],t[9064],t[9065],t[9066],t[9067],t[9068],t[9069],t[9070],t[9071],t[9072],t[9073],t[9074]],[t[9075],t[9076],t[9077],t[9078],t[9079],t[9080],t[9081]],[t[9082],t[9083],t[9084],t[9085],t[9086],t[9087],t[9088]],[t[9089],t[9090]],[t[9091],t[9092]],{am:t[9093],pm:t[9094]},[t[9095],t[9096],t[9097],t[9098],t[1232],t[6552],t[6553],t[9099],t[9100],t[9101],t[9102],t[9103]],[t[9104],t[9105],t[9106],t[9107],t[9108],t[9109],t[9110],t[9111],t[9112],t[9113],t[9114],t[9115]],[t[9116],t[9117],t[9118],t[9119],t[9120],t[9121],t[9122]],[t[9123],t[9124],t[9125],t[9126],t[9127],t[9128],t[9129]],[t[9130],t[9131]],[t[9132],t[9133]],{am:t[9134],pm:t[9135]},{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[9136],pattern12:t[9137]},{hour:t[13],minute:t[15],second:t[15],pattern:t[1394],pattern12:t[9138]},{hour:t[13],minute:t[15],pattern:t[1396],pattern12:t[9139]},[t[9140],t[9141],t[9142],t[9143],t[9144],t[9145],t[9145],t[9143],t[9146],t[9147],t[9148],t[9149]],[t[9150],t[9151],t[9152],t[9153],t[9154],t[9155],t[9156],t[9157],t[9158],t[9159],t[9160],t[9161]],[t[9162],t[9163],t[9152],t[9153],t[9154],t[9155],t[9156],t[9164],t[9165],t[9166],t[9167],t[9168]],[t[9169],t[9170],t[9171],t[9172],t[9173],t[9174],t[9175]],[t[9176],t[9177],t[9178],t[9179],t[9180],t[9174],t[9175]],[t[9176],t[9177],t[9181],t[9179],t[9182],t[9183],t[9184]],[t[9185],t[9186],t[9187],t[9188]],[t[9189],t[9190]],{am:t[9191],pm:t[9192]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],LKR:t[9193],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[14],year:t[13],pattern:t[1279]},[t[1826],t[1229],t[1230],t[1284],t[9194],t[9195],t[9196],t[3249],t[1831],t[1289],t[1832],t[1833]],[t[9197],t[9198],t[8198],t[9199],t[9200],t[9201],t[9202],t[9203],t[9204],t[9205],t[9206],t[9207]],[t[7961],t[9208],t[2674],t[9209],t[6994],t[9210],t[503]],[t[2474],t[2475],t[9211],t[2477],t[7001],t[9212],t[2480]],[t[9213],t[9214],t[9215],t[9216],t[9217],t[9218],t[2487]],[t[9219],t[2489]],{EUR:t[440],ILS:t[443],MXN:t[9220],NZD:t[448],PLN:t[1889],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[9221],t[3976],t[2901],t[2900],t[2901],t[9221],t[9221],t[2900],t[2902],t[9222],t[9223],t[2898]],[t[2543],t[2316],t[2544],t[2545],t[1827],t[2546],t[2321],t[9224],t[2548],t[2549],t[2325],t[2550]],[t[1834],t[1835],t[9225],t[1836],t[1827],t[9226],t[9227],t[1839],t[2553],t[2554],t[2555],t[2556]],[t[9228],t[8208],t[2566],t[9229],t[9230],t[9231],t[8213]],[t[9232],t[9233],t[9234],t[9235],t[9236],t[9237],t[2487]],[t[9238],t[7009],t[9239]],[t[9240],t[9241]],{am:t[9242],pm:t[9243]},{AUD:t[434],BRL:t[435],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[9244],t[9245],t[8006],t[9246],t[9247],t[9248],t[9249],t[5569],t[9250],t[99],t[9251],t[9252]],[t[9253],t[9254],t[9255],t[9256],t[9257],t[9258],t[9259],t[9260],t[9261],t[9262],t[9263],t[9264]],[t[9265],t[9266],t[9267],t[9268],t[9269],t[9270],t[2833]],[t[9271],t[9272],t[9004],t[9005],t[9273],t[9007],t[9274]],[t[9275],t[9276]],[t[9277],t[9278],t[2529],t[9279],t[9001],t[9280],t[9281],t[9282],t[9283],t[8872],t[9284],t[9285]],[t[9286],t[9287],t[9288],t[9289],t[9290],t[9291],t[9292],t[9293],t[9294],t[9295],t[9296],t[9297]],[t[9298],t[7547],t[96],t[97],t[7548],t[2613],t[100]],[t[9299],t[9300],t[9301],t[9302],t[9303],t[9304],t[107]],[t[9305],t[9306]],[t[9307],t[9308]],{am:t[9309],pm:t[9310]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],DJF:t[438],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SOS:t[399],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],ETB:t[439],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SOS:t[399],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],SOS:t[399],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SOS:t[399],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[467],t[399],t[397],t[1227],t[397],t[3209],t[1467],t[2499],t[399],t[398],t[471],t[472]],[t[473],t[9311],t[475],t[9312],t[9313],t[9314],t[8001],t[9315],t[9316],t[9317],t[9318],t[9319]],[t[9320],t[9321],t[3609],t[9322],t[1827],t[9323],t[9324],t[9325],t[9326],t[9327],t[9328],t[9329]],[t[9330],t[9331],t[475],t[9332],t[9333],t[9334],t[9316]],[t[9335],t[9336],t[9337],t[9338],t[9339],t[9340],t[9341]],[t[9342],t[9343],t[9344],t[9345]],[t[9342],t[9343],t[9346],t[9345]],[t[9347],t[9348],t[9349],t[9350]],{am:t[9351],pm:t[9352]},{ALL:t[9353],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{ALL:t[9353],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MKD:t[9354],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[15],minute:t[15],second:t[15],pattern:t[9355],pattern12:t[9356]},{hour:t[15],minute:t[15],second:t[15],pattern:t[1394],pattern12:t[1395]},{hour:t[15],minute:t[15],pattern:t[1396],pattern12:t[1397]},[t[1938],t[1939],t[1940],t[9357],t[1942],t[1943],t[1944]],[t[1941],t[1938],t[1939],t[1940],t[1942],t[1943],t[1944]],[t[1948],t[1945],t[1946],t[1947],t[1949],t[1950],t[1441]],[t[1930],t[1931],t[1329],t[1529],t[1922],t[1923],t[1924],t[1334],t[1934],t[1935],t[1936],t[1937]],[t[1945],t[1946],t[1947],t[7371],t[1949],t[1950],t[1441]],[t[9358],t[43],t[44],t[45],t[46],t[9359],t[48],t[9360],t[9361],t[51],t[52],t[53],t[7802]],[t[57],t[58],t[59],t[60],t[61],t[9362],t[63],t[64],t[65],t[66],t[67],t[9363],t[69]],[t[1834],t[1835],t[1294],t[1836],t[1827],t[1828],t[1829],t[1839],t[1840],t[1841],t[1842],t[1843]],[t[1844],t[1845],t[1846],t[9364],t[1848],t[1849],t[1850]],[t[9232],t[9365],t[1853],t[9235],t[1855],t[1856],t[1857]],[t[1858],t[9366]],[t[9367],t[9368],t[114],t[115],t[9369],t[117],t[118],t[119],t[7837],t[121],t[122],t[123],t[124],t[125]],[t[9370],t[9371],t[9372],t[9373],t[131],t[9374],t[133],t[134],t[9375],t[9376],t[9377],t[9378]],[t[140],t[141],t[9379],t[9380],t[9381],t[9382],t[9383],t[9384],t[148],t[9385],t[9386],t[9387]],[t[9388],t[153],t[154],t[155],t[156],t[157],t[9389],t[9390],t[160],t[9391],t[9392],t[9393]],[t[165],t[9394],t[9395],t[9396],t[9397],t[170],t[9398],t[172],t[9399],t[174],t[9400],t[9401],t[9402],t[9403],t[9404],t[9405],t[9406],t[9407],t[9408],t[9409],t[9410],t[9411],t[9412],t[9413],t[189],t[190],t[9414],t[9415],t[193],t[9416],t[9417],t[9418],t[9419],t[9420],t[9421],t[9422],t[9423],t[202],t[9424],t[9425],t[9426],t[206],t[207],t[9427],t[209],t[210],t[9428],t[212],t[213],t[9429],t[9430],t[9431],t[9432],t[9433],t[9434],t[9435],t[221],t[9436],t[9437],t[9438],t[225],t[9439],t[9440],t[9441],t[9442],t[9443],t[9444],t[9445],t[9446],t[9447],t[9448],t[236],t[9449],t[9450],t[9451],t[9452],t[9453],t[9454],t[243],t[9455],t[9456],t[246],t[9457],t[9458],t[9459],t[9460],t[251],t[9461],t[9462],t[9463],t[9464],t[256],t[9465],t[258],t[9466],t[9467],t[9468],t[9469],t[263],t[264],t[9470],t[9471],t[267],t[9472],t[9473],t[9474],t[9475],t[9476],t[9477],t[9478],t[9479],t[9480],t[277],t[9481],t[9482],t[9483],t[9484],t[9485],t[9486],t[284],t[285],t[286],t[9487],t[288],t[9488],t[290],t[9489],t[9490],t[293],t[294],t[9491],t[9492],t[9493],t[9494],t[9495],t[9496],t[9497],t[302],t[9498],t[9499],t[9500],t[306],t[9501],t[308],t[309],t[9502],t[311],t[9503],t[9504],t[9505],t[9506],t[9507],t[9508],t[318],t[319],t[9509],t[9510],t[322],t[9511],t[9512],t[325],t[9513],t[327],t[9514],t[9515],t[9516],t[331],t[332],t[9517],t[334],t[9518],t[9519],t[9520],t[338],t[339],t[9521],t[9522],t[9523],t[9524],t[9525],t[9526],t[9527],t[347],t[9528],t[349],t[9529],t[351],t[9530],t[353],t[9531],t[355],t[9532],t[357],t[358],t[9533],t[360],t[9534],t[9535],t[363],t[9536],t[365],t[9537],t[9538],t[368],t[369],t[9539],t[9540],t[9541],t[373],t[9542],t[9543],t[9544],t[377],t[9545],t[9546],t[380],t[9547],t[9548],t[383],t[384],t[385],t[9549],t[387],t[388],t[9550],t[9551],t[391],t[392],t[393],t[9552],t[9553],t[9554],t[9555],t[9556],t[9557],t[9558]],[t[9559],t[9560],t[9561],t[410],t[411],t[9562],t[413],t[414],t[415],t[9563],t[417],t[418]],[t[9564],t[9565]],{AUD:t[434],BAM:t[1217],BRL:t[435],CAD:t[436],CNY:t[437],CZK:t[1888],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],PLN:t[1889],RSD:t[1890],THB:t[449],TRY:t[9566],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[9567],t[9568],t[9569],t[7709],t[9570],t[9571],t[9572],t[9573],t[9574],t[9575],t[7715],t[9576]],[t[9577],t[9578],t[9579],t[7720],t[9580],t[9581],t[9582],t[9583],t[9584],t[9585],t[9586],t[9587]],[t[7681],t[9588],t[7960],t[9589],t[7961],t[7962],t[9590]],[t[9591],t[9592],t[9593],t[9594],t[9595],t[9596],t[9597]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],SZL:t[2498],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},[t[9017],t[5545],t[9598],t[4859],t[8040],t[2612],t[70]],[t[9599],t[9600],t[9601],t[9602],t[9603],t[9604],t[9605]],[t[9606],t[9607],t[9608],t[9609],t[9610],t[473],t[9611],t[9612],t[9613],t[9575],t[9614],t[9615]],[t[9616],t[9617],t[9618],t[9619],t[9620],t[9621],t[9622],t[9623],t[9624],t[9625],t[9626],t[9627]],[t[7681],t[9628],t[7984],t[7301],t[7961],t[7962],t[9629]],[t[9630],t[9631],t[7988],t[9632],t[7990],t[9633],t[9634]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],LSL:t[397],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},[t[3669],t[3682],t[3683],t[9635],t[3685],t[3686],t[3687],t[3688],t[3689],t[3690],t[3691],t[3692],t[3693]],[t[5780],t[5781],t[3609],t[1836],t[1827],t[1837],t[1838],t[9636],t[2553],t[2554],t[2555],t[2556]],[t[9637],t[9638],t[2558],t[2559],t[2560],t[2561],t[9639]],[t[9640],t[9641],t[9642],t[9643],t[9644],t[9645],t[9646]],[t[9647],t[7913],t[9648],t[2572],t[2573],t[2574],t[9649]],[t[9650],t[9651],t[9652],t[9653]],{am:t[9654],pm:t[9655]},[t[9656],t[9657],t[9658],t[9659],t[9660],t[9661],t[9662],t[9663],t[9664],t[9665],t[9666],t[3770],t[9667]],[t[9656],t[9657],t[9658],t[9659],t[9660],t[9661],t[9662],t[9663],t[9664],t[9665],t[9666],t[3770],t[9667],t[9668]],[t[9669]],[t[3558],t[3559],t[3560],t[3561],t[9670],t[9671],t[3820],t[9672],t[3566],t[9673],t[9674],t[9675]],[t[9676],t[9677],t[9678],t[9679],t[9680],t[9681],t[9682],t[9683],t[9684],t[9685],t[9686],t[9687],t[9688],t[9689],t[9690],t[9691],t[9692],t[9693],t[9694],t[9695],t[9696],t[9697],t[9698],t[9699],t[9700],t[9701],t[9702],t[9703],t[9704],t[9705],t[9706],t[9707],t[9708],t[9709],t[9710],t[9711],t[9712],t[9713],t[9714],t[9715],t[9716],t[9717],t[9718],t[9719],t[9720],t[9721],t[9722],t[9723],t[9724],t[9725],t[9726],t[9727],t[9728],t[9729],t[9730],t[9731],t[9732],t[9733],t[9734],t[9735],t[9736],t[9737],t[9738],t[9739],t[9740],t[9741],t[9742],t[9743],t[9744],t[9745],t[9746],t[9747],t[9748],t[9749],t[9750],t[9751],t[9752],t[9753],t[9754],t[9755],t[9756],t[9757],t[9758],t[9759],t[9760],t[9761],t[9762],t[9763],t[9764],t[9765],t[9766],t[9767],t[9768],t[9769],t[9770],t[9771],t[9772],t[9773],t[9774],t[9775],t[9776],t[9777],t[9778],t[9779],t[9780],t[9781],t[9782],t[9783],t[9784],t[9785],t[9786],t[9787],t[9788],t[9789],t[9790],t[9791],t[9792],t[9793],t[9794],t[9795],t[9796],t[9797],t[9798],t[9799],t[9800],t[9801],t[9802],t[9803],t[9804],t[9805],t[9806],t[9807],t[9808],t[9809],t[9810],t[9811],t[9812],t[9813],t[9814],t[9815],t[9816],t[9817],t[9818],t[9819],t[9820],t[9821],t[9822],t[9823],t[9824],t[9825],t[9826],t[9827],t[9828],t[9829],t[9830],t[9831],t[9832],t[9833],t[9834],t[9835],t[9836],t[9837],t[9838],t[9839],t[9840],t[9841],t[9842],t[9843],t[9844],t[9845],t[9846],t[9847],t[9848],t[9849],t[9850],t[9851],t[9852],t[9853],t[9854],t[9855],t[9856],t[9857],t[9858],t[9859],t[9860],t[9861],t[9862],t[9863],t[9864],t[9865],t[9866],t[9867],t[9868],t[9869],t[9870],t[9871],t[9872],t[9873],t[9874],t[9875],t[9876],t[9877],t[9878],t[9879],t[9880],t[9881],t[9882],t[9883],t[9884],t[9885],t[9886],t[9887],t[9888],t[9889],t[9890],t[9891],t[9892],t[9893],t[9894],t[9895],t[9896],t[9897],t[9898],t[9899],t[9900],t[9901],t[9902],t[9903],t[9904],t[9905],t[9906],t[9907],t[403],t[404],t[405],t[406]],[t[9908],t[9909],t[9910],t[9911],t[9912],t[9913],t[9914],t[9915],t[9916],t[9917],t[9918],t[9919]],[t[9920],t[9921]],{AUD:t[732],BBD:t[9922],BDT:t[9923],BMD:t[9924],BND:t[9925],BRL:t[9926],BSD:t[9927],BZD:t[9928],CAD:t[9929],CNY:t[437],DKK:t[8973],DOP:t[9930],EGP:t[9931],EUR:t[440],GBP:t[1150],GYD:t[9932],HKD:t[442],ILS:t[443],INR:t[444],ISK:t[9933],JMD:t[9934],JPY:t[445],KRW:t[446],LVL:t[7174],MXN:t[447],NOK:t[9935],NZD:t[448],SEK:t[2587],SYP:t[9936],THB:t[2827],TWD:t[9937],USD:t[451],VND:t[9938],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[9650],t[9651],t[9939],t[9940]],[t[7103],t[7104],t[7105],t[7106],t[1207],t[7107],t[7108]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],TZS:t[1225],UGX:t[2400],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[9941],t[9942],t[9943],t[6575],t[6576],t[6574],t[9944],t[9945],t[9946],t[9947],t[9948],t[9949]],[t[9950],t[9951],t[9952],t[9953],t[9954],t[9955],t[9956],t[9957],t[9958],t[9959],t[9960],t[9961]],[t[9962],t[2731],t[9963],t[9964],t[9965],t[9966],t[9967]],[t[9968],t[9969],t[9970],t[9971],t[9972],t[9973],t[9974]],[t[9975],t[9976]],[t[9977],t[9978]],{am:t[9979],pm:t[9980]},[t[9981],t[9982],t[9983],t[9984],t[9985],t[9986],t[9987],t[9988],t[9989],t[9990],t[9991],t[9992]],[t[9993],t[9994],t[9995],t[9996],t[9997],t[9998],t[9999],t[1e4],t[10001],t[10002],t[10003],t[10004]],[t[10005],t[10006],t[10007],t[10008],t[10009],t[10010],t[10010],t[10011],t[10012],t[10013],t[10014],t[10015]],[t[10016],t[10017],t[10018],t[10019],t[10009],t[10020],t[10021],t[10022],t[10023],t[10024],t[10025],t[10026]],[t[10027],t[10028],t[10029],t[10030],t[10009],t[10020],t[10021],t[10031],t[10032],t[10033],t[10034],t[10035]],[t[10036],t[10037],t[10012],t[10038],t[10039],t[10040],t[10041]],[t[10042],t[10043],t[10044],t[10045],t[10046],t[10047],t[10048]],[t[10049],t[10050]],[t[10051],t[10052]],{am:t[10053],pm:t[10054]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],LKR:t[10055],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],MYR:t[7557],NZD:t[448],SGD:t[10056],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{weekday:t[14],day:t[13],month:t[14],year:t[13],hour:t[13],minute:t[15],second:t[15],pattern:t[10057],pattern12:t[10058]},{day:t[13],month:t[14],year:t[13],pattern:t[10059]},[t[10060],t[10061],t[10062],t[10063],t[10064],t[10065],t[10066],t[10067],t[10068],t[10069],t[10070],t[10071]],[t[10072],t[10073],t[10074],t[10075],t[10064],t[10076],t[10077],t[10078],t[10079],t[10080],t[10081],t[10082]],[t[10083],t[10084],t[10074],t[10085],t[10064],t[10076],t[10077],t[10086],t[10087],t[10088],t[10089],t[10090]],[t[10091],t[10092],t[10093],t[10094],t[10095],t[10096],t[10097]],[t[10091],t[10092],t[10098],t[10094],t[10095],t[10096],t[10097]],[t[10099],t[10100],t[10101],t[10102],t[10103],t[10104],t[10105]],[t[10106],t[10107]],[t[10108],t[10109],t[1184],t[1185]],[t[10110],t[10111],t[10112],t[10113],t[10114],t[10115],t[10116],t[10117],t[10118],t[10119],t[10120],t[10121]],[t[10122]],[t[7301],t[10123],t[7299],t[10124],t[475],t[10125],t[7272],t[10126],t[10127],t[10128],t[9278],t[10129]],[t[10130],t[10131],t[10132],t[10133],t[10134],t[10135],t[10136],t[10137],t[10138],t[10139],t[10140],t[10141]],[t[2612],t[10142],t[10143],t[10144],t[10145],t[2591],t[100]],[t[10146],t[10147],t[10148],t[10149],t[10150],t[10151],t[10152]],{am:t[10153],pm:t[10154]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KES:t[2627],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],UGX:t[2400],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[10155],t[10156],t[10157],t[10158],t[10159],t[10160],t[10161],t[10162],t[10163],t[10164],t[10165],t[10166]],[t[10167],t[10168],t[10169],t[10170],t[10159],t[10160],t[10161],t[10171],t[10172],t[10173],t[10174],t[10175]],[t[10176],t[10177],t[10178],t[10179],t[10180],t[10181],t[10182]],[t[10183],t[10184],t[10185],t[10186],t[10187],t[10188],t[10189]],[t[10190],t[10191]],[t[10192],t[10191]],{am:t[10193],pm:t[10194]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TJS:t[6460],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[10195]],[t[10196]],[t[10197],t[10198],t[10199],t[10200],t[10201],t[10202],t[10203],t[10204],t[10205],t[10206],t[10207],t[10208],t[10209]],[t[10210],t[10211],t[10212],t[10213],t[10214],t[10215],t[10216],t[10217],t[10218],t[10219],t[10220],t[10221],t[10222]],[t[10223],t[10224],t[10225],t[10226],t[10227],t[10228],t[10229],t[10230],t[10231],t[10232],t[10233],t[10234]],[t[10235],t[10236],t[10237],t[10238],t[10239],t[10240],t[10241],t[10242],t[10243],t[10244],t[10245],t[10246]],[t[10247],t[10248],t[10249],t[10250],t[10251],t[10252],t[10253]],[t[10254],t[10255],t[10256],t[10257],t[10258],t[10259],t[10260]],[t[10261],t[10262],t[10263],t[10264]],[t[10265],t[10262],t[10263],t[10264]],[t[10266],t[10267],t[10268],t[10269]],{am:t[10270],pm:t[10271]},[t[10272],t[10273],t[10274],t[10275],t[10276],t[10277],t[10278],t[10279],t[10280],t[10281],t[10282],t[10283],t[10284],t[10285]],[t[10286]],[t[10287],t[10288],t[10289],t[10290],t[10291],t[10292],t[10293],t[10294],t[10295],t[10296],t[10297],t[10298]],[t[10299]],[t[10300],t[10301],t[10302],t[10303],t[10304],t[10305],t[10306],t[10307],t[10308],t[10309],t[10310],t[10311]],[t[10312],t[10313],t[10314],t[10315],t[10316],t[10317],t[10318],t[10319],t[10320],t[10321],t[10322],t[10323]],[t[10324]],[t[10325]],[t[10326],t[10327],t[10328],t[10329],t[10330],t[10331],t[10332],t[10333],t[10334],t[10335],t[10336],t[10337],t[10338],t[10339],t[10340],t[10341],t[10342],t[10343],t[10344],t[10345],t[10346],t[10347],t[10348],t[10349],t[10350],t[10351],t[10352],t[10353],t[10354],t[10355],t[10356],t[10357],t[10358],t[10359],t[10360],t[10361],t[10362],t[10363],t[10364],t[10365],t[10366],t[10367],t[10368],t[10369],t[10370],t[10371],t[10372],t[10373],t[10374],t[10375],t[10376],t[10377],t[10378],t[10379],t[10380],t[10381],t[10382],t[10383],t[10384],t[10385],t[10386],t[10387],t[10388],t[10389],t[10390],t[10391],t[10392],t[10393],t[10394],t[10395],t[10396],t[10397],t[10398],t[10399],t[10400],t[10401],t[10402],t[10403],t[10404],t[10405],t[10406],t[10407],t[10408],t[10409],t[10410],t[10411],t[10412],t[10413],t[10414],t[10415],t[10416],t[10417],t[10418],t[10419],t[10420],t[10421],t[10422],t[10423],t[10424],t[10425],t[10426],t[10427],t[10428],t[10429],t[10430],t[10431],t[10432],t[10433],t[10434],t[10435],t[10436],t[10437],t[10438],t[10439],t[10440],t[10441],t[10442],t[10443],t[10444],t[10445],t[10446],t[10447],t[10448],t[10449],t[10450],t[10451],t[10452],t[10453],t[10454],t[10455],t[10456],t[10457],t[10458],t[10459],t[10460],t[10461],t[10462],t[10463],t[10464],t[10465],t[10466],t[10467],t[10468],t[10469],t[10470],t[10471],t[10472],t[10473],t[10474],t[10475],t[10476],t[10477],t[10478],t[10479],t[10480],t[10481],t[10482],t[10483],t[10484],t[10485],t[10486],t[10487],t[10488],t[10489],t[10490],t[10491],t[10492],t[10493],t[10494],t[10495],t[10496],t[10497],t[10498],t[10499],t[10500],t[10501],t[10502],t[10503],t[10504],t[10505],t[10506],t[10507],t[10508],t[10509],t[10510],t[10511],t[10512],t[10513],t[10514],t[10515],t[10516],t[10517],t[10518],t[10519],t[10520],t[10521],t[10522],t[10523],t[10524],t[10525],t[10526],t[10527],t[10528],t[10529],t[10530],t[10531],t[10532],t[10533],t[10534],t[10535],t[10536],t[10537],t[10538],t[10539],t[10540],t[10541],t[10542],t[10543],t[10544],t[10545],t[10546],t[10547],t[10548],t[10549],t[10550],t[10551],t[10552],t[10553],t[10554],t[10555],t[10556],t[10557],t[10558],t[10559],t[10560],t[10561]],[t[10562],t[10563],t[10564],t[10565],t[10566],t[10567],t[10568],t[10569],t[10570],t[10571],t[10572],t[10573]],[t[10574]],[t[10575],t[10576]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[10577],t[10578],t[657],t[658],t[659],t[10579],t[10580],t[10581],t[651],t[652],t[10582],t[10583]],[t[10577],t[10584],t[668],t[669],t[670],t[10579],t[10580],t[10581],t[664],t[10585],t[10582],t[10586]],[t[10587],t[10588],t[10589],t[711],t[10590],t[10591],t[10592]],{am:t[10593],pm:t[10594]},[t[682],t[683],t[684],t[10595],t[686],t[687],t[688],t[689],t[690],t[691],t[692],t[693]],[t[694],t[695],t[684],t[10596],t[686],t[687],t[688],t[697],t[698],t[699],t[700],t[701]],[t[10587],t[10588],t[10597],t[711],t[10598],t[10591],t[10592]],[t[10599],t[10600],t[10601],t[10602],t[10603],t[10604],t[10605]],[t[10606],t[10600],t[10607],t[10608],t[10603],t[10609],t[10610]],{am:t[10611],pm:t[10612]},[t[10613],t[10614],t[10615],t[10616],t[9610],t[10617],t[10618],t[9612],t[7715],t[10619],t[10620],t[10621]],[t[10622],t[10623],t[10624],t[10625],t[10626],t[10627],t[10628],t[10629],t[10630],t[10631],t[10632],t[10633]],[t[9615],t[7983],t[7984],t[7301],t[7961],t[10634],t[7949]],[t[10635],t[10636],t[7988],t[7989],t[7990],t[10637],t[10638]],{AUD:t[434],BRL:t[435],BWP:t[1227],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456],ZAR:t[531]},[t[399],t[468],t[397],t[2498],t[397],t[399],t[399],t[469],t[399],t[470],t[471],t[398]],[t[10639],t[10640],t[10641],t[10642],t[10643],t[3032],t[10644],t[10645],t[481],t[10646],t[10647],t[10648]],[t[10649],t[10650],t[10651],t[10652],t[10643],t[10653],t[10654],t[10655],t[10656],t[10657],t[10658],t[10659]],[t[10660],t[10661],t[10662],t[10663],t[10664],t[10665],t[10666]],[t[10660],t[10661],t[10667],t[10663],t[10664],t[10665],t[10666]],[t[10668],t[10669],t[10670],t[10671],t[10672],t[10673],t[10674]],[t[10675],t[10676],t[1217],t[10677]],[t[1217],t[10677]],[t[10678],t[10679],t[1217],t[10677]],{decimal:t[429],group:t[430],nan:t[10680],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TOP:t[3129],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{day:t[13],month:t[14],year:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[10681],pattern12:t[10682]},{day:t[13],month:t[14],year:t[13],weekday:t[14],pattern:t[10683]},[t[10684],t[10685],t[7795],t[10686],t[10687],t[10688],t[10689],t[10690],t[10691],t[10692],t[10693],t[10694],t[10695]],[t[57],t[10696],t[10697],t[60],t[410],t[10698],t[10699],t[7808],t[10700],t[66],t[67],t[10701],t[10702]],[t[470],t[10703],t[397],t[471],t[397],t[400],t[398],t[469],t[2498],t[2498],t[1467],t[469]],[t[10704],t[10705],t[475],t[10706],t[3018],t[10707],t[10708],t[10709],t[10710],t[10711],t[2592],t[2769]],[t[10712],t[10713],t[10714],t[119],t[10715],t[10716],t[10717],t[10718],t[10719],t[10720],t[10721],t[10722]],[t[10723],t[10724],t[509],t[10725],t[10726],t[10727],t[10728]],[t[10729],t[10730],t[9598],t[10731],t[10732],t[10733],t[4089]],[t[10734],t[10735],t[10736],t[10737],t[10738],t[10739],t[10740]],[t[10741],t[10742],t[10743],t[10744]],[t[10745],t[10746]],{am:t[10747],pm:t[10748]},[t[10749],t[10750],t[114],t[115],t[10751],t[10752],t[118],t[119],t[10753],t[121],t[122],t[123],t[124],t[125]],[t[10754],t[10755],t[10756],t[10757],t[10758],t[10759],t[10760],t[10761],t[10762],t[10763],t[10764],t[10765]],[t[10766]],[t[10767],t[10768],t[10769],t[410],t[411],t[10770],t[413],t[414],t[10771],t[416],t[10772],t[10773]],{positivePattern:t[10774],negativePattern:t[10775]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TRY:t[10776],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[3032],t[5544],t[10777],t[10778],t[8046],t[9572],t[2526],t[10779],t[10780],t[9571],t[10781],t[10782]],[t[10783],t[10784],t[10785],t[10786],t[10787],t[10788],t[10789],t[10790],t[10791],t[7722],t[10792],t[10793]],[t[7681],t[8909],t[10794],t[10795],t[7961],t[10614],t[2833]],[t[7733],t[10796],t[10797],t[10798],t[10799],t[10800],t[10801]],[t[5523],t[5526],t[475],t[10802],t[3018],t[4143],t[4144],t[5527],t[10803],t[10804],t[10805],t[10806]],[t[5532],t[10807],t[2758],t[10808],t[5536],t[5537],t[10809],t[5539],t[10810],t[10811],t[10812],t[10813]],[t[10814],t[10815],t[10816],t[10817],t[10818],t[10819],t[10820]],[t[10821],t[10822],t[10823],t[10824],t[10825],t[10826],t[10827]],[t[10828],t[10829]],[t[10830],t[10831]],{am:t[10832],pm:t[10833]},[t[10834],t[10835],t[10836],t[10837],t[10838],t[10839],t[10840],t[10841],t[10842],t[10843],t[10844],t[10845],t[10846]],[t[8482],t[10847],t[8484],t[10848],t[10849],t[1897],t[1898],t[8487],t[8488],t[8489],t[10850],t[8491],t[10851]],[t[10852],t[10853],t[10854],t[10855],t[10856],t[10857],t[10858],t[10859],t[10860],t[6429],t[10861],t[10862],t[10863]],[t[10864],t[10865],t[10866],t[10867],t[10868],t[10869],t[10870],t[10871],t[10872],t[10873],t[10874],t[10875],t[10876]],[t[6420],t[10877],t[10878],t[10879],t[10880],t[10881],t[10877],t[6420],t[10882],t[10883],t[10877],t[10884]],[t[10885],t[10886],t[10887],t[10888],t[10889],t[10890],t[10891],t[10892],t[10893],t[10894],t[10895],t[10896]],[t[10897],t[10898],t[10899],t[10900],t[10901],t[10902],t[10903],t[10904],t[10905],t[10906],t[10907],t[10908]],[t[10909],t[10910],t[10911],t[10912],t[10913],t[10914],t[8850]],[t[10915],t[10916],t[10917],t[10918],t[10919],t[10920],t[1441]],[t[10921],t[1952]],[t[10922],t[10923]],{am:t[10924],pm:t[10925]},[t[10926],t[10927],t[10928],t[10929],t[1963],t[1964],t[1965],t[10930],t[10931],t[1968],t[8523],t[10932],t[1971],t[1972]],[t[10933],t[10934],t[10935],t[10936],t[10937],t[10938],t[10939],t[10940],t[10941],t[10942],t[10943],t[10944]],[t[1564],t[1565],t[10945],t[1567],t[10946],t[10947],t[10948],t[10949],t[10950],t[10951],t[1574],t[10952]],[t[10953],t[10954],t[10955],t[10956],t[10957],t[10958],t[10959],t[10960],t[10961],t[10962],t[10963],t[10964]],[t[8534],t[1999],t[10965],t[10966],t[10967],t[10968],t[8539],t[8540],t[2006],t[10969],t[10970],t[10971]],[t[10972],t[10973],t[10974],t[10975],t[10976],t[10977],t[10978],t[10979],t[10980],t[10981],t[10982],t[10983],t[10984],t[10985],t[10986],t[10987],t[10988],t[10989],t[10990],t[10991],t[10992],t[10993],t[10994],t[10995],t[10996],t[10997],t[10998],t[10999],t[11e3],t[11001],t[11002],t[11003],t[11004],t[11005],t[11006],t[11007],t[11008],t[11009],t[11010],t[11011],t[11012],t[11013],t[11014],t[11015],t[11016],t[11017],t[11018],t[11019],t[11020],t[11021],t[11022],t[11023],t[11024],t[11025],t[11026],t[11027],t[11028],t[11029],t[11030],t[11031],t[11032],t[11033],t[11034],t[11035],t[11036],t[11037],t[11038],t[11039],t[11040],t[11041],t[11042],t[11043],t[11044],t[11045],t[11046],t[11047],t[11048],t[11049],t[11050],t[11051],t[11052],t[11053],t[11054],t[11055],t[11056],t[11057],t[11058],t[11059],t[11060],t[11061],t[11062],t[11063],t[11064],t[11065],t[11066],t[11067],t[11068],t[11069],t[11070],t[11071],t[11072],t[11073],t[11074],t[11075],t[11076],t[11077],t[11078],t[11079],t[11080],t[11081],t[11082],t[11083],t[11084],t[11085],t[11086],t[11087],t[11088],t[11089],t[11090],t[11091],t[11092],t[11093],t[11094],t[11095],t[11096],t[11097],t[11098],t[11099],t[11100],t[11101],t[11102],t[11103],t[11104],t[11105],t[11106],t[11107],t[11108],t[11109],t[11110],t[11111],t[11112],t[11113],t[11114],t[11115],t[11116],t[11117],t[11118],t[11119],t[11120],t[11121],t[11122],t[11123],t[11124],t[11125],t[11126],t[11127],t[11128],t[11129],t[11130],t[11131],t[11132],t[11133],t[11134],t[11135],t[11136],t[11137],t[11138],t[11139],t[11140],t[11141],t[11142],t[11143],t[11144],t[11145],t[11146],t[11147],t[11148],t[11149],t[11150],t[11151],t[11152],t[11153],t[11154],t[11155],t[11156],t[11157],t[11158],t[11159],t[11160],t[11161],t[11162],t[11163],t[11164],t[11165],t[11166],t[11167],t[11168],t[11169],t[11170],t[11171],t[11172],t[11173],t[11174],t[11175],t[11176],t[11177],t[11178],t[11179],t[11180],t[11181],t[11182],t[11183],t[11184],t[11185],t[11186],t[11187],t[11188],t[11189],t[11190],t[11191],t[11192],t[11193],t[11194],t[11195],t[11196],t[11197],t[11198],t[11199],t[11200],t[11201],t[11202],t[11203],t[11204],t[11205],t[8778],t[11206]],[t[11207],t[11208],t[11209],t[11210],t[11211],t[11212],t[11213],t[11214],t[11215],t[11216],t[11217],t[11218]],[t[11219],t[11220],t[8781],t[11221],t[2250],t[11222],t[2252],t[2253],t[8783],t[8784],t[2256],t[2257]],{decimal:t[430],group:t[529],nan:t[11223],percent:t[432],infinity:t[433]},{AUD:t[732],AZN:t[1346],EUR:t[440],GBP:t[441],JPY:t[1275],RSD:t[2264],RUB:t[1589],UAH:t[8788],UAK:t[11224],XAF:t[453],XOF:t[455],XPF:t[456]},[t[3371],t[8171],t[3373],t[3374],t[11225],t[3376],t[8173],t[3378],t[6278],t[3380],t[3381],t[3382]],[t[8174],t[11226],t[8176],t[11227],t[8178],t[8179],t[8180]],[t[8174],t[8175],t[8176],t[11227],t[8178],t[8179],t[8180]],[t[11228],t[11229],t[1184],t[1185]],[t[11230],t[11229]],{am:t[11231],pm:t[11232]},[t[829],t[830],t[11233],t[11234],t[3418],t[3419],t[835],t[836],t[837],t[838],t[11235],t[11236]],[t[11228],t[11229]],{decimal:t[429],group:t[430],nan:t[11237],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],PKR:t[3122],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{positivePattern:t[11238],negativePattern:t[11239]},[t[11240],t[468],t[397],t[469],t[397],t[2496],t[2496],t[469],t[399],t[470],t[471],t[472]],[t[11241],t[3870],t[475],t[476],t[3018],t[11242],t[11243],t[11244],t[4857],t[482],t[11245],t[11246]],[t[11247],t[11248],t[10714],t[11249],t[3018],t[11242],t[11243],t[11250],t[11251],t[11252],t[11253],t[11254]],[t[11255],t[11256],t[11257],t[11258],t[8002],t[2612],t[11259]],[t[11260],t[11261],t[11262],t[11263],t[11264],t[1623],t[11265]],[t[11266],t[2498]],[t[152],t[153],t[11267],t[11268],t[11269],t[11270],t[158],t[11271],t[11272],t[11273],t[11274],t[11275]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],UZS:t[11276],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[992],t[11277],t[11278],t[11279],t[3363],t[3376],t[3365],t[11280],t[11281],t[11282],t[11283],t[3370]],[t[11284],t[11285],t[11286],t[11287],t[11288],t[11289],t[11290]],{AFN:t[3450],AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],UZS:t[11276],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[11291],t[11292],t[11293],t[11294],t[11295],t[6452],t[11296]],[t[11297],t[11298],t[11299],t[11300],t[11301],t[11302],t[11303]],[t[11304],t[11305]],[t[11306],t[1999],t[11307],t[11308],t[11309],t[11310],t[11311],t[11312],t[11313],t[11314],t[11315],t[11316]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],UZS:t[11317],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[11318],t[11319],t[11320],t[11321],t[11322],t[643],t[644],t[11323],t[11324],t[11325],t[11326],t[11327]],[t[11328],t[11329],t[11330],t[11331],t[11332],t[11333],t[11334]],{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[446],LRD:t[530],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[11335],t[11336],t[11337],t[11338],t[11339],t[643],t[644],t[11340],t[11341],t[11342],t[11343],t[11344]],[t[11345],t[11346],t[11347],t[11348],t[11349],t[11350],t[11351]],[t[9612],t[11352],t[11353],t[11354],t[11355],t[11356],t[11357],t[11358],t[11359],t[9615],t[11360],t[9010]],[t[11361],t[11362],t[11363],t[11364],t[11365],t[11366],t[11367],t[11368],t[11369],t[11370],t[11371],t[11372]],[t[11373],t[8909],t[11374],t[7301],t[11375],t[11376],t[2833]],[t[11377],t[11378],t[11379],t[11380],t[11381],t[11382],t[11383]],{hour:t[13],minute:t[15],second:t[15],weekday:t[14],day:t[15],month:t[14],year:t[13],pattern:t[11384],pattern12:t[11385]},{day:t[15],month:t[13],pattern:t[1778]},[t[11386],t[11387],t[11388],t[11389],t[11390],t[11391],t[11392],t[11393],t[11394],t[11395],t[11396],t[11397]],[t[11398],t[11399],t[11400],t[11401],t[11402],t[11403],t[11404],t[11405],t[11406],t[11407],t[11408],t[11409]],[t[11410],t[11411],t[11412],t[11413],t[11414],t[11415],t[11416]],[t[11410],t[11417],t[11418],t[11419],t[11420],t[11421],t[11422]],[t[11423],t[11424],t[11425],t[11426],t[11427],t[11428],t[11429]],[t[11430],t[11431]],{am:t[3185],pm:t[11432]},[t[11433],t[421]],[t[1826],t[1229],t[11434],t[11435],t[1232],t[6552],t[6553],t[11436],t[1236],t[11437],t[1832],t[1291]],[t[11438],t[11439],t[11440],t[11441],t[11442],t[11443],t[11444],t[11445],t[11446],t[11447],t[11448],t[11449]],[t[4948],t[11450],t[11451],t[11452],t[11453],t[7700],t[11454]],[t[11455],t[11456],t[11457],t[11458],t[11459],t[11460],t[11461]],[t[11462],t[11463]],{am:t[11464],pm:t[11465]},{day:t[13],month:t[11466],pattern:t[1825]},[t[467],t[400],t[397],t[469],t[397],t[3046],t[400],t[11467],t[400],t[11468],t[11468],t[1308]],[t[4876],t[11469],t[3999],t[3573],t[477],t[11470],t[11471],t[11472],t[11473],t[11474],t[11475],t[11476]],[t[11477],t[11478],t[11479],t[11480],t[11481],t[11482],t[11483],t[11484],t[11485],t[11486],t[11487],t[11488]],[t[3032],t[11489],t[11490],t[11491],t[11492],t[3037],t[5548]],[t[11493],t[11494],t[11495],t[11496],t[11497],t[11498],t[11499]],[t[2654],t[11500]],{decimal:t[430],group:t[4020],nan:t[431],percent:t[432],infinity:t[433]},{AUD:t[434],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[446],MXN:t[447],NZD:t[448],RUB:t[11501],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[11502],t[11503],t[11504],t[11505],t[11506],t[11507],t[11508]],[t[11509],t[11510]],{am:t[11511],pm:t[11512]},[t[473],t[474],t[7949],t[1448],t[7270],t[478],t[479],t[11513],t[481],t[482],t[483],t[1450]],[t[11514],t[11515],t[11516],t[11517],t[7956],t[1196],t[7957],t[7227],t[1199],t[11518],t[1201],t[1453]],[t[11519],t[7729],t[11520],t[5567],t[7730],t[7962],t[7732]],[t[11521],t[7734],t[11522],t[11523],t[11524],t[11525],t[7739]],[t[1461],t[11526]],[t[11527],t[11528],t[11529],t[11530],t[11531],t[11532],t[11533]],[t[11534],t[6522],t[11535],t[11536],t[11537],t[11538],t[11539]],[t[11540],t[11541]],[t[11542],t[11543]],{am:t[11544],pm:t[11545]},[t[11546],t[11547],t[11548],t[11549],t[11550],t[11551],t[11552],t[11553],t[11554],t[11555],t[11556],t[11557]],[t[11558],t[11559],t[11560],t[11561],t[11562],t[11563],t[11564],t[11565],t[11566],t[11567],t[11568],t[11569]],[t[11570],t[11571],t[11572],t[11573],t[11574],t[11575],t[11576]],[t[11577],t[11578],t[11579],t[11580],t[11581],t[11582],t[11583]],[t[6349],t[11584]],[t[11585],t[11586]],{am:t[11587],pm:t[11588]},[t[11589],t[11590],t[11591],t[11592],t[11593],t[11594],t[11595],t[11596],t[11597],t[11598],t[11599],t[11600]],[t[11601],t[11602],t[11603],t[11604],t[11605],t[11606],t[11607],t[11608],t[11609],t[11610],t[11611],t[11612]],[t[11613],t[11614],t[11615],t[11616],t[11617],t[11618],t[11619]],[t[11620],t[11621],t[11622],t[11616],t[11617],t[11623],t[11624]],[t[576],t[9050]],[t[11625],t[11626]],{am:t[11627],pm:t[11628]},[t[11629],t[11590],t[11630],t[11592],t[11631],t[11594],t[11632],t[11596],t[11597],t[11633],t[11599],t[11634]],[t[11635],t[11636],t[11637],t[11638],t[11639],t[11640],t[11641],t[11642],t[11643],t[11644],t[11645],t[11646]],[t[11613],t[11614],t[11647],t[11648],t[11649],t[11650],t[11651]],[t[11652],t[11653],t[11654],t[11648],t[11649],t[11655],t[11656]],{am:t[11657],pm:t[11658]},[t[9082],t[9083],t[9084],t[9085],t[9086],t[11659],t[9088]],{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[11660],pattern12:t[11661]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[11662]},[t[11663]],[t[5054],t[5055],t[5056],t[5057],t[5058],t[5059],t[5060],t[5061],t[5062],t[5063],t[5064],t[5065],t[11664]],[t[11665],t[5017],t[5018],t[5019],t[5020],t[5021],t[5022],t[5023],t[5024],t[5025],t[5026],t[5027],t[11666]],[t[11665],t[5017],t[5018],t[5019],t[5020],t[5021],t[5022],t[5023],t[5024],t[5025],t[5026],t[5027]],[t[11667],t[11668],t[11669],t[11670],t[11671],t[11672],t[11673]],[t[11674],t[11675],t[11676],t[11677],t[11678],t[11679],t[11680]],[t[11681],t[11682]],{am:t[11683],pm:t[11684]},[t[5054],t[5055],t[5056],t[5057],t[5058],t[5059],t[5060],t[5061],t[5062],t[5063],t[5064],t[5065],t[11664],t[11685]],[t[11665],t[5017],t[5018],t[5019],t[5020],t[5021],t[5022],t[5023],t[5024],t[5025],t[5026],t[5027],t[11666],t[11686]],[t[11687]],[t[11688]],[t[11689]],[t[11690],t[11691],t[11692],t[11693],t[11694],t[11695],t[11696],t[11697],t[11698],t[11699],t[11700],t[11701],t[11702],t[11703],t[11704],t[11705],t[11706],t[11707],t[11708],t[11709],t[11710],t[11711],t[11712],t[11713],t[11714],t[11715],t[11716],t[11717],t[11718],t[11719],t[11720],t[11721],t[11722],t[11723],t[11724],t[11725],t[11726],t[11727],t[11728],t[11729],t[11730],t[11731],t[11732],t[11733],t[11734],t[11735],t[11736],t[11737],t[11738],t[11739],t[11740],t[11741],t[11742],t[11743],t[11744],t[11745],t[11746],t[11747],t[11748],t[11749],t[11750],t[11751],t[11752],t[11753],t[11754],t[11755],t[11756],t[11757],t[11758],t[11759],t[11760],t[11761],t[11762],t[11763],t[11764],t[11765],t[11766],t[11767],t[11768],t[11769],t[11770],t[11771],t[11772],t[11773],t[11774],t[11775],t[11776],t[11777],t[11778],t[11779],t[11780],t[11781],t[11782],t[11783],t[11784],t[11785],t[11786],t[11787],t[11788],t[11789],t[11790],t[11791],t[11792],t[11793],t[11794],t[11795],t[11796],t[11797],t[11798],t[11799],t[11800],t[11801],t[11802],t[11803],t[11804],t[11805],t[11806],t[11807],t[11808],t[11809],t[11810],t[11811],t[11812],t[11813],t[11814],t[11815],t[11816],t[11817],t[11818],t[11819],t[11820],t[11821],t[11822],t[11823],t[11824],t[11825],t[11826],t[11827],t[11828],t[11829],t[11830],t[11831],t[11832],t[11833],t[11834],t[11835],t[11836],t[11837],t[11838],t[11839],t[11840],t[11841],t[11842],t[11843],t[11844],t[11845],t[11846],t[11847],t[11848],t[11849],t[11850],t[11851],t[11852],t[11853],t[11854],t[11855],t[11856],t[11857],t[11858],t[11859],t[11860],t[11861],t[11862],t[11863],t[11864],t[11865],t[11866],t[11867],t[11868],t[11869],t[11870],t[11871],t[11872],t[11873],t[11874],t[11875],t[11876],t[11877],t[11878],t[11879],t[11880],t[11881],t[11882],t[11883],t[11884],t[11885],t[11886],t[11887],t[11888],t[11889],t[11890],t[11891],t[11892],t[11893],t[11894],t[11895],t[11896],t[11897],t[11898],t[11899],t[11900],t[11901],t[11902],t[11903],t[11904],t[11905],t[11906],t[11907],t[11908],t[11909],t[11910],t[11911],t[11912],t[11913],t[11914],t[11915],t[11916],t[11917],t[11918],t[11919],t[11920],t[11921],t[5356],t[5357],t[5358],t[5359]],[t[11922]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[5375],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[5376],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[5375],EUR:t[440],GBP:t[441],HKD:t[530],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[5376],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{year:t[13],month:t[13],day:t[13],pattern:t[4998]},{year:t[13],month:t[13],pattern:t[4999]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[5376],MOP:t[3119],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[5376],MXN:t[447],NZD:t[448],SGD:t[530],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},{year:t[13],month:t[14],day:t[13],weekday:t[14],hour:t[13],minute:t[15],second:t[15],pattern:t[11923],pattern12:t[11924]},{year:t[13],month:t[14],day:t[13],weekday:t[14],pattern:t[11925]},{year:t[13],month:t[14],day:t[13],pattern:t[11926]},{year:t[13],month:t[14],pattern:t[11927]},[t[11928],t[5005],t[5006],t[5007],t[5008],t[5009],t[5010],t[5011],t[5012],t[5013],t[5014],t[5015]],{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[5375],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[445],KRW:t[5376],MOP:t[3119],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[451],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[11929]],[t[5066],t[11928],t[5005],t[5006],t[5007],t[5008],t[5009]],[t[11930],t[11931],t[11932],t[11933],t[11934],t[11935],t[11936]],[t[11937],t[11938],t[11681],t[11682]],[t[11939],t[11940],t[11941],t[11942],t[11943],t[11944],t[11945],t[11946],t[11947],t[11948],t[11949],t[11950],t[11951],t[11952]],[t[11953]],[t[11954],t[11955],t[11956],t[11957],t[11958],t[11959],t[11960],t[11961],t[11962],t[11963],t[11964],t[11965]],[t[11966]],[t[11967],t[11968],t[11969],t[11970],t[11971],t[11972],t[11973],t[11974],t[11975],t[11976],t[11977],t[11978]],[t[11979]],[t[5124],t[5125],t[11980],t[5127],t[11981],t[5129],t[5130],t[11982],t[5132],t[11983],t[5134],t[11984],t[11985],t[11986],t[5138],t[5139],t[11987],t[11988],t[11989],t[5143],t[5144],t[5145],t[5146],t[5147],t[11990],t[11991],t[5150],t[11992],t[5152],t[5153],t[11993],t[5155],t[5156],t[5157],t[5158],t[5159],t[11994],t[11995],t[11996],t[5163],t[5164],t[11997],t[5166],t[5167],t[5168],t[11998],t[11999],t[5171],t[5172],t[12e3],t[12001],t[5175],t[12002],t[5177],t[12003],t[5179],t[12004],t[5181],t[12005],t[5183],t[12006],t[5185],t[5186],t[5187],t[12007],t[5189],t[5190],t[12008],t[5192],t[12009],t[12010],t[5195],t[5196],t[12011],t[5198],t[5199],t[5200],t[5201],t[5202],t[5203],t[5204],t[5205],t[5206],t[5207],t[5208],t[5209],t[5210],t[5211],t[5212],t[5213],t[5214],t[5215],t[12012],t[5217],t[5218],t[12013],t[12014],t[12015],t[12016],t[5223],t[12017],t[5225],t[5226],t[5227],t[5228],t[12018],t[12019],t[5231],t[5232],t[5233],t[5234],t[5235],t[5236],t[5237],t[12020],t[5239],t[5240],t[12021],t[5242],t[12022],t[5244],t[12023],t[5246],t[5247],t[12024],t[5249],t[12025],t[12026],t[5252],t[12027],t[12028],t[5255],t[5256],t[5257],t[5258],t[12029],t[5260],t[5261],t[5262],t[5263],t[12030],t[5265],t[5266],t[5267],t[5268],t[12031],t[5270],t[12032],t[5272],t[5273],t[12033],t[5275],t[5276],t[12034],t[12035],t[5279],t[5280],t[5281],t[12036],t[5283],t[12037],t[5285],t[5286],t[12038],t[5288],t[5289],t[12039],t[5291],t[12040],t[12041],t[12042],t[5295],t[5296],t[5297],t[5298],t[12043],t[12044],t[5301],t[12045],t[12046],t[5304],t[12047],t[5306],t[5307],t[12048],t[12049],t[12050],t[5311],t[5312],t[12051],t[5314],t[5315],t[12052],t[12053],t[5318],t[12054],t[5320],t[5321],t[12055],t[5323],t[5324],t[12056],t[12057],t[12058],t[12059],t[12060],t[5330],t[5331],t[12061],t[12062],t[12063],t[5335],t[5336],t[12064],t[5338],t[12065],t[12066],t[5341],t[5342],t[5343],t[12067],t[5345],t[5346],t[5347],t[5348],t[5349],t[5350],t[5351],t[12068],t[5353],t[5354],t[12069],t[5356],t[5357],t[5358],t[5359]],[t[12070]],[t[12071],t[12072]],{decimal:t[429],group:t[430],nan:t[12073],percent:t[432],infinity:t[433]},{AUD:t[732],BRL:t[435],CAD:t[436],CNY:t[437],EUR:t[440],GBP:t[441],HKD:t[442],ILS:t[443],INR:t[444],JPY:t[1275],KRW:t[5376],MXN:t[447],NZD:t[448],THB:t[449],TWD:t[450],USD:t[530],VND:t[452],XAF:t[453],XCD:t[454],XOF:t[455],XPF:t[456]},[t[473],t[474],t[12074],t[476],t[7270],t[478],t[479],t[11513],t[481],t[482],t[483],t[1450]],[t[12075],t[11515],t[12076],t[12077],t[7956],t[1196],t[7957],t[7227],t[12078],t[11518],t[1201],t[1453]],[t[12079],t[12080],t[12081],t[12082],t[12083],t[12084],t[12085]],[t[7681],t[9588],t[7960],t[5567],t[7730],t[7962],t[7732]],[t[7733],t[12086],t[12087],t[11523],t[11524],t[11525],t[7739]],{am:t[12088],pm:t[12089]},{decimal:t[429],group:t[430],nan:t[12090],percent:t[432],infinity:t[433]}];i[1]=[[i[0][1],i[0][2],i[0][3],i[0][4],i[0][5],i[0][6],i[0][7],i[0][8],i[0][9],i[0][10]],{short:i[0][11]},{long:i[0][12]},{long:i[0][13]},{short:i[0][14]},{long:i[0][15]},{short:i[0][16]},{short:i[0][17],long:i[0][18]},{short:i[0][19],long:i[0][20]},{short:i[0][21]},{long:i[0][23]},{short:i[0][24]},{long:i[0][25]},{short:i[0][26]},{short:i[0][27],long:i[0][28]},{short:i[0][29]},{narrow:i[0][30],short:i[0][31]},{long:i[0][32]},{short:i[0][33]},{short:i[0][34]},{decimal:i[0][36],currency:i[0][37],percent:i[0][38]},{latn:i[0][39]},{short:i[0][17],long:i[0][41]},[i[0][44],i[0][45],i[0][46],i[0][47],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][52],long:i[0][53]},{narrow:i[0][54],short:i[0][55],long:i[0][56]},{narrow:i[0][57],short:i[0][58],long:i[0][59]},{decimal:i[0][36],currency:i[0][61],percent:i[0][38]},{latn:i[0][62]},[i[0][65],i[0][66],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][70],long:i[0][71]},{short:i[0][72],long:i[0][73]},{short:i[0][74],long:i[0][75]},{decimal:i[0][36],currency:i[0][77],percent:i[0][38]},[i[0][79],i[0][80],i[0][3],i[0][81],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][82],long:i[0][83]},{short:i[0][84],long:i[0][85]},{short:i[0][86],long:i[0][87]},[i[0][90],i[0][91],i[0][46],i[0][67],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][92]},{narrow:i[0][93],short:i[0][94],long:i[0][95]},{narrow:i[0][96],short:i[0][97],long:i[0][98]},{narrow:i[0][99],short:i[0][100],long:i[0][101]},{short:i[0][92],long:i[0][102]},{short:i[0][27],long:i[0][104]},[i[0][106],i[0][107],i[0][108],i[0][109],i[0][110],i[0][49],i[0][68],i[0][111],i[0][9],i[0][10]],{short:i[0][112]},{narrow:i[0][93],long:i[0][113]},{long:i[0][114]},{narrow:i[0][115],short:i[0][116],long:i[0][116]},{narrow:i[0][117],short:i[0][117],long:i[0][117]},{short:i[0][118],long:i[0][119]},{long:i[0][121]},{short:i[0][122]},{narrow:i[0][123],short:i[0][124],long:i[0][124]},{short:i[0][125]},{narrow:i[0][30],short:i[0][126]},{long:i[0][127]},{short:i[0][128]},{short:i[0][129]},{arab:i[0][131],latn:i[0][39]},[i[0][106],i[0][107],i[0][108],i[0][81],i[0][134],i[0][49],i[0][68],i[0][50],i[0][9],i[0][10]],{narrow:i[0][135],short:i[0][136],long:i[0][136]},{arab:i[0][131],latn:i[0][137]},{narrow:i[0][139],short:i[0][140],long:i[0][141]},{narrow:i[0][139],short:i[0][141],long:i[0][141]},{narrow:i[0][143],short:i[0][144],long:i[0][144]},{narrow:i[0][145],short:i[0][146],long:i[0][146]},{short:i[0][149],long:i[0][150]},{short:i[0][151],long:i[0][152]},{short:i[0][153]},{decimal:i[0][36],currency:i[0][61],percent:i[0][38],secondaryGroupSize:2},[i[0][79],i[0][80],i[0][46],i[0][67],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][156],long:i[0][157]},{short:i[0][158],long:i[0][159]},{short:i[0][160],long:i[0][161]},{decimal:i[0][36],currency:i[0][163],percent:i[0][38]},[i[0][44],i[0][45],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][165],short:i[0][166],long:i[0][167]},{narrow:i[0][168],short:i[0][169],long:i[0][170]},{short:i[0][171]},{latn:i[0][137]},[i[0][174],i[0][175],i[0][46],i[0][176],i[0][177],i[0][49],i[0][68],i[0][178],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][180],long:i[0][181]},{narrow:i[0][182],short:i[0][182],long:i[0][183]},{short:i[0][184],long:i[0][185]},[i[0][187],i[0][188],i[0][189],i[0][176],i[0][177],i[0][190],i[0][68],i[0][178],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][180],long:i[0][191]},{narrow:i[0][182],short:i[0][182],long:i[0][192]},{short:i[0][194],long:i[0][195]},{short:i[0][196],long:i[0][197]},{short:i[0][198],long:i[0][199]},{decimal:i[0][36],currency:i[0][163],percent:i[0][201]},[i[0][202],i[0][45],i[0][46],i[0][203],i[0][204],i[0][49],i[0][68],i[0][205],i[0][206],i[0][207]],{narrow:i[0][208],short:i[0][209],long:i[0][210]},{short:i[0][211],long:i[0][212]},{short:i[0][213]},{short:i[0][216],long:i[0][217]},{long:i[0][218]},{short:i[0][219],long:i[0][220]},{short:i[0][223],long:i[0][224]},{short:i[0][225],long:i[0][226]},{short:i[0][160],long:i[0][227]},[i[0][229],i[0][45],i[0][46],i[0][230],i[0][204],i[0][49],i[0][68],i[0][231],i[0][9],i[0][10]],{narrow:i[0][232],short:i[0][233],long:i[0][234]},{narrow:i[0][235],short:i[0][235],long:i[0][236]},{narrow:i[0][237],short:i[0][238],long:i[0][239]},{long:i[0][241]},{long:i[0][242]},{short:i[0][27],long:i[0][243]},{short:i[0][245],long:i[0][246]},{short:i[0][247],long:i[0][248]},{short:i[0][249],long:i[0][250]},[i[0][251],i[0][252],i[0][189],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][253],short:i[0][254],long:i[0][254]},{narrow:i[0][255],short:i[0][256],long:i[0][257]},{short:i[0][258]},{long:i[0][260]},{short:i[0][261]},{short:i[0][27],long:i[0][262]},{short:i[0][263]},{decimal:i[0][36],currency:i[0][264],percent:i[0][38],secondaryGroupSize:2},{beng:i[0][265],latn:i[0][39]},[i[0][1],i[0][2],i[0][267],i[0][4],i[0][5],i[0][6],i[0][7],i[0][8],i[0][9],i[0][10]],{short:i[0][268],long:i[0][269]},{short:i[0][270],long:i[0][271]},{short:i[0][272]},{latn:i[0][39],tibt:i[0][274]},{short:i[0][276],long:i[0][277]},{short:i[0][278],long:i[0][279]},[i[0][79],i[0][80],i[0][3],i[0][4],i[0][48],i[0][49],i[0][280],i[0][50],i[0][9],i[0][10]],{long:i[0][281]},{short:i[0][282],long:i[0][283]},{short:i[0][284]},{long:i[0][286]},[i[0][287],i[0][288],i[0][289],i[0][176],i[0][177],i[0][49],i[0][290],i[0][178],i[0][291],i[0][292]],{short:i[0][293],long:i[0][294]},{short:i[0][295],long:i[0][296]},{short:i[0][297],long:i[0][298]},{short:i[0][300],long:i[0][301]},{short:i[0][303]},{long:i[0][304]},{long:i[0][305]},{short:i[0][306],long:i[0][307]},{short:i[0][308],long:i[0][309]},{narrow:i[0][310],short:i[0][311],long:i[0][312]},{long:i[0][314]},{long:i[0][315]},{short:i[0][316]},{short:i[0][317],long:i[0][318]},{short:i[0][319]},{narrow:i[0][30],short:i[0][320]},{long:i[0][321]},{short:i[0][322]},{short:i[0][323]},{short:i[0][325],long:i[0][326]},{short:i[0][327],long:i[0][328]},{short:i[0][329]},[i[0][251],i[0][252],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][332]},{narrow:i[0][179],short:i[0][179],long:i[0][179]},{narrow:i[0][333],short:i[0][334],long:i[0][335]},{narrow:i[0][336],short:i[0][336],long:i[0][337]},{narrow:i[0][338],short:i[0][339],long:i[0][340]},{short:i[0][344],long:i[0][345]},{short:i[0][346],long:i[0][347]},{short:i[0][219],long:i[0][348]},[i[0][79],i[0][80],i[0][350],i[0][47],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][351],long:i[0][352]},{short:i[0][353],long:i[0][354]},{short:i[0][355],long:i[0][356]},[i[0][359],i[0][360],i[0][361],i[0][362],i[0][48],i[0][49],i[0][363],i[0][364],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][365],long:i[0][366]},{narrow:i[0][367],short:i[0][367],long:i[0][368]},{narrow:i[0][369],short:i[0][370],long:i[0][370]},{short:i[0][371]},[i[0][44],i[0][45],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][207]],{narrow:i[0][373],short:i[0][374],long:i[0][375]},{narrow:i[0][376],short:i[0][377],long:i[0][378]},{narrow:i[0][379],short:i[0][380],long:i[0][381]},[i[0][382],i[0][383],i[0][384],i[0][67],i[0][48],i[0][49],i[0][363],i[0][69],i[0][206],i[0][207]],{narrow:i[0][51],short:i[0][385],long:i[0][386]},{narrow:i[0][387],short:i[0][388],long:i[0][389]},{narrow:i[0][390],short:i[0][391],long:i[0][392]},{short:i[0][393]},{short:i[0][395],long:i[0][396]},{short:i[0][397],long:i[0][398]},{short:i[0][399],long:i[0][400]},[i[0][403],i[0][404],i[0][384],i[0][203],i[0][204],i[0][49],i[0][363],i[0][205],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][405],long:i[0][406]},{narrow:i[0][407],short:i[0][407],long:i[0][408]},{narrow:i[0][409],short:i[0][410],long:i[0][411]},{decimal:i[0][36],currency:i[0][61],percent:i[0][201]},{narrow:i[0][51],short:i[0][414],long:i[0][415]},{decimal:i[0][36],currency:i[0][416],percent:i[0][201]},{latn:i[0][417]},{short:i[0][419],long:i[0][420]},{short:i[0][421],long:i[0][422]},{short:i[0][423],long:i[0][424]},{latn:i[0][426]},{short:i[0][427],long:i[0][428]},{short:i[0][429],long:i[0][430]},{short:i[0][431],long:i[0][432]},{short:i[0][434],long:i[0][435]},{short:i[0][436],long:i[0][437]},{short:i[0][438],long:i[0][439]},[i[0][440],i[0][441],i[0][3],i[0][442],i[0][443],i[0][444],i[0][445],i[0][446],i[0][9],i[0][10]],{narrow:i[0][447],short:i[0][448],long:i[0][449]},{narrow:i[0][450],short:i[0][450],long:i[0][451]},{decimal:i[0][36],currency:i[0][37],percent:i[0][201],secondaryGroupSize:2},{latn:i[0][39],tibt:i[0][454]},{short:i[0][456],long:i[0][457]},{short:i[0][458],long:i[0][459]},{short:i[0][460],long:i[0][461]},[null,i[0][80],i[0][463],i[0][47],i[0][48],i[0][49],i[0][464],i[0][50],null,null],{short:i[0][465],long:i[0][466]},{short:i[0][467],long:i[0][468]},{short:i[0][468],long:i[0][468]},{narrow:i[0][469],short:i[0][465],long:i[0][470]},{narrow:i[0][471],short:i[0][471],long:i[0][472]},{narrow:i[0][473],short:i[0][473],long:i[0][474]},{short:i[0][476],long:i[0][477]},{short:i[0][478]},{short:i[0][465],long:i[0][479]},{short:i[0][480]},{latn:i[0][481]},[i[0][483],i[0][45],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][484],short:i[0][485],long:i[0][486]},{narrow:i[0][487],short:i[0][488],long:i[0][489]},{short:i[0][490]},{short:i[0][492]},{short:i[0][493]},[i[0][495],i[0][80],i[0][350],i[0][47],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][496],long:i[0][497]},{short:i[0][498],long:i[0][499]},{narrow:i[0][500],short:i[0][501],long:i[0][502]},{narrow:i[0][503],short:i[0][504],long:i[0][505]},[i[0][507],i[0][66],i[0][350],i[0][67],i[0][48],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],[i[0][495],i[0][80],i[0][350],i[0][67],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],[i[0][512],i[0][513],i[0][514],i[0][515],i[0][516],i[0][49],i[0][517],i[0][518],i[0][9],i[0][10]],[i[0][495],i[0][80],i[0][350],i[0][4],i[0][5],i[0][49],i[0][7],i[0][8],i[0][9],i[0][10]],{narrow:i[0][524],short:i[0][525],long:i[0][526]},{narrow:i[0][500],short:i[0][527],long:i[0][528]},{narrow:i[0][529],short:i[0][530],long:i[0][531]},[i[0][44],i[0][45],i[0][46],i[0][515],i[0][516],i[0][49],i[0][68],i[0][518],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][25],long:i[0][25]},{short:i[0][537]},{narrow:i[0][179],short:i[0][27],long:i[0][28]},[i[0][543],i[0][252],i[0][189],i[0][67],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{narrow:i[0][30],short:i[0][544]},[i[0][547],i[0][548],i[0][350],i[0][67],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],[i[0][495],i[0][80],i[0][350],i[0][47],i[0][48],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],[i[0][556],i[0][557],i[0][514],i[0][47],i[0][48],i[0][49],i[0][517],i[0][50],i[0][9],i[0][10]],[i[0][495],i[0][80],i[0][350],i[0][563],i[0][48],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],[i[0][556],i[0][557],i[0][514],i[0][583],i[0][48],i[0][49],i[0][517],i[0][584],i[0][9],i[0][10]],[i[0][586],i[0][587],i[0][588],i[0][67],i[0][48],i[0][49],i[0][517],i[0][69],i[0][9],i[0][10]],{short:i[0][589],long:i[0][590]},{short:i[0][591],long:i[0][592]},{short:i[0][593]},[i[0][595],i[0][596],i[0][597],i[0][67],i[0][48],i[0][598],i[0][599],i[0][69],i[0][9],i[0][10]],{narrow:i[0][600],short:i[0][601],long:i[0][602]},{narrow:i[0][603],short:i[0][604],long:i[0][605]},{short:i[0][606],long:i[0][607]},{short:i[0][608]},[i[0][595],i[0][596],i[0][597],i[0][67],i[0][610],i[0][598],i[0][599],i[0][69],i[0][9],i[0][10]],[i[0][595],i[0][596],i[0][597],i[0][613],i[0][614],i[0][598],i[0][599],i[0][615],i[0][9],i[0][10]],{decimal:i[0][36],currency:i[0][616],percent:i[0][38]},[i[0][624],i[0][596],i[0][597],i[0][67],i[0][48],i[0][598],i[0][599],i[0][69],i[0][291],i[0][292]],{narrow:i[0][625],short:i[0][626],long:i[0][602]},{narrow:i[0][627],short:i[0][628],long:i[0][605]},{short:i[0][629],long:i[0][607]},[i[0][595],i[0][596],i[0][597],i[0][632],i[0][516],i[0][598],i[0][599],i[0][584],i[0][9],i[0][10]],{decimal:i[0][36],currency:i[0][636],percent:i[0][38]},[i[0][79],i[0][80],i[0][350],i[0][47],i[0][48],i[0][598],i[0][7],i[0][50],i[0][9],i[0][10]],[i[0][641],i[0][404],i[0][384],i[0][203],i[0][204],i[0][49],i[0][363],i[0][205],i[0][642],i[0][10]],{narrow:i[0][643],short:i[0][644],long:i[0][645]},{narrow:i[0][646],short:i[0][646],long:i[0][647]},{narrow:i[0][648],short:i[0][649],long:i[0][650]},[i[0][1],i[0][2],i[0][3],i[0][81],i[0][134],i[0][6],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][652]},{narrow:i[0][653],short:i[0][654],long:i[0][655]},{narrow:i[0][656],short:i[0][656],long:i[0][657]},{short:i[0][658]},{short:i[0][659]},{decimal:i[0][36],currency:i[0][163],percent:i[0][660]},{short:i[0][662],long:i[0][663]},{short:i[0][664],long:i[0][665]},{short:i[0][666],long:i[0][667]},[i[0][669],i[0][66],i[0][46],i[0][81],i[0][134],i[0][49],i[0][68],i[0][50],i[0][9],i[0][10]],{narrow:i[0][670],short:i[0][671],long:i[0][672]},{narrow:i[0][673],short:i[0][674],long:i[0][674]},{narrow:i[0][675],short:i[0][676],long:i[0][677]},{narrow:i[0][679],short:i[0][680],long:i[0][680]},{narrow:i[0][681],short:i[0][682],long:i[0][682]},{short:i[0][683],long:i[0][684]},{narrow:i[0][685],short:i[0][686],long:i[0][687]},{short:i[0][688],long:i[0][689]},{decimal:i[0][36],currency:i[0][691],percent:i[0][38]},{arabext:i[0][692],latn:i[0][39]},{narrow:i[0][670],short:i[0][694],long:i[0][694]},{narrow:i[0][685],short:i[0][686],long:i[0][686]},{short:i[0][695],long:i[0][689]},[i[0][65],i[0][66],i[0][46],i[0][4],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][696],long:i[0][697]},{short:i[0][698],long:i[0][699]},{short:i[0][700],long:i[0][701]},[i[0][382],i[0][383],i[0][384],i[0][203],i[0][204],i[0][49],i[0][363],i[0][205],i[0][206],i[0][207]],{narrow:i[0][705],short:i[0][706],long:i[0][706]},{narrow:i[0][707],short:i[0][707],long:i[0][708]},{narrow:i[0][709],short:i[0][710],long:i[0][711]},{long:i[0][713]},{short:i[0][27],long:i[0][714]},{latn:i[0][715]},{narrow:i[0][717],short:i[0][718],long:i[0][719]},{narrow:i[0][720],short:i[0][721],long:i[0][722]},{short:i[0][504]},[i[0][723],i[0][724],i[0][3],i[0][4],i[0][5],i[0][6],i[0][7],i[0][446],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][725],long:i[0][726]},{narrow:i[0][727],short:i[0][728],long:i[0][729]},{narrow:i[0][730],short:i[0][731],long:i[0][732]},{decimal:i[0][36],currency:i[0][616],percent:i[0][201]},{latn:i[0][734]},{narrow:i[0][737],short:i[0][738],long:i[0][739]},{narrow:i[0][179],short:i[0][740],long:i[0][741]},{narrow:i[0][742],short:i[0][743],long:i[0][744]},{short:i[0][745],long:i[0][746]},{short:i[0][747],long:i[0][748]},{short:i[0][749],long:i[0][750]},{narrow:i[0][51],short:i[0][751],long:i[0][752]},{narrow:i[0][753],short:i[0][754],long:i[0][755]},{narrow:i[0][756],short:i[0][757],long:i[0][758]},{narrow:i[0][759],short:i[0][760],long:i[0][761]},{short:i[0][24],long:i[0][762]},{narrow:i[0][763],short:i[0][764],long:i[0][765]},{narrow:i[0][179],short:i[0][766],long:i[0][767]},{short:i[0][768]},[i[0][65],i[0][66],i[0][46],i[0][4],i[0][5],i[0][49],i[0][68],i[0][446],i[0][9],i[0][10]],[i[0][65],i[0][66],i[0][3],i[0][4],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][787],short:i[0][788],long:i[0][789]},{short:i[0][790],long:i[0][791]},{short:i[0][792]},[i[0][65],i[0][66],i[0][46],i[0][515],i[0][516],i[0][49],i[0][68],i[0][518],i[0][9],i[0][10]],{short:i[0][794],long:i[0][795]},{short:i[0][796],long:i[0][797]},{short:i[0][798],long:i[0][799]},[i[0][1],i[0][2],i[0][3],i[0][4],i[0][5],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],{short:i[0][801],long:i[0][802]},{short:i[0][803],long:i[0][804]},{short:i[0][798],long:i[0][805]},[i[0][251],i[0][252],i[0][189],i[0][67],i[0][610],i[0][49],i[0][68],i[0][807],i[0][9],i[0][10]],{narrow:i[0][808],short:i[0][809],long:i[0][810]},{narrow:i[0][811],short:i[0][812],long:i[0][813]},{short:i[0][814],long:i[0][815]},[i[0][403],i[0][404],i[0][3],i[0][4],i[0][443],i[0][49],i[0][363],i[0][205],i[0][9],i[0][10]],{short:i[0][817],long:i[0][818]},{short:i[0][819],long:i[0][820]},{narrow:i[0][409],short:i[0][821],long:i[0][411]},{latn:i[0][823]},{narrow:i[0][825],short:i[0][826],long:i[0][827]},{narrow:i[0][828],short:i[0][829],long:i[0][830]},{narrow:i[0][831],short:i[0][832],long:i[0][833]},{decimal:i[0][36],currency:i[0][37],percent:i[0][38],secondaryGroupSize:2},[i[0][79],i[0][80],i[0][3],i[0][4],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][834],long:i[0][835]},{short:i[0][836],long:i[0][837]},{short:i[0][838],long:i[0][839]},{short:i[0][841],long:i[0][842]},{short:i[0][843],long:i[0][844]},{short:i[0][798]},{short:i[0][845],long:i[0][846]},{short:i[0][847],long:i[0][848]},{short:i[0][849],long:i[0][850]},[i[0][44],i[0][45],i[0][46],i[0][853],i[0][854],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][855],long:i[0][856]},{short:i[0][857],long:i[0][858]},[i[0][859],i[0][860],i[0][861],i[0][203],i[0][204],i[0][49],i[0][862],i[0][69],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][863],long:i[0][864]},{narrow:i[0][865],short:i[0][866],long:i[0][867]},{short:i[0][868],long:i[0][869]},{narrow:i[0][871],short:i[0][872],long:i[0][872]},{short:i[0][873]},{short:i[0][874],long:i[0][875]},{short:i[0][876]},{narrow:i[0][30],short:i[0][877]},[i[0][879],i[0][45],i[0][189],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{long:i[0][880]},{narrow:i[0][881],short:i[0][882],long:i[0][883]},{narrow:i[0][884],short:i[0][885],long:i[0][886]},{short:i[0][887]},{narrow:i[0][179],short:i[0][889],long:i[0][889]},{short:i[0][890]},{short:i[0][27],long:i[0][891]},{narrow:i[0][30],short:i[0][892]},{long:i[0][893]},[i[0][894],i[0][404],i[0][384],i[0][362],i[0][895],i[0][49],i[0][363],i[0][364],i[0][291],i[0][292]],{narrow:i[0][896],short:i[0][897],long:i[0][898]},{narrow:i[0][295],short:i[0][295],long:i[0][296]},{narrow:i[0][899],short:i[0][900],long:i[0][901]},{short:i[0][902]},[i[0][905],i[0][906],i[0][907],i[0][908],i[0][909],i[0][910],i[0][7],i[0][911],i[0][912],i[0][913]],{short:i[0][914]},{narrow:i[0][179],short:i[0][179],long:i[0][12]},{narrow:i[0][93],short:i[0][13],long:i[0][13]},{narrow:i[0][93],short:i[0][15],long:i[0][15]},{narrow:i[0][915],short:i[0][916],long:i[0][917]},{narrow:i[0][918],short:i[0][918],long:i[0][919]},{narrow:i[0][920],short:i[0][921],long:i[0][922]},{short:i[0][924],long:i[0][924]},{short:i[0][925]},{short:i[0][926],long:i[0][927]},{short:i[0][928]},{narrow:i[0][179],short:i[0][32],long:i[0][32]},{short:i[0][929]},[i[0][931],i[0][932],i[0][189],i[0][176],i[0][177],i[0][933],i[0][68],i[0][178],i[0][9],i[0][10]],{narrow:i[0][934],short:i[0][935],long:i[0][936]},{narrow:i[0][937],short:i[0][937],long:i[0][938]},{short:i[0][939]},{short:i[0][942],long:i[0][943]},{short:i[0][944],long:i[0][945]},{short:i[0][946],long:i[0][947]},[i[0][202],i[0][45],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][206],i[0][207]],{narrow:i[0][51],short:i[0][948],long:i[0][949]},{narrow:i[0][950],short:i[0][950],long:i[0][951]},{narrow:i[0][952],short:i[0][953],long:i[0][952]},{short:i[0][23],long:i[0][23]},{narrow:i[0][179],short:i[0][954],long:i[0][955]},{narrow:i[0][30],short:i[0][956]},{short:i[0][957]},{short:i[0][959],long:i[0][960]},{short:i[0][961],long:i[0][962]},{short:i[0][963],long:i[0][964]},{short:i[0][179],long:i[0][966]},{short:i[0][967],long:i[0][968]},{short:i[0][969]},[i[0][971],i[0][404],i[0][384],i[0][203],i[0][895],i[0][49],i[0][363],i[0][205],i[0][9],i[0][10]],{narrow:i[0][972],short:i[0][973],long:i[0][974]},{narrow:i[0][975],short:i[0][976],long:i[0][977]},{narrow:i[0][978],short:i[0][731],long:i[0][732]},[i[0][981],i[0][66],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][291],i[0][292]],{short:i[0][982]},{narrow:i[0][983],short:i[0][984],long:i[0][985]},{narrow:i[0][986],short:i[0][986],long:i[0][987]},{narrow:i[0][988],short:i[0][988],long:i[0][814]},{short:i[0][989]},{decimal:i[0][36],currency:i[0][416],percent:i[0][38]},[i[0][990],i[0][991],i[0][992],i[0][81],i[0][134],i[0][993],i[0][994],i[0][50],i[0][995],i[0][996]],{short:i[0][11],long:i[0][997]},{narrow:i[0][998],short:i[0][999],long:i[0][999]},{narrow:i[0][93],short:i[0][1e3],long:i[0][1e3]},{narrow:i[0][93],short:i[0][1001],long:i[0][1001]},{narrow:i[0][179],short:i[0][1002],long:i[0][1002]},{narrow:i[0][1003],short:i[0][1003],long:i[0][1004]},{narrow:i[0][504],short:i[0][1005],long:i[0][1005]},{narrow:i[0][1007],short:i[0][1008],long:i[0][1008]},{narrow:i[0][179],short:i[0][1009],long:i[0][1009]},{short:i[0][1010]},{narrow:i[0][179],short:i[0][1011],long:i[0][1011]},{narrow:i[0][1012],short:i[0][1013]},{narrow:i[0][179],short:i[0][1014],long:i[0][1014]},{short:i[0][1015]},[i[0][1],i[0][2],i[0][3],i[0][1017],i[0][5],i[0][6],i[0][7],i[0][205],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][1018],long:i[0][1018]},{short:i[0][1019],long:i[0][1019]},{short:i[0][1020]},{short:i[0][1022],long:i[0][1023]},{short:i[0][1024],long:i[0][1025]},{short:i[0][399],long:i[0][1026]},[i[0][251],i[0][252],i[0][189],i[0][203],i[0][204],i[0][190],i[0][68],i[0][205],i[0][9],i[0][10]],{narrow:i[0][1028],short:i[0][1029],long:i[0][1030]},{narrow:i[0][1031],short:i[0][1032],long:i[0][1033]},{short:i[0][1034],long:i[0][1035]},{short:i[0][1037],long:i[0][1037]},{narrow:i[0][179],short:i[0][1038],long:i[0][1039]},{narrow:i[0][179],short:i[0][1040],long:i[0][1040]},{latn:i[0][1041]},{short:i[0][1043],long:i[0][1044]},{short:i[0][1045],long:i[0][1046]},{short:i[0][1047],long:i[0][1048]},{short:i[0][1051],long:i[0][1052]},{short:i[0][1053],long:i[0][1054]},{short:i[0][1055],long:i[0][1056]},{short:i[0][1022],long:i[0][1058]},{short:i[0][1059],long:i[0][1060]},{short:i[0][1061],long:i[0][1062]},[i[0][1064],i[0][1065],i[0][46],i[0][515],i[0][516],i[0][1066],i[0][68],i[0][518],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][1067],long:i[0][1068]},{narrow:i[0][1069],short:i[0][1070],long:i[0][1071]},{short:i[0][1072],long:i[0][1073]},{short:i[0][1075],long:i[0][1076]},{short:i[0][423],long:i[0][1077]},{short:i[0][1079],long:i[0][1080]},{short:i[0][1081],long:i[0][1082]},[i[0][44],i[0][45],i[0][46],i[0][613],i[0][614],i[0][49],i[0][68],i[0][615],i[0][9],i[0][10]],{narrow:i[0][93],long:i[0][13]},{narrow:i[0][179],short:i[0][1084],long:i[0][1085]},{short:i[0][1086],long:i[0][1087]},{short:i[0][1088]},[i[0][65],i[0][66],i[0][46],i[0][1091],i[0][1092],i[0][49],i[0][68],i[0][518],i[0][9],i[0][10]],{long:i[0][1093]},{narrow:i[0][1094],short:i[0][1094],long:i[0][1094]},[i[0][79],i[0][80],i[0][350],i[0][4],i[0][5],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][1095],long:i[0][1096]},{narrow:i[0][1097],short:i[0][1097],long:i[0][1098]},{narrow:i[0][1099],short:i[0][1100],long:i[0][1101]},{short:i[0][1104],long:i[0][1105]},{short:i[0][1106],long:i[0][1107]},{short:i[0][1108],long:i[0][1109]},[i[0][65],i[0][66],i[0][46],i[0][1111],i[0][610],i[0][49],i[0][68],i[0][807],i[0][9],i[0][10]],{short:i[0][1112]},{narrow:i[0][179],short:i[0][1113],long:i[0][1113]},{narrow:i[0][1114],short:i[0][1114],long:i[0][1114]},{short:i[0][1115],long:i[0][1116]},[i[0][1119],i[0][1120],i[0][1121],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1122],short:i[0][1123],long:i[0][1124]},{narrow:i[0][1125],short:i[0][1126],long:i[0][1127]},{short:i[0][1128],long:i[0][1129]},[i[0][1130],i[0][1131],i[0][1132],i[0][1133],i[0][909],i[0][1134],i[0][7],i[0][911],i[0][912],i[0][913]],{short:i[0][1135]},{short:i[0][1136],long:i[0][13]},{narrow:i[0][179],short:i[0][1137],long:i[0][1137]},{short:i[0][1138],long:i[0][15]},{narrow:i[0][1137],short:i[0][1137],long:i[0][1137]},{narrow:i[0][1139],short:i[0][1139],long:i[0][1140]},{short:i[0][1141],long:i[0][1142]},{short:i[0][1144],long:i[0][23]},{narrow:i[0][30],short:i[0][1145]},{short:i[0][1146]},{decimal:i[0][36],currency:i[0][1147],percent:i[0][38]},{long:i[0][1148]},{short:i[0][1149],long:i[0][1150]},{short:i[0][1151]},{long:i[0][1153]},{short:i[0][1154],long:i[0][1155]},{short:i[0][1156],long:i[0][1157]},{long:i[0][1158]},{latn:i[0][1159]},{short:i[0][1022],long:i[0][1160]},{short:i[0][1161],long:i[0][1162]},{short:i[0][399],long:i[0][1163]},{short:i[0][1165],long:i[0][1166]},{short:i[0][1167],long:i[0][1168]},{short:i[0][1169],long:i[0][1170]},[i[0][359],i[0][360],i[0][361],i[0][4],i[0][5],i[0][49],i[0][363],i[0][8],i[0][9],i[0][10]],{short:i[0][1172],long:i[0][1173]},{narrow:i[0][1174],short:i[0][1175],long:i[0][1176]},{narrow:i[0][1177],short:i[0][821],long:i[0][1178]},{latn:i[0][1180]},{short:i[0][1181],long:i[0][1182]},{short:i[0][1183],long:i[0][1184]},[i[0][1185],i[0][1186],i[0][1187],i[0][4],i[0][5],i[0][1188],i[0][280],i[0][615],i[0][912],i[0][913]],{narrow:i[0][1189],short:i[0][1190],long:i[0][1191]},{narrow:i[0][1192],short:i[0][1192],long:i[0][1193]},{narrow:i[0][1194],short:i[0][1195],long:i[0][1196]},{latn:i[0][1198]},{short:i[0][1200],long:i[0][1201]},{short:i[0][1202],long:i[0][1203]},{short:i[0][1204],long:i[0][1205]},{short:i[0][1207],long:i[0][1208]},{short:i[0][1209],long:i[0][1210]},{short:i[0][219],long:i[0][1211]},{long:i[0][1212]},{long:i[0][1213]},{short:i[0][1214],long:i[0][1215]},{short:i[0][1216],long:i[0][1217]},{short:i[0][1218],long:i[0][1219]},[i[0][879],i[0][45],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][1223]},{narrow:i[0][93],short:i[0][1224],long:i[0][1225]},{narrow:i[0][93],short:i[0][1226],long:i[0][1226]},{narrow:i[0][179],short:i[0][1227],long:i[0][1228]},{narrow:i[0][1229],short:i[0][1229],long:i[0][1229]},{short:i[0][1230]},{short:i[0][1232],long:i[0][1233]},{narrow:i[0][179],short:i[0][1234],long:i[0][1235]},{short:i[0][1236]},{narrow:i[0][179],short:i[0][1237],long:i[0][1238]},{narrow:i[0][30],short:i[0][1239]},{narrow:i[0][179],short:i[0][1240],long:i[0][1241]},{short:i[0][1242]},{short:i[0][1243]},{latn:i[0][1244]},[i[0][1246],i[0][2],i[0][3],i[0][4],i[0][5],i[0][6],i[0][7],i[0][1247],i[0][291],i[0][292]],{narrow:i[0][1248],short:i[0][1249],long:i[0][1250]},{narrow:i[0][1251],short:i[0][1252],long:i[0][1253]},{narrow:i[0][1254],short:i[0][1255],long:i[0][1256]},{short:i[0][1259],long:i[0][1260]},{short:i[0][1261],long:i[0][1262]},{short:i[0][1263],long:i[0][1264]},{short:i[0][1266],long:i[0][1267]},{short:i[0][1268],long:i[0][1269]},{short:i[0][219],long:i[0][1270]},{short:i[0][1272],long:i[0][157]},{short:i[0][1273],long:i[0][1274]},{short:i[0][219],long:i[0][1275]},{decimal:i[0][36],currency:i[0][1276],percent:i[0][38]},[null,null,null,i[0][203],i[0][177],null,i[0][363],i[0][178],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][1277],long:i[0][1278]},{narrow:i[0][1279],short:i[0][1279],long:i[0][1280]},{narrow:i[0][1281],short:i[0][1282],long:i[0][1283]},{long:i[0][1285]},{short:i[0][27],long:i[0][1286]},{latn:i[0][1287]},{short:i[0][1289],long:i[0][1290]},{short:i[0][1024],long:i[0][1291]},{short:i[0][1292],long:i[0][1293]},{short:i[0][1296],long:i[0][1297]},{short:i[0][1298],long:i[0][1299]},{short:i[0][1300],long:i[0][1301]},{short:i[0][1303],long:i[0][1304]},{short:i[0][1305],long:i[0][1306]},{short:i[0][1307],long:i[0][1308]},{short:i[0][1310],long:i[0][1311]},{short:i[0][1312],long:i[0][1313]},{short:i[0][219],long:i[0][1314]},[i[0][79],i[0][80],i[0][350],i[0][67],i[0][48],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],{short:i[0][1316],long:i[0][1317]},{short:i[0][1318],long:i[0][1319]},{short:i[0][1320],long:i[0][1321]},{narrow:i[0][1324],short:i[0][1325],long:i[0][1326]},{narrow:i[0][1327],short:i[0][1328],long:i[0][1328]},[i[0][1329],i[0][45],i[0][46],i[0][203],i[0][204],i[0][49],i[0][68],i[0][205],i[0][9],i[0][10]],{narrow:i[0][1330],short:i[0][1331],long:i[0][1332]},{narrow:i[0][1333],short:i[0][1334],long:i[0][1335]},{short:i[0][1336]},[i[0][1],i[0][2],i[0][3],i[0][67],i[0][610],i[0][6],i[0][7],i[0][69],i[0][9],i[0][10]],{short:i[0][1339],long:i[0][1340]},{narrow:i[0][1341],short:i[0][1342],long:i[0][1343]},{short:i[0][1344],long:i[0][1345]},{long:i[0][1346]},{short:i[0][1347]},{short:i[0][27],long:i[0][1348]},{short:i[0][1349]},{decimal:i[0][36],currency:i[0][77],percent:i[0][38],secondaryGroupSize:2},{latn:i[0][39],mlym:i[0][1350]},[i[0][723],i[0][724],i[0][3],i[0][442],i[0][443],i[0][6],i[0][7],i[0][446],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][1351],long:i[0][1352]},{narrow:i[0][1353],short:i[0][1353],long:i[0][1354]},{narrow:i[0][1355],short:i[0][1356],long:i[0][1357]},[i[0][1360],i[0][1361],i[0][189],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1362],short:i[0][1363],long:i[0][1364]},{narrow:i[0][884],short:i[0][1149],long:i[0][1365]},{short:i[0][1366],long:i[0][1367]},{deva:i[0][39],latn:i[0][39]},[i[0][44],i[0][45],i[0][46],i[0][67],i[0][610],i[0][49],i[0][68],i[0][807],i[0][9],i[0][10]],{narrow:i[0][1370],short:i[0][1371],long:i[0][1372]},{narrow:i[0][1373],short:i[0][1371],long:i[0][1372]},{narrow:i[0][1374],short:i[0][1375],long:i[0][1376]},{short:i[0][1377]},{short:i[0][1382],long:i[0][1383]},{short:i[0][1384],long:i[0][1385]},{short:i[0][1386],long:i[0][1387]},{short:i[0][1389],long:i[0][1390]},{short:i[0][1391],long:i[0][1392]},{short:i[0][1393],long:i[0][1394]},[i[0][723],i[0][724],i[0][3],i[0][4],i[0][134],i[0][6],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][1396],long:i[0][1396]},{narrow:i[0][1397],short:i[0][1397],long:i[0][1397]},{short:i[0][1398],long:i[0][1399]},{latn:i[0][1402],mymr:i[0][1403]},{short:i[0][498],long:i[0][1405]},{short:i[0][1406],long:i[0][1407]},{short:i[0][219],long:i[0][1408]},[i[0][1411],i[0][383],i[0][384],i[0][203],i[0][204],i[0][49],i[0][363],i[0][205],i[0][206],i[0][207]],{narrow:i[0][51],short:i[0][1412],long:i[0][1413]},{narrow:i[0][1414],short:i[0][388],long:i[0][389]},{narrow:i[0][1415],short:i[0][1416],long:i[0][1417]},{short:i[0][1419],long:i[0][1420]},{short:i[0][1421],long:i[0][1422]},{short:i[0][219],long:i[0][1423]},[i[0][1424],i[0][2],i[0][3],i[0][4],i[0][5],i[0][6],i[0][7],i[0][8],i[0][9],i[0][10]],{narrow:i[0][1425],short:i[0][1426],long:i[0][1427]},{narrow:i[0][1428],short:i[0][1428],long:i[0][1429]},{short:i[0][1430]},{long:i[0][1431]},{narrow:i[0][1425],short:i[0][1426],long:i[0][1426]},{narrow:i[0][1428],short:i[0][1428],long:i[0][1433]},{narrow:i[0][179],long:i[0][12]},{narrow:i[0][93],short:i[0][1435],long:i[0][1435]},{narrow:i[0][179]},{narrow:i[0][93],short:i[0][1436],long:i[0][1436]},{narrow:i[0][51],short:i[0][1437],long:i[0][1438]},{narrow:i[0][1439],short:i[0][1439],long:i[0][1440]},{narrow:i[0][1441],short:i[0][1442],long:i[0][1443]},{short:i[0][1444],long:i[0][1444]},{narrow:i[0][179],short:i[0][1445],long:i[0][1445]},{narrow:i[0][179],short:i[0][1446],long:i[0][1447]},{short:i[0][1448]},{decimal:i[0][36],currency:i[0][1449],percent:i[0][38]},{short:i[0][1455],long:i[0][1456]},{short:i[0][1457],long:i[0][1458]},{short:i[0][1459],long:i[0][1460]},[i[0][1462],i[0][383],i[0][384],i[0][203],i[0][1463],i[0][49],i[0][363],i[0][205],i[0][9],i[0][10]],{short:i[0][1464],long:i[0][1413]},{short:i[0][1465],long:i[0][1466]},{narrow:i[0][1467],short:i[0][391],long:i[0][1468]},[i[0][1471],i[0][1472],i[0][1473],i[0][67],i[0][5],i[0][49],i[0][7],i[0][8],i[0][9],i[0][10]],{short:i[0][1474],long:i[0][1474]},{narrow:i[0][1475],short:i[0][1475],long:i[0][1475]},{short:i[0][1476],long:i[0][1477]},{short:i[0][1479],long:i[0][1480]},{short:i[0][1481],long:i[0][1482]},{short:i[0][219]},{short:i[0][1483],long:i[0][1484]},{short:i[0][1485],long:i[0][1486]},[i[0][1487],i[0][1488],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][1489],long:i[0][1490]},{short:i[0][1491],long:i[0][1492]},{short:i[0][1493],long:i[0][1494]},{short:i[0][1496],long:i[0][1497]},{short:i[0][1498],long:i[0][1499]},{short:i[0][1500]},{long:i[0][1503]},{short:i[0][1504],long:i[0][1505]},[i[0][879],i[0][45],i[0][3],i[0][4],i[0][177],i[0][49],i[0][68],i[0][178],i[0][9],i[0][10]],{narrow:i[0][1189],short:i[0][1506],long:i[0][1507]},{short:i[0][1508],long:i[0][1509]},{short:i[0][1510]},{latn:i[0][1512]},[i[0][44],i[0][45],i[0][46],i[0][67],i[0][610],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1514],short:i[0][1515],long:i[0][1515]},{narrow:i[0][1516],short:i[0][1516],long:i[0][1517]},{short:i[0][1518]},{narrow:i[0][1514],short:i[0][1515],long:i[0][1519]},{narrow:i[0][1516],short:i[0][1516],long:i[0][1520]},{short:i[0][1518],long:i[0][1521]},[i[0][879],i[0][45],i[0][46],i[0][230],i[0][177],i[0][49],i[0][68],i[0][231],i[0][9],i[0][10]],{narrow:i[0][1523],short:i[0][1524],long:i[0][1525]},{narrow:i[0][1526],short:i[0][1526],long:i[0][1527]},{short:i[0][1528],long:i[0][1528]},{short:i[0][1529],long:i[0][1529]},{narrow:i[0][179],short:i[0][1530],long:i[0][1531]},{narrow:i[0][179],short:i[0][1532],long:i[0][1532]},{short:i[0][1533]},[i[0][1],i[0][2],i[0][3],i[0][4],i[0][134],i[0][6],i[0][7],i[0][50],i[0][9],i[0][10]],{long:i[0][1535]},{long:i[0][674]},{short:i[0][676]},{long:i[0][1537]},{arabext:i[0][1538],latn:i[0][137]},[i[0][595],i[0][596],i[0][597],i[0][515],i[0][516],i[0][598],i[0][599],i[0][69],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][179],long:i[0][1540]},{narrow:i[0][51],short:i[0][1541],long:i[0][1542]},{narrow:i[0][1543],short:i[0][1543],long:i[0][1544]},{short:i[0][171],long:i[0][1545]},{short:i[0][1546]},[i[0][1551],i[0][1552],i[0][1553],i[0][515],i[0][516],i[0][1554],i[0][1555],i[0][69],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][1556],long:i[0][1540]},{narrow:i[0][51],short:i[0][1557],long:i[0][1558]},{narrow:i[0][1559],short:i[0][1543],long:i[0][1544]},{short:i[0][1560],long:i[0][1545]},{short:i[0][1563],long:i[0][1564]},{short:i[0][1565],long:i[0][1566]},{short:i[0][1567],long:i[0][1568]},{short:i[0][1570],long:i[0][1571]},{short:i[0][1572],long:i[0][1573]},{short:i[0][1574],long:i[0][1575]},{decimal:i[0][36],currency:i[0][77],percent:i[0][201]},[i[0][879],i[0][45],i[0][46],i[0][176],i[0][177],i[0][49],i[0][68],i[0][178],i[0][9],i[0][10]],{short:i[0][1578],long:i[0][1579]},{long:i[0][1580]},{long:i[0][1581]},{narrow:i[0][1582],short:i[0][1583],long:i[0][1584]},{narrow:i[0][1585],short:i[0][1586],long:i[0][1587]},{short:i[0][1588],long:i[0][1589]},{short:i[0][1590],long:i[0][1590]},{short:i[0][1556],long:i[0][1593]},{short:i[0][1594],long:i[0][1595]},{short:i[0][160],long:i[0][1596]},{long:i[0][501]},{narrow:i[0][93],short:i[0][1598],long:i[0][1598]},{narrow:i[0][93],short:i[0][1599],long:i[0][1599]},{narrow:i[0][1189],short:i[0][1600],long:i[0][1601]},{narrow:i[0][1602],short:i[0][1602],long:i[0][1603]},{narrow:i[0][1604],short:i[0][1605],long:i[0][1604]},{short:i[0][1606],long:i[0][1606]},{narrow:i[0][179],short:i[0][1607],long:i[0][1607]},{narrow:i[0][179],short:i[0][1608],long:i[0][1608]},{narrow:i[0][30],short:i[0][1609]},{narrow:i[0][179],short:i[0][1610],long:i[0][1610]},{latn:i[0][1611]},{short:i[0][1617],long:i[0][1618]},{short:i[0][1619],long:i[0][1620]},{short:i[0][1622],long:i[0][1623]},{short:i[0][1624],long:i[0][1625]},{short:i[0][1626]},{short:i[0][1629],long:i[0][1630]},{short:i[0][1631],long:i[0][1632]},{short:i[0][399],long:i[0][1633]},[i[0][79],i[0][80],i[0][1635],i[0][47],i[0][48],i[0][49],i[0][7],i[0][50],i[0][9],i[0][10]],{short:i[0][1636],long:i[0][1637]},{short:i[0][1638],long:i[0][1639]},{short:i[0][1640],long:i[0][1641]},{short:i[0][1643],long:i[0][1644]},{short:i[0][1645],long:i[0][1646]},{short:i[0][1647],long:i[0][1648]},{short:i[0][1651],long:i[0][1644]},{short:i[0][1645],long:i[0][1652]},[i[0][595],i[0][596],i[0][597],i[0][4],i[0][516],i[0][598],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][1653],long:i[0][1654]},{short:i[0][1655],long:i[0][1656]},{short:i[0][1657],long:i[0][1658]},{short:i[0][421],long:i[0][1659]},{short:i[0][1660],long:i[0][1661]},{short:i[0][1662],long:i[0][1663]},{short:i[0][1664],long:i[0][1665]},{short:i[0][1667],long:i[0][1668]},{short:i[0][1669],long:i[0][1670]},{short:i[0][1671],long:i[0][1672]},{short:i[0][1674],long:i[0][1675]},{short:i[0][1676],long:i[0][1677]},{short:i[0][1678],long:i[0][1679]},[i[0][1681],i[0][2],i[0][3],i[0][442],i[0][443],i[0][6],i[0][7],i[0][446],i[0][1682],i[0][1683]],{narrow:i[0][1684],short:i[0][1685],long:i[0][1686]},{narrow:i[0][1687],short:i[0][1688],long:i[0][1689]},{short:i[0][1690],long:i[0][1691]},[i[0][403],i[0][404],i[0][1694],i[0][203],i[0][204],i[0][49],i[0][363],i[0][205],i[0][9],i[0][10]],{short:i[0][1695],long:i[0][1696]},{narrow:i[0][1697],short:i[0][1698],long:i[0][1699]},{short:i[0][1700]},[i[0][403],i[0][404],i[0][384],i[0][362],i[0][48],i[0][49],i[0][363],i[0][364],i[0][9],i[0][10]],{narrow:i[0][1702],short:i[0][1703],long:i[0][1704]},{narrow:i[0][1705],short:i[0][1705],long:i[0][1706]},{short:i[0][1707],long:i[0][1708]},{short:i[0][1711],long:i[0][1712]},{short:i[0][1713],long:i[0][1714]},{short:i[0][219],long:i[0][1715]},{short:i[0][1716],long:i[0][1717]},{short:i[0][1718],long:i[0][1719]},{short:i[0][1720],long:i[0][1721]},[i[0][44],i[0][45],i[0][46],i[0][515],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1727],short:i[0][1728],long:i[0][1729]},{narrow:i[0][1730],short:i[0][1730],long:i[0][1731]},{narrow:i[0][1732],short:i[0][1733],long:i[0][1734]},[i[0][1738],i[0][404],i[0][384],i[0][203],i[0][204],i[0][49],i[0][363],i[0][69],i[0][1739],i[0][1740]],{narrow:i[0][1330],short:i[0][306],long:i[0][307]},{narrow:i[0][1741],short:i[0][1742],long:i[0][1743]},{narrow:i[0][1330],short:i[0][306],long:i[0][1744]},{narrow:i[0][1741],short:i[0][1741],long:i[0][1745]},{long:i[0][1746]},{long:i[0][1747]},{narrow:i[0][1702],short:i[0][293],long:i[0][1748]},{narrow:i[0][1749],short:i[0][1749],long:i[0][1750]},{narrow:i[0][1528],short:i[0][1751],long:i[0][298]},{long:i[0][1752]},{long:i[0][1753]},{short:i[0][1754],long:i[0][1755]},{narrow:i[0][30],short:i[0][1756]},{long:i[0][1757]},{short:i[0][1758]},{short:i[0][1760],long:i[0][1761]},{short:i[0][1762],long:i[0][1763]},{short:i[0][1765],long:i[0][1766]},{short:i[0][1767],long:i[0][1768]},{short:i[0][1769],long:i[0][1770]},[i[0][65],i[0][66],i[0][46],i[0][4],i[0][5],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{short:i[0][1772],long:i[0][1772]},{short:i[0][748],long:i[0][748]},{narrow:i[0][51],short:i[0][1095],long:i[0][1773]},{narrow:i[0][1774],short:i[0][1775],long:i[0][1776]},{narrow:i[0][1467],short:i[0][391],long:i[0][1777]},{short:i[0][1779],long:i[0][1780]},{short:i[0][765],long:i[0][765]},{short:i[0][537],long:i[0][1781]},{short:i[0][27],long:i[0][1782]},{narrow:i[0][30],short:i[0][1783]},{short:i[0][1784],long:i[0][1784]},{short:i[0][1785]},{narrow:i[0][1467],short:i[0][391],long:i[0][1787]},[i[0][79],i[0][80],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][807],i[0][9],i[0][10]],{short:i[0][1022],long:i[0][157]},{narrow:i[0][159],short:i[0][1788],long:i[0][159]},{short:i[0][1790],long:i[0][1791]},{short:i[0][1792],long:i[0][1793]},{short:i[0][1794],long:i[0][1795]},[i[0][251],i[0][252],i[0][189],i[0][67],i[0][48],i[0][49],i[0][7],i[0][69],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][1797],long:i[0][1798]},{narrow:i[0][1799],short:i[0][1800],long:i[0][1801]},{narrow:i[0][1802],short:i[0][1802],long:i[0][1803]},{short:i[0][1804],long:i[0][1805]},[i[0][1809],i[0][1361],i[0][1810],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1811],short:i[0][1812],long:i[0][1813]},{narrow:i[0][1814],short:i[0][1815],long:i[0][1816]},{narrow:i[0][1817],short:i[0][1818],long:i[0][1817]},{long:i[0][1819]},{short:i[0][1820]},{short:i[0][1821],long:i[0][1822]},{short:i[0][1823],long:i[0][1824]},{short:i[0][1827],long:i[0][1828]},{short:i[0][1829],long:i[0][1830]},{short:i[0][1831],long:i[0][1832]},{short:i[0][1835],long:i[0][1836]},{narrow:i[0][93],short:i[0][1837],long:i[0][1837]},{narrow:i[0][93],short:i[0][1838],long:i[0][1838]},{short:i[0][1839],long:i[0][1840]},{narrow:i[0][1841],short:i[0][1841],long:i[0][1842]},{narrow:i[0][1843],short:i[0][1844],long:i[0][1845]},{short:i[0][1847],long:i[0][1847]},{short:i[0][1848]},{narrow:i[0][179],short:i[0][1849],long:i[0][1849]},{short:i[0][1850]},{narrow:i[0][179],short:i[0][1851],long:i[0][1852]},{short:i[0][1853],long:i[0][1854]},{narrow:i[0][30],short:i[0][1855]},{narrow:i[0][179],short:i[0][1856],long:i[0][1856]},{short:i[0][1857]},{short:i[0][1858]},{short:i[0][1860],long:i[0][1861]},{long:i[0][1862]},{short:i[0][1864],long:i[0][1865]},{long:i[0][1866]},{short:i[0][1867],long:i[0][1868]},{short:i[0][1870],long:i[0][1871]},{short:i[0][1872],long:i[0][1873]},[i[0][507],i[0][66],i[0][46],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][1875],short:i[0][1876],long:i[0][1877]},{narrow:i[0][1878],short:i[0][1879],long:i[0][1880]},{narrow:i[0][1881],short:i[0][1882],long:i[0][1883]},{latn:i[0][1884]},[i[0][1886],i[0][1887],i[0][514],i[0][176],i[0][516],i[0][49],i[0][68],i[0][518],i[0][912],i[0][913]],{long:i[0][1888]},{long:i[0][1889]},{narrow:i[0][1890],short:i[0][1891],long:i[0][1892]},{narrow:i[0][1893],short:i[0][1894],long:i[0][1895]},{short:i[0][1896],long:i[0][1897]},{long:i[0][1899]},{short:i[0][1900],long:i[0][1900]},{short:i[0][1901]},{long:i[0][1902]},{decimal:i[0][36],currency:i[0][163],percent:i[0][1903]},{short:i[0][1905],long:i[0][1906]},{short:i[0][1907],long:i[0][1908]},{short:i[0][1909],long:i[0][1910]},{short:i[0][1911],long:i[0][1912]},{short:i[0][1913],long:i[0][1914]},[i[0][44],i[0][45],i[0][46],i[0][176],i[0][177],i[0][49],i[0][68],i[0][178],i[0][9],i[0][10]],{short:i[0][1916],long:i[0][1917]},{short:i[0][1918],long:i[0][1919]},{narrow:i[0][1920],short:i[0][1921],long:i[0][1922]},{narrow:i[0][1923],short:i[0][1923],long:i[0][1924]},{short:i[0][1925],long:i[0][1926]},{long:i[0][1928]},{short:i[0][1929],long:i[0][1930]},{short:i[0][1931],long:i[0][1932]},{narrow:i[0][30],short:i[0][1933]},{short:i[0][1934],long:i[0][1935]},{latn:i[0][1936]},[i[0][106],i[0][107],i[0][108],i[0][67],i[0][48],i[0][49],i[0][68],i[0][69],i[0][9],i[0][10]],{narrow:i[0][51],short:i[0][1938],long:i[0][1938]},{narrow:i[0][1939],short:i[0][1940],long:i[0][1940]},{short:i[0][1941],long:i[0][1942]},{short:i[0][27],long:i[0][1944]},{short:i[0][1945]},{arabext:i[0][1946],latn:i[0][39]},{narrow:i[0][1939],short:i[0][1939],long:i[0][1939]},{decimal:i[0][36],currency:i[0][1948],percent:i[0][38]},{narrow:i[0][1949],short:i[0][1950],long:i[0][1951]},{narrow:i[0][1952],short:i[0][1952],long:i[0][1953]},{short:i[0][1954]},{short:i[0][27],long:i[0][1955]},[i[0][1],i[0][2],i[0][3],i[0][4],i[0][5],i[0][6],i[0][7],i[0][50],i[0][9],i[0][10]],{narrow:i[0][1949],short:i[0][1957],long:i[0][672]},{narrow:i[0][1952],short:i[0][1958],long:i[0][674]},{narrow:i[0][1189],short:i[0][1827],long:i[0][1828]},{narrow:i[0][1960],short:i[0][1960],long:i[0][1961]},{short:i[0][1962]},{short:i[0][27],long:i[0][1963]},{long:i[0][1965]},{long:i[0][1966]},{long:i[0][1968]},{long:i[0][1969]},{short:i[0][1970],long:i[0][1971]},{short:i[0][1972],long:i[0][1973]},[i[0][1974],i[0][557],i[0][588],i[0][67],i[0][48],i[0][49],i[0][517],i[0][1975],i[0][9],i[0][10]],{narrow:i[0][179],short:i[0][1976],long:i[0][1977]},{narrow:i[0][1978],short:i[0][1979],long:i[0][1980]},{narrow:i[0][1981],short:i[0][1981],long:i[0][1981]},{short:i[0][1983]},{short:i[0][1984],long:i[0][1985]},{short:i[0][1986],long:i[0][1987]},{short:i[0][1988],long:i[0][1988]},[i[0][403],i[0][404],i[0][384],i[0][4],i[0][5],i[0][49],i[0][363],i[0][1990],i[0][9],i[0][10]],{narrow:i[0][1991],short:i[0][1992],long:i[0][1993]},{short:i[0][1994],long:i[0][1995]},{short:i[0][1996]},{latn:i[0][1997]},{long:i[0][1999]},{short:i[0][2e3]},{short:i[0][2002],long:i[0][2003]},{short:i[0][2004],long:i[0][2005]},{short:i[0][219],long:i[0][2006]},{short:i[0][2007],long:i[0][2008]},{short:i[0][2009],long:i[0][2010]},{short:i[0][2012],long:i[0][2013]},{short:i[0][2014],long:i[0][2015]},{short:i[0][2016],long:i[0][2017]},{short:i[0][2019],long:i[0][2020]},{short:i[0][2021],long:i[0][2022]},{short:i[0][2023],long:i[0][2024]},{short:i[0][2026],long:i[0][2027]},{short:i[0][2028],long:i[0][2029]},{short:i[0][1669],long:i[0][2031]},[i[0][2032],i[0][2033],i[0][992],i[0][81],i[0][134],i[0][993],i[0][994],i[0][50],i[0][995],i[0][996]],{short:i[0][2034]},{narrow:i[0][93],short:i[0][2035],long:i[0][2036]},{narrow:i[0][179],short:i[0][1002],long:i[0][2037]},{narrow:i[0][2038],short:i[0][2038],long:i[0][2039]},{narrow:i[0][2040],short:i[0][2040],long:i[0][2040]},{short:i[0][2042],long:i[0][2043]},{short:i[0][2044]},{short:i[0][2045]},{short:i[0][2046]},{narrow:i[0][30],short:i[0][2047]},{short:i[0][2048]},[i[0][2032],i[0][2033],i[0][992],i[0][67],i[0][48],i[0][993],i[0][994],i[0][69],i[0][995],i[0][996]],[i[0][2032],i[0][2033],i[0][992],i[0][2051],i[0][2052],i[0][993],i[0][994],i[0][446],i[0][995],i[0][996]],[i[0][2055],i[0][2056],i[0][2057],i[0][67],i[0][48],i[0][2058],i[0][994],i[0][69],i[0][995],i[0][996]],{narrow:i[0][2059],short:i[0][2037],long:i[0][2037]},[i[0][2032],i[0][2033],i[0][992],i[0][81],i[0][134],i[0][993],i[0][994],i[0][446],i[0][995],i[0][996]],{short:i[0][2061]},{narrow:i[0][93],short:i[0][2035],long:i[0][2035]},{narrow:i[0][2062],short:i[0][2063],long:i[0][2039]},{narrow:i[0][2064],short:i[0][2064],long:i[0][2064]},{short:i[0][2065],long:i[0][2065]},{short:i[0][2066]},{narrow:i[0][179],short:i[0][2067],long:i[0][2067]},{short:i[0][2068]},{narrow:i[0][179],short:i[0][2069],long:i[0][2069]},{short:i[0][2070]},{narrow:i[0][30],short:i[0][2071]},{short:i[0][2072]},{short:i[0][2073]},{latn:i[0][2074]},{narrow:i[0][51],short:i[0][2076],long:i[0][2077]},{narrow:i[0][2078],short:i[0][2079],long:i[0][2080]},{latn:i[0][2082]}];i[2]=[{eras:i[1][1]},{months:i[1][2]},{months:i[1][3],eras:i[1][4]},{months:i[1][5],eras:i[1][4]},{eras:i[1][6]},{months:i[1][2],eras:i[1][4]},{months:i[1][7],days:i[1][8],eras:i[1][9],dayPeriods:i[0][22]},{months:i[1][10],eras:i[1][11]},{months:i[1][12],eras:i[1][13]},{months:i[1][14],eras:i[1][15]},{eras:i[1][16]},{months:i[1][17],eras:i[1][18]},{eras:i[1][19]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][40]},{months:i[1][22],days:i[1][8],eras:i[1][9],dayPeriods:i[0][22]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][42]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][43]},{months:i[1][24],days:i[1][25],eras:i[1][26],dayPeriods:i[0][60]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][28],currencies:i[0][63]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][64]},{months:i[1][30],days:i[1][31],eras:i[1][32],dayPeriods:i[0][76]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][28],currencies:i[0][78]},{months:i[1][35],days:i[1][36],eras:i[1][37],dayPeriods:i[0][88]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][89]},{months:i[1][3],eras:i[1][39]},{months:i[1][40],eras:i[1][4]},{months:i[1][41],days:i[1][42],eras:i[1][43],dayPeriods:i[0][103]},{months:i[1][44],eras:i[1][15]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][105]},{eras:i[1][46]},{months:i[1][47],eras:i[1][4]},{months:i[1][48],eras:i[1][4]},{months:i[1][49],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{months:i[1][52],eras:i[1][53]},{months:i[1][54],eras:i[1][55]},{eras:i[1][56]},{months:i[1][57],eras:i[1][58]},{eras:i[1][59]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][60],currencies:i[0][132]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][60],currencies:i[0][133]},{months:i[1][62],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][63],currencies:i[0][132]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][60],currencies:i[0][132]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][60],currencies:i[0][138]},{months:i[1][64],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{months:i[1][65],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][63],currencies:i[0][142]},{months:i[1][66],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{months:i[1][67],days:i[1][50],eras:i[1][51],dayPeriods:i[0][120]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][63],currencies:i[0][132]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][60],currencies:i[0][147]},{nu:i[0][130],patterns:i[1][27],symbols:i[1][60],currencies:i[0][148]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][63],currencies:i[0][132]},{months:i[1][68],days:i[1][69],eras:i[1][70],dayPeriods:i[0][154]},{nu:i[0][155],patterns:i[1][71],symbols:i[1][21],currencies:i[0][78]},{months:i[1][73],days:i[1][74],eras:i[1][75],dayPeriods:i[0][162]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][21],currencies:i[0][164]},{months:i[1][78],days:i[1][79],eras:i[1][80],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][173]},{months:i[1][83],days:i[1][84],eras:i[1][85],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][186]},{months:i[1][87],days:i[1][88],eras:i[1][85],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][193]},{months:i[1][89],days:i[1][90],eras:i[1][91],dayPeriods:i[0][200]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][78]},{months:i[1][94],days:i[1][95],eras:i[1][96],dayPeriods:i[0][214]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][215]},{months:i[1][97],days:i[1][98],eras:i[1][99],dayPeriods:i[0][221]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][222]},{months:i[1][100],days:i[1][101],eras:i[1][102],dayPeriods:i[0][228]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][21],currencies:i[0][164]},{months:i[1][104],days:i[1][105],eras:i[1][106],dayPeriods:i[0][240]},{months:i[1][107],eras:i[1][11]},{months:i[1][108],eras:i[1][13]},{months:i[1][109],eras:i[1][15]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][244]},{months:i[1][110],days:i[1][111],eras:i[1][112],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][78]},{months:i[1][114],days:i[1][115],eras:i[1][116],dayPeriods:i[0][259]},{months:i[1][117],eras:i[1][118]},{months:i[1][119],eras:i[1][120]},{nu:i[0][155],patterns:i[1][121],symbols:i[1][122],currencies:i[0][266]},{months:i[1][124],days:i[1][125],eras:i[1][126],dayPeriods:i[0][273]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][127],currencies:i[0][275]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][127],currencies:i[0][78]},{months:i[1][128],days:i[1][129],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][28],currencies:i[0][78]},{months:i[1][131],days:i[1][132],eras:i[1][133],dayPeriods:i[0][285]},{months:i[1][134],eras:i[1][13]},{nu:i[0][35],patterns:i[1][71],symbols:i[1][21],currencies:i[0][78]},{months:i[1][136],days:i[1][137],eras:i[1][138],dayPeriods:i[0][299]},{months:i[1][139],eras:i[1][15]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][302]},{eras:i[1][140]},{months:i[1][141],eras:i[1][4]},{months:i[1][142],eras:i[1][4]},{months:i[1][143],days:i[1][144],eras:i[1][145],dayPeriods:i[0][313]},{months:i[1][146],eras:i[1][11]},{months:i[1][147],eras:i[1][148]},{months:i[1][149],eras:i[1][150]},{eras:i[1][151]},{months:i[1][152],eras:i[1][153]},{eras:i[1][154]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][324]},{months:i[1][155],days:i[1][156],eras:i[1][157],dayPeriods:i[0][330]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][331]},{eras:i[1][159]},{months:i[1][160]},{months:i[1][161],days:i[1][162],eras:i[1][163],dayPeriods:i[0][341]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][342]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][343]},{months:i[1][164],days:i[1][165],eras:i[1][166],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][349]},{months:i[1][168],days:i[1][169],eras:i[1][170],dayPeriods:i[0][357]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][358]},{months:i[1][172],days:i[1][173],eras:i[1][174],dayPeriods:i[0][172]},{eras:i[1][175]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][372]},{months:i[1][177],days:i[1][178],eras:i[1][179],dayPeriods:i[0][172]},{months:i[1][181],days:i[1][182],eras:i[1][183],dayPeriods:i[0][172]},{eras:i[1][184]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][394]},{months:i[1][185],days:i[1][186],eras:i[1][187],dayPeriods:i[0][401]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][402]},{months:i[1][189],days:i[1][190],eras:i[1][191],dayPeriods:i[0][412]},{nu:i[0][35],patterns:i[1][192],symbols:i[1][81],currencies:i[0][413]},{months:i[1][193],days:i[1][190],eras:i[1][191],dayPeriods:i[0][412]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][413]},{nu:i[0][35],patterns:i[1][194],symbols:i[1][195],currencies:i[0][413]},{nu:i[0][35],patterns:i[1][192],symbols:i[1][195],currencies:i[0][413]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][418]},{months:i[1][196],days:i[1][197],eras:i[1][198],dayPeriods:i[0][425]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][199],currencies:i[0][78]},{months:i[1][200],days:i[1][201],eras:i[1][202],dayPeriods:i[0][433]},{months:i[1][203],days:i[1][204],eras:i[1][205],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][78]},{months:i[1][207],days:i[1][208],eras:i[1][70],dayPeriods:i[0][452]},{nu:i[0][453],patterns:i[1][209],symbols:i[1][210],currencies:i[0][455]},{months:i[1][211],days:i[1][212],eras:i[1][213],dayPeriods:i[0][462]},{months:i[1][215]},{months:i[1][216],eras:i[1][4]},{months:i[1][217],eras:i[1][4]},{months:i[1][218],days:i[1][219],eras:i[1][220],dayPeriods:i[0][475]},{months:i[1][221],eras:i[1][222]},{months:i[1][223],eras:i[1][13]},{months:i[1][215],eras:i[1][15]},{months:i[1][215],eras:i[1][18]},{eras:i[1][224]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][225],currencies:i[0][482]},{months:i[1][227],days:i[1][228],eras:i[1][229],dayPeriods:i[0][491]},{months:i[1][10],eras:i[1][230]},{eras:i[1][231]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][494]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][494]},{months:i[1][233]},{months:i[1][234],days:i[1][235],eras:i[1][236],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][506]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][173]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][508]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][509]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][506]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][510]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][511]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][519]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][520]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][521]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][522]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][523]},{months:i[1][241],days:i[1][242],eras:i[1][243],dayPeriods:i[0][532]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][533]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][534]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][535]},{months:i[1][234],days:i[1][235],eras:i[1][236],dayPeriods:i[0][536]},{months:i[1][245],eras:i[1][246]},{months:i[1][247],eras:i[1][15]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][538]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][539]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][540]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][541]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][542]},{eras:i[1][249]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][545]},{months:i[1][234],days:i[1][235],eras:i[1][236],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][71],symbols:i[1][21],currencies:i[0][506]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][549]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][550]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][551]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][552]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][553]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][554]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][555]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][558]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][559]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][560]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][561]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][562]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][564]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][565]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][566]},{nu:i[0][35],patterns:i[1][71],symbols:i[1][21],currencies:i[0][567]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][568]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][569]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][570]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][571]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][572]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][573]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][574]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][575]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][576]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][577]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][578]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][579]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][580]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][581]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][582]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][553]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][585]},{months:i[1][256],days:i[1][257],eras:i[1][258],dayPeriods:i[0][594]},{months:i[1][260],days:i[1][261],eras:i[1][262],dayPeriods:i[0][341]},{eras:i[1][263]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][609]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][611]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][612]},{nu:i[0][35],patterns:i[1][266],symbols:i[1][81],currencies:i[0][617]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][618]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][619]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][620]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][621]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][609]},{nu:i[0][35],patterns:i[1][266],symbols:i[1][81],currencies:i[0][609]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][609]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][622]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][623]},{months:i[1][268],days:i[1][269],eras:i[1][270],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][630]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][631]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][633]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][634]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][635]},{nu:i[0][35],patterns:i[1][272],symbols:i[1][81],currencies:i[0][637]},{months:i[1][260],days:i[1][261],eras:i[1][262],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][638]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][639]},{nu:i[0][35],patterns:i[1][266],symbols:i[1][81],currencies:i[0][640]},{months:i[1][275],days:i[1][276],eras:i[1][277],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][651]},{eras:i[1][279]},{months:i[1][280],days:i[1][281],eras:i[1][282],dayPeriods:i[0][172]},{eras:i[1][283]},{nu:i[0][35],patterns:i[1][284],symbols:i[1][81],currencies:i[0][661]},{months:i[1][285],days:i[1][286],eras:i[1][287],dayPeriods:i[0][668]},{months:i[1][289],days:i[1][290],eras:i[1][291],dayPeriods:i[0][678]},{months:i[1][292],eras:i[1][11]},{months:i[1][293],eras:i[1][294]},{months:i[1][295],eras:i[1][296]},{nu:i[0][690],patterns:i[1][297],symbols:i[1][298],currencies:i[0][693]},{months:i[1][299],days:i[1][290],eras:i[1][291],dayPeriods:i[0][678]},{months:i[1][300],eras:i[1][301]},{months:i[1][303],days:i[1][304],eras:i[1][305],dayPeriods:i[0][702]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][703]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][704]},{months:i[1][307],days:i[1][308],eras:i[1][309],dayPeriods:i[0][712]},{months:i[1][310],eras:i[1][11]},{months:i[1][311],eras:i[1][15]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][312],currencies:i[0][716]},{months:i[1][313],days:i[1][314],eras:i[1][315],dayPeriods:i[0][172]},{months:i[1][317],days:i[1][318],eras:i[1][319],dayPeriods:i[0][733]},{nu:i[0][35],patterns:i[1][320],symbols:i[1][321],currencies:i[0][735]},{eras:i[1][322]},{months:i[1][323]},{months:i[1][324],eras:i[1][325]},{months:i[1][326],eras:i[1][327]},{months:i[1][328],days:i[1][329],eras:i[1][330],dayPeriods:i[0][172]},{months:i[1][331],eras:i[1][332]},{months:i[1][333],eras:i[1][246]},{months:i[1][334],eras:i[1][15]},{eras:i[1][335]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][769]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][769]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][770]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][771]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][772]},{nu:i[0][35],patterns:i[1][194],symbols:i[1][195],currencies:i[0][769]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][773]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][774]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][775]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][776]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][777]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][778]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][779]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][780]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][781]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][782]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][783]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][784]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][785]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][786]},{months:i[1][338],days:i[1][339],eras:i[1][340],dayPeriods:i[0][793]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][78]},{months:i[1][342],days:i[1][343],eras:i[1][344],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][800]},{months:i[1][346],days:i[1][347],eras:i[1][348],dayPeriods:i[0][806]},{months:i[1][350],days:i[1][351],eras:i[1][352],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][816]},{months:i[1][354],days:i[1][355],eras:i[1][356],dayPeriods:i[0][822]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][357],currencies:i[0][824]},{months:i[1][358],days:i[1][359],eras:i[1][360],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][361],symbols:i[1][21],currencies:i[0][78]},{months:i[1][363],days:i[1][364],eras:i[1][365],dayPeriods:i[0][840]},{months:i[1][366],days:i[1][367],eras:i[1][368],dayPeriods:i[0][546]},{months:i[1][369],days:i[1][370],eras:i[1][371],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][851]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][852]},{months:i[1][373],days:i[1][374],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][376],days:i[1][377],eras:i[1][378],dayPeriods:i[0][870]},{months:i[1][379],eras:i[1][380]},{months:i[1][381],eras:i[1][382]},{eras:i[1][383]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][21],currencies:i[0][878]},{months:i[1][385],eras:i[1][4]},{months:i[1][386],days:i[1][387],eras:i[1][388],dayPeriods:i[0][888]},{months:i[1][389],eras:i[1][390]},{months:i[1][391],eras:i[1][15]},{eras:i[1][392]},{months:i[1][393],eras:i[1][18]},{nu:i[0][35],patterns:i[1][361],symbols:i[1][21],currencies:i[0][358]},{months:i[1][395],days:i[1][396],eras:i[1][397],dayPeriods:i[0][172]},{eras:i[1][398]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][903]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][904]},{eras:i[1][400]},{months:i[1][401]},{months:i[1][402],eras:i[1][4]},{months:i[1][403],eras:i[1][4]},{months:i[1][404],days:i[1][405],eras:i[1][406],dayPeriods:i[0][923]},{months:i[1][407],eras:i[1][408]},{months:i[1][245],eras:i[1][13]},{months:i[1][409],eras:i[1][410]},{months:i[1][411],eras:i[1][18]},{eras:i[1][412]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][930]},{months:i[1][414],days:i[1][415],eras:i[1][416],dayPeriods:i[0][940]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][941]},{months:i[1][417],days:i[1][418],eras:i[1][419],dayPeriods:i[0][546]},{months:i[1][421],days:i[1][422],eras:i[1][423],dayPeriods:i[0][172]},{months:i[1][424],eras:i[1][11]},{months:i[1][425],eras:i[1][15]},{eras:i[1][426]},{eras:i[1][427]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][958]},{months:i[1][428],days:i[1][429],eras:i[1][430],dayPeriods:i[0][965]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][852]},{months:i[1][431],days:i[1][432],eras:i[1][433],dayPeriods:i[0][970]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][275]},{months:i[1][435],days:i[1][436],eras:i[1][437],dayPeriods:i[0][979]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][980]},{eras:i[1][439]},{months:i[1][440],days:i[1][441],eras:i[1][442],dayPeriods:i[0][172]},{eras:i[1][443]},{nu:i[0][35],patterns:i[1][444],symbols:i[1][195],currencies:i[0][78]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][78]},{eras:i[1][446]},{months:i[1][447]},{months:i[1][448],eras:i[1][4]},{months:i[1][449],eras:i[1][4]},{months:i[1][450],days:i[1][451],eras:i[1][452],dayPeriods:i[0][1006]},{months:i[1][453],eras:i[1][11]},{months:i[1][454],eras:i[1][455]},{months:i[1][456],eras:i[1][15]},{eras:i[1][457]},{months:i[1][458],eras:i[1][18]},{eras:i[1][459]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1016]},{months:i[1][461],days:i[1][462],eras:i[1][463],dayPeriods:i[0][1021]},{months:i[1][464],days:i[1][465],eras:i[1][466],dayPeriods:i[0][1027]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][164]},{months:i[1][468],days:i[1][469],eras:i[1][470],dayPeriods:i[0][1036]},{months:i[1][471],eras:i[1][11]},{months:i[1][472],eras:i[1][15]},{months:i[1][473],eras:i[1][18]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][474],currencies:i[0][1042]},{months:i[1][475],days:i[1][476],eras:i[1][477],dayPeriods:i[0][1049]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][28],currencies:i[0][1050]},{months:i[1][478],days:i[1][479],eras:i[1][480],dayPeriods:i[0][1057]},{months:i[1][481],days:i[1][482],eras:i[1][483],dayPeriods:i[0][1063]},{months:i[1][485],days:i[1][486],eras:i[1][487],dayPeriods:i[0][536]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][81],currencies:i[0][1074]},{months:i[1][196],days:i[1][488],eras:i[1][489],dayPeriods:i[0][1078]},{months:i[1][490],days:i[1][491],eras:i[1][213],dayPeriods:i[0][1083]},{months:i[1][493],eras:i[1][4]},{months:i[1][494],days:i[1][495],eras:i[1][496],dayPeriods:i[0][1089]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][1090]},{months:i[1][498],days:i[1][499],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][501],days:i[1][502],eras:i[1][503],dayPeriods:i[0][1102]},{nu:i[0][35],patterns:i[1][320],symbols:i[1][321],currencies:i[0][1103]},{months:i[1][504],days:i[1][505],eras:i[1][506],dayPeriods:i[0][1110]},{eras:i[1][508]},{months:i[1][509],days:i[1][510],eras:i[1][511],dayPeriods:i[0][1117]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1118]},{months:i[1][513],days:i[1][514],eras:i[1][515],dayPeriods:i[0][172]},{eras:i[1][517]},{months:i[1][518],eras:i[1][4]},{months:i[1][519]},{months:i[1][520],eras:i[1][4]},{months:i[1][521],days:i[1][522],eras:i[1][523],dayPeriods:i[0][1143]},{months:i[1][524],eras:i[1][11]},{eras:i[1][525]},{eras:i[1][526]},{nu:i[0][35],patterns:i[1][527],symbols:i[1][21],currencies:i[0][1074]},{months:i[1][528],days:i[1][529],eras:i[1][530],dayPeriods:i[0][1152]},{months:i[1][531],days:i[1][532],eras:i[1][533],dayPeriods:i[0][172]},{months:i[1][534],eras:i[1][13]},{nu:i[0][690],patterns:i[1][71],symbols:i[1][535],currencies:i[0][78]},{months:i[1][536],days:i[1][537],eras:i[1][538],dayPeriods:i[0][1164]},{months:i[1][539],days:i[1][540],eras:i[1][541],dayPeriods:i[0][1171]},{months:i[1][543],days:i[1][544],eras:i[1][545],dayPeriods:i[0][1179]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][546],currencies:i[0][78]},{months:i[1][547],days:i[1][548],eras:i[1][368],dayPeriods:i[0][546]},{months:i[1][550],days:i[1][551],eras:i[1][552],dayPeriods:i[0][1197]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][553],currencies:i[0][1199]},{months:i[1][554],days:i[1][555],eras:i[1][556],dayPeriods:i[0][1206]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][164]},{months:i[1][557],days:i[1][558],eras:i[1][559],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][21],currencies:i[0][349]},{months:i[1][560],days:i[1][561],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][358]},{months:i[1][562],days:i[1][563],eras:i[1][564],dayPeriods:i[0][1220]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][1221]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][1222]},{eras:i[1][566]},{months:i[1][567],eras:i[1][4]},{months:i[1][568],eras:i[1][4]},{months:i[1][569],days:i[1][570],eras:i[1][571],dayPeriods:i[0][1231]},{months:i[1][572],eras:i[1][11]},{months:i[1][573],eras:i[1][574]},{months:i[1][575],eras:i[1][15]},{eras:i[1][576]},{months:i[1][577],eras:i[1][578]},{eras:i[1][579]},{nu:i[0][35],patterns:i[1][266],symbols:i[1][580],currencies:i[0][1245]},{months:i[1][582],days:i[1][583],eras:i[1][584],dayPeriods:i[0][1257]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][1258]},{months:i[1][585],days:i[1][586],eras:i[1][587],dayPeriods:i[0][1265]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][81],currencies:i[0][1222]},{months:i[1][588],days:i[1][589],eras:i[1][590],dayPeriods:i[0][1271]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][21],currencies:i[0][402]},{months:i[1][591],days:i[1][592],eras:i[1][593],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][594],symbols:i[1][21],currencies:i[0][402]},{months:i[1][596],days:i[1][597],eras:i[1][598],dayPeriods:i[0][1284]},{months:i[1][599],eras:i[1][11]},{months:i[1][600],eras:i[1][15]},{nu:i[0][35],patterns:i[1][527],symbols:i[1][601],currencies:i[0][1288]},{months:i[1][602],days:i[1][603],eras:i[1][604],dayPeriods:i[0][1294]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1295]},{months:i[1][605],days:i[1][606],eras:i[1][607],dayPeriods:i[0][1302]},{months:i[1][608],days:i[1][609],eras:i[1][610],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][199],currencies:i[0][1309]},{months:i[1][611],days:i[1][612],eras:i[1][613],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1315]},{months:i[1][615],days:i[1][616],eras:i[1][617],dayPeriods:i[0][1322]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][1323]},{months:i[1][618],days:i[1][619],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][78]},{months:i[1][621],days:i[1][622],eras:i[1][623],dayPeriods:i[0][1337]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][1338]},{months:i[1][625],days:i[1][626],eras:i[1][627],dayPeriods:i[0][172]},{months:i[1][628],eras:i[1][629]},{months:i[1][630],eras:i[1][631]},{nu:i[0][35],patterns:i[1][632],symbols:i[1][633],currencies:i[0][358]},{months:i[1][635],days:i[1][636],eras:i[1][637],dayPeriods:i[0][1358]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][1359]},{months:i[1][639],days:i[1][640],eras:i[1][641],dayPeriods:i[0][1368]},{nu:i[0][1369],patterns:i[1][20],symbols:i[1][642],currencies:i[0][358]},{months:i[1][644]},{months:i[1][645],days:i[1][646],eras:i[1][647],dayPeriods:i[0][1378]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][1379]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1380]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1381]},{months:i[1][648],days:i[1][649],eras:i[1][650],dayPeriods:i[0][1388]},{months:i[1][651],days:i[1][652],eras:i[1][653],dayPeriods:i[0][1395]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][78]},{months:i[1][655],days:i[1][656],eras:i[1][657],dayPeriods:i[0][1400]},{nu:i[0][1401],patterns:i[1][27],symbols:i[1][658],currencies:i[0][1404]},{months:i[1][659],days:i[1][660],eras:i[1][661],dayPeriods:i[0][1409]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1410]},{months:i[1][663],days:i[1][664],eras:i[1][665],dayPeriods:i[0][546]},{nu:i[0][35],patterns:i[1][192],symbols:i[1][28],currencies:i[0][1418]},{months:i[1][666],days:i[1][667],eras:i[1][668],dayPeriods:i[0][172]},{months:i[1][670],days:i[1][671],eras:i[1][672],dayPeriods:i[0][888]},{months:i[1][673],eras:i[1][13]},{nu:i[0][1369],patterns:i[1][20],symbols:i[1][642],currencies:i[0][1432]},{months:i[1][674],days:i[1][675],eras:i[1][672],dayPeriods:i[0][1434]},{months:i[1][676]},{months:i[1][677],eras:i[1][4]},{months:i[1][678]},{months:i[1][679],eras:i[1][4]},{months:i[1][680],days:i[1][681],eras:i[1][682],dayPeriods:i[0][172]},{months:i[1][683],eras:i[1][11]},{months:i[1][684],eras:i[1][246]},{months:i[1][685],eras:i[1][686]},{nu:i[0][35],patterns:i[1][687],symbols:i[1][81],currencies:i[0][1450]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][1451]},{nu:i[0][35],patterns:i[1][687],symbols:i[1][81],currencies:i[0][1452]},{nu:i[0][35],patterns:i[1][687],symbols:i[1][81],currencies:i[0][1453]},{nu:i[0][35],patterns:i[1][687],symbols:i[1][81],currencies:i[0][1451]},{nu:i[0][35],patterns:i[1][687],symbols:i[1][81],currencies:i[0][1454]},{months:i[1][688],days:i[1][689],eras:i[1][690],dayPeriods:i[0][1461]},{months:i[1][692],days:i[1][693],eras:i[1][694],dayPeriods:i[0][1469]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][1470]},{months:i[1][696],days:i[1][697],eras:i[1][698],dayPeriods:i[0][1478]},{months:i[1][699],days:i[1][700],eras:i[1][701],dayPeriods:i[0][172]},{months:i[1][702],days:i[1][703],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][705],days:i[1][706],eras:i[1][707],dayPeriods:i[0][1495]},{months:i[1][708],days:i[1][709],eras:i[1][710],dayPeriods:i[0][1501]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1502]},{months:i[1][711],days:i[1][712],eras:i[1][70],dayPeriods:i[0][536]},{months:i[1][714],days:i[1][715],eras:i[1][716],dayPeriods:i[0][1511]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][717],currencies:i[0][358]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][717],currencies:i[0][1513]},{months:i[1][719],days:i[1][720],eras:i[1][721],dayPeriods:i[0][172]},{months:i[1][722],days:i[1][723],eras:i[1][724],dayPeriods:i[0][172]},{nu:i[0][690],patterns:i[1][71],symbols:i[1][21],currencies:i[0][1522]},{months:i[1][726],days:i[1][727],eras:i[1][728],dayPeriods:i[0][172]},{months:i[1][729],eras:i[1][11]},{months:i[1][730],eras:i[1][15]},{months:i[1][731],eras:i[1][18]},{eras:i[1][732]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][1534]},{months:i[1][734],days:i[1][735],eras:i[1][736],dayPeriods:i[0][1536]},{months:i[1][737],eras:i[1][18]},{nu:i[0][690],patterns:i[1][76],symbols:i[1][738],currencies:i[0][1539]},{months:i[1][740]},{months:i[1][741],days:i[1][742],eras:i[1][743],dayPeriods:i[0][172]},{eras:i[1][744]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1547]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1548]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1549]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1550]},{months:i[1][746]},{months:i[1][747],days:i[1][748],eras:i[1][749],dayPeriods:i[0][1561]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][1548]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1562]},{months:i[1][750],days:i[1][751],eras:i[1][752],dayPeriods:i[0][1569]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][357],currencies:i[0][78]},{months:i[1][753],days:i[1][754],eras:i[1][755],dayPeriods:i[0][1576]},{nu:i[0][35],patterns:i[1][756],symbols:i[1][81],currencies:i[0][1577]},{eras:i[1][758]},{months:i[1][759],eras:i[1][4]},{months:i[1][760],eras:i[1][4]},{months:i[1][761],days:i[1][762],eras:i[1][763],dayPeriods:i[0][546]},{months:i[1][764],eras:i[1][11]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][1591]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][81],currencies:i[0][1592]},{months:i[1][765],days:i[1][766],eras:i[1][767],dayPeriods:i[0][1597]},{months:i[1][2],days:i[1][768],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][769],eras:i[1][4]},{months:i[1][770],eras:i[1][4]},{months:i[1][771],days:i[1][772],eras:i[1][773],dayPeriods:i[0][172]},{months:i[1][774],eras:i[1][11]},{months:i[1][775],eras:i[1][13]},{months:i[1][776],eras:i[1][15]},{eras:i[1][777]},{months:i[1][778],eras:i[1][18]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][779],currencies:i[0][1612]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][779],currencies:i[0][1613]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][779],currencies:i[0][1614]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][779],currencies:i[0][1615]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][779],currencies:i[0][1616]},{months:i[1][780],days:i[1][781],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][81],currencies:i[0][1621]},{months:i[1][782],days:i[1][783],eras:i[1][784],dayPeriods:i[0][1627]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][1628]},{months:i[1][785],days:i[1][786],eras:i[1][787],dayPeriods:i[0][1634]},{months:i[1][789],days:i[1][790],eras:i[1][791],dayPeriods:i[0][1642]},{months:i[1][792],days:i[1][793],eras:i[1][794],dayPeriods:i[0][1649]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][546],currencies:i[0][1650]},{months:i[1][795],days:i[1][796],eras:i[1][794],dayPeriods:i[0][1649]},{months:i[1][798],days:i[1][799],eras:i[1][800],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][33],symbols:i[1][81],currencies:i[0][1323]},{months:i[1][196],days:i[1][801],eras:i[1][198],dayPeriods:i[0][1078]},{months:i[1][802],days:i[1][803],eras:i[1][804],dayPeriods:i[0][1666]},{nu:i[0][35],patterns:i[1][266],symbols:i[1][81],currencies:i[0][78]},{months:i[1][805],days:i[1][806],eras:i[1][807],dayPeriods:i[0][1673]},{months:i[1][808],days:i[1][809],eras:i[1][810],dayPeriods:i[0][1680]},{months:i[1][812],days:i[1][813],eras:i[1][814],dayPeriods:i[0][1692]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1693]},{months:i[1][816],days:i[1][817],eras:i[1][818],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][28],currencies:i[0][1701]},{months:i[1][820],days:i[1][821],eras:i[1][822],dayPeriods:i[0][1709]},{nu:i[0][35],patterns:i[1][527],symbols:i[1][81],currencies:i[0][1710]},{months:i[1][823],days:i[1][824],eras:i[1][825],dayPeriods:i[0][172]},{months:i[1][826],days:i[1][827],eras:i[1][828],dayPeriods:i[0][1722]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1723]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1724]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1725]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1726]},{months:i[1][830],days:i[1][831],eras:i[1][832],dayPeriods:i[0][1735]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][1736]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][28],currencies:i[0][1737]},{months:i[1][834],days:i[1][835],eras:i[1][145],dayPeriods:i[0][313]},{months:i[1][836],days:i[1][837],eras:i[1][145],dayPeriods:i[0][313]},{months:i[1][838],eras:i[1][4]},{months:i[1][839],eras:i[1][4]},{months:i[1][840],days:i[1][841],eras:i[1][842],dayPeriods:i[0][299]},{months:i[1][843],eras:i[1][11]},{months:i[1][844],eras:i[1][246]},{months:i[1][845],eras:i[1][15]},{eras:i[1][846]},{months:i[1][847],eras:i[1][18]},{eras:i[1][848]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][1759]},{months:i[1][849],days:i[1][850],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][1764]},{months:i[1][22],days:i[1][851],eras:i[1][9],dayPeriods:i[0][22]},{months:i[1][852],days:i[1][853],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][1771]},{months:i[1][855],eras:i[1][4]},{months:i[1][856],eras:i[1][4]},{months:i[1][857],days:i[1][858],eras:i[1][859],dayPeriods:i[0][1778]},{months:i[1][860],eras:i[1][11]},{months:i[1][861],eras:i[1][862]},{months:i[1][863],eras:i[1][15]},{eras:i[1][864]},{months:i[1][865],eras:i[1][18]},{eras:i[1][866]},{nu:i[0][35],patterns:i[1][92],symbols:i[1][546],currencies:i[0][1786]},{months:i[1][857],days:i[1][858],eras:i[1][867],dayPeriods:i[0][1778]},{months:i[1][869],days:i[1][870],eras:i[1][187],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1789]},{months:i[1][871],days:i[1][872],eras:i[1][873],dayPeriods:i[0][1796]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][81],currencies:i[0][1222]},{months:i[1][875]},{months:i[1][876],days:i[1][877],eras:i[1][878],dayPeriods:i[0][1806]},{nu:i[0][35],patterns:i[1][71],symbols:i[1][21],currencies:i[0][358]},{nu:i[0][35],patterns:i[1][71],symbols:i[1][21],currencies:i[0][1807]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][1808]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][1381]},{months:i[1][880],days:i[1][881],eras:i[1][882],dayPeriods:i[0][172]},{months:i[1][883],eras:i[1][884]},{months:i[1][885],days:i[1][886],eras:i[1][787],dayPeriods:i[0][1825]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1826]},{months:i[1][887],days:i[1][888],eras:i[1][889],dayPeriods:i[0][1833]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][1834]},{eras:i[1][890]},{months:i[1][891],eras:i[1][4]},{months:i[1][892],eras:i[1][4]},{months:i[1][893],days:i[1][894],eras:i[1][895],dayPeriods:i[0][1846]},{months:i[1][896],eras:i[1][897]},{months:i[1][898],eras:i[1][899]},{months:i[1][900],eras:i[1][901]},{eras:i[1][902]},{months:i[1][903],eras:i[1][904]},{eras:i[1][905]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1859]},{months:i[1][906],days:i[1][907],eras:i[1][39],dayPeriods:i[0][1863]},{months:i[1][908],days:i[1][909],eras:i[1][39],dayPeriods:i[0][1863]},{months:i[1][908],days:i[1][910],eras:i[1][39],dayPeriods:i[0][1869]},{months:i[1][911],days:i[1][912],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][28],currencies:i[0][1874]},{months:i[1][914],days:i[1][915],eras:i[1][916],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][917],currencies:i[0][1885]},{months:i[1][919],eras:i[1][4]},{months:i[1][920],eras:i[1][4]},{months:i[1][921],days:i[1][922],eras:i[1][923],dayPeriods:i[0][1898]},{months:i[1][924],eras:i[1][11]},{months:i[1][925],eras:i[1][926]},{months:i[1][927],eras:i[1][18]},{nu:i[0][35],patterns:i[1][928],symbols:i[1][81],currencies:i[0][1904]},{months:i[1][929],days:i[1][930],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][196],days:i[1][801],eras:i[1][198],dayPeriods:i[0][425]},{months:i[1][931],days:i[1][932],eras:i[1][933],dayPeriods:i[0][1915]},{months:i[1][935],eras:i[1][4]},{months:i[1][936],eras:i[1][4]},{months:i[1][937],days:i[1][938],eras:i[1][939],dayPeriods:i[0][1927]},{months:i[1][940],eras:i[1][11]},{months:i[1][941],eras:i[1][13]},{months:i[1][942],eras:i[1][15]},{eras:i[1][943]},{months:i[1][944],eras:i[1][18]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][945],currencies:i[0][1937]},{months:i[1][947],days:i[1][948],eras:i[1][949],dayPeriods:i[0][1943]},{months:i[1][950],eras:i[1][951]},{nu:i[0][690],patterns:i[1][71],symbols:i[1][952],currencies:i[0][1947]},{months:i[1][947],days:i[1][953],eras:i[1][949],dayPeriods:i[0][1943]},{nu:i[0][35],patterns:i[1][954],symbols:i[1][952],currencies:i[0][1947]},{months:i[1][955],days:i[1][956],eras:i[1][957],dayPeriods:i[0][172]},{months:i[1][958],eras:i[1][15]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][28],currencies:i[0][1956]},{months:i[1][960],days:i[1][961],eras:i[1][736],dayPeriods:i[0][172]},{nu:i[0][690],patterns:i[1][76],symbols:i[1][738],currencies:i[0][1959]},{months:i[1][962],days:i[1][963],eras:i[1][964],dayPeriods:i[0][172]},{months:i[1][965],eras:i[1][15]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][28],currencies:i[0][1964]},{months:i[1][966],days:i[1][967],eras:i[1][70],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][1967]},{months:i[1][968],days:i[1][969],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][970],days:i[1][971],eras:i[1][70],dayPeriods:i[0][172]},{months:i[1][973],days:i[1][974],eras:i[1][975],dayPeriods:i[0][1982]},{eras:i[1][976]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][81],currencies:i[0][1074]},{months:i[1][977],days:i[1][978],eras:i[1][979],dayPeriods:i[0][1989]},{months:i[1][981],days:i[1][982],eras:i[1][983],dayPeriods:i[0][172]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][984],currencies:i[0][1998]},{months:i[1][908],days:i[1][985],eras:i[1][986],dayPeriods:i[0][2001]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][357],currencies:i[0][43]},{months:i[1][987],days:i[1][988],eras:i[1][989],dayPeriods:i[0][172]},{months:i[1][557],days:i[1][990],eras:i[1][991],dayPeriods:i[0][2011]},{nu:i[0][35],patterns:i[1][76],symbols:i[1][21],currencies:i[0][349]},{months:i[1][992],days:i[1][993],eras:i[1][994],dayPeriods:i[0][2018]},{months:i[1][995],days:i[1][996],eras:i[1][997],dayPeriods:i[0][2025]},{months:i[1][998],days:i[1][999],eras:i[1][997],dayPeriods:i[0][2030]},{months:i[1][805],days:i[1][1e3],eras:i[1][807],dayPeriods:i[0][1673]},{nu:i[0][35],patterns:i[1][756],symbols:i[1][28],currencies:i[0][78]},{eras:i[1][1002]},{months:i[1][1003],eras:i[1][4]},{months:i[1][1004],days:i[1][1005],eras:i[1][1006],dayPeriods:i[0][2041]},{months:i[1][1007],eras:i[1][1008]},{months:i[1][1004],eras:i[1][1009]},{months:i[1][1004],eras:i[1][1010]},{eras:i[1][1011]},{months:i[1][1004],eras:i[1][1012]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][2049]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][2050]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][2053]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][21],currencies:i[0][2054]},{months:i[1][1016]},{nu:i[0][35],patterns:i[1][27],symbols:i[1][21],currencies:i[0][2060]},{eras:i[1][1018]},{months:i[1][1019],eras:i[1][4]},{months:i[1][450],days:i[1][1020],eras:i[1][1021],dayPeriods:i[0][2041]},{months:i[1][1022],eras:i[1][1023]},{months:i[1][1024],eras:i[1][1025]},{months:i[1][1026],eras:i[1][1027]},{eras:i[1][1028]},{months:i[1][450],eras:i[1][1029]},{eras:i[1][1030]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][1031],currencies:i[0][2075]},{months:i[1][1032],days:i[1][1033],eras:i[1][315],dayPeriods:i[0][2081]},{nu:i[0][35],patterns:i[1][20],symbols:i[1][1034],currencies:i[0][64]}];i[3]=[{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][6],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][14],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][17],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][20],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][22],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][24],ethiopic:i[2][25],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][26],hebrew:i[2][7],indian:i[2][8],islamic:i[2][27],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][32],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][40],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][44],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][45],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][47],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][29],chinese:i[2][1],coptic:i[2][30],ethiopic:i[2][31],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][48],hebrew:i[2][33],indian:i[2][8],islamic:i[2][34],japanese:i[2][35],persian:i[2][36],roc:i[2][37]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][53],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][55],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][57],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][59],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][61],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][63],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][65],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][67],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][69],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][71],hebrew:i[2][72],indian:i[2][73],islamic:i[2][74],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][76],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][78],hebrew:i[2][7],indian:i[2][79],islamic:i[2][80],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][82],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][85],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][87],hebrew:i[2][7],indian:i[2][88],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][90],hebrew:i[2][7],indian:i[2][8],islamic:i[2][91],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][93],chinese:i[2][1],coptic:i[2][94],ethiopic:i[2][95],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][96],hebrew:i[2][97],indian:i[2][98],islamic:i[2][99],japanese:i[2][100],persian:i[2][101],roc:i[2][102]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][104],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][106],chinese:i[2][107],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][108],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][111],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][113],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][115],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][116]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][118],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][119],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][122],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][124],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][126],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][131],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][133],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][134],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][136],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][138],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][139],coptic:i[2][140],ethiopic:i[2][141],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][142],hebrew:i[2][143],indian:i[2][144],islamic:i[2][145],japanese:i[2][10],persian:i[2][146],roc:i[2][147]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][149],hebrew:i[2][150],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][151]},{buddhist:i[2][0],chinese:i[2][154],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][155],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][154],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][168],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][107],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][172],hebrew:i[2][7],indian:i[2][173],islamic:i[2][174],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][154],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][155],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][180],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][154],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][182],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][217],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][218],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][219]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][233],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][219]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][240],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][219]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][244],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][246],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][247],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][248]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][250],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][251],hebrew:i[2][252],indian:i[2][8],islamic:i[2][253],japanese:i[2][10],persian:i[2][254],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][256],hebrew:i[2][252],indian:i[2][8],islamic:i[2][253],japanese:i[2][10],persian:i[2][257],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][258],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][261],hebrew:i[2][262],indian:i[2][8],islamic:i[2][263],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][265],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][266],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][268],chinese:i[2][269],coptic:i[2][270],dangi:i[2][269],ethiopic:i[2][271],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][272],hebrew:i[2][273],indian:i[2][274],islamic:i[2][275],japanese:i[2][10],persian:i[2][11],roc:i[2][276]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][297],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][299],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][301],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][302],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][304],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][306],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][308],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][309],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][310],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][313],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][314],hebrew:i[2][315],indian:i[2][8],islamic:i[2][316],japanese:i[2][317],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][319],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][320],hebrew:i[2][7],indian:i[2][321],islamic:i[2][322],japanese:i[2][323],persian:i[2][324],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][326],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][327]},{buddhist:i[2][330],chinese:i[2][331],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][334],hebrew:i[2][335],indian:i[2][336],islamic:i[2][337],japanese:i[2][10],persian:i[2][338],roc:i[2][339]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][341],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][343],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][107],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][344],hebrew:i[2][345],indian:i[2][173],islamic:i[2][346],japanese:i[2][347],persian:i[2][338],roc:i[2][348]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][350],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][352],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][354],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][356],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][357],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][358]},{buddhist:i[2][361],chinese:i[2][362],coptic:i[2][363],dangi:i[2][362],ethiopic:i[2][364],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][365],hebrew:i[2][366],indian:i[2][367],islamic:i[2][368],japanese:i[2][369],persian:i[2][370],roc:i[2][371]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][373],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][374],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][376],hebrew:i[2][377],indian:i[2][8],islamic:i[2][378],japanese:i[2][10],persian:i[2][379],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][381],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][383],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][384],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][385],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][387],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][388],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][389],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][390],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][392],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][393],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][395],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][396],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][397],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][399],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][400],chinese:i[2][1],coptic:i[2][401],dangi:i[2][402],ethiopic:i[2][403],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][404],hebrew:i[2][405],indian:i[2][8],islamic:i[2][9],japanese:i[2][406],persian:i[2][11],roc:i[2][407]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][409],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][410],hebrew:i[2][7],indian:i[2][411],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][413],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][414],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][415],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][417],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][418],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][420],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][422],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][424],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][426],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][429],chinese:i[2][107],coptic:i[2][430],ethiopic:i[2][431],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][432],hebrew:i[2][433],indian:i[2][434],islamic:i[2][435],japanese:i[2][436],persian:i[2][437],roc:i[2][438]},{buddhist:i[2][0],chinese:i[2][107],coptic:i[2][389],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][440],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][442],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][444],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][446],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][448],hebrew:i[2][449],indian:i[2][8],islamic:i[2][450],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][452],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][454],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][455],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][457],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][459],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][461],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][463],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][465],hebrew:i[2][7],indian:i[2][466],islamic:i[2][467],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][469],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][471],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][473],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][474],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][478],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][479],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][481],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][483],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][485],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][487],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][488],hebrew:i[2][7],indian:i[2][489],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][491],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][492],coptic:i[2][493],dangi:i[2][494],ethiopic:i[2][495],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][496],hebrew:i[2][497],indian:i[2][498],islamic:i[2][499],japanese:i[2][10],persian:i[2][338],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][506],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][507],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][509],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][510],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][511],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][512],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][513],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][515],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][516],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][519],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][520],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][331],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][522],hebrew:i[2][523],indian:i[2][336],islamic:i[2][524],japanese:i[2][10],persian:i[2][525],roc:i[2][526]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][528],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][529],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][531],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][532],hebrew:i[2][345],indian:i[2][336],islamic:i[2][9],japanese:i[2][10],persian:i[2][338],roc:i[2][533]},{buddhist:i[2][0],chinese:i[2][538],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][539],hebrew:i[2][345],indian:i[2][336],islamic:i[2][9],japanese:i[2][10],persian:i[2][338],roc:i[2][533]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][542],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][544],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][546],chinese:i[2][331],coptic:i[2][547],ethiopic:i[2][548],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][549],hebrew:i[2][550],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][553],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][554],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][331],coptic:i[2][555],ethiopic:i[2][556],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][557],hebrew:i[2][558],indian:i[2][559],islamic:i[2][560],japanese:i[2][561],persian:i[2][562],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][568],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][570],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][572],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][573],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][574],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][576],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][577],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][579],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][580],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][582],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][583],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][584],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][586],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][588],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][590],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][591],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][596],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][93],chinese:i[2][1],coptic:i[2][94],ethiopic:i[2][95],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][599],hebrew:i[2][97],indian:i[2][98],islamic:i[2][99],japanese:i[2][100],persian:i[2][101],roc:i[2][102]},{buddhist:i[2][93],chinese:i[2][1],coptic:i[2][94],ethiopic:i[2][95],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][600],hebrew:i[2][97],indian:i[2][98],islamic:i[2][99],japanese:i[2][100],persian:i[2][101],roc:i[2][102]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][601],ethiopic:i[2][602],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][603],hebrew:i[2][604],indian:i[2][605],islamic:i[2][606],japanese:i[2][607],persian:i[2][608],roc:i[2][609]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][611],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][613],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][614],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][616],dangi:i[0][1403],ethiopic:i[2][617],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][618],hebrew:i[2][619],indian:i[2][620],islamic:i[2][621],japanese:i[2][622],persian:i[2][623],roc:i[2][624]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][616],dangi:i[0][1403],ethiopic:i[2][617],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][626],hebrew:i[2][619],indian:i[2][620],islamic:i[2][621],japanese:i[2][622],persian:i[2][623],roc:i[2][624]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][627],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][629],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][631],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][632],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][637],hebrew:i[2][7],indian:i[2][638],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][639],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][641],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][643],chinese:i[2][107],coptic:i[2][644],dangi:i[2][107],ethiopic:i[2][645],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][646],hebrew:i[2][647],indian:i[2][648],islamic:i[2][649],japanese:i[2][650],persian:i[2][651],roc:i[2][652]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][654],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][655],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][656],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][657],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][659],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][661],ethiopic:i[2][662],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][663],hebrew:i[2][664],indian:i[2][8],islamic:i[2][665],japanese:i[2][10],persian:i[2][666],roc:i[2][120]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][668],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][669],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][670],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][671],ethiopic:i[2][672],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][673],hebrew:i[2][674],indian:i[2][675],islamic:i[2][676],japanese:i[2][677],persian:i[2][678],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][680],hebrew:i[2][7],indian:i[2][8],islamic:i[2][681],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][683],hebrew:i[2][7],indian:i[2][8],islamic:i[2][681],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][685],hebrew:i[2][7],indian:i[2][8],islamic:i[2][686],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][688],hebrew:i[2][7],indian:i[2][8],islamic:i[2][686],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][690],hebrew:i[2][7],indian:i[2][8],islamic:i[2][691],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][693],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][695],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][696],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][107],coptic:i[2][332],ethiopic:i[2][333],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][697],hebrew:i[2][345],indian:i[2][336],islamic:i[2][9],japanese:i[2][10],persian:i[2][338],roc:i[2][698]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][700],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][701],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][703],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][705],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][706],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][708],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][709],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][710],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][711],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]},{buddhist:i[2][713],chinese:i[2][362],coptic:i[2][714],ethiopic:i[2][714],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][715],hebrew:i[2][716],indian:i[2][717],islamic:i[2][718],japanese:i[2][719],persian:i[2][720],roc:i[2][371]},{buddhist:i[2][713],chinese:i[2][725],coptic:i[2][714],ethiopic:i[2][714],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][715],hebrew:i[2][716],indian:i[2][717],islamic:i[2][718],japanese:i[2][719],persian:i[2][720],roc:i[2][371]},{buddhist:i[2][727],chinese:i[2][362],coptic:i[2][728],dangi:i[2][362],ethiopic:i[2][728],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][729],hebrew:i[2][730],indian:i[2][731],islamic:i[2][732],japanese:i[2][733],persian:i[2][734],roc:i[2][735]},{buddhist:i[2][0],chinese:i[2][1],coptic:i[2][2],ethiopic:i[2][3],ethioaa:i[2][4],generic:i[2][5],gregory:i[2][737],hebrew:i[2][7],indian:i[2][8],islamic:i[2][9],japanese:i[2][10],persian:i[2][11],roc:i[2][12]}];i[4]=[{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][0]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][1]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][23],calendars:i[3][2]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][23],calendars:i[3][2]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][3]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][34],calendars:i[3][4]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][38],calendars:i[3][5]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][45],calendars:i[3][6]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][61],calendars:i[3][7]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][45],calendars:i[3][8]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][45],calendars:i[3][9]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][61],calendars:i[3][10]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][45],calendars:i[3][11]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][12]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][13]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][77],calendars:i[3][14]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][82],calendars:i[3][15]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][86],calendars:i[3][16]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][17]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][93],calendars:i[3][18]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][19]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][20]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][103],calendars:i[3][21]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][22]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][113],calendars:i[3][23]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][123],calendars:i[3][24]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][25]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][130],calendars:i[3][26]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][135],calendars:i[3][27]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][135],calendars:i[3][28]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][29]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][158],calendars:i[3][30]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][31]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][167],calendars:i[3][32]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][171],calendars:i[3][33]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][176],calendars:i[3][34]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][180],calendars:i[3][35]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][36]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][188],calendars:i[3][37]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][188],calendars:i[3][38]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][39]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][40]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][41]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][206],calendars:i[3][42]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][72],calendars:i[3][43]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][214],calendars:i[3][44]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][226],calendars:i[3][45]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][232],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][237],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][238],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][239],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][239],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][240],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][232],calendars:i[3][47]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][244],calendars:i[3][48]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][248],calendars:i[3][49]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][237],calendars:i[3][50]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][250],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][251],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][252],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][253],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][254],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][255],calendars:i[3][46]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][51]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][259],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][264],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][265],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][259],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][267],calendars:i[3][53]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][271],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][271],calendars:i[3][52]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][273],calendars:i[3][54]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][274],calendars:i[3][55]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][278],calendars:i[3][56]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][57]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][288],calendars:i[3][58]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][288],calendars:i[3][59]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][60]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][306],calendars:i[3][61]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][232],calendars:i[3][62]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][316],calendars:i[3][63]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][64]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][336],calendars:i[3][64]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][337],calendars:i[3][65]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][341],calendars:i[3][66]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][345],calendars:i[3][67]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][349],calendars:i[3][68]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][353],calendars:i[3][69]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][113],calendars:i[3][70]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][71]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][72]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][362],calendars:i[3][73]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][372],calendars:i[3][74]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][375],calendars:i[3][75]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][384],calendars:i[3][76]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][394],calendars:i[3][77]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][399],calendars:i[3][78]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][413],calendars:i[3][79]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][80]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][420],calendars:i[3][81]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][82]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][83]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][434],calendars:i[3][84]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][438],calendars:i[3][85]},{ca:i[0][736],hourNo0:!1,hour12:!1,formats:i[1][445],calendars:i[3][86]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][460],calendars:i[3][87]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][88]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][467],calendars:i[3][89]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][90]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][91]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][92]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][484],calendars:i[3][93]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][94]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][95]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][492],calendars:i[3][96]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][497],calendars:i[3][97]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][500],calendars:i[3][98]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][99]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][507],calendars:i[3][100]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][512],calendars:i[3][101]},{ca:i[0][736],hourNo0:!0,hour12:!0,formats:i[1][516],calendars:i[3][102]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][103]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][130],calendars:i[3][104]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][105]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][106]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][542],calendars:i[3][107]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][108]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][549],calendars:i[3][109]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][110]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][111]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][112]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][113]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][565],calendars:i[3][114]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][581],calendars:i[3][115]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][116]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][117]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][118]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][595],calendars:i[3][119]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][120]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][121]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][122]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][123]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][614],calendars:i[3][124]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][125]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][620],calendars:i[3][126]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][624],calendars:i[3][127]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][634],calendars:i[3][128]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][638],calendars:i[3][129]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][643],calendars:i[3][130]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][131]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][132]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][654],calendars:i[3][133]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][134]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][662],calendars:i[3][135]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][136]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][669],calendars:i[3][137]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][669],calendars:i[3][138]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][507],calendars:i[3][139]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][140]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][691],calendars:i[3][141]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][695],calendars:i[3][142]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][143]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][144]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][704],calendars:i[3][145]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][31]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][146]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][147]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][713],calendars:i[3][148]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][718],calendars:i[3][149]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][718],calendars:i[3][150]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][725],calendars:i[3][151]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][733],calendars:i[3][152]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][739],calendars:i[3][153]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][745],calendars:i[3][154]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][353],calendars:i[3][155]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][156]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][757],calendars:i[3][157]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][158]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][159]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][757],calendars:i[3][160]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][161]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][162]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][163]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][788],calendars:i[3][164]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][165]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][166]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][797],calendars:i[3][167]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][302],calendars:i[3][168]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][337],calendars:i[3][169]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][337],calendars:i[3][170]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][337],calendars:i[3][171]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][811],calendars:i[3][172]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][815],calendars:i[3][173]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][819],calendars:i[3][174]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][175]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][176]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][829],calendars:i[3][177]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][833],calendars:i[3][178]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][833],calendars:i[3][179]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][833],calendars:i[3][180]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][181]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][182]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][183]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][854],calendars:i[3][184]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][854],calendars:i[3][185]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][868],calendars:i[3][186]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][187]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][874],calendars:i[3][188]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][879],calendars:i[3][189]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][190]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][191]},{ca:i[0][736],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][192]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][193]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][194]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][195]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][196]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][913],calendars:i[3][197]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][918],calendars:i[3][198]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][199]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][200]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][201]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][934],calendars:i[3][202]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][946],calendars:i[3][203]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][946],calendars:i[3][204]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][205]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][959],calendars:i[3][206]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][207]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][208]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][788],calendars:i[3][209]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][210]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][972],calendars:i[3][211]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][212]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][980],calendars:i[3][213]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][0],calendars:i[3][214]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][0],calendars:i[3][215]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][216]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][29],calendars:i[3][217]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][218]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][362],calendars:i[3][219]},{ca:i[0][0],hourNo0:!0,hour12:!1,formats:i[1][337],calendars:i[3][220]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][1001],calendars:i[3][221]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][1013],calendars:i[3][221]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][1014],calendars:i[3][221]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][1015],calendars:i[3][222]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][1017],calendars:i[3][221]},{ca:i[0][736],hourNo0:!0,hour12:!0,formats:i[1][1001],calendars:i[3][223]},{ca:i[0][0],hourNo0:!0,hour12:!0,formats:i[1][167],calendars:i[3][224]}];i[5]=[{date:i[4][0],number:i[2][13]},{date:i[4][1],number:i[2][15]},{date:i[4][1],number:i[2][16]},{date:i[4][2],number:i[2][18]},{date:i[4][3],number:i[2][19]},{date:i[4][4],number:i[2][21]},{date:i[4][5],number:i[2][23]},{date:i[4][6],number:i[2][28]},{date:i[4][7],number:i[2][38]},{date:i[4][7],number:i[2][39]},{date:i[4][8],number:i[2][41]},{date:i[4][7],number:i[2][42]},{date:i[4][7],number:i[2][43]},{date:i[4][9],number:i[2][38]},{date:i[4][10],number:i[2][38]},{date:i[4][10],number:i[2][46]},{date:i[4][7],number:i[2][41]},{date:i[4][11],number:i[2][41]},{date:i[4][12],number:i[2][49]},{date:i[4][7],number:i[2][50]},{date:i[4][7],number:i[2][51]},{date:i[4][8],number:i[2][52]},{date:i[4][13],number:i[2][54]},{date:i[4][14],number:i[2][56]},{date:i[4][15],number:i[2][58]},{date:i[4][16],number:i[2][60]},{date:i[4][17],number:i[2][62]},{date:i[4][18],number:i[2][64]},{date:i[4][19],number:i[2][66]},{date:i[4][20],number:i[2][68]},{date:i[4][21],number:i[2][70]},{date:i[4][22],number:i[2][75]},{date:i[4][23],number:i[2][77]},{date:i[4][24],number:i[2][81]},{date:i[4][25],number:i[2][83]},{date:i[4][25],number:i[2][84]},{date:i[4][26],number:i[2][86]},{date:i[4][27],number:i[2][89]},{date:i[4][28],number:i[2][92]},{date:i[4][29],number:i[2][103]},{date:i[4][30],number:i[2][105]},{date:i[4][31],number:i[2][109]},{date:i[4][31],number:i[2][110]},{date:i[4][32],number:i[2][112]},{date:i[4][33],number:i[2][114]},{date:i[4][34],number:i[2][117]},{date:i[4][35],number:i[2][77]},{date:i[4][36],number:i[2][121]},{date:i[4][37],number:i[2][123]},{date:i[4][38],number:i[2][125]},{date:i[4][39],number:i[2][127]},{date:i[4][39],number:i[2][128]},{date:i[4][39],number:i[2][129]},{date:i[4][39],number:i[2][130]},{date:i[4][40],number:i[2][132]},{date:i[4][41],number:i[2][64]},{date:i[4][42],number:i[2][135]},{date:i[4][43],number:i[2][137]},{date:i[4][44],number:i[2][123]},{date:i[4][45],number:i[2][148]},{date:i[4][46],number:i[2][152]},{date:i[4][46],number:i[2][153]},{date:i[4][47],number:i[2][156]},{date:i[4][48],number:i[2][58]},{date:i[4][47],number:i[2][157]},{date:i[4][49],number:i[2][158]},{date:i[4][47],number:i[2][159]},{date:i[4][48],number:i[2][160]},{date:i[4][47],number:i[2][161]},{date:i[4][47],number:i[2][162]},{date:i[4][50],number:i[2][163]},{date:i[4][51],number:i[2][164]},{date:i[4][52],number:i[2][165]},{date:i[4][47],number:i[2][166]},{date:i[4][47],number:i[2][167]},{date:i[4][53],number:i[2][157]},{date:i[4][47],number:i[2][169]},{date:i[4][47],number:i[2][170]},{date:i[4][47],number:i[2][171]},{date:i[4][54],number:i[2][175]},{date:i[4][47],number:i[2][176]},{date:i[4][47],number:i[2][177]},{date:i[4][47],number:i[2][178]},{date:i[4][47],number:i[2][179]},{date:i[4][55],number:i[2][181]},{date:i[4][56],number:i[2][157]},{date:i[4][57],number:i[2][183]},{date:i[4][58],number:i[2][184]},{date:i[4][47],number:i[2][185]},{date:i[4][47],number:i[2][186]},{date:i[4][47],number:i[2][187]},{date:i[4][47],number:i[2][188]},{date:i[4][47],number:i[2][189]},{date:i[4][47],number:i[2][190]},{date:i[4][59],number:i[2][191]},{date:i[4][47],number:i[2][192]},{date:i[4][47],number:i[2][193]},{date:i[4][47],number:i[2][194]},{date:i[4][47],number:i[2][195]},{date:i[4][60],number:i[2][196]},{date:i[4][47],number:i[2][197]},{date:i[4][47],number:i[2][198]},{date:i[4][47],number:i[2][199]},{date:i[4][47],number:i[2][200]},{date:i[4][47],number:i[2][201]},{date:i[4][47],number:i[2][202]},{date:i[4][47],number:i[2][203]},{date:i[4][47],number:i[2][204]},{date:i[4][47],number:i[2][205]},{date:i[4][47],number:i[2][206]},{date:i[4][47],number:i[2][207]},{date:i[4][47],number:i[2][208]},{date:i[4][47],number:i[2][209]},{date:i[4][47],number:i[2][210]},{date:i[4][47],number:i[2][211]},{date:i[4][47],number:i[2][212]},{date:i[4][47],number:i[2][213]},{date:i[4][47],number:i[2][214]},{date:i[4][61],number:i[2][215]},{date:i[4][47],number:i[2][216]},{date:i[4][62],number:i[2][157]},{date:i[4][63],number:i[2][86]},{date:i[4][64],number:i[2][220]},{date:i[4][65],number:i[2][221]},{date:i[4][64],number:i[2][222]},{date:i[4][66],number:i[2][223]},{date:i[4][67],number:i[2][224]},{date:i[4][64],number:i[2][225]},{date:i[4][64],number:i[2][226]},{date:i[4][64],number:i[2][227]},{date:i[4][64],number:i[2][228]},{date:i[4][64],number:i[2][229]},{date:i[4][64],number:i[2][230]},{date:i[4][64],number:i[2][231]},{date:i[4][64],number:i[2][232]},{date:i[4][68],number:i[2][234]},{date:i[4][64],number:i[2][235]},{date:i[4][69],number:i[2][236]},{date:i[4][64],number:i[2][237]},{date:i[4][64],number:i[2][238]},{date:i[4][70],number:i[2][228]},{date:i[4][64],number:i[2][239]},{date:i[4][71],number:i[2][241]},{date:i[4][64],number:i[2][242]},{date:i[4][64],number:i[2][243]},{date:i[4][72],number:i[2][245]},{date:i[4][73],number:i[2][249]},{date:i[4][74],number:i[2][135]},{date:i[4][75],number:i[2][255]},{date:i[4][76],number:i[2][255]},{date:i[4][77],number:i[2][135]},{date:i[4][77],number:i[2][259]},{date:i[4][77],number:i[2][260]},{date:i[4][78],number:i[2][264]},{date:i[4][79],number:i[2][198]},{date:i[4][80],number:i[2][267]},{date:i[4][81],number:i[2][277]},{date:i[4][81],number:i[2][278]},{date:i[4][81],number:i[2][279]},{date:i[4][82],number:i[2][280]},{date:i[4][81],number:i[2][281]},{date:i[4][81],number:i[2][282]},{date:i[4][81],number:i[2][283]},{date:i[4][81],number:i[2][284]},{date:i[4][81],number:i[2][285]},{date:i[4][81],number:i[2][286]},{date:i[4][81],number:i[2][287]},{date:i[4][81],number:i[2][288]},{date:i[4][81],number:i[2][289]},{date:i[4][81],number:i[2][290]},{date:i[4][81],number:i[2][291]},{date:i[4][81],number:i[2][292]},{date:i[4][81],number:i[2][293]},{date:i[4][81],number:i[2][294]},{date:i[4][81],number:i[2][295]},{date:i[4][81],number:i[2][296]},{date:i[4][83],number:i[2][298]},{date:i[4][84],number:i[2][300]},{date:i[4][85],number:i[2][114]},{date:i[4][86],number:i[2][303]},{date:i[4][87],number:i[2][305]},{date:i[4][88],number:i[2][307]},{date:i[4][89],number:i[2][123]},{date:i[4][90],number:i[2][77]},{date:i[4][91],number:i[2][311]},{date:i[4][91],number:i[2][312]},{date:i[4][92],number:i[2][114]},{date:i[4][93],number:i[2][318]},{date:i[4][94],number:i[2][325]},{date:i[4][95],number:i[2][328]},{date:i[4][95],number:i[2][329]},{date:i[4][96],number:i[2][340]},{date:i[4][97],number:i[2][342]},{date:i[4][98],number:i[2][298]},{date:i[4][99],number:i[2][349]},{date:i[4][100],number:i[2][351]},{date:i[4][101],number:i[2][353]},{date:i[4][102],number:i[2][355]},{date:i[4][103],number:i[2][359]},{date:i[4][103],number:i[2][360]},{date:i[4][104],number:i[2][372]},{date:i[4][105],number:i[2][298]},{date:i[4][106],number:i[2][375]},{date:i[4][107],number:i[2][380]},{date:i[4][108],number:i[2][382]},{date:i[4][109],number:i[2][123]},{date:i[4][110],number:i[2][375]},{date:i[4][111],number:i[2][386]},{date:i[4][112],number:i[2][132]},{date:i[4][113],number:i[2][123]},{date:i[4][114],number:i[2][391]},{date:i[4][115],number:i[2][298]},{date:i[4][116],number:i[2][394]},{date:i[4][117],number:i[2][123]},{date:i[4][118],number:i[2][398]},{date:i[4][119],number:i[2][77]},{date:i[4][120],number:i[2][408]},{date:i[4][121],number:i[2][89]},{date:i[4][122],number:i[2][412]},{date:i[4][123],number:i[2][70]},{date:i[4][124],number:i[2][135]},{date:i[4][125],number:i[2][416]},{date:i[4][126],number:i[2][77]},{date:i[4][127],number:i[2][419]},{date:i[4][128],number:i[2][421]},{date:i[4][129],number:i[2][423]},{date:i[4][130],number:i[2][425]},{date:i[4][131],number:i[2][427]},{date:i[4][131],number:i[2][428]},{date:i[4][132],number:i[2][439]},{date:i[4][133],number:i[2][441]},{date:i[4][134],number:i[2][443]},{date:i[4][135],number:i[2][445]},{date:i[4][136],number:i[2][447]},{date:i[4][137],number:i[2][451]},{date:i[4][138],number:i[2][123]},{date:i[4][138],number:i[2][453]},{date:i[4][139],number:i[2][123]},{date:i[4][140],number:i[2][456]},{date:i[4][141],number:i[2][458]},{date:i[4][142],number:i[2][460]},{date:i[4][143],number:i[2][462]},{date:i[4][144],number:i[2][464]},{date:i[4][145],number:i[2][468]},{date:i[4][146],number:i[2][470]},{date:i[4][147],number:i[2][472]},{date:i[4][148],number:i[2][475]},{date:i[4][148],number:i[2][476]},{date:i[4][148],number:i[2][477]},{date:i[4][149],number:i[2][77]},{date:i[4][150],number:i[2][480]},{date:i[4][151],number:i[2][482]},{date:i[4][152],number:i[2][484]},{date:i[4][153],number:i[2][486]},{date:i[4][154],number:i[2][77]},{date:i[4][155],number:i[2][490]},{date:i[4][156],number:i[2][490]},{date:i[4][157],number:i[2][500]},{date:i[4][157],number:i[2][501]},{date:i[4][157],number:i[2][502]},{date:i[4][157],number:i[2][503]},{date:i[4][157],number:i[2][504]},{date:i[4][157],number:i[2][505]},{date:i[4][158],number:i[2][135]},{date:i[4][159],number:i[2][508]},{date:i[4][160],number:i[2][298]},{date:i[4][161],number:i[2][19]},{date:i[4][162],number:i[2][19]},{date:i[4][163],number:i[2][77]},{date:i[4][164],number:i[2][112]},{date:i[4][165],number:i[2][16]},{date:i[4][165],number:i[2][514]},{date:i[4][166],number:i[2][89]},{date:i[4][167],number:i[2][517]},{date:i[4][167],number:i[2][518]},{date:i[4][168],number:i[2][89]},{date:i[4][169],number:i[2][521]},{date:i[4][170],number:i[2][527]},{date:i[4][171],number:i[2][530]},{date:i[4][172],number:i[2][534]},{date:i[4][172],number:i[2][535]},{date:i[4][172],number:i[2][536]},{date:i[4][172],number:i[2][537]},{date:i[4][173],number:i[2][540]},{date:i[4][172],number:i[2][541]},{date:i[4][174],number:i[2][543]},{date:i[4][175],number:i[2][545]},{date:i[4][176],number:i[2][551]},{date:i[4][176],number:i[2][552]},{date:i[4][177],number:i[2][375]},{date:i[4][178],number:i[2][462]},{date:i[4][179],number:i[2][563]},{date:i[4][179],number:i[2][564]},{date:i[4][179],number:i[2][565]},{date:i[4][179],number:i[2][566]},{date:i[4][179],number:i[2][567]},{date:i[4][180],number:i[2][569]},{date:i[4][106],number:i[2][70]},{date:i[4][181],number:i[2][571]},{date:i[4][182],number:i[2][123]},{date:i[4][183],number:i[2][70]},{date:i[4][184],number:i[2][575]},{date:i[4][185],number:i[2][575]},{date:i[4][186],number:i[2][578]},{date:i[4][187],number:i[2][132]},{date:i[4][188],number:i[2][581]},{date:i[4][189],number:i[2][21]},{date:i[4][190],number:i[2][21]},{date:i[4][191],number:i[2][585]},{date:i[4][192],number:i[2][587]},{date:i[4][193],number:i[2][589]},{date:i[4][194],number:i[2][77]},{date:i[4][195],number:i[2][592]},{date:i[4][195],number:i[2][593]},{date:i[4][195],number:i[2][594]},{date:i[4][195],number:i[2][595]},{date:i[4][196],number:i[2][597]},{date:i[4][196],number:i[2][598]},{date:i[4][197],number:i[2][103]},{date:i[4][198],number:i[2][103]},{date:i[4][199],number:i[2][610]},{date:i[4][200],number:i[2][612]},{date:i[4][201],number:i[2][105]},{date:i[4][202],number:i[2][615]},{date:i[4][202],number:i[2][19]},{date:i[4][203],number:i[2][625]},{date:i[4][204],number:i[2][625]},{date:i[4][205],number:i[2][453]},{date:i[4][205],number:i[2][628]},{date:i[4][206],number:i[2][630]},{date:i[4][207],number:i[2][633]},{date:i[4][207],number:i[2][634]},{date:i[4][207],number:i[2][635]},{date:i[4][207],number:i[2][636]},{date:i[4][208],number:i[2][114]},{date:i[4][209],number:i[2][640]},{date:i[4][209],number:i[2][112]},{date:i[4][210],number:i[2][642]},{date:i[4][211],number:i[2][653]},{date:i[4][212],number:i[2][15]},{date:i[4][213],number:i[2][16]},{date:i[4][214],number:i[2][105]},{date:i[4][215],number:i[2][658]},{date:i[4][215],number:i[2][19]},{date:i[4][216],number:i[2][660]},{date:i[4][217],number:i[2][667]},{date:i[4][218],number:i[2][19]},{date:i[4][219],number:i[2][132]},{date:i[4][220],number:i[2][135]},{date:i[4][221],number:i[2][679]},{date:i[4][222],number:i[2][682]},{date:i[4][223],number:i[2][684]},{date:i[4][224],number:i[2][687]},{date:i[4][225],number:i[2][689]},{date:i[4][226],number:i[2][692]},{date:i[4][227],number:i[2][694]},{date:i[4][228],number:i[2][694]},{date:i[4][229],number:i[2][19]},{date:i[4][230],number:i[2][699]},{date:i[4][231],number:i[2][462]},{date:i[4][232],number:i[2][702]},{date:i[4][233],number:i[2][704]},{date:i[4][234],number:i[2][19]},{date:i[4][235],number:i[2][707]},{date:i[4][236],number:i[2][135]},{date:i[4][237],number:i[2][351]},{date:i[4][238],number:i[2][351]},{date:i[4][239],number:i[2][712]},{date:i[4][240],number:i[2][721]},{date:i[4][241],number:i[2][722]},{date:i[4][242],number:i[2][723]},{date:i[4][242],number:i[2][724]},{date:i[4][243],number:i[2][722]},{date:i[4][244],number:i[2][726]},{date:i[4][245],number:i[2][736]},{date:i[4][246],number:i[2][738]}];n(i[5][0],"aa-DJ");n(i[5][1],"aa-ER");n(i[5][2],"aa-ET");n(i[5][2],"aa");n(i[5][3],"af-NA");n(i[5][4],"af-ZA");n(i[5][4],"af");n(i[5][5],"agq-CM");n(i[5][5],"agq");n(i[5][6],"ak-GH");n(i[5][6],"ak");n(i[5][7],"am-ET");n(i[5][7],"am");n(i[5][8],"ar-001");n(i[5][8],"ar-AE");n(i[5][8],"ar-BH");n(i[5][9],"ar-DJ");n(i[5][10],"ar-DZ");n(i[5][8],"ar-EG");n(i[5][11],"ar-EH");n(i[5][12],"ar-ER");n(i[5][8],"ar-IL");n(i[5][13],"ar-IQ");n(i[5][14],"ar-JO");n(i[5][8],"ar-KM");n(i[5][8],"ar-KW");n(i[5][15],"ar-LB");n(i[5][16],"ar-LY");n(i[5][17],"ar-MA");n(i[5][18],"ar-MR");n(i[5][8],"ar-OM");n(i[5][14],"ar-PS");n(i[5][8],"ar-QA");n(i[5][8],"ar-SA");n(i[5][8],"ar-SD");n(i[5][19],"ar-SO");n(i[5][20],"ar-SS");n(i[5][14],"ar-SY");n(i[5][8],"ar-TD");n(i[5][21],"ar-TN");n(i[5][8],"ar-YE");n(i[5][8],"ar");n(i[5][22],"as-IN");n(i[5][22],"as");n(i[5][23],"asa-TZ");n(i[5][23],"asa");n(i[5][24],"ast-ES");n(i[5][24],"ast");n(i[5][25],"az-Cyrl-AZ");n(i[5][26],"az-Cyrl");n(i[5][25],"az-Latn-AZ");n(i[5][25],"az-Latn");n(i[5][25],"az");n(i[5][27],"bas-CM");n(i[5][27],"bas");n(i[5][28],"be-BY");n(i[5][28],"be");n(i[5][29],"bem-ZM");n(i[5][29],"bem");n(i[5][30],"bez-TZ");n(i[5][30],"bez");n(i[5][31],"bg-BG");n(i[5][31],"bg");n(i[5][32],"bm-ML");n(i[5][32],"bm");n(i[5][33],"bn-BD");n(i[5][33],"bn-IN");n(i[5][33],"bn");n(i[5][34],"bo-CN");n(i[5][35],"bo-IN");n(i[5][34],"bo");n(i[5][36],"br-FR");n(i[5][36],"br");n(i[5][37],"brx-IN");n(i[5][37],"brx");n(i[5][38],"bs-Cyrl-BA");n(i[5][39],"bs-Cyrl");n(i[5][38],"bs-Latn-BA");n(i[5][38],"bs-Latn");n(i[5][38],"bs");n(i[5][40],"byn-ER");n(i[5][40],"byn");n(i[5][41],"ca-AD");n(i[5][41],"ca-ES");n(i[5][42],"ca-FR");n(i[5][41],"ca-IT");n(i[5][41],"ca");n(i[5][43],"cgg-UG");n(i[5][43],"cgg");n(i[5][44],"chr-US");n(i[5][44],"chr");n(i[5][45],"cs-CZ");n(i[5][45],"cs");n(i[5][46],"cy-GB");n(i[5][46],"cy");n(i[5][47],"da-DK");n(i[5][47],"da-GL");n(i[5][47],"da");n(i[5][48],"dav-KE");n(i[5][48],"dav");n(i[5][49],"de-AT");n(i[5][50],"de-BE");n(i[5][51],"de-CH");n(i[5][50],"de-DE");n(i[5][52],"de-LI");n(i[5][53],"de-LU");n(i[5][50],"de");n(i[5][54],"dje-NE");n(i[5][54],"dje");n(i[5][55],"dua-CM");n(i[5][55],"dua");n(i[5][56],"dyo-SN");n(i[5][56],"dyo");n(i[5][57],"dz-BT");n(i[5][57],"dz");n(i[5][58],"ebu-KE");n(i[5][58],"ebu");n(i[5][59],"ee-GH");n(i[5][59],"ee-TG");n(i[5][59],"ee");n(i[5][60],"el-CY");n(i[5][61],"el-GR");n(i[5][61],"el");n(i[5][62],"en-001");n(i[5][63],"en-150");n(i[5][64],"en-AG");n(i[5][64],"en-AI");n(i[5][64],"en-AS");n(i[5][65],"en-AU");n(i[5][66],"en-BB");n(i[5][67],"en-BE");n(i[5][68],"en-BM");n(i[5][69],"en-BS");n(i[5][70],"en-BW");n(i[5][71],"en-BZ");n(i[5][72],"en-CA");n(i[5][73],"en-CC");n(i[5][74],"en-CK");n(i[5][64],"en-CM");n(i[5][73],"en-CX");n(i[5][64],"en-DG");n(i[5][64],"en-DM");n(i[5][64],"en-Dsrt-US");n(i[5][75],"en-Dsrt");n(i[5][76],"en-ER");n(i[5][77],"en-FJ");n(i[5][78],"en-FK");n(i[5][64],"en-FM");n(i[5][79],"en-GB");n(i[5][64],"en-GD");n(i[5][64],"en-GG");n(i[5][80],"en-GH");n(i[5][81],"en-GI");n(i[5][82],"en-GM");n(i[5][64],"en-GU");n(i[5][83],"en-GY");n(i[5][84],"en-HK");n(i[5][85],"en-IE");n(i[5][64],"en-IM");n(i[5][86],"en-IN");n(i[5][64],"en-IO");n(i[5][64],"en-JE");n(i[5][87],"en-JM");n(i[5][88],"en-KE");n(i[5][73],"en-KI");n(i[5][64],"en-KN");n(i[5][89],"en-KY");n(i[5][64],"en-LC");n(i[5][90],"en-LR");n(i[5][91],"en-LS");n(i[5][92],"en-MG");n(i[5][64],"en-MH");n(i[5][93],"en-MO");n(i[5][64],"en-MP");n(i[5][64],"en-MS");n(i[5][94],"en-MT");n(i[5][95],"en-MU");n(i[5][96],"en-MW");n(i[5][97],"en-NA");n(i[5][73],"en-NF");n(i[5][98],"en-NG");n(i[5][73],"en-NR");n(i[5][74],"en-NU");n(i[5][99],"en-NZ");n(i[5][100],"en-PG");n(i[5][101],"en-PH");n(i[5][102],"en-PK");n(i[5][74],"en-PN");n(i[5][64],"en-PR");n(i[5][64],"en-PW");n(i[5][103],"en-RW");n(i[5][104],"en-SB");n(i[5][105],"en-SC");n(i[5][64],"en-SD");n(i[5][106],"en-SG");n(i[5][107],"en-SH");n(i[5][108],"en-SL");n(i[5][109],"en-SS");n(i[5][110],"en-SX");n(i[5][111],"en-SZ");n(i[5][64],"en-TC");n(i[5][74],"en-TK");n(i[5][112],"en-TO");n(i[5][113],"en-TT");n(i[5][73],"en-TV");n(i[5][114],"en-TZ");n(i[5][115],"en-UG");n(i[5][64],"en-UM");n(i[5][64],"en-US");n(i[5][64],"en-VC");n(i[5][64],"en-VG");n(i[5][64],"en-VI");n(i[5][116],"en-VU");n(i[5][117],"en-WS");n(i[5][118],"en-ZA");n(i[5][119],"en-ZM");n(i[5][120],"en-ZW");n(i[5][64],"en");n(i[5][121],"eo-001");n(i[5][121],"eo");n(i[5][122],"es-419");n(i[5][123],"es-AR");n(i[5][124],"es-BO");n(i[5][125],"es-CL");n(i[5][126],"es-CO");n(i[5][127],"es-CR");n(i[5][128],"es-CU");n(i[5][129],"es-DO");n(i[5][130],"es-EA");n(i[5][131],"es-EC");n(i[5][130],"es-ES");n(i[5][132],"es-GQ");n(i[5][133],"es-GT");n(i[5][134],"es-HN");n(i[5][130],"es-IC");n(i[5][135],"es-MX");n(i[5][136],"es-NI");n(i[5][137],"es-PA");n(i[5][138],"es-PE");n(i[5][139],"es-PH");n(i[5][140],"es-PR");n(i[5][141],"es-PY");n(i[5][130],"es-SV");n(i[5][142],"es-US");n(i[5][143],"es-UY");n(i[5][144],"es-VE");n(i[5][130],"es");n(i[5][145],"et-EE");n(i[5][145],"et");n(i[5][146],"eu-ES");n(i[5][146],"eu");n(i[5][147],"ewo-CM");n(i[5][147],"ewo");n(i[5][148],"fa-AF");n(i[5][149],"fa-IR");n(i[5][149],"fa");n(i[5][150],"ff-CM");n(i[5][151],"ff-GN");n(i[5][152],"ff-MR");n(i[5][150],"ff-SN");n(i[5][150],"ff");n(i[5][153],"fi-FI");n(i[5][153],"fi");n(i[5][154],"fil-PH");n(i[5][154],"fil");n(i[5][155],"fo-FO");n(i[5][155],"fo");n(i[5][156],"fr-BE");n(i[5][157],"fr-BF");n(i[5][158],"fr-BI");n(i[5][157],"fr-BJ");n(i[5][157],"fr-BL");n(i[5][159],"fr-CA");n(i[5][160],"fr-CD");n(i[5][157],"fr-CF");n(i[5][157],"fr-CG");n(i[5][161],"fr-CH");n(i[5][157],"fr-CI");n(i[5][157],"fr-CM");n(i[5][162],"fr-DJ");n(i[5][163],"fr-DZ");n(i[5][157],"fr-FR");n(i[5][157],"fr-GA");n(i[5][157],"fr-GF");n(i[5][164],"fr-GN");n(i[5][157],"fr-GP");n(i[5][157],"fr-GQ");n(i[5][165],"fr-HT");n(i[5][166],"fr-KM");n(i[5][167],"fr-LU");n(i[5][157],"fr-MA");n(i[5][157],"fr-MC");n(i[5][157],"fr-MF");n(i[5][168],"fr-MG");n(i[5][157],"fr-ML");n(i[5][157],"fr-MQ");n(i[5][169],"fr-MR");n(i[5][170],"fr-MU");n(i[5][157],"fr-NC");n(i[5][157],"fr-NE");n(i[5][157],"fr-PF");n(i[5][157],"fr-PM");n(i[5][157],"fr-RE");n(i[5][171],"fr-RW");n(i[5][172],"fr-SC");n(i[5][157],"fr-SN");n(i[5][173],"fr-SY");n(i[5][157],"fr-TD");n(i[5][157],"fr-TG");n(i[5][174],"fr-TN");n(i[5][175],"fr-VU");n(i[5][157],"fr-WF");n(i[5][157],"fr-YT");n(i[5][157],"fr");n(i[5][176],"fur-IT");n(i[5][176],"fur");n(i[5][177],"ga-IE");n(i[5][177],"ga");n(i[5][178],"gd-GB");n(i[5][178],"gd");n(i[5][179],"gl-ES");n(i[5][179],"gl");n(i[5][180],"gsw-CH");n(i[5][180],"gsw-LI");n(i[5][180],"gsw");n(i[5][181],"gu-IN");n(i[5][181],"gu");n(i[5][182],"guz-KE");n(i[5][182],"guz");n(i[5][183],"gv-GB");n(i[5][183],"gv-IM");n(i[5][183],"gv");n(i[5][184],"ha-Latn-GH");n(i[5][185],"ha-Latn-NE");n(i[5][185],"ha-Latn-NG");n(i[5][185],"ha-Latn");n(i[5][185],"ha");n(i[5][186],"haw-US");n(i[5][186],"haw");n(i[5][187],"he-IL");n(i[5][187],"he");n(i[5][188],"hi-IN");n(i[5][188],"hi");n(i[5][189],"hr-BA");n(i[5][190],"hr-HR");n(i[5][190],"hr");n(i[5][191],"hu-HU");n(i[5][191],"hu");n(i[5][192],"hy-AM");n(i[5][192],"hy");n(i[5][193],"ia-FR");n(i[5][193],"ia");n(i[5][194],"id-ID");n(i[5][194],"id");n(i[5][195],"ig-NG");n(i[5][195],"ig");n(i[5][196],"ii-CN");n(i[5][196],"ii");n(i[5][197],"is-IS");n(i[5][197],"is");n(i[5][198],"it-CH");n(i[5][199],"it-IT");n(i[5][199],"it-SM");n(i[5][199],"it");n(i[5][200],"ja-JP");n(i[5][200],"ja");n(i[5][201],"jgo-CM");n(i[5][201],"jgo");n(i[5][202],"jmc-TZ");n(i[5][202],"jmc");n(i[5][203],"ka-GE");n(i[5][203],"ka");n(i[5][204],"kab-DZ");n(i[5][204],"kab");n(i[5][205],"kam-KE");n(i[5][205],"kam");n(i[5][206],"kde-TZ");n(i[5][206],"kde");n(i[5][207],"kea-CV");n(i[5][207],"kea");n(i[5][208],"khq-ML");n(i[5][208],"khq");n(i[5][209],"ki-KE");n(i[5][209],"ki");n(i[5][210],"kk-Cyrl-KZ");n(i[5][210],"kk-Cyrl");n(i[5][210],"kk");n(i[5][211],"kkj-CM");n(i[5][211],"kkj");n(i[5][212],"kl-GL");n(i[5][212],"kl");n(i[5][213],"kln-KE");n(i[5][213],"kln");n(i[5][214],"km-KH");n(i[5][214],"km");n(i[5][215],"kn-IN");n(i[5][215],"kn");n(i[5][216],"ko-KP");n(i[5][216],"ko-KR");n(i[5][216],"ko");n(i[5][217],"kok-IN");n(i[5][217],"kok");n(i[5][218],"ks-Arab-IN");n(i[5][218],"ks-Arab");n(i[5][218],"ks");n(i[5][219],"ksb-TZ");n(i[5][219],"ksb");n(i[5][220],"ksf-CM");n(i[5][220],"ksf");n(i[5][221],"ksh-DE");n(i[5][221],"ksh");n(i[5][222],"kw-GB");n(i[5][222],"kw");n(i[5][223],"ky-Cyrl-KG");n(i[5][223],"ky-Cyrl");n(i[5][223],"ky-KG");n(i[5][223],"ky");n(i[5][224],"lag-TZ");n(i[5][224],"lag");n(i[5][225],"lg-UG");n(i[5][225],"lg");n(i[5][226],"lkt-US");n(i[5][226],"lkt");n(i[5][227],"ln-AO");n(i[5][228],"ln-CD");n(i[5][228],"ln-CF");n(i[5][228],"ln-CG");n(i[5][228],"ln");n(i[5][229],"lo-LA");n(i[5][229],"lo");n(i[5][230],"lt-LT");n(i[5][230],"lt");n(i[5][231],"lu-CD");n(i[5][231],"lu");n(i[5][232],"luo-KE");n(i[5][232],"luo");n(i[5][233],"luy-KE");n(i[5][233],"luy");n(i[5][234],"lv-LV");n(i[5][234],"lv");n(i[5][235],"mas-KE");n(i[5][236],"mas-TZ");n(i[5][235],"mas");n(i[5][237],"mer-KE");n(i[5][237],"mer");n(i[5][238],"mfe-MU");n(i[5][238],"mfe");n(i[5][239],"mg-MG");n(i[5][239],"mg");n(i[5][240],"mgh-MZ");n(i[5][240],"mgh");n(i[5][241],"mgo-CM");n(i[5][241],"mgo");n(i[5][242],"mk-MK");n(i[5][242],"mk");n(i[5][243],"ml-IN");n(i[5][243],"ml");n(i[5][244],"mn-Cyrl-MN");n(i[5][244],"mn-Cyrl");n(i[5][244],"mn");n(i[5][245],"mr-IN");n(i[5][245],"mr");n(i[5][246],"ms-Latn-BN");n(i[5][247],"ms-Latn-MY");n(i[5][248],"ms-Latn-SG");n(i[5][247],"ms-Latn");n(i[5][247],"ms");n(i[5][249],"mt-MT");n(i[5][249],"mt");n(i[5][250],"mua-CM");n(i[5][250],"mua");n(i[5][251],"my-MM");n(i[5][251],"my");n(i[5][252],"naq-NA");n(i[5][252],"naq");n(i[5][253],"nb-NO");n(i[5][253],"nb-SJ");n(i[5][253],"nb");n(i[5][254],"nd-ZW");n(i[5][254],"nd");n(i[5][255],"ne-IN");n(i[5][256],"ne-NP");n(i[5][256],"ne");n(i[5][257],"nl-AW");n(i[5][258],"nl-BE");n(i[5][259],"nl-BQ");n(i[5][260],"nl-CW");n(i[5][261],"nl-NL");n(i[5][262],"nl-SR");n(i[5][260],"nl-SX");n(i[5][261],"nl");n(i[5][263],"nmg-CM");n(i[5][263],"nmg");n(i[5][264],"nn-NO");n(i[5][264],"nn");n(i[5][265],"nnh-CM");n(i[5][265],"nnh");n(i[5][266],"nr-ZA");n(i[5][266],"nr");n(i[5][267],"nso-ZA");n(i[5][267],"nso");n(i[5][268],"nus-SD");n(i[5][268],"nus");n(i[5][269],"nyn-UG");n(i[5][269],"nyn");n(i[5][270],"om-ET");n(i[5][271],"om-KE");n(i[5][270],"om");n(i[5][272],"or-IN");n(i[5][272],"or");n(i[5][273],"os-GE");n(i[5][274],"os-RU");n(i[5][273],"os");n(i[5][275],"pa-Arab-PK");n(i[5][276],"pa-Arab");n(i[5][275],"pa-Guru-IN");n(i[5][275],"pa-Guru");n(i[5][275],"pa");n(i[5][277],"pl-PL");n(i[5][277],"pl");n(i[5][278],"ps-AF");n(i[5][278],"ps");n(i[5][279],"pt-AO");n(i[5][280],"pt-BR");n(i[5][280],"pt-CV");n(i[5][280],"pt-GW");n(i[5][281],"pt-MO");n(i[5][282],"pt-MZ");n(i[5][283],"pt-PT");n(i[5][284],"pt-ST");n(i[5][280],"pt-TL");n(i[5][280],"pt");n(i[5][285],"rm-CH");n(i[5][285],"rm");n(i[5][286],"rn-BI");n(i[5][286],"rn");n(i[5][287],"ro-MD");n(i[5][288],"ro-RO");n(i[5][288],"ro");n(i[5][289],"rof-TZ");n(i[5][289],"rof");n(i[5][290],"root");n(i[5][291],"ru-BY");n(i[5][292],"ru-KG");n(i[5][293],"ru-KZ");n(i[5][294],"ru-MD");n(i[5][295],"ru-RU");n(i[5][295],"ru-UA");n(i[5][295],"ru");n(i[5][296],"rw-RW");n(i[5][296],"rw");n(i[5][297],"rwk-TZ");n(i[5][297],"rwk");n(i[5][298],"sah-RU");n(i[5][298],"sah");n(i[5][299],"saq-KE");n(i[5][299],"saq");n(i[5][300],"sbp-TZ");n(i[5][300],"sbp");n(i[5][301],"se-FI");n(i[5][302],"se-NO");n(i[5][302],"se");n(i[5][303],"seh-MZ");n(i[5][303],"seh");n(i[5][304],"ses-ML");n(i[5][304],"ses");n(i[5][305],"sg-CF");n(i[5][305],"sg");n(i[5][306],"shi-Latn-MA");n(i[5][307],"shi-Latn");n(i[5][306],"shi-Tfng-MA");n(i[5][306],"shi-Tfng");n(i[5][306],"shi");n(i[5][308],"si-LK");n(i[5][308],"si");n(i[5][309],"sk-SK");n(i[5][309],"sk");n(i[5][310],"sl-SI");n(i[5][310],"sl");n(i[5][311],"sn-ZW");n(i[5][311],"sn");n(i[5][312],"so-DJ");n(i[5][313],"so-ET");n(i[5][314],"so-KE");n(i[5][315],"so-SO");n(i[5][315],"so");n(i[5][316],"sq-AL");n(i[5][317],"sq-MK");n(i[5][316],"sq-XK");n(i[5][316],"sq");n(i[5][318],"sr-Cyrl-BA");n(i[5][319],"sr-Cyrl-ME");n(i[5][319],"sr-Cyrl-RS");n(i[5][319],"sr-Cyrl-XK");n(i[5][319],"sr-Cyrl");n(i[5][319],"sr-Latn-BA");n(i[5][319],"sr-Latn-ME");n(i[5][319],"sr-Latn-RS");n(i[5][319],"sr-Latn-XK");n(i[5][320],"sr-Latn");n(i[5][319],"sr");n(i[5][321],"ss-SZ");n(i[5][321],"ss-ZA");n(i[5][321],"ss");n(i[5][322],"ssy-ER");n(i[5][322],"ssy");n(i[5][323],"st-LS");n(i[5][324],"st-ZA");n(i[5][324],"st");n(i[5][325],"sv-AX");n(i[5][326],"sv-FI");n(i[5][325],"sv-SE");n(i[5][325],"sv");n(i[5][327],"sw-KE");n(i[5][327],"sw-TZ");n(i[5][328],"sw-UG");n(i[5][327],"sw");n(i[5][329],"swc-CD");n(i[5][329],"swc");n(i[5][330],"ta-IN");n(i[5][331],"ta-LK");n(i[5][332],"ta-MY");n(i[5][333],"ta-SG");n(i[5][330],"ta");n(i[5][334],"te-IN");n(i[5][334],"te");n(i[5][335],"teo-KE");n(i[5][336],"teo-UG");n(i[5][336],"teo");n(i[5][337],"tg-Cyrl-TJ");n(i[5][337],"tg-Cyrl");n(i[5][337],"tg");n(i[5][338],"th-TH");n(i[5][338],"th");n(i[5][339],"ti-ER");n(i[5][340],"ti-ET");n(i[5][340],"ti");n(i[5][341],"tig-ER");n(i[5][341],"tig");n(i[5][342],"tn-BW");n(i[5][343],"tn-ZA");n(i[5][343],"tn");n(i[5][344],"to-TO");n(i[5][344],"to");n(i[5][345],"tr-CY");n(i[5][345],"tr-TR");n(i[5][345],"tr");n(i[5][346],"ts-ZA");n(i[5][346],"ts");n(i[5][347],"twq-NE");n(i[5][347],"twq");n(i[5][348],"tzm-Latn-MA");n(i[5][348],"tzm-Latn");n(i[5][348],"tzm");n(i[5][349],"uk-UA");n(i[5][349],"uk");n(i[5][350],"ur-IN");n(i[5][351],"ur-PK");n(i[5][351],"ur");n(i[5][352],"uz-Arab-AF");n(i[5][353],"uz-Arab");n(i[5][352],"uz-Cyrl-UZ");n(i[5][354],"uz-Cyrl");n(i[5][352],"uz-Latn-UZ");n(i[5][352],"uz-Latn");n(i[5][352],"uz");n(i[5][355],"vai-Latn-LR");n(i[5][356],"vai-Latn");n(i[5][355],"vai-Vaii-LR");n(i[5][355],"vai-Vaii");n(i[5][355],"vai");n(i[5][357],"ve-ZA");n(i[5][357],"ve");n(i[5][358],"vi-VN");n(i[5][358],"vi");n(i[5][359],"vo-001");n(i[5][359],"vo");n(i[5][202],"vun-TZ");n(i[5][202],"vun");n(i[5][360],"wae-CH");n(i[5][360],"wae");n(i[5][361],"wal-ET");n(i[5][361],"wal");n(i[5][362],"xh-ZA");n(i[5][362],"xh");n(i[5][363],"xog-UG");n(i[5][363],"xog");n(i[5][364],"yav-CM");n(i[5][364],"yav");n(i[5][365],"yo-BJ");n(i[5][366],"yo-NG");n(i[5][366],"yo");n(i[5][367],"zgh-MA");n(i[5][367],"zgh");n(i[5][368],"zh-Hans-CN");n(i[5][369],"zh-Hans-HK");n(i[5][370],"zh-Hans-MO");n(i[5][371],"zh-Hans-SG");n(i[5][368],"zh-Hans");n(i[5][372],"zh-Hant-HK");n(i[5][373],"zh-Hant-MO");n(i[5][368],"zh-Hant-TW");n(i[5][374],"zh-Hant");n(i[5][368],"zh");n(i[5][375],"zu-ZA");n(i[5][375],"zu")}(),i});
/*
//# sourceMappingURL=Intl.complete.min.js.map
*/